/*===========================================================================*/
/*   (Bdb/bdb_emit.scm)                                                      */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Bdb/bdb_emit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2setzd2exzd2it3815za2zzbdb_emitz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62bdbz12zd2conditional3805za2zzbdb_emitz00(obj_t,
		BgL_conditionalz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2cast3801za2zzbdb_emitz00(obj_t,
		BgL_castz00_bglt);
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	static obj_t BGl_z62bdbz12zd2setq3803za2zzbdb_emitz00(obj_t,
		BgL_setqz00_bglt);
	static obj_t BGl_methodzd2initzd2zzbdb_emitz00();
	static obj_t BGl_z62bdbz123794z70zzbdb_emitz00(obj_t, BgL_nodez00_bglt);
	static obj_t BGl_z62bdbz12zd2select3809za2zzbdb_emitz00(obj_t,
		BgL_selectz00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62bdbz12zd2appzd2ly3823z70zzbdb_emitz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62bdbz12zd2letzd2fun3811z70zzbdb_emitz00(obj_t,
		BgL_letzd2funzd2_bglt);
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62bdbz12zd2jumpzd2exzd2it3817za2zzbdb_emitz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(obj_t);
	static obj_t BGl_bdbz12z12zzbdb_emitz00(BgL_nodez00_bglt);
	extern obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2letzd2var3813z70zzbdb_emitz00(obj_t,
		BgL_letzd2varzd2_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_valuez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzbdb_emitz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_za2czd2portza2zd2zzbdb_emitz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbdb_emitz00();
	static obj_t BGl_z62bdbz12zd2makezd2box3819z70zzbdb_emitz00(obj_t,
		BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62bdbz12zd2boxzd2setz123821z62zzbdb_emitz00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_genericzd2initzd2zzbdb_emitz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static bool_t BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(obj_t);
	static obj_t BGl_z62bdbz12zd2fail3807za2zzbdb_emitz00(obj_t,
		BgL_failz00_bglt);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_bdbza2z12zb0zzbdb_emitz00(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static bool_t BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62bdbz12zd2app3827za2zzbdb_emitz00(obj_t, BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62bdbz12z70zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_z62bdbz12zd2sequence3797za2zzbdb_emitz00(obj_t,
		BgL_sequencez00_bglt);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzbdb_emitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_emitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbdb_emitz00();
	static obj_t BGl_z62bdbz12zd2extern3799za2zzbdb_emitz00(obj_t,
		BgL_externz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static obj_t BGl_z62bdbz12zd2funcall3825za2zzbdb_emitz00(obj_t,
		BgL_funcallz00_bglt);
	static obj_t BGl_z62zc3anonymousza33860ze3ze1zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zzbdb_emitz00,
		BgL_bgl_za762za7c3anonymousza74078za7,
		BGl_z62zc3anonymousza33860ze3ze1zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4055z00zzbdb_emitz00,
		BgL_bgl_za762bdbza7123794za7704079za7, BGl_z62bdbz123794z70zzbdb_emitz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4057z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2sequ4080za7,
		BGl_z62bdbz12zd2sequence3797za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4059z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2exte4081za7,
		BGl_z62bdbz12zd2extern3799za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4060z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2cast4082za7,
		BGl_z62bdbz12zd2cast3801za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4061z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2setq4083za7,
		BGl_z62bdbz12zd2setq3803za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4062z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2cond4084za7,
		BGl_z62bdbz12zd2conditional3805za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4063z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2fail4085za7,
		BGl_z62bdbz12zd2fail3807za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4064z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2sele4086za7,
		BGl_z62bdbz12zd2select3809za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4065z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2letza74087z00,
		BGl_z62bdbz12zd2letzd2fun3811z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4066z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2letza74088z00,
		BGl_z62bdbz12zd2letzd2var3813z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4067z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2setza74089z00,
		BGl_z62bdbz12zd2setzd2exzd2it3815za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4068z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2jump4090za7,
		BGl_z62bdbz12zd2jumpzd2exzd2it3817za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4069z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2make4091za7,
		BGl_z62bdbz12zd2makezd2box3819z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4070z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2boxza74092z00,
		BGl_z62bdbz12zd2boxzd2setz123821z62zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4071z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2appza74093z00,
		BGl_z62bdbz12zd2appzd2ly3823z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4072z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2func4094za7,
		BGl_z62bdbz12zd2funcall3825za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4073z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2app34095za7,
		BGl_z62bdbz12zd2app3827za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_bdbz12zd2envzc0zzbdb_emitz00,
		BgL_bgl_za762bdbza712za770za7za7bd4096za7, BGl_z62bdbz12z70zzbdb_emitz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4023z00zzbdb_emitz00,
		BgL_bgl_string4023za700za7za7b4097za7, "/* bdb association table */", 27);
	      DEFINE_STRING(BGl_string4024z00zzbdb_emitz00,
		BgL_bgl_string4024za700za7za7b4098za7, "static struct bdb_fun_info {\n",
		29);
	      DEFINE_STRING(BGl_string4025z00zzbdb_emitz00,
		BgL_bgl_string4025za700za7za7b4099za7, "   char *sname, *cname;\n", 24);
	      DEFINE_STRING(BGl_string4026z00zzbdb_emitz00,
		BgL_bgl_string4026za700za7za7b4100za7, "} ", 2);
	      DEFINE_STRING(BGl_string4027z00zzbdb_emitz00,
		BgL_bgl_string4027za700za7za7b4101za7, "__bdb_info", 10);
	      DEFINE_STRING(BGl_string4028z00zzbdb_emitz00,
		BgL_bgl_string4028za700za7za7b4102za7, "[] = { ", 7);
	      DEFINE_STRING(BGl_string4029z00zzbdb_emitz00,
		BgL_bgl_string4029za700za7za7b4103za7,
		"   /* Magic number to ensure comp/dbg compatibility */", 54);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2bdbzd2infozd2envzd2zzbdb_emitz00,
		BgL_bgl_za762emitza7d2bdbza7d24104za7,
		BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4030z00zzbdb_emitz00,
		BgL_bgl_string4030za700za7za7b4105za7, "   {(char *)", 12);
	      DEFINE_STRING(BGl_string4031z00zzbdb_emitz00,
		BgL_bgl_string4031za700za7za7b4106za7, ", (char *)", 10);
	      DEFINE_STRING(BGl_string4032z00zzbdb_emitz00,
		BgL_bgl_string4032za700za7za7b4107za7, "},", 2);
	      DEFINE_STRING(BGl_string4033z00zzbdb_emitz00,
		BgL_bgl_string4033za700za7za7b4108za7,
		"   /* Module and source file identification */", 46);
	      DEFINE_STRING(BGl_string4034z00zzbdb_emitz00,
		BgL_bgl_string4034za700za7za7b4109za7, "   {\"", 5);
	      DEFINE_STRING(BGl_string4035z00zzbdb_emitz00,
		BgL_bgl_string4035za700za7za7b4110za7, "\", \"", 4);
	      DEFINE_STRING(BGl_string4036z00zzbdb_emitz00,
		BgL_bgl_string4036za700za7za7b4111za7, "\" },", 4);
	      DEFINE_STRING(BGl_string4037z00zzbdb_emitz00,
		BgL_bgl_string4037za700za7za7b4112za7, "\", 0 },", 7);
	      DEFINE_STRING(BGl_string4038z00zzbdb_emitz00,
		BgL_bgl_string4038za700za7za7b4113za7, "   { 0, (char *)", 16);
	      DEFINE_STRING(BGl_string4039z00zzbdb_emitz00,
		BgL_bgl_string4039za700za7za7b4114za7, "0", 1);
	      DEFINE_STRING(BGl_string4040z00zzbdb_emitz00,
		BgL_bgl_string4040za700za7za7b4115za7, " },", 3);
	      DEFINE_STRING(BGl_string4041z00zzbdb_emitz00,
		BgL_bgl_string4041za700za7za7b4116za7, "   /* Global functions */", 25);
	      DEFINE_STRING(BGl_string4042z00zzbdb_emitz00,
		BgL_bgl_string4042za700za7za7b4117za7, "   /* Global variables */", 25);
	      DEFINE_STRING(BGl_string4044z00zzbdb_emitz00,
		BgL_bgl_string4044za700za7za7b4118za7, "   {0, 0},", 10);
	      DEFINE_STRING(BGl_string4045z00zzbdb_emitz00,
		BgL_bgl_string4045za700za7za7b4119za7, "   0};\n", 7);
	      DEFINE_STRING(BGl_string4046z00zzbdb_emitz00,
		BgL_bgl_string4046za700za7za7b4120za7, "   /* Bigloo classes */", 23);
	      DEFINE_STRING(BGl_string4047z00zzbdb_emitz00,
		BgL_bgl_string4047za700za7za7b4121za7, " *\", 0 },", 9);
	      DEFINE_STRING(BGl_string4048z00zzbdb_emitz00,
		BgL_bgl_string4048za700za7za7b4122za7, "\", (char *)", 11);
	      DEFINE_STRING(BGl_string4049z00zzbdb_emitz00,
		BgL_bgl_string4049za700za7za7b4123za7, "\", 0},", 6);
	      DEFINE_STRING(BGl_string4050z00zzbdb_emitz00,
		BgL_bgl_string4050za700za7za7b4124za7, "   {", 4);
	      DEFINE_STRING(BGl_string4051z00zzbdb_emitz00,
		BgL_bgl_string4051za700za7za7b4125za7, ", \"", 3);
	      DEFINE_STRING(BGl_string4052z00zzbdb_emitz00,
		BgL_bgl_string4052za700za7za7b4126za7, "\"},", 3);
	      DEFINE_STRING(BGl_string4053z00zzbdb_emitz00,
		BgL_bgl_string4053za700za7za7b4127za7, "     {0, 0},", 12);
	      DEFINE_STRING(BGl_string4054z00zzbdb_emitz00,
		BgL_bgl_string4054za700za7za7b4128za7, "     {\"", 7);
	      DEFINE_STRING(BGl_string4056z00zzbdb_emitz00,
		BgL_bgl_string4056za700za7za7b4129za7, "bdb!3794", 8);
	      DEFINE_STRING(BGl_string4058z00zzbdb_emitz00,
		BgL_bgl_string4058za700za7za7b4130za7, "bdb!", 4);
	      DEFINE_STRING(BGl_string4074z00zzbdb_emitz00,
		BgL_bgl_string4074za700za7za7b4131za7, "bdb_emit", 8);
	      DEFINE_STRING(BGl_string4075z00zzbdb_emitz00,
		BgL_bgl_string4075za700za7za7b4132za7,
		"done bigloo @ TOPLEVEL-INIT export location ", 44);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long
		BgL_checksumz00_2186, char *BgL_fromz00_2187)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbdb_emitz00))
				{
					BGl_requirezd2initializa7ationz75zzbdb_emitz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbdb_emitz00();
					BGl_cnstzd2initzd2zzbdb_emitz00();
					BGl_importedzd2moduleszd2initz00zzbdb_emitz00();
					BGl_genericzd2initzd2zzbdb_emitz00();
					BGl_methodzd2initzd2zzbdb_emitz00();
					BGl_toplevelzd2initzd2zzbdb_emitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "bdb_emit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			{	/* Bdb/bdb_emit.scm 15 */
				obj_t BgL_cportz00_2177;

				BgL_cportz00_2177 =
					bgl_open_input_string(BGl_string4075z00zzbdb_emitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2178;

					BgL_iz00_2178 = ((long) 5);
				BgL_loopz00_2179:
					if ((BgL_iz00_2178 == ((long) -1)))
						{	/* Bdb/bdb_emit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Bdb/bdb_emit.scm 15 */
							{	/* Bdb/bdb_emit.scm 15 */
								obj_t BgL_arg4077z00_2181;

								{	/* Bdb/bdb_emit.scm 15 */

									{	/* Bdb/bdb_emit.scm 15 */
										obj_t BgL_locationz00_2183;

										BgL_locationz00_2183 = BBOOL(((bool_t) 0));
										{	/* Bdb/bdb_emit.scm 15 */

											BgL_arg4077z00_2181 =
												BGl_readz00zz__readerz00(BgL_cportz00_2177,
												BgL_locationz00_2183);
										}
									}
								}
								{	/* Bdb/bdb_emit.scm 15 */
									int BgL_auxz00_2209;

									BgL_auxz00_2209 = (int) (BgL_iz00_2178);
									CNST_TABLE_SET(BgL_auxz00_2209, BgL_arg4077z00_2181);
							}}
							{	/* Bdb/bdb_emit.scm 15 */
								int BgL_auxz00_2184;

								BgL_auxz00_2184 = (int) ((BgL_iz00_2178 - ((long) 1)));
								{
									long BgL_iz00_2214;

									BgL_iz00_2214 = (long) (BgL_auxz00_2184);
									BgL_iz00_2178 = BgL_iz00_2214;
									goto BgL_loopz00_2179;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_za2czd2portza2zd2zzbdb_emitz00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* emit-bdb-info */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t
		BgL_globalsz00_39, obj_t BgL_portz00_40)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 43 */
			BGl_za2czd2portza2zd2zzbdb_emitz00 = BgL_portz00_40;
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4023z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4024z00zzbdb_emitz00, BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4025z00zzbdb_emitz00, BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4026z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BGl_string4027z00zzbdb_emitz00, BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4028z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4029z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4030z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BINT(BDB_LIBRARY_MAGIC_NUMBER), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4031z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BINT(BDB_LIBRARY_MAGIC_NUMBER), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4032z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4033z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4034z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BGl_za2moduleza2z00zzmodule_modulez00, BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4035z00zzbdb_emitz00, BgL_portz00_40);
			{	/* Bdb/bdb_emit.scm 66 */
				obj_t BgL_arg3843z00_993;

				{	/* Bdb/bdb_emit.scm 66 */
					obj_t BgL_arg3844z00_994;
					obj_t BgL_arg3845z00_995;

					{	/* Bdb/bdb_emit.scm 66 */
						obj_t BgL_arg3846z00_996;

						BgL_arg3846z00_996 =
							BGl_unitzd2initializa7erzd2idza7zzast_unitz00(STRUCT_REF
							(BGl_getzd2toplevelzd2unitz00zzmodule_includez00(),
								(int) (((long) 0))));
						{	/* Bdb/bdb_emit.scm 64 */
							obj_t BgL_res3993z00_1743;

							{	/* Bdb/bdb_emit.scm 64 */
								obj_t BgL_symbolz00_1741;

								BgL_symbolz00_1741 = BgL_arg3846z00_996;
								{	/* Bdb/bdb_emit.scm 64 */
									obj_t BgL_arg2069z00_1742;

									BgL_arg2069z00_1742 = SYMBOL_TO_STRING(BgL_symbolz00_1741);
									BgL_res3993z00_1743 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg2069z00_1742);
							}}
							BgL_arg3844z00_994 = BgL_res3993z00_1743;
					}}
					{	/* Bdb/bdb_emit.scm 67 */
						obj_t BgL_res3994z00_1746;

						{	/* Bdb/bdb_emit.scm 67 */
							obj_t BgL_symbolz00_1744;

							BgL_symbolz00_1744 = BGl_za2moduleza2z00zzmodule_modulez00;
							{	/* Bdb/bdb_emit.scm 67 */
								obj_t BgL_arg2069z00_1745;

								BgL_arg2069z00_1745 = SYMBOL_TO_STRING(BgL_symbolz00_1744);
								BgL_res3994z00_1746 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg2069z00_1745);
						}}
						BgL_arg3845z00_995 = BgL_res3994z00_1746;
					}
					BgL_arg3843z00_993 =
						bigloo_module_mangle(BgL_arg3844z00_994, BgL_arg3845z00_995);
				}
				bgl_display_obj(BgL_arg3843z00_993, BgL_portz00_40);
			}
			BGL_DISPLAY_STRING(BGl_string4036z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			{
				obj_t BgL_l3760z00_1000;

				BgL_l3760z00_1000 = BGl_za2srczd2filesza2zd2zzengine_paramz00;
			BgL_zc3anonymousza33849ze3z83_1001:
				if (PAIRP(BgL_l3760z00_1000))
					{	/* Bdb/bdb_emit.scm 69 */
						{	/* Bdb/bdb_emit.scm 70 */
							obj_t BgL_srcz00_1003;

							BgL_srcz00_1003 = CAR(BgL_l3760z00_1000);
							BGL_DISPLAY_STRING(BGl_string4034z00zzbdb_emitz00,
								BgL_portz00_40);
							bgl_display_obj(BgL_srcz00_1003, BgL_portz00_40);
							BGL_DISPLAY_STRING(BGl_string4037z00zzbdb_emitz00,
								BgL_portz00_40);
							bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
						}
						{
							obj_t BgL_l3760z00_2260;

							BgL_l3760z00_2260 = CDR(BgL_l3760z00_1000);
							BgL_l3760z00_1000 = BgL_l3760z00_2260;
							goto BgL_zc3anonymousza33849ze3z83_1001;
						}
					}
				else
					{	/* Bdb/bdb_emit.scm 69 */
						((bool_t) 1);
					}
			}
			BGL_DISPLAY_STRING(BGl_string4038z00zzbdb_emitz00, BgL_portz00_40);
			{	/* Bdb/bdb_emit.scm 74 */
				obj_t BgL_arg3852z00_1008;

				{	/* Bdb/bdb_emit.scm 74 */
					obj_t BgL_locz00_1009;

					BgL_locz00_1009 =
						BGl_findzd2locationzd2zztools_locationz00
						(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
					{	/* Bdb/bdb_emit.scm 75 */
						bool_t BgL_testz00_2264;

						if (STRUCTP(BgL_locz00_1009))
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_testz00_2264 =
									(STRUCT_KEY(BgL_locz00_1009) == CNST_TABLE_REF(((long) 0)));
							}
						else
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_testz00_2264 = ((bool_t) 0);
							}
						if (BgL_testz00_2264)
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_arg3852z00_1008 =
									STRUCT_REF(BgL_locz00_1009, (int) (((long) 2)));
							}
						else
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_arg3852z00_1008 = BGl_string4039z00zzbdb_emitz00;
							}
					}
				}
				bgl_display_obj(BgL_arg3852z00_1008, BgL_portz00_40);
			}
			BGL_DISPLAY_STRING(BGl_string4040z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4041z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			{
				obj_t BgL_l3764z00_1013;

				BgL_l3764z00_1013 = BgL_globalsz00_39;
			BgL_zc3anonymousza33854ze3z83_1014:
				if (PAIRP(BgL_l3764z00_1013))
					{	/* Bdb/bdb_emit.scm 81 */
						{	/* Bdb/bdb_emit.scm 82 */
							obj_t BgL_globalz00_1016;

							BgL_globalz00_1016 = CAR(BgL_l3764z00_1013);
							{	/* Bdb/bdb_emit.scm 82 */
								obj_t BgL_arg3856z00_1017;

								{	/* Bdb/bdb_emit.scm 82 */
									BgL_variablez00_bglt BgL_obj1605z00_1780;

									BgL_obj1605z00_1780 =
										((BgL_variablez00_bglt) BgL_globalz00_1016);
									BgL_arg3856z00_1017 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1605z00_1780)))->BgL_idz00);
								}
								BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3856z00_1017);
							}
							BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(BgL_globalz00_1016);
							BGl_leavezd2functionzd2zztools_errorz00();
						}
						{
							obj_t BgL_l3764z00_2286;

							BgL_l3764z00_2286 = CDR(BgL_l3764z00_1013);
							BgL_l3764z00_1013 = BgL_l3764z00_2286;
							goto BgL_zc3anonymousza33854ze3z83_1014;
						}
					}
				else
					{	/* Bdb/bdb_emit.scm 81 */
						((bool_t) 1);
					}
			}
			BGL_DISPLAY_STRING(BGl_string4042z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc4043z00zzbdb_emitz00,
				BNIL);
			BGL_DISPLAY_STRING(BGl_string4044z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
			BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(BgL_portz00_40);
			BGL_DISPLAY_STRING(BGl_string4045z00zzbdb_emitz00, BgL_portz00_40);
			return bgl_display_char(((unsigned char) '\n'), BgL_portz00_40);
		}
	}



/* &emit-bdb-info */
	obj_t BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00(obj_t BgL_envz00_2019,
		obj_t BgL_globalsz00_2020, obj_t BgL_portz00_2021)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 43 */
			return
				BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(BgL_globalsz00_2020,
				BgL_portz00_2021);
		}
	}



/* &<anonymous:3860> */
	obj_t BGl_z62zc3anonymousza33860ze3ze1zzbdb_emitz00(obj_t BgL_envz00_2022,
		obj_t BgL_globalz00_2023)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 88 */
			{
				obj_t BgL_globalz00_1023;

				BgL_globalz00_1023 = BgL_globalz00_2023;
				{	/* Bdb/bdb_emit.scm 89 */
					bool_t BgL_testz00_2297;

					{	/* Bdb/bdb_emit.scm 89 */
						bool_t BgL_testz00_2298;

						{	/* Bdb/bdb_emit.scm 89 */
							bool_t BgL_testz00_2299;

							{	/* Bdb/bdb_emit.scm 89 */
								bool_t BgL_testz00_2300;

								{	/* Bdb/bdb_emit.scm 89 */
									obj_t BgL_arg3868z00_1032;

									{	/* Bdb/bdb_emit.scm 89 */
										BgL_globalz00_bglt BgL_obj1698z00_1785;

										BgL_obj1698z00_1785 =
											((BgL_globalz00_bglt) BgL_globalz00_1023);
										BgL_arg3868z00_1032 =
											(((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1698z00_1785)))->BgL_modulez00);
									}
									BgL_testz00_2300 =
										(BgL_arg3868z00_1032 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
								if (BgL_testz00_2300)
									{	/* Bdb/bdb_emit.scm 90 */
										obj_t BgL_auxz00_2305;

										{	/* Bdb/bdb_emit.scm 90 */
											BgL_globalz00_bglt BgL_obj1701z00_1786;

											BgL_obj1701z00_1786 =
												((BgL_globalz00_bglt) BgL_globalz00_1023);
											BgL_auxz00_2305 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1701z00_1786)))->BgL_importz00);
										}
										BgL_testz00_2299 =
											(BgL_auxz00_2305 == CNST_TABLE_REF(((long) 1)));
									}
								else
									{	/* Bdb/bdb_emit.scm 89 */
										BgL_testz00_2299 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_2299)
								{	/* Bdb/bdb_emit.scm 89 */
									BgL_testz00_2298 = ((bool_t) 1);
								}
							else
								{	/* Bdb/bdb_emit.scm 91 */
									long BgL_auxz00_2311;

									{	/* Bdb/bdb_emit.scm 91 */
										BgL_variablez00_bglt BgL_obj1624z00_1787;

										BgL_obj1624z00_1787 =
											((BgL_variablez00_bglt) BgL_globalz00_1023);
										BgL_auxz00_2311 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1624z00_1787)))->BgL_occurrencez00);
									}
									BgL_testz00_2298 = (BgL_auxz00_2311 > ((long) 0));
						}}
						if (BgL_testz00_2298)
							{	/* Bdb/bdb_emit.scm 92 */
								BgL_valuez00_bglt BgL_arg3863z00_1027;

								{	/* Bdb/bdb_emit.scm 92 */
									BgL_variablez00_bglt BgL_obj1612z00_1791;

									BgL_obj1612z00_1791 =
										((BgL_variablez00_bglt) BgL_globalz00_1023);
									BgL_arg3863z00_1027 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1612z00_1791)))->BgL_valuez00);
								}
								{	/* Bdb/bdb_emit.scm 92 */
									bool_t BgL_res4000z00_1793;

									{	/* Bdb/bdb_emit.scm 92 */
										obj_t BgL_obj2075z00_1792;

										BgL_obj2075z00_1792 = ((obj_t) BgL_arg3863z00_1027);
										BgL_res4000z00_1793 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2075z00_1792,
											BGl_svarz00zzast_varz00);
									}
									BgL_testz00_2297 = BgL_res4000z00_1793;
								}
							}
						else
							{	/* Bdb/bdb_emit.scm 89 */
								BgL_testz00_2297 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2297)
						{	/* Bdb/bdb_emit.scm 89 */
							return
								BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(BgL_globalz00_1023);
						}
					else
						{	/* Bdb/bdb_emit.scm 89 */
							return BFALSE;
						}
				}
			}
		}
	}



/* emit-bdb-class-types */
	bool_t BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(obj_t BgL_oportz00_41)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 102 */
			if (NULLP(BGl_getzd2classzd2listz00zzobject_classz00()))
				{	/* Bdb/bdb_emit.scm 103 */
					BFALSE;
				}
			else
				{	/* Bdb/bdb_emit.scm 103 */
					BGL_DISPLAY_STRING(BGl_string4046z00zzbdb_emitz00, BgL_oportz00_41);
					bgl_display_char(((unsigned char) '\n'), BgL_oportz00_41);
				}
			{	/* Bdb/bdb_emit.scm 105 */
				obj_t BgL_g3773z00_1039;

				BgL_g3773z00_1039 = BGl_getzd2classzd2listz00zzobject_classz00();
				{
					obj_t BgL_l3771z00_1041;

					BgL_l3771z00_1041 = BgL_g3773z00_1039;
				BgL_zc3anonymousza33871ze3z83_1042:
					if (PAIRP(BgL_l3771z00_1041))
						{	/* Bdb/bdb_emit.scm 111 */
							{	/* Bdb/bdb_emit.scm 106 */
								obj_t BgL_classz00_1044;

								BgL_classz00_1044 = CAR(BgL_l3771z00_1041);
								{	/* Bdb/bdb_emit.scm 107 */
									bool_t BgL_testz00_2331;

									{	/* Bdb/bdb_emit.scm 107 */
										obj_t BgL_arg3875z00_1049;

										{	/* Bdb/bdb_emit.scm 107 */
											BgL_globalz00_bglt BgL_obj1698z00_1809;

											{	/* Bdb/bdb_emit.scm 107 */
												BgL_tclassz00_bglt BgL_obj3421z00_1808;

												BgL_obj3421z00_1808 =
													((BgL_tclassz00_bglt) BgL_classz00_1044);
												{
													obj_t BgL_auxz00_2333;

													{	/* Bdb/bdb_emit.scm 107 */
														BgL_objectz00_bglt BgL_auxz00_2334;

														BgL_auxz00_2334 =
															((BgL_objectz00_bglt) BgL_obj3421z00_1808);
														BgL_auxz00_2333 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2334);
													}
													BgL_obj1698z00_1809 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2333))->
														BgL_holderz00);
												}
											}
											BgL_arg3875z00_1049 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1698z00_1809)))->BgL_modulez00);
										}
										BgL_testz00_2331 =
											(BgL_arg3875z00_1049 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
									if (BgL_testz00_2331)
										{	/* Bdb/bdb_emit.scm 107 */
											BGL_DISPLAY_STRING(BGl_string4034z00zzbdb_emitz00,
												BgL_oportz00_41);
											{	/* Bdb/bdb_emit.scm 109 */
												obj_t BgL_arg3874z00_1048;

												{	/* Bdb/bdb_emit.scm 109 */
													BgL_typez00_bglt BgL_obj1511z00_1812;

													BgL_obj1511z00_1812 =
														((BgL_typez00_bglt) BgL_classz00_1044);
													BgL_arg3874z00_1048 =
														(((BgL_typez00_bglt) CREF(
																((obj_t) BgL_obj1511z00_1812)))->BgL_siza7eza7);
												}
												bgl_display_obj(BgL_arg3874z00_1048, BgL_oportz00_41);
											}
											BGL_DISPLAY_STRING(BGl_string4047z00zzbdb_emitz00,
												BgL_oportz00_41);
											bgl_display_char(((unsigned char) '\n'), BgL_oportz00_41);
										}
									else
										{	/* Bdb/bdb_emit.scm 107 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l3771z00_2348;

								BgL_l3771z00_2348 = CDR(BgL_l3771z00_1041);
								BgL_l3771z00_1041 = BgL_l3771z00_2348;
								goto BgL_zc3anonymousza33871ze3z83_1042;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 111 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* bdb-global-sfun! */
	obj_t BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(obj_t BgL_globalz00_42)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 116 */
			{	/* Bdb/bdb_emit.scm 117 */
				BgL_valuez00_bglt BgL_sfunz00_1053;

				{	/* Bdb/bdb_emit.scm 117 */
					BgL_variablez00_bglt BgL_obj1612z00_1817;

					BgL_obj1612z00_1817 = ((BgL_variablez00_bglt) BgL_globalz00_42);
					BgL_sfunz00_1053 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1817)))->BgL_valuez00);
				}
				{	/* Bdb/bdb_emit.scm 117 */
					obj_t BgL_sfunzd2loczd2_1054;

					{	/* Bdb/bdb_emit.scm 118 */
						BgL_sfunz00_bglt BgL_obj1933z00_1818;

						BgL_obj1933z00_1818 = ((BgL_sfunz00_bglt) BgL_sfunz00_1053);
						BgL_sfunzd2loczd2_1054 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_obj1933z00_1818)))->BgL_locz00);
					}
					{	/* Bdb/bdb_emit.scm 118 */
						obj_t BgL_cloz00_1055;

						{	/* Bdb/bdb_emit.scm 119 */
							BgL_funz00_bglt BgL_obj1867z00_1819;

							BgL_obj1867z00_1819 = ((BgL_funz00_bglt) BgL_sfunz00_1053);
							BgL_cloz00_1055 =
								(((BgL_funz00_bglt) CREF(
										((obj_t) BgL_obj1867z00_1819)))->BgL_thezd2closurezd2);
						}
						{	/* Bdb/bdb_emit.scm 119 */

							{	/* Bdb/bdb_emit.scm 120 */
								bool_t BgL_testz00_2359;

								{	/* Bdb/bdb_emit.scm 120 */
									bool_t BgL_testz00_2360;

									if (STRUCTP(BgL_sfunzd2loczd2_1054))
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_testz00_2360 =
												(STRUCT_KEY(BgL_sfunzd2loczd2_1054) ==
												CNST_TABLE_REF(((long) 0)));
										}
									else
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_testz00_2360 = ((bool_t) 0);
										}
									if (BgL_testz00_2360)
										{	/* Bdb/bdb_emit.scm 121 */
											BgL_variablez00_bglt BgL_obj1630z00_1827;

											BgL_obj1630z00_1827 =
												((BgL_variablez00_bglt) BgL_globalz00_42);
											BgL_testz00_2359 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1630z00_1827)))->BgL_userzf3zf3);
										}
									else
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_testz00_2359 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2359)
									{	/* Bdb/bdb_emit.scm 120 */
										BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
											((BgL_variablez00_bglt) BgL_globalz00_42));
										{	/* Bdb/bdb_emit.scm 124 */
											obj_t BgL_fnamez00_1057;
											obj_t BgL_lnumz00_1058;
											obj_t BgL_idz00_1059;
											obj_t BgL_valzd2namezd2_1060;
											obj_t BgL_bpzd2namezd2_1061;

											BgL_fnamez00_1057 =
												STRUCT_REF(BgL_sfunzd2loczd2_1054, (int) (((long) 0)));
											BgL_lnumz00_1058 =
												STRUCT_REF(BgL_sfunzd2loczd2_1054, (int) (((long) 2)));
											{	/* Bdb/bdb_emit.scm 126 */
												obj_t BgL_idz00_1068;

												{	/* Bdb/bdb_emit.scm 126 */
													BgL_variablez00_bglt BgL_obj1605z00_1834;

													BgL_obj1605z00_1834 =
														((BgL_variablez00_bglt) BgL_globalz00_42);
													BgL_idz00_1068 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1605z00_1834)))->BgL_idz00);
												}
												if ((BgL_idz00_1068 == CNST_TABLE_REF(((long) 2))))
													{	/* Bdb/bdb_emit.scm 128 */
														obj_t BgL_arg3881z00_1070;

														{	/* Bdb/bdb_emit.scm 128 */
															obj_t BgL_arg3882z00_1071;
															obj_t BgL_arg3883z00_1072;

															{	/* Bdb/bdb_emit.scm 128 */
																obj_t BgL_res4005z00_1837;

																{	/* Bdb/bdb_emit.scm 128 */
																	obj_t BgL_symbolz00_1835;

																	BgL_symbolz00_1835 =
																		CNST_TABLE_REF(((long) 3));
																	{	/* Bdb/bdb_emit.scm 128 */
																		obj_t BgL_arg2069z00_1836;

																		BgL_arg2069z00_1836 =
																			SYMBOL_TO_STRING(BgL_symbolz00_1835);
																		BgL_res4005z00_1837 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg2069z00_1836);
																}}
																BgL_arg3882z00_1071 = BgL_res4005z00_1837;
															}
															{	/* Bdb/bdb_emit.scm 128 */
																obj_t BgL_arg3884z00_1073;

																{	/* Bdb/bdb_emit.scm 128 */
																	BgL_globalz00_bglt BgL_obj1698z00_1838;

																	BgL_obj1698z00_1838 =
																		((BgL_globalz00_bglt) BgL_globalz00_42);
																	BgL_arg3884z00_1073 =
																		(((BgL_globalz00_bglt) CREF(
																				((obj_t) BgL_obj1698z00_1838)))->
																		BgL_modulez00);
																}
																{	/* Bdb/bdb_emit.scm 128 */
																	obj_t BgL_res4006z00_1841;

																	{	/* Bdb/bdb_emit.scm 128 */
																		obj_t BgL_arg2069z00_1840;

																		BgL_arg2069z00_1840 =
																			SYMBOL_TO_STRING(BgL_arg3884z00_1073);
																		BgL_res4006z00_1841 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg2069z00_1840);
																	}
																	BgL_arg3883z00_1072 = BgL_res4006z00_1841;
															}}
															BgL_arg3881z00_1070 =
																string_append(BgL_arg3882z00_1071,
																BgL_arg3883z00_1072);
														}
														BgL_idz00_1059 =
															string_to_symbol(BSTRING_TO_STRING
															(BgL_arg3881z00_1070));
													}
												else
													{	/* Bdb/bdb_emit.scm 127 */
														BgL_idz00_1059 = BgL_idz00_1068;
													}
											}
											if (BGl_iszd2azf3z21zz__objectz00(BgL_cloz00_1055,
													BGl_globalz00zzast_varz00))
												{	/* Bdb/bdb_emit.scm 131 */
													BgL_variablez00_bglt BgL_obj1606z00_1846;

													BgL_obj1606z00_1846 =
														((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_cloz00_1055));
													BgL_valzd2namezd2_1060 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1606z00_1846)))->BgL_namez00);
												}
											else
												{	/* Bdb/bdb_emit.scm 130 */
													BgL_valzd2namezd2_1060 = BINT(((long) 0));
												}
											{	/* Bdb/bdb_emit.scm 133 */
												BgL_variablez00_bglt BgL_obj1606z00_1847;

												BgL_obj1606z00_1847 =
													((BgL_variablez00_bglt) BgL_globalz00_42);
												BgL_bpzd2namezd2_1061 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1606z00_1847)))->BgL_namez00);
											}
											{	/* Bdb/bdb_emit.scm 134 */
												obj_t BgL_port3774z00_1062;

												BgL_port3774z00_1062 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												BGL_DISPLAY_STRING(BGl_string4034z00zzbdb_emitz00,
													BgL_port3774z00_1062);
												bgl_display_obj(BgL_fnamez00_1057,
													BgL_port3774z00_1062);
												BGL_DISPLAY_STRING(BGl_string4048z00zzbdb_emitz00,
													BgL_port3774z00_1062);
												bgl_display_obj(BgL_lnumz00_1058, BgL_port3774z00_1062);
												BGL_DISPLAY_STRING(BGl_string4040z00zzbdb_emitz00,
													BgL_port3774z00_1062);
												bgl_display_char(((unsigned char) '\n'),
													BgL_port3774z00_1062);
											}
											{	/* Bdb/bdb_emit.scm 135 */
												obj_t BgL_port3775z00_1063;

												BgL_port3775z00_1063 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												BGL_DISPLAY_STRING(BGl_string4034z00zzbdb_emitz00,
													BgL_port3775z00_1063);
												bgl_display_obj(BgL_idz00_1059, BgL_port3775z00_1063);
												BGL_DISPLAY_STRING(BGl_string4049z00zzbdb_emitz00,
													BgL_port3775z00_1063);
												bgl_display_char(((unsigned char) '\n'),
													BgL_port3775z00_1063);
											}
											if (BGl_numberzf3zf3zz__r4_numbers_6_5z00
												(BgL_valzd2namezd2_1060))
												{	/* Bdb/bdb_emit.scm 138 */
													obj_t BgL_port3777z00_1065;

													BgL_port3777z00_1065 =
														BGl_za2czd2portza2zd2zzbdb_emitz00;
													BGL_DISPLAY_STRING(BGl_string4050z00zzbdb_emitz00,
														BgL_port3777z00_1065);
													bgl_display_obj(BgL_valzd2namezd2_1060,
														BgL_port3777z00_1065);
													BGL_DISPLAY_STRING(BGl_string4051z00zzbdb_emitz00,
														BgL_port3777z00_1065);
													bgl_display_obj(BgL_bpzd2namezd2_1061,
														BgL_port3777z00_1065);
													BGL_DISPLAY_STRING(BGl_string4052z00zzbdb_emitz00,
														BgL_port3777z00_1065);
													bgl_display_char(((unsigned char) '\n'),
														BgL_port3777z00_1065);
												}
											else
												{	/* Bdb/bdb_emit.scm 137 */
													obj_t BgL_port3776z00_1066;

													BgL_port3776z00_1066 =
														BGl_za2czd2portza2zd2zzbdb_emitz00;
													BGL_DISPLAY_STRING(BGl_string4034z00zzbdb_emitz00,
														BgL_port3776z00_1066);
													bgl_display_obj(BgL_valzd2namezd2_1060,
														BgL_port3776z00_1066);
													BGL_DISPLAY_STRING(BGl_string4035z00zzbdb_emitz00,
														BgL_port3776z00_1066);
													bgl_display_obj(BgL_bpzd2namezd2_1061,
														BgL_port3776z00_1066);
													BGL_DISPLAY_STRING(BGl_string4052z00zzbdb_emitz00,
														BgL_port3776z00_1066);
													bgl_display_char(((unsigned char) '\n'),
														BgL_port3776z00_1066);
												}
											BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_sfunz00_1053);
											{	/* Bdb/bdb_emit.scm 140 */
												obj_t BgL_port3778z00_1067;

												BgL_port3778z00_1067 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												BGL_DISPLAY_STRING(BGl_string4053z00zzbdb_emitz00,
													BgL_port3778z00_1067);
												return bgl_display_char(((unsigned char) '\n'),
													BgL_port3778z00_1067);
									}}}
								else
									{	/* Bdb/bdb_emit.scm 120 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* bdb-global-svar! */
	obj_t BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(obj_t BgL_globalz00_43)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 145 */
			{	/* Bdb/bdb_emit.scm 146 */
				BgL_valuez00_bglt BgL_svarz00_1076;

				{	/* Bdb/bdb_emit.scm 146 */
					BgL_variablez00_bglt BgL_obj1612z00_1877;

					BgL_obj1612z00_1877 = ((BgL_variablez00_bglt) BgL_globalz00_43);
					BgL_svarz00_1076 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1877)))->BgL_valuez00);
				}
				{	/* Bdb/bdb_emit.scm 146 */
					obj_t BgL_svarzd2loczd2_1077;

					{	/* Bdb/bdb_emit.scm 147 */
						BgL_svarz00_bglt BgL_obj2066z00_1878;

						BgL_obj2066z00_1878 = ((BgL_svarz00_bglt) BgL_svarz00_1076);
						BgL_svarzd2loczd2_1077 =
							(((BgL_svarz00_bglt) CREF(
									((obj_t) BgL_obj2066z00_1878)))->BgL_locz00);
					}
					{	/* Bdb/bdb_emit.scm 147 */

						{	/* Bdb/bdb_emit.scm 148 */
							bool_t BgL_testz00_2435;

							if (STRUCTP(BgL_svarzd2loczd2_1077))
								{	/* Bdb/bdb_emit.scm 148 */
									BgL_testz00_2435 =
										(STRUCT_KEY(BgL_svarzd2loczd2_1077) ==
										CNST_TABLE_REF(((long) 0)));
								}
							else
								{	/* Bdb/bdb_emit.scm 148 */
									BgL_testz00_2435 = ((bool_t) 0);
								}
							if (BgL_testz00_2435)
								{	/* Bdb/bdb_emit.scm 148 */
									BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
										((BgL_variablez00_bglt) BgL_globalz00_43));
									{	/* Bdb/bdb_emit.scm 151 */
										obj_t BgL_fnamez00_1079;
										obj_t BgL_lnumz00_1080;
										obj_t BgL_idz00_1081;
										obj_t BgL_namez00_1082;

										BgL_fnamez00_1079 =
											STRUCT_REF(BgL_svarzd2loczd2_1077, (int) (((long) 0)));
										BgL_lnumz00_1080 =
											STRUCT_REF(BgL_svarzd2loczd2_1077, (int) (((long) 2)));
										{	/* Bdb/bdb_emit.scm 153 */
											BgL_variablez00_bglt BgL_obj1605z00_1892;

											BgL_obj1605z00_1892 =
												((BgL_variablez00_bglt) BgL_globalz00_43);
											BgL_idz00_1081 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1605z00_1892)))->BgL_idz00);
										}
										{	/* Bdb/bdb_emit.scm 154 */
											BgL_variablez00_bglt BgL_obj1606z00_1893;

											BgL_obj1606z00_1893 =
												((BgL_variablez00_bglt) BgL_globalz00_43);
											BgL_namez00_1082 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1606z00_1893)))->BgL_namez00);
										}
										{	/* Bdb/bdb_emit.scm 155 */
											obj_t BgL_port3779z00_1083;

											BgL_port3779z00_1083 = BGl_za2czd2portza2zd2zzbdb_emitz00;
											BGL_DISPLAY_STRING(BGl_string4034z00zzbdb_emitz00,
												BgL_port3779z00_1083);
											bgl_display_obj(BgL_fnamez00_1079, BgL_port3779z00_1083);
											BGL_DISPLAY_STRING(BGl_string4048z00zzbdb_emitz00,
												BgL_port3779z00_1083);
											bgl_display_obj(BgL_lnumz00_1080, BgL_port3779z00_1083);
											BGL_DISPLAY_STRING(BGl_string4040z00zzbdb_emitz00,
												BgL_port3779z00_1083);
											bgl_display_char(((unsigned char) '\n'),
												BgL_port3779z00_1083);
										}
										{	/* Bdb/bdb_emit.scm 156 */
											obj_t BgL_port3780z00_1084;

											BgL_port3780z00_1084 = BGl_za2czd2portza2zd2zzbdb_emitz00;
											BGL_DISPLAY_STRING(BGl_string4034z00zzbdb_emitz00,
												BgL_port3780z00_1084);
											bgl_display_obj(BgL_idz00_1081, BgL_port3780z00_1084);
											BGL_DISPLAY_STRING(BGl_string4035z00zzbdb_emitz00,
												BgL_port3780z00_1084);
											bgl_display_obj(BgL_namez00_1082, BgL_port3780z00_1084);
											BGL_DISPLAY_STRING(BGl_string4052z00zzbdb_emitz00,
												BgL_port3780z00_1084);
											return bgl_display_char(((unsigned char) '\n'),
												BgL_port3780z00_1084);
								}}}
							else
								{	/* Bdb/bdb_emit.scm 148 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* bdb-sfun! */
	obj_t BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_valuez00_bglt BgL_sfunz00_44)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 161 */
			{	/* Bdb/bdb_emit.scm 163 */
				obj_t BgL_g3783z00_1086;

				{	/* Bdb/bdb_emit.scm 163 */
					BgL_sfunz00_bglt BgL_obj1920z00_1908;

					BgL_obj1920z00_1908 = ((BgL_sfunz00_bglt) BgL_sfunz00_44);
					BgL_g3783z00_1086 =
						(((BgL_sfunz00_bglt) CREF(
								((obj_t) BgL_obj1920z00_1908)))->BgL_argsz00);
				}
				{
					obj_t BgL_l3781z00_1088;

					BgL_l3781z00_1088 = BgL_g3783z00_1086;
				BgL_zc3anonymousza33888ze3z83_1089:
					if (PAIRP(BgL_l3781z00_1088))
						{	/* Bdb/bdb_emit.scm 163 */
							BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(CAR
								(BgL_l3781z00_1088));
							{
								obj_t BgL_l3781z00_2472;

								BgL_l3781z00_2472 = CDR(BgL_l3781z00_1088);
								BgL_l3781z00_1088 = BgL_l3781z00_2472;
								goto BgL_zc3anonymousza33888ze3z83_1089;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 163 */
							((bool_t) 1);
						}
				}
			}
			{	/* Bdb/bdb_emit.scm 164 */
				obj_t BgL_arg3892z00_1094;

				{	/* Bdb/bdb_emit.scm 164 */
					BgL_sfunz00_bglt BgL_obj1924z00_1913;

					BgL_obj1924z00_1913 = ((BgL_sfunz00_bglt) BgL_sfunz00_44);
					BgL_arg3892z00_1094 =
						(((BgL_sfunz00_bglt) CREF(
								((obj_t) BgL_obj1924z00_1913)))->BgL_bodyz00);
				}
				return
					BGl_bdbz12z12zzbdb_emitz00(((BgL_nodez00_bglt) BgL_arg3892z00_1094));
			}
		}
	}



/* bdb-local-variable? */
	bool_t BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(obj_t BgL_localz00_45)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 176 */
			{
				obj_t BgL_localz00_1097;

				{	/* Bdb/bdb_emit.scm 190 */
					bool_t BgL_testz00_2479;

					{	/* Bdb/bdb_emit.scm 190 */
						BgL_variablez00_bglt BgL_obj1630z00_1916;

						BgL_obj1630z00_1916 = ((BgL_variablez00_bglt) BgL_localz00_45);
						BgL_testz00_2479 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1630z00_1916)))->BgL_userzf3zf3);
					}
					if (BgL_testz00_2479)
						{	/* Bdb/bdb_emit.scm 190 */
							BgL_localz00_1097 = BgL_localz00_45;
							{	/* Bdb/bdb_emit.scm 180 */
								BgL_typez00_bglt BgL_tz00_1099;

								{	/* Bdb/bdb_emit.scm 180 */
									BgL_variablez00_bglt BgL_obj1609z00_1914;

									BgL_obj1609z00_1914 =
										((BgL_variablez00_bglt) BgL_localz00_1097);
									BgL_tz00_1099 =
										(((BgL_variablez00_bglt) CREF(
												((obj_t) BgL_obj1609z00_1914)))->BgL_typez00);
								}
								{	/* Bdb/bdb_emit.scm 181 */
									bool_t BgL__ortest_3714z00_1100;

									BgL__ortest_3714z00_1100 =
										(
										(((BgL_typez00_bglt) CREF(
													((obj_t) BgL_tz00_1099)))->BgL_classz00) ==
										CNST_TABLE_REF(((long) 4)));
									if (BgL__ortest_3714z00_1100)
										{	/* Bdb/bdb_emit.scm 181 */
											return BgL__ortest_3714z00_1100;
										}
									else
										{	/* Bdb/bdb_emit.scm 182 */
											bool_t BgL__ortest_3715z00_1101;

											BgL__ortest_3715z00_1101 =
												(
												((obj_t) BgL_tz00_1099) ==
												BGl_za2intza2z00zztype_cachez00);
											if (BgL__ortest_3715z00_1101)
												{	/* Bdb/bdb_emit.scm 182 */
													return BgL__ortest_3715z00_1101;
												}
											else
												{	/* Bdb/bdb_emit.scm 183 */
													bool_t BgL__ortest_3716z00_1102;

													BgL__ortest_3716z00_1102 =
														(
														((obj_t) BgL_tz00_1099) ==
														BGl_za2longza2z00zztype_cachez00);
													if (BgL__ortest_3716z00_1102)
														{	/* Bdb/bdb_emit.scm 183 */
															return BgL__ortest_3716z00_1102;
														}
													else
														{	/* Bdb/bdb_emit.scm 184 */
															bool_t BgL__ortest_3717z00_1103;

															BgL__ortest_3717z00_1103 =
																(
																((obj_t) BgL_tz00_1099) ==
																BGl_za2boolza2z00zztype_cachez00);
															if (BgL__ortest_3717z00_1103)
																{	/* Bdb/bdb_emit.scm 184 */
																	return BgL__ortest_3717z00_1103;
																}
															else
																{	/* Bdb/bdb_emit.scm 185 */
																	bool_t BgL__ortest_3718z00_1104;

																	BgL__ortest_3718z00_1104 =
																		(
																		((obj_t) BgL_tz00_1099) ==
																		BGl_za2realza2z00zztype_cachez00);
																	if (BgL__ortest_3718z00_1104)
																		{	/* Bdb/bdb_emit.scm 185 */
																			return BgL__ortest_3718z00_1104;
																		}
																	else
																		{	/* Bdb/bdb_emit.scm 186 */
																			bool_t BgL__ortest_3719z00_1105;

																			BgL__ortest_3719z00_1105 =
																				(
																				((obj_t) BgL_tz00_1099) ==
																				BGl_za2charza2z00zztype_cachez00);
																			if (BgL__ortest_3719z00_1105)
																				{	/* Bdb/bdb_emit.scm 186 */
																					return BgL__ortest_3719z00_1105;
																				}
																			else
																				{	/* Bdb/bdb_emit.scm 186 */
																					return
																						(
																						((obj_t) BgL_tz00_1099) ==
																						BGl_za2stringza2z00zztype_cachez00);
																				}
																		}
																}
														}
												}
										}
								}
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 190 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* bdb-emit-local-info! */
	obj_t BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(obj_t BgL_localz00_46)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 195 */
			if (BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(BgL_localz00_46))
				{	/* Bdb/bdb_emit.scm 196 */
					BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
						((BgL_variablez00_bglt) BgL_localz00_46));
					{	/* Bdb/bdb_emit.scm 199 */
						obj_t BgL_idz00_1109;
						obj_t BgL_namez00_1110;

						{	/* Bdb/bdb_emit.scm 199 */
							BgL_variablez00_bglt BgL_obj1605z00_1917;

							BgL_obj1605z00_1917 = ((BgL_variablez00_bglt) BgL_localz00_46);
							BgL_idz00_1109 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1605z00_1917)))->BgL_idz00);
						}
						{	/* Bdb/bdb_emit.scm 200 */
							BgL_variablez00_bglt BgL_obj1606z00_1918;

							BgL_obj1606z00_1918 = ((BgL_variablez00_bglt) BgL_localz00_46);
							BgL_namez00_1110 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_obj1606z00_1918)))->BgL_namez00);
						}
						{	/* Bdb/bdb_emit.scm 201 */
							obj_t BgL_port3784z00_1111;

							BgL_port3784z00_1111 = BGl_za2czd2portza2zd2zzbdb_emitz00;
							BGL_DISPLAY_STRING(BGl_string4054z00zzbdb_emitz00,
								BgL_port3784z00_1111);
							bgl_display_obj(BgL_idz00_1109, BgL_port3784z00_1111);
							BGL_DISPLAY_STRING(BGl_string4035z00zzbdb_emitz00,
								BgL_port3784z00_1111);
							bgl_display_obj(BgL_namez00_1110, BgL_port3784z00_1111);
							BGL_DISPLAY_STRING(BGl_string4052z00zzbdb_emitz00,
								BgL_port3784z00_1111);
							return bgl_display_char(((unsigned char) '\n'),
								BgL_port3784z00_1111);
				}}}
			else
				{	/* Bdb/bdb_emit.scm 196 */
					return BFALSE;
				}
		}
	}



/* bdb*! */
	obj_t BGl_bdbza2z12zb0zzbdb_emitz00(obj_t BgL_nodesz00_63)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 333 */
			{
				obj_t BgL_hookz00_1113;

				BgL_hookz00_1113 = BgL_nodesz00_63;
			BgL_zc3anonymousza33896ze3z83_1114:
				if (NULLP(BgL_hookz00_1113))
					{	/* Bdb/bdb_emit.scm 335 */
						return CNST_TABLE_REF(((long) 5));
					}
				else
					{	/* Bdb/bdb_emit.scm 335 */
						{	/* Bdb/bdb_emit.scm 338 */
							obj_t BgL_arg3898z00_1116;

							BgL_arg3898z00_1116 = CAR(BgL_hookz00_1113);
							BGl_bdbz12z12zzbdb_emitz00(
								((BgL_nodez00_bglt) BgL_arg3898z00_1116));
						}
						{
							obj_t BgL_hookz00_2530;

							BgL_hookz00_2530 = CDR(BgL_hookz00_1113);
							BgL_hookz00_1113 = BgL_hookz00_2530;
							goto BgL_zc3anonymousza33896ze3z83_1114;
						}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_proc4055z00zzbdb_emitz00,
				BGl_nodez00zzast_nodez00, BGl_string4056z00zzbdb_emitz00);
		}
	}



/* &bdb!3794 */
	obj_t BGl_z62bdbz123794z70zzbdb_emitz00(obj_t BgL_envz00_2025,
		BgL_nodez00_bglt BgL_nodez00_2026)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 206 */
			return BUNSPEC;
		}
	}



/* bdb! */
	obj_t BGl_bdbz12z12zzbdb_emitz00(BgL_nodez00_bglt BgL_nodez00_47)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 206 */
			{	/* Bdb/bdb_emit.scm 206 */
				obj_t BgL_method3795z00_1560;

				{	/* Bdb/bdb_emit.scm 206 */
					obj_t BgL_res4019z00_1958;

					{	/* Bdb/bdb_emit.scm 206 */
						BgL_objectz00_bglt BgL_objz00_1930;

						BgL_objz00_1930 = ((BgL_objectz00_bglt) BgL_nodez00_47);
						{	/* Bdb/bdb_emit.scm 206 */
							long BgL_objzd2classzd2numz00_1931;

							{	/* Bdb/bdb_emit.scm 206 */
								long BgL_res4013z00_1934;

								BgL_res4013z00_1934 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1930);
								BgL_objzd2classzd2numz00_1931 = BgL_res4013z00_1934;
							}
							{	/* Bdb/bdb_emit.scm 206 */
								obj_t BgL_arg2545z00_1932;

								BgL_arg2545z00_1932 =
									PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00,
									(int) (((long) 1)));
								{	/* Bdb/bdb_emit.scm 206 */
									obj_t BgL_arrayz00_1935;
									int BgL_offsetz00_1936;

									BgL_arrayz00_1935 = BgL_arg2545z00_1932;
									BgL_offsetz00_1936 = (int) (BgL_objzd2classzd2numz00_1931);
									{	/* Bdb/bdb_emit.scm 206 */
										long BgL_offsetz00_1937;

										BgL_offsetz00_1937 =
											((long) (BgL_offsetz00_1936) - OBJECT_TYPE);
										{	/* Bdb/bdb_emit.scm 206 */
											long BgL_modz00_1938;

											{	/* Bdb/bdb_emit.scm 206 */
												int BgL_arg2547z00_1939;

												BgL_arg2547z00_1939 = (int) (((long) 16));
												{	/* Bdb/bdb_emit.scm 206 */
													long BgL_res4016z00_1949;

													{	/* Bdb/bdb_emit.scm 206 */
														long BgL_auxz00_2541;

														BgL_auxz00_2541 = (long) (BgL_arg2547z00_1939);
														BgL_res4016z00_1949 =
															(BgL_offsetz00_1937 / BgL_auxz00_2541);
													}
													BgL_modz00_1938 = BgL_res4016z00_1949;
											}}
											{	/* Bdb/bdb_emit.scm 206 */
												long BgL_restz00_1940;

												{	/* Bdb/bdb_emit.scm 206 */
													int BgL_arg2546z00_1941;

													BgL_arg2546z00_1941 = (int) (((long) 16));
													{	/* Bdb/bdb_emit.scm 206 */
														long BgL_res4018z00_1953;

														{	/* Bdb/bdb_emit.scm 206 */
															long BgL_auxz00_2545;

															BgL_auxz00_2545 = (long) (BgL_arg2546z00_1941);
															BgL_res4018z00_1953 =
																(BgL_offsetz00_1937 % BgL_auxz00_2545);
														}
														BgL_restz00_1940 = BgL_res4018z00_1953;
												}}
												{	/* Bdb/bdb_emit.scm 206 */

													BgL_res4019z00_1958 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1935,
															(int) (BgL_modz00_1938)),
														(int) (BgL_restz00_1940));
					}}}}}}}}
					BgL_method3795z00_1560 = BgL_res4019z00_1958;
				}
				return
					PROCEDURE_ENTRY(BgL_method3795z00_1560) (BgL_method3795z00_1560,
					((obj_t) BgL_nodez00_47), BEOA);
			}
		}
	}



/* &bdb! */
	obj_t BGl_z62bdbz12z70zzbdb_emitz00(obj_t BgL_envz00_2027,
		obj_t BgL_nodez00_2028)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 206 */
			return BGl_bdbz12z12zzbdb_emitz00(((BgL_nodez00_bglt) BgL_nodez00_2028));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4057z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_externz00zzast_nodez00,
				BGl_proc4059z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_castz00zzast_nodez00,
				BGl_proc4060z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_setqz00zzast_nodez00,
				BGl_proc4061z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4062z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_failz00zzast_nodez00,
				BGl_proc4063z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_selectz00zzast_nodez00,
				BGl_proc4064z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4065z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4066z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4067z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4068z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4069z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4070z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4071z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4072z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_appz00zzast_nodez00,
				BGl_proc4073z00zzbdb_emitz00, BGl_string4058z00zzbdb_emitz00);
		}
	}



/* &bdb!-app3827 */
	obj_t BGl_z62bdbz12zd2app3827za2zzbdb_emitz00(obj_t BgL_envz00_2045,
		BgL_appz00_bglt BgL_nodez00_2046)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 344 */
			{
				BgL_appz00_bglt BgL_nodez00_1687;

				BgL_nodez00_1687 = BgL_nodez00_2046;
				{	/* Bdb/bdb_emit.scm 345 */
					obj_t BgL_arg3988z00_2016;

					BgL_arg3988z00_2016 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1687)))->BgL_argsz00);
					return BGl_bdbza2z12zb0zzbdb_emitz00(BgL_arg3988z00_2016);
				}
			}
		}
	}



/* &bdb!-funcall3825 */
	obj_t BGl_z62bdbz12zd2funcall3825za2zzbdb_emitz00(obj_t BgL_envz00_2047,
		BgL_funcallz00_bglt BgL_nodez00_2048)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 325 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1680;

				BgL_nodez00_1680 = BgL_nodez00_2048;
				{	/* Bdb/bdb_emit.scm 327 */
					BgL_nodez00_bglt BgL_arg3986z00_1684;

					BgL_arg3986z00_1684 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1680)))->BgL_funz00);
					BGl_bdbz12z12zzbdb_emitz00(BgL_arg3986z00_1684);
				}
				{	/* Bdb/bdb_emit.scm 328 */
					obj_t BgL_arg3987z00_1685;

					BgL_arg3987z00_1685 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1680)))->BgL_argsz00);
					return BGl_bdbza2z12zb0zzbdb_emitz00(BgL_arg3987z00_1685);
				}
			}
		}
	}



/* &bdb!-app-ly3823 */
	obj_t BGl_z62bdbz12zd2appzd2ly3823z70zzbdb_emitz00(obj_t BgL_envz00_2049,
		BgL_appzd2lyzd2_bglt BgL_nodez00_2050)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 317 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1673;

				BgL_nodez00_1673 = BgL_nodez00_2050;
				{	/* Bdb/bdb_emit.scm 319 */
					BgL_nodez00_bglt BgL_arg3984z00_1677;

					BgL_arg3984z00_1677 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1673)))->BgL_funz00);
					BGl_bdbz12z12zzbdb_emitz00(BgL_arg3984z00_1677);
				}
				{	/* Bdb/bdb_emit.scm 320 */
					BgL_nodez00_bglt BgL_arg3985z00_1678;

					BgL_arg3985z00_1678 =
						(((BgL_appzd2lyzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1673)))->BgL_argz00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3985z00_1678);
				}
			}
		}
	}



/* &bdb!-box-set!3821 */
	obj_t BGl_z62bdbz12zd2boxzd2setz123821z62zzbdb_emitz00(obj_t BgL_envz00_2051,
		BgL_boxzd2setz12zc0_bglt BgL_nodez00_2052)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 310 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1667;

				BgL_nodez00_1667 = BgL_nodez00_2052;
				{	/* Bdb/bdb_emit.scm 311 */
					BgL_nodez00_bglt BgL_arg3983z00_2009;

					BgL_arg3983z00_2009 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(
								((obj_t) BgL_nodez00_1667)))->BgL_valuez00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3983z00_2009);
				}
			}
		}
	}



/* &bdb!-make-box3819 */
	obj_t BGl_z62bdbz12zd2makezd2box3819z70zzbdb_emitz00(obj_t BgL_envz00_2053,
		BgL_makezd2boxzd2_bglt BgL_nodez00_2054)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 303 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1661;

				BgL_nodez00_1661 = BgL_nodez00_2054;
				{	/* Bdb/bdb_emit.scm 304 */
					BgL_nodez00_bglt BgL_arg3982z00_2006;

					BgL_arg3982z00_2006 =
						(((BgL_makezd2boxzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1661)))->BgL_valuez00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3982z00_2006);
				}
			}
		}
	}



/* &bdb!-jump-ex-it3817 */
	obj_t BGl_z62bdbz12zd2jumpzd2exzd2it3817za2zzbdb_emitz00(obj_t
		BgL_envz00_2055, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2056)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 295 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1654;

				BgL_nodez00_1654 = BgL_nodez00_2056;
				{	/* Bdb/bdb_emit.scm 297 */
					BgL_nodez00_bglt BgL_arg3980z00_1658;

					BgL_arg3980z00_1658 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1654)))->BgL_exitz00);
					BGl_bdbz12z12zzbdb_emitz00(BgL_arg3980z00_1658);
				}
				{	/* Bdb/bdb_emit.scm 298 */
					BgL_nodez00_bglt BgL_arg3981z00_1659;

					BgL_arg3981z00_1659 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1654)))->BgL_valuez00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3981z00_1659);
				}
			}
		}
	}



/* &bdb!-set-ex-it3815 */
	obj_t BGl_z62bdbz12zd2setzd2exzd2it3815za2zzbdb_emitz00(obj_t BgL_envz00_2057,
		BgL_setzd2exzd2itz00_bglt BgL_nodez00_2058)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 288 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1648;

				BgL_nodez00_1648 = BgL_nodez00_2058;
				{	/* Bdb/bdb_emit.scm 289 */
					BgL_nodez00_bglt BgL_arg3979z00_2001;

					BgL_arg3979z00_2001 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(
								((obj_t) BgL_nodez00_1648)))->BgL_bodyz00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3979z00_2001);
				}
			}
		}
	}



/* &bdb!-let-var3813 */
	obj_t BGl_z62bdbz12zd2letzd2var3813z70zzbdb_emitz00(obj_t BgL_envz00_2059,
		BgL_letzd2varzd2_bglt BgL_nodez00_2060)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 276 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1631;

				BgL_nodez00_1631 = BgL_nodez00_2060;
				{	/* Bdb/bdb_emit.scm 278 */
					obj_t BgL_g3793z00_1635;

					BgL_g3793z00_1635 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1631)))->BgL_bindingsz00);
					{
						obj_t BgL_l3791z00_1637;

						BgL_l3791z00_1637 = BgL_g3793z00_1635;
					BgL_zc3anonymousza33973ze3z83_1638:
						if (PAIRP(BgL_l3791z00_1637))
							{	/* Bdb/bdb_emit.scm 278 */
								{	/* Bdb/bdb_emit.scm 279 */
									obj_t BgL_bindingz00_1640;

									BgL_bindingz00_1640 = CAR(BgL_l3791z00_1637);
									{	/* Bdb/bdb_emit.scm 280 */
										obj_t BgL_arg3975z00_1642;

										BgL_arg3975z00_1642 = CDR(BgL_bindingz00_1640);
										BGl_bdbz12z12zzbdb_emitz00(
											((BgL_nodez00_bglt) BgL_arg3975z00_1642));
									}
									BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(CAR
										(BgL_bindingz00_1640));
								}
								{
									obj_t BgL_l3791z00_2615;

									BgL_l3791z00_2615 = CDR(BgL_l3791z00_1637);
									BgL_l3791z00_1637 = BgL_l3791z00_2615;
									goto BgL_zc3anonymousza33973ze3z83_1638;
								}
							}
						else
							{	/* Bdb/bdb_emit.scm 278 */
								((bool_t) 1);
							}
					}
				}
				{	/* Bdb/bdb_emit.scm 283 */
					BgL_nodez00_bglt BgL_arg3978z00_1646;

					BgL_arg3978z00_1646 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1631)))->BgL_bodyz00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3978z00_1646);
				}
			}
		}
	}



/* &bdb!-let-fun3811 */
	obj_t BGl_z62bdbz12zd2letzd2fun3811z70zzbdb_emitz00(obj_t BgL_envz00_2061,
		BgL_letzd2funzd2_bglt BgL_nodez00_2062)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 266 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1616;

				BgL_nodez00_1616 = BgL_nodez00_2062;
				{	/* Bdb/bdb_emit.scm 268 */
					obj_t BgL_g3790z00_1620;

					BgL_g3790z00_1620 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1616)))->BgL_localsz00);
					{
						obj_t BgL_l3788z00_1622;

						BgL_l3788z00_1622 = BgL_g3790z00_1620;
					BgL_zc3anonymousza33968ze3z83_1623:
						if (PAIRP(BgL_l3788z00_1622))
							{	/* Bdb/bdb_emit.scm 268 */
								{	/* Bdb/bdb_emit.scm 269 */
									obj_t BgL_localz00_1625;

									BgL_localz00_1625 = CAR(BgL_l3788z00_1622);
									{	/* Bdb/bdb_emit.scm 269 */
										BgL_valuez00_bglt BgL_arg3970z00_1626;

										{	/* Bdb/bdb_emit.scm 269 */
											BgL_variablez00_bglt BgL_obj1612z00_1988;

											BgL_obj1612z00_1988 =
												((BgL_variablez00_bglt) BgL_localz00_1625);
											BgL_arg3970z00_1626 =
												(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1988)))->BgL_valuez00);
										}
										BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_arg3970z00_1626);
									}
								}
								{
									obj_t BgL_l3788z00_2629;

									BgL_l3788z00_2629 = CDR(BgL_l3788z00_1622);
									BgL_l3788z00_1622 = BgL_l3788z00_2629;
									goto BgL_zc3anonymousza33968ze3z83_1623;
								}
							}
						else
							{	/* Bdb/bdb_emit.scm 268 */
								((bool_t) 1);
							}
					}
				}
				{	/* Bdb/bdb_emit.scm 271 */
					BgL_nodez00_bglt BgL_arg3972z00_1629;

					BgL_arg3972z00_1629 =
						(((BgL_letzd2funzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1616)))->BgL_bodyz00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3972z00_1629);
				}
			}
		}
	}



/* &bdb!-select3809 */
	obj_t BGl_z62bdbz12zd2select3809za2zzbdb_emitz00(obj_t BgL_envz00_2063,
		BgL_selectz00_bglt BgL_nodez00_2064)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 258 */
			{
				BgL_selectz00_bglt BgL_nodez00_1601;

				{	/* Bdb/bdb_emit.scm 259 */
					bool_t BgL_auxz00_2634;

					BgL_nodez00_1601 = BgL_nodez00_2064;
					{	/* Bdb/bdb_emit.scm 260 */
						BgL_nodez00_bglt BgL_arg3963z00_1605;

						BgL_arg3963z00_1605 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1601)))->BgL_testz00);
						BGl_bdbz12z12zzbdb_emitz00(BgL_arg3963z00_1605);
					}
					{	/* Bdb/bdb_emit.scm 261 */
						obj_t BgL_g3787z00_1606;

						BgL_g3787z00_1606 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1601)))->BgL_clausesz00);
						{
							obj_t BgL_l3785z00_1608;

							BgL_l3785z00_1608 = BgL_g3787z00_1606;
						BgL_zc3anonymousza33964ze3z83_1609:
							if (PAIRP(BgL_l3785z00_1608))
								{	/* Bdb/bdb_emit.scm 261 */
									{	/* Bdb/bdb_emit.scm 261 */
										obj_t BgL_clausez00_1611;

										BgL_clausez00_1611 = CAR(BgL_l3785z00_1608);
										{	/* Bdb/bdb_emit.scm 261 */
											obj_t BgL_arg3966z00_1612;

											BgL_arg3966z00_1612 = CDR(BgL_clausez00_1611);
											BGl_bdbz12z12zzbdb_emitz00(
												((BgL_nodez00_bglt) BgL_arg3966z00_1612));
										}
									}
									{
										obj_t BgL_l3785z00_2646;

										BgL_l3785z00_2646 = CDR(BgL_l3785z00_1608);
										BgL_l3785z00_1608 = BgL_l3785z00_2646;
										goto BgL_zc3anonymousza33964ze3z83_1609;
									}
								}
							else
								{	/* Bdb/bdb_emit.scm 261 */
									BgL_auxz00_2634 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2634);
				}
			}
		}
	}



/* &bdb!-fail3807 */
	obj_t BGl_z62bdbz12zd2fail3807za2zzbdb_emitz00(obj_t BgL_envz00_2065,
		BgL_failz00_bglt BgL_nodez00_2066)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 249 */
			{
				BgL_failz00_bglt BgL_nodez00_1593;

				BgL_nodez00_1593 = BgL_nodez00_2066;
				{	/* Bdb/bdb_emit.scm 251 */
					BgL_nodez00_bglt BgL_arg3960z00_1597;

					BgL_arg3960z00_1597 =
						(((BgL_failz00_bglt) CREF(
								((obj_t) BgL_nodez00_1593)))->BgL_procz00);
					BGl_bdbz12z12zzbdb_emitz00(BgL_arg3960z00_1597);
				}
				{	/* Bdb/bdb_emit.scm 252 */
					BgL_nodez00_bglt BgL_arg3961z00_1598;

					BgL_arg3961z00_1598 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1593)))->BgL_msgz00);
					BGl_bdbz12z12zzbdb_emitz00(BgL_arg3961z00_1598);
				}
				{	/* Bdb/bdb_emit.scm 253 */
					BgL_nodez00_bglt BgL_arg3962z00_1599;

					BgL_arg3962z00_1599 =
						(((BgL_failz00_bglt) CREF(((obj_t) BgL_nodez00_1593)))->BgL_objz00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3962z00_1599);
				}
			}
		}
	}



/* &bdb!-conditional3805 */
	obj_t BGl_z62bdbz12zd2conditional3805za2zzbdb_emitz00(obj_t BgL_envz00_2067,
		BgL_conditionalz00_bglt BgL_nodez00_2068)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 240 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1585;

				BgL_nodez00_1585 = BgL_nodez00_2068;
				{	/* Bdb/bdb_emit.scm 242 */
					BgL_nodez00_bglt BgL_arg3957z00_1589;

					BgL_arg3957z00_1589 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1585)))->BgL_testz00);
					BGl_bdbz12z12zzbdb_emitz00(BgL_arg3957z00_1589);
				}
				{	/* Bdb/bdb_emit.scm 243 */
					BgL_nodez00_bglt BgL_arg3958z00_1590;

					BgL_arg3958z00_1590 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1585)))->BgL_truez00);
					BGl_bdbz12z12zzbdb_emitz00(BgL_arg3958z00_1590);
				}
				{	/* Bdb/bdb_emit.scm 244 */
					BgL_nodez00_bglt BgL_arg3959z00_1591;

					BgL_arg3959z00_1591 =
						(((BgL_conditionalz00_bglt) CREF(
								((obj_t) BgL_nodez00_1585)))->BgL_falsez00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3959z00_1591);
				}
			}
		}
	}



/* &bdb!-setq3803 */
	obj_t BGl_z62bdbz12zd2setq3803za2zzbdb_emitz00(obj_t BgL_envz00_2069,
		BgL_setqz00_bglt BgL_nodez00_2070)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 233 */
			{
				BgL_setqz00_bglt BgL_nodez00_1579;

				BgL_nodez00_1579 = BgL_nodez00_2070;
				{	/* Bdb/bdb_emit.scm 234 */
					BgL_nodez00_bglt BgL_arg3956z00_1969;

					BgL_arg3956z00_1969 =
						(((BgL_setqz00_bglt) CREF(
								((obj_t) BgL_nodez00_1579)))->BgL_valuez00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3956z00_1969);
				}
			}
		}
	}



/* &bdb!-cast3801 */
	obj_t BGl_z62bdbz12zd2cast3801za2zzbdb_emitz00(obj_t BgL_envz00_2071,
		BgL_castz00_bglt BgL_nodez00_2072)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 226 */
			{
				BgL_castz00_bglt BgL_nodez00_1573;

				BgL_nodez00_1573 = BgL_nodez00_2072;
				{	/* Bdb/bdb_emit.scm 227 */
					BgL_nodez00_bglt BgL_arg3955z00_1966;

					BgL_arg3955z00_1966 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1573)))->BgL_argz00);
					return BGl_bdbz12z12zzbdb_emitz00(BgL_arg3955z00_1966);
				}
			}
		}
	}



/* &bdb!-extern3799 */
	obj_t BGl_z62bdbz12zd2extern3799za2zzbdb_emitz00(obj_t BgL_envz00_2073,
		BgL_externz00_bglt BgL_nodez00_2074)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 219 */
			{
				BgL_externz00_bglt BgL_nodez00_1567;

				BgL_nodez00_1567 = BgL_nodez00_2074;
				{	/* Bdb/bdb_emit.scm 220 */
					obj_t BgL_arg3954z00_1963;

					BgL_arg3954z00_1963 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1567)))->BgL_exprza2za2);
					return BGl_bdbza2z12zb0zzbdb_emitz00(BgL_arg3954z00_1963);
				}
			}
		}
	}



/* &bdb!-sequence3797 */
	obj_t BGl_z62bdbz12zd2sequence3797za2zzbdb_emitz00(obj_t BgL_envz00_2075,
		BgL_sequencez00_bglt BgL_nodez00_2076)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 212 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1561;

				BgL_nodez00_1561 = BgL_nodez00_2076;
				{	/* Bdb/bdb_emit.scm 213 */
					obj_t BgL_arg3953z00_1960;

					BgL_arg3953z00_1960 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1561)))->BgL_nodesz00);
					return BGl_bdbza2z12zb0zzbdb_emitz00(BgL_arg3953z00_1960);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbdb_emitz00()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 485965945),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 234044111),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(((long) 272817175),
				BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)
					364917963), BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
			return BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long)
					395792377), BSTRING_TO_STRING(BGl_string4074z00zzbdb_emitz00));
		}
	}

#ifdef __cplusplus
}
#endif
