/*===========================================================================*/
/*   (Cfa/app.scm)                                                           */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/app.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;


	static BgL_approxz00_bglt BGl_z62cfaz12zd2app5122za2zzcfa_appz00(obj_t,
		BgL_appz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62appz12zd2externzd2sfunzf2Cin5128z82zzcfa_appz00(obj_t,
		BgL_externzd2sfunzf2cinfoz20_bglt, BgL_varz00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_appz00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62appz12zd2cfunzf2Cinfo5130z50zzcfa_appz00(obj_t,
		BgL_cfunzf2cinfozf2_bglt, BgL_varz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt, BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62appz12zd2internzd2sfunzf2Cin5126z82zzcfa_appz00(obj_t,
		BgL_internzd2sfunzf2cinfoz20_bglt, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_appz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_appz00();
	extern BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00
		(BgL_internzd2sfunzf2cinfoz20_bglt, obj_t);
	static obj_t BGl_z62appz125123z70zzcfa_appz00(obj_t, BgL_funz00_bglt,
		BgL_varz00_bglt, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_appz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_appz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_appz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_appz00();
	static BgL_approxz00_bglt BGl_z62appz12z70zzcfa_appz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_appz12zd2envzc0zzcfa_appz00,
		BgL_bgl_za762appza712za770za7za7cf5314za7, BGl_z62appz12z70zzcfa_appz00, 0L,
		BUNSPEC, 3);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5300z00zzcfa_appz00,
		BgL_bgl_za762appza7125123za7705315za7, BGl_z62appz125123z70zzcfa_appz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5304z00zzcfa_appz00,
		BgL_bgl_za762cfaza712za7d2app55316za7,
		BGl_z62cfaz12zd2app5122za2zzcfa_appz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5306z00zzcfa_appz00,
		BgL_bgl_za762appza712za7d2inte5317za7,
		BGl_z62appz12zd2internzd2sfunzf2Cin5126z82zzcfa_appz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5307z00zzcfa_appz00,
		BgL_bgl_za762appza712za7d2exte5318za7,
		BGl_z62appz12zd2externzd2sfunzf2Cin5128z82zzcfa_appz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5308z00zzcfa_appz00,
		BgL_bgl_za762appza712za7d2cfun5319za7,
		BGl_z62appz12zd2cfunzf2Cinfo5130z50zzcfa_appz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string5301z00zzcfa_appz00,
		BgL_bgl_string5301za700za7za7c5320za7, "app!5123", 8);
	      DEFINE_STRING(BGl_string5302z00zzcfa_appz00,
		BgL_bgl_string5302za700za7za7c5321za7, "app!", 4);
	      DEFINE_STRING(BGl_string5303z00zzcfa_appz00,
		BgL_bgl_string5303za700za7za7c5322za7, "No method for this function", 27);
	      DEFINE_STRING(BGl_string5305z00zzcfa_appz00,
		BgL_bgl_string5305za700za7za7c5323za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string5309z00zzcfa_appz00,
		BgL_bgl_string5309za700za7za7c5324za7, "extern call", 11);
	      DEFINE_STRING(BGl_string5310z00zzcfa_appz00,
		BgL_bgl_string5310za700za7za7c5325za7, "cfa_app", 7);
	      DEFINE_STRING(BGl_string5311z00zzcfa_appz00,
		BgL_bgl_string5311za700za7za7c5326za7, "static all ", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long
		BgL_checksumz00_2043, char *BgL_fromz00_2044)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_appz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_appz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_appz00();
					BGl_cnstzd2initzd2zzcfa_appz00();
					BGl_importedzd2moduleszd2initz00zzcfa_appz00();
					BGl_genericzd2initzd2zzcfa_appz00();
					BGl_methodzd2initzd2zzcfa_appz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_app");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			{	/* Cfa/app.scm 15 */
				obj_t BgL_cportz00_2035;

				BgL_cportz00_2035 =
					bgl_open_input_string(BGl_string5311z00zzcfa_appz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2036;

					BgL_iz00_2036 = ((long) 1);
				BgL_loopz00_2037:
					if ((BgL_iz00_2036 == ((long) -1)))
						{	/* Cfa/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/app.scm 15 */
							{	/* Cfa/app.scm 15 */
								obj_t BgL_arg5313z00_2039;

								{	/* Cfa/app.scm 15 */

									{	/* Cfa/app.scm 15 */
										obj_t BgL_locationz00_2041;

										BgL_locationz00_2041 = BBOOL(((bool_t) 0));
										{	/* Cfa/app.scm 15 */

											BgL_arg5313z00_2039 =
												BGl_readz00zz__readerz00(BgL_cportz00_2035,
												BgL_locationz00_2041);
										}
									}
								}
								{	/* Cfa/app.scm 15 */
									int BgL_auxz00_2061;

									BgL_auxz00_2061 = (int) (BgL_iz00_2036);
									CNST_TABLE_SET(BgL_auxz00_2061, BgL_arg5313z00_2039);
							}}
							{	/* Cfa/app.scm 15 */
								int BgL_auxz00_2042;

								BgL_auxz00_2042 = (int) ((BgL_iz00_2036 - ((long) 1)));
								{
									long BgL_iz00_2066;

									BgL_iz00_2066 = (long) (BgL_auxz00_2042);
									BgL_iz00_2036 = BgL_iz00_2066;
									goto BgL_loopz00_2037;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_appz12zd2envzc0zzcfa_appz00, BGl_proc5300z00zzcfa_appz00,
				BGl_funz00zzast_varz00, BGl_string5301z00zzcfa_appz00);
		}
	}



/* &app!5123 */
	obj_t BGl_z62appz125123z70zzcfa_appz00(obj_t BgL_envz00_1954,
		BgL_funz00_bglt BgL_funz00_1955, BgL_varz00_bglt BgL_varz00_1956,
		obj_t BgL_argszd2approxzd2_1957)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 47 */
			{
				BgL_funz00_bglt BgL_funz00_1742;
				BgL_varz00_bglt BgL_varz00_1743;
				obj_t BgL_argszd2approxzd2_1744;

				BgL_funz00_1742 = BgL_funz00_1955;
				BgL_varz00_1743 = BgL_varz00_1956;
				BgL_argszd2approxzd2_1744 = BgL_argszd2approxzd2_1957;
				{	/* Cfa/app.scm 48 */
					obj_t BgL_arg5234z00_1856;

					{	/* Cfa/app.scm 48 */
						obj_t BgL_arg5235z00_1857;

						BgL_arg5235z00_1857 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_1743));
						BgL_arg5234z00_1856 =
							MAKE_PAIR(((obj_t) BgL_funz00_1742), BgL_arg5235z00_1857);
					}
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string5302z00zzcfa_appz00, BGl_string5303z00zzcfa_appz00,
						BgL_arg5234z00_1856);
				}
			}
		}
	}



/* app! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt
		BgL_funz00_4, BgL_varz00_bglt BgL_varz00_5, obj_t BgL_argszd2approxzd2_6)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 47 */
			{	/* Cfa/app.scm 47 */
				obj_t BgL_method5124z00_1749;

				{	/* Cfa/app.scm 47 */
					obj_t BgL_res5287z00_1886;

					{	/* Cfa/app.scm 47 */
						BgL_objectz00_bglt BgL_objz00_1858;

						BgL_objz00_1858 = ((BgL_objectz00_bglt) BgL_funz00_4);
						{	/* Cfa/app.scm 47 */
							long BgL_objzd2classzd2numz00_1859;

							{	/* Cfa/app.scm 47 */
								long BgL_res5281z00_1862;

								BgL_res5281z00_1862 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1858);
								BgL_objzd2classzd2numz00_1859 = BgL_res5281z00_1862;
							}
							{	/* Cfa/app.scm 47 */
								obj_t BgL_arg2545z00_1860;

								BgL_arg2545z00_1860 =
									PROCEDURE_REF(BGl_appz12zd2envzc0zzcfa_appz00,
									(int) (((long) 1)));
								{	/* Cfa/app.scm 47 */
									obj_t BgL_arrayz00_1863;
									int BgL_offsetz00_1864;

									BgL_arrayz00_1863 = BgL_arg2545z00_1860;
									BgL_offsetz00_1864 = (int) (BgL_objzd2classzd2numz00_1859);
									{	/* Cfa/app.scm 47 */
										long BgL_offsetz00_1865;

										BgL_offsetz00_1865 =
											((long) (BgL_offsetz00_1864) - OBJECT_TYPE);
										{	/* Cfa/app.scm 47 */
											long BgL_modz00_1866;

											{	/* Cfa/app.scm 47 */
												int BgL_arg2547z00_1867;

												BgL_arg2547z00_1867 = (int) (((long) 16));
												{	/* Cfa/app.scm 47 */
													long BgL_res5284z00_1877;

													{	/* Cfa/app.scm 47 */
														long BgL_auxz00_2082;

														BgL_auxz00_2082 = (long) (BgL_arg2547z00_1867);
														BgL_res5284z00_1877 =
															(BgL_offsetz00_1865 / BgL_auxz00_2082);
													}
													BgL_modz00_1866 = BgL_res5284z00_1877;
											}}
											{	/* Cfa/app.scm 47 */
												long BgL_restz00_1868;

												{	/* Cfa/app.scm 47 */
													int BgL_arg2546z00_1869;

													BgL_arg2546z00_1869 = (int) (((long) 16));
													{	/* Cfa/app.scm 47 */
														long BgL_res5286z00_1881;

														{	/* Cfa/app.scm 47 */
															long BgL_auxz00_2086;

															BgL_auxz00_2086 = (long) (BgL_arg2546z00_1869);
															BgL_res5286z00_1881 =
																(BgL_offsetz00_1865 % BgL_auxz00_2086);
														}
														BgL_restz00_1868 = BgL_res5286z00_1881;
												}}
												{	/* Cfa/app.scm 47 */

													BgL_res5287z00_1886 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1863,
															(int) (BgL_modz00_1866)),
														(int) (BgL_restz00_1868));
					}}}}}}}}
					BgL_method5124z00_1749 = BgL_res5287z00_1886;
				}
				{	/* Cfa/app.scm 47 */
					obj_t BgL_xz00_1987;

					BgL_xz00_1987 =
						PROCEDURE_ENTRY(BgL_method5124z00_1749) (BgL_method5124z00_1749,
						((obj_t) BgL_funz00_4),
						((obj_t) BgL_varz00_5), BgL_argszd2approxzd2_6, BEOA);
					return ((BgL_approxz00_bglt) BgL_xz00_1987);
				}
			}
		}
	}



/* &app! */
	BgL_approxz00_bglt BGl_z62appz12z70zzcfa_appz00(obj_t BgL_envz00_1958,
		obj_t BgL_funz00_1959, obj_t BgL_varz00_1960,
		obj_t BgL_argszd2approxzd2_1961)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 47 */
			return
				BGl_appz12z12zzcfa_appz00(
				((BgL_funz00_bglt) BgL_funz00_1959),
				((BgL_varz00_bglt) BgL_varz00_1960), BgL_argszd2approxzd2_1961);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_appz00zzast_nodez00,
				BGl_proc5304z00zzcfa_appz00, BGl_string5305z00zzcfa_appz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_appz12zd2envzc0zzcfa_appz00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc5306z00zzcfa_appz00,
				BGl_string5302z00zzcfa_appz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_appz12zd2envzc0zzcfa_appz00,
				BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc5307z00zzcfa_appz00,
				BGl_string5302z00zzcfa_appz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_appz12zd2envzc0zzcfa_appz00, BGl_cfunzf2Cinfozf2zzcfa_infoz00,
				BGl_proc5308z00zzcfa_appz00, BGl_string5302z00zzcfa_appz00);
		}
	}



/* &app!-cfun/Cinfo5130 */
	BgL_approxz00_bglt BGl_z62appz12zd2cfunzf2Cinfo5130z50zzcfa_appz00(obj_t
		BgL_envz00_1966, BgL_cfunzf2cinfozf2_bglt BgL_funz00_1967,
		BgL_varz00_bglt BgL_varz00_1968, obj_t BgL_argszd2approxzd2_1969)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 107 */
			{
				BgL_cfunzf2cinfozf2_bglt BgL_funz00_1834;
				BgL_varz00_bglt BgL_varz00_1835;
				obj_t BgL_argszd2approxzd2_1836;

				BgL_funz00_1834 = BgL_funz00_1967;
				BgL_varz00_1835 = BgL_varz00_1968;
				BgL_argszd2approxzd2_1836 = BgL_argszd2approxzd2_1969;
				{	/* Cfa/app.scm 113 */
					bool_t BgL_testz00_2109;

					{	/* Cfa/app.scm 113 */
						BgL_funz00_bglt BgL_obj1864z00_1943;

						BgL_obj1864z00_1943 = ((BgL_funz00_bglt) BgL_funz00_1834);
						BgL_testz00_2109 =
							(((BgL_funz00_bglt) CREF(
									((obj_t) BgL_obj1864z00_1943)))->BgL_topzf3zf3);
					}
					if (BgL_testz00_2109)
						{
							obj_t BgL_l5117z00_1842;

							BgL_l5117z00_1842 = BgL_argszd2approxzd2_1836;
						BgL_zc3anonymousza35275ze3z83_1843:
							if (PAIRP(BgL_l5117z00_1842))
								{	/* Cfa/app.scm 114 */
									{	/* Cfa/app.scm 114 */
										obj_t BgL_az00_1845;

										BgL_az00_1845 = CAR(BgL_l5117z00_1842);
										BGl_loosez12z12zzcfa_loosez00(
											((BgL_approxz00_bglt) BgL_az00_1845),
											CNST_TABLE_REF(((long) 0)));
									}
									{
										obj_t BgL_l5117z00_2119;

										BgL_l5117z00_2119 = CDR(BgL_l5117z00_1842);
										BgL_l5117z00_1842 = BgL_l5117z00_2119;
										goto BgL_zc3anonymousza35275ze3z83_1843;
									}
								}
							else
								{	/* Cfa/app.scm 114 */
									((bool_t) 1);
								}
						}
					else
						{
							obj_t BgL_l5119z00_1849;

							BgL_l5119z00_1849 = BgL_argszd2approxzd2_1836;
						BgL_zc3anonymousza35278ze3z83_1850:
							if (PAIRP(BgL_l5119z00_1849))
								{	/* Cfa/app.scm 116 */
									{	/* Cfa/app.scm 116 */
										obj_t BgL_az00_1852;

										BgL_az00_1852 = CAR(BgL_l5119z00_1849);
										BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(
											((BgL_approxz00_bglt) BgL_az00_1852),
											BGl_string5309z00zzcfa_appz00);
									}
									{
										obj_t BgL_l5119z00_2126;

										BgL_l5119z00_2126 = CDR(BgL_l5119z00_1849);
										BgL_l5119z00_1849 = BgL_l5119z00_2126;
										goto BgL_zc3anonymousza35278ze3z83_1850;
									}
								}
							else
								{	/* Cfa/app.scm 116 */
									((bool_t) 1);
								}
						}
				}
				{
					obj_t BgL_auxz00_2128;

					{	/* Cfa/app.scm 121 */
						BgL_objectz00_bglt BgL_auxz00_2129;

						BgL_auxz00_2129 = ((BgL_objectz00_bglt) BgL_funz00_1834);
						BgL_auxz00_2128 = BGL_OBJECT_WIDENING(BgL_auxz00_2129);
					}
					return
						(((BgL_cfunzf2cinfozf2_bglt) CREF(BgL_auxz00_2128))->BgL_approxz00);
				}
			}
		}
	}



/* &app!-extern-sfun/Cin5128 */
	BgL_approxz00_bglt
		BGl_z62appz12zd2externzd2sfunzf2Cin5128z82zzcfa_appz00(obj_t
		BgL_envz00_1970, BgL_externzd2sfunzf2cinfoz20_bglt BgL_funz00_1971,
		BgL_varz00_bglt BgL_varz00_1972, obj_t BgL_argszd2approxzd2_1973)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 85 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_funz00_1807;
				BgL_varz00_bglt BgL_varz00_1808;
				obj_t BgL_argszd2approxzd2_1809;

				BgL_funz00_1807 = BgL_funz00_1971;
				BgL_varz00_1808 = BgL_varz00_1972;
				BgL_argszd2approxzd2_1809 = BgL_argszd2approxzd2_1973;
				{	/* Cfa/app.scm 90 */
					bool_t BgL_testz00_2133;

					{	/* Cfa/app.scm 90 */
						BgL_funz00_bglt BgL_obj1864z00_1927;

						BgL_obj1864z00_1927 = ((BgL_funz00_bglt) BgL_funz00_1807);
						BgL_testz00_2133 =
							(((BgL_funz00_bglt) CREF(
									((obj_t) BgL_obj1864z00_1927)))->BgL_topzf3zf3);
					}
					if (BgL_testz00_2133)
						{
							obj_t BgL_l5113z00_1815;

							BgL_l5113z00_1815 = BgL_argszd2approxzd2_1809;
						BgL_zc3anonymousza35264ze3z83_1816:
							if (PAIRP(BgL_l5113z00_1815))
								{	/* Cfa/app.scm 92 */
									{	/* Cfa/app.scm 92 */
										obj_t BgL_az00_1818;

										BgL_az00_1818 = CAR(BgL_l5113z00_1815);
										BGl_loosez12z12zzcfa_loosez00(
											((BgL_approxz00_bglt) BgL_az00_1818),
											CNST_TABLE_REF(((long) 0)));
									}
									{
										obj_t BgL_l5113z00_2143;

										BgL_l5113z00_2143 = CDR(BgL_l5113z00_1815);
										BgL_l5113z00_1815 = BgL_l5113z00_2143;
										goto BgL_zc3anonymousza35264ze3z83_1816;
									}
								}
							else
								{	/* Cfa/app.scm 92 */
									((bool_t) 1);
								}
						}
					else
						{
							obj_t BgL_l5115z00_1822;

							BgL_l5115z00_1822 = BgL_argszd2approxzd2_1809;
						BgL_zc3anonymousza35267ze3z83_1823:
							if (PAIRP(BgL_l5115z00_1822))
								{	/* Cfa/app.scm 94 */
									{	/* Cfa/app.scm 94 */
										obj_t BgL_az00_1825;

										BgL_az00_1825 = CAR(BgL_l5115z00_1822);
										BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(
											((BgL_approxz00_bglt) BgL_az00_1825),
											BGl_string5309z00zzcfa_appz00);
									}
									{
										obj_t BgL_l5115z00_2150;

										BgL_l5115z00_2150 = CDR(BgL_l5115z00_1822);
										BgL_l5115z00_1822 = BgL_l5115z00_2150;
										goto BgL_zc3anonymousza35267ze3z83_1823;
									}
								}
							else
								{	/* Cfa/app.scm 94 */
									((bool_t) 1);
								}
						}
				}
				{	/* Cfa/app.scm 95 */
					bool_t BgL_testz00_2152;

					{
						obj_t BgL_auxz00_2153;

						{	/* Cfa/app.scm 95 */
							BgL_objectz00_bglt BgL_auxz00_2154;

							BgL_auxz00_2154 = ((BgL_objectz00_bglt) BgL_funz00_1807);
							BgL_auxz00_2153 = BGL_OBJECT_WIDENING(BgL_auxz00_2154);
						}
						BgL_testz00_2152 =
							(((BgL_externzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_2153))->
							BgL_polymorphiczf3zf3);
					}
					if (BgL_testz00_2152)
						{	/* Cfa/app.scm 96 */
							BgL_approxz00_bglt BgL_instance5099z00_1829;

							{
								obj_t BgL_auxz00_2158;

								{	/* Cfa/app.scm 97 */
									BgL_objectz00_bglt BgL_auxz00_2159;

									BgL_auxz00_2159 = ((BgL_objectz00_bglt) BgL_funz00_1807);
									BgL_auxz00_2158 = BGL_OBJECT_WIDENING(BgL_auxz00_2159);
								}
								BgL_instance5099z00_1829 =
									(((BgL_externzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_2158))->
									BgL_approxz00);
							}
							{	/* Cfa/app.scm 97 */
								BgL_typez00_bglt BgL_arg5271z00_1830;

								{	/* Cfa/app.scm 97 */
									BgL_typez00_bglt BgL_arg5272z00_1831;

									{	/* Cfa/app.scm 97 */
										BgL_approxz00_bglt BgL_obj3366z00_1939;

										{
											obj_t BgL_auxz00_2163;

											{	/* Cfa/app.scm 97 */
												BgL_objectz00_bglt BgL_auxz00_2164;

												BgL_auxz00_2164 =
													((BgL_objectz00_bglt) BgL_funz00_1807);
												BgL_auxz00_2163 = BGL_OBJECT_WIDENING(BgL_auxz00_2164);
											}
											BgL_obj3366z00_1939 =
												(((BgL_externzd2sfunzf2cinfoz20_bglt)
													CREF(BgL_auxz00_2163))->BgL_approxz00);
										}
										BgL_arg5272z00_1831 =
											(((BgL_approxz00_bglt) CREF(
													((obj_t) BgL_obj3366z00_1939)))->BgL_typez00);
									}
									BgL_arg5271z00_1830 =
										BGl_getzd2bigloozd2typez00zztype_cachez00
										(BgL_arg5272z00_1831);
								}
								((((BgL_approxz00_bglt) CREF(
												((obj_t) BgL_instance5099z00_1829)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg5271z00_1830), BUNSPEC);
							}
						}
					else
						{	/* Cfa/app.scm 95 */
							BFALSE;
						}
				}
				{
					obj_t BgL_auxz00_2173;

					{	/* Cfa/app.scm 102 */
						BgL_objectz00_bglt BgL_auxz00_2174;

						BgL_auxz00_2174 = ((BgL_objectz00_bglt) BgL_funz00_1807);
						BgL_auxz00_2173 = BGL_OBJECT_WIDENING(BgL_auxz00_2174);
					}
					return
						(((BgL_externzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_2173))->
						BgL_approxz00);
				}
			}
		}
	}



/* &app!-intern-sfun/Cin5126 */
	BgL_approxz00_bglt
		BGl_z62appz12zd2internzd2sfunzf2Cin5126z82zzcfa_appz00(obj_t
		BgL_envz00_1974, BgL_internzd2sfunzf2cinfoz20_bglt BgL_funz00_1975,
		BgL_varz00_bglt BgL_varz00_1976, obj_t BgL_argszd2approxzd2_1977)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 53 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_funz00_1776;
				BgL_varz00_bglt BgL_varz00_1777;
				obj_t BgL_argszd2approxzd2_1778;

				BgL_funz00_1776 = BgL_funz00_1975;
				BgL_varz00_1777 = BgL_varz00_1976;
				BgL_argszd2approxzd2_1778 = BgL_argszd2approxzd2_1977;
				{	/* Cfa/app.scm 60 */
					obj_t BgL_g5112z00_1782;

					{	/* Cfa/app.scm 60 */
						BgL_sfunz00_bglt BgL_obj1920z00_1908;

						BgL_obj1920z00_1908 = ((BgL_sfunz00_bglt) BgL_funz00_1776);
						BgL_g5112z00_1782 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_obj1920z00_1908)))->BgL_argsz00);
					}
					{
						obj_t BgL_ll5109z00_1784;
						obj_t BgL_ll5110z00_1785;

						BgL_ll5109z00_1784 = BgL_g5112z00_1782;
						BgL_ll5110z00_1785 = BgL_argszd2approxzd2_1778;
					BgL_zc3anonymousza35248ze3z83_1786:
						if (NULLP(BgL_ll5109z00_1784))
							{	/* Cfa/app.scm 60 */
								((bool_t) 1);
							}
						else
							{	/* Cfa/app.scm 60 */
								{	/* Cfa/app.scm 61 */
									obj_t BgL_formalz00_1788;
									obj_t BgL_approxz00_1789;

									BgL_formalz00_1788 = CAR(BgL_ll5109z00_1784);
									BgL_approxz00_1789 = CAR(BgL_ll5110z00_1785);
									{	/* Cfa/app.scm 61 */
										BgL_approxz00_bglt BgL_arg5250z00_1790;

										{	/* Cfa/app.scm 61 */
											BgL_svarzf2cinfozf2_bglt BgL_obj3653z00_1914;

											{	/* Cfa/app.scm 61 */
												BgL_variablez00_bglt BgL_obj1612z00_1913;

												BgL_obj1612z00_1913 =
													((BgL_variablez00_bglt) BgL_formalz00_1788);
												BgL_obj3653z00_1914 =
													((BgL_svarzf2cinfozf2_bglt)
													(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1612z00_1913)))->BgL_valuez00));
											}
											{
												obj_t BgL_auxz00_2189;

												{	/* Cfa/app.scm 61 */
													BgL_objectz00_bglt BgL_auxz00_2190;

													BgL_auxz00_2190 =
														((BgL_objectz00_bglt) BgL_obj3653z00_1914);
													BgL_auxz00_2189 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2190);
												}
												BgL_arg5250z00_1790 =
													(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_2189))->
													BgL_approxz00);
											}
										}
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg5250z00_1790,
											((BgL_approxz00_bglt) BgL_approxz00_1789));
									}
								}
								{
									obj_t BgL_ll5110z00_2198;
									obj_t BgL_ll5109z00_2196;

									BgL_ll5109z00_2196 = CDR(BgL_ll5109z00_1784);
									BgL_ll5110z00_2198 = CDR(BgL_ll5110z00_1785);
									BgL_ll5110z00_1785 = BgL_ll5110z00_2198;
									BgL_ll5109z00_1784 = BgL_ll5109z00_2196;
									goto BgL_zc3anonymousza35248ze3z83_1786;
								}
							}
					}
				}
				{	/* Cfa/app.scm 68 */
					bool_t BgL_testz00_2200;

					{	/* Cfa/app.scm 68 */
						bool_t BgL_testz00_2201;

						{	/* Cfa/app.scm 68 */
							BgL_variablez00_bglt BgL_arg5262z00_1805;

							BgL_arg5262z00_1805 =
								(((BgL_varz00_bglt) CREF(
										((obj_t) BgL_varz00_1777)))->BgL_variablez00);
							{	/* Cfa/app.scm 68 */
								bool_t BgL_res5293z00_1919;

								{	/* Cfa/app.scm 68 */
									obj_t BgL_obj1786z00_1918;

									BgL_obj1786z00_1918 = ((obj_t) BgL_arg5262z00_1805);
									BgL_res5293z00_1919 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1918,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_2201 = BgL_res5293z00_1919;
							}
						}
						if (BgL_testz00_2201)
							{	/* Cfa/app.scm 69 */
								bool_t BgL_testz00_2206;

								{	/* Cfa/app.scm 69 */
									BgL_variablez00_bglt BgL_arg5261z00_1804;

									BgL_arg5261z00_1804 =
										(((BgL_varz00_bglt) CREF(
												((obj_t) BgL_varz00_1777)))->BgL_variablez00);
									{	/* Cfa/app.scm 69 */
										bool_t BgL_res5294z00_1922;

										{	/* Cfa/app.scm 69 */
											obj_t BgL_obj1786z00_1921;

											BgL_obj1786z00_1921 = ((obj_t) BgL_arg5261z00_1804);
											BgL_res5294z00_1922 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1786z00_1921,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_2206 = BgL_res5294z00_1922;
									}
								}
								if (BgL_testz00_2206)
									{	/* Cfa/app.scm 70 */
										obj_t BgL_auxz00_2211;

										{	/* Cfa/app.scm 70 */
											BgL_globalz00_bglt BgL_obj1701z00_1924;

											BgL_obj1701z00_1924 =
												((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) CREF(
															((obj_t) BgL_varz00_1777)))->BgL_variablez00));
											BgL_auxz00_2211 =
												(((BgL_globalz00_bglt) CREF(
														((obj_t) BgL_obj1701z00_1924)))->BgL_importz00);
										}
										BgL_testz00_2200 =
											(BgL_auxz00_2211 == CNST_TABLE_REF(((long) 1)));
									}
								else
									{	/* Cfa/app.scm 69 */
										BgL_testz00_2200 = ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/app.scm 68 */
								BgL_testz00_2200 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_2200)
						{	/* Cfa/app.scm 72 */
							BgL_approxz00_bglt BgL_az00_1796;

							{	/* Cfa/app.scm 72 */
								BgL_variablez00_bglt BgL_arg5255z00_1797;

								BgL_arg5255z00_1797 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_varz00_1777)))->BgL_variablez00);
								BgL_az00_1796 =
									BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_funz00_1776,
									((obj_t) BgL_arg5255z00_1797));
							}
							return BgL_az00_1796;
						}
					else
						{	/* Cfa/app.scm 77 */
							obj_t BgL_az00_1798;

							{	/* Cfa/app.scm 77 */
								BgL_variablez00_bglt BgL_arg5256z00_1799;

								BgL_arg5256z00_1799 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_varz00_1777)))->BgL_variablez00);
								BgL_az00_1798 =
									BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
									((BgL_valuez00_bglt) BgL_funz00_1776),
									((obj_t) BgL_arg5256z00_1799));
							}
							return ((BgL_approxz00_bglt) BgL_az00_1798);
						}
				}
			}
		}
	}



/* &cfa!-app5122 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2app5122za2zzcfa_appz00(obj_t
		BgL_envz00_1978, BgL_appz00_bglt BgL_nodez00_1979)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 35 */
			{
				BgL_appz00_bglt BgL_nodez00_1750;

				BgL_nodez00_1750 = BgL_nodez00_1979;
				{	/* Cfa/app.scm 39 */
					obj_t BgL_argszd2approxzd2_1754;

					{	/* Cfa/app.scm 39 */
						obj_t BgL_l5103z00_1759;

						BgL_l5103z00_1759 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1750)))->BgL_argsz00);
						if (NULLP(BgL_l5103z00_1759))
							{	/* Cfa/app.scm 39 */
								BgL_argszd2approxzd2_1754 = BNIL;
							}
						else
							{	/* Cfa/app.scm 39 */
								obj_t BgL_head5105z00_1761;

								{	/* Cfa/app.scm 39 */
									BgL_approxz00_bglt BgL_arg5246z00_1773;

									{	/* Cfa/app.scm 39 */
										obj_t BgL_arg5247z00_1774;

										BgL_arg5247z00_1774 = CAR(BgL_l5103z00_1759);
										BgL_arg5246z00_1773 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg5247z00_1774));
									}
									{	/* Cfa/app.scm 39 */
										obj_t BgL_res5289z00_1893;

										{	/* Cfa/app.scm 39 */
											obj_t BgL_obj1z00_1891;

											BgL_obj1z00_1891 = ((obj_t) BgL_arg5246z00_1773);
											BgL_res5289z00_1893 = MAKE_PAIR(BgL_obj1z00_1891, BNIL);
										}
										BgL_head5105z00_1761 = BgL_res5289z00_1893;
									}
								}
								{	/* Cfa/app.scm 39 */
									obj_t BgL_g5108z00_1762;

									BgL_g5108z00_1762 = CDR(BgL_l5103z00_1759);
									{
										obj_t BgL_l5103z00_1764;
										obj_t BgL_tail5106z00_1765;

										BgL_l5103z00_1764 = BgL_g5108z00_1762;
										BgL_tail5106z00_1765 = BgL_head5105z00_1761;
									BgL_zc3anonymousza35241ze3z83_1766:
										if (NULLP(BgL_l5103z00_1764))
											{	/* Cfa/app.scm 39 */
												BgL_argszd2approxzd2_1754 = BgL_head5105z00_1761;
											}
										else
											{	/* Cfa/app.scm 39 */
												obj_t BgL_newtail5107z00_1768;

												{	/* Cfa/app.scm 39 */
													BgL_approxz00_bglt BgL_arg5244z00_1770;

													{	/* Cfa/app.scm 39 */
														obj_t BgL_arg5245z00_1771;

														BgL_arg5245z00_1771 = CAR(BgL_l5103z00_1764);
														BgL_arg5244z00_1770 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg5245z00_1771));
													}
													{	/* Cfa/app.scm 39 */
														obj_t BgL_res5291z00_1900;

														{	/* Cfa/app.scm 39 */
															obj_t BgL_obj1z00_1898;

															BgL_obj1z00_1898 = ((obj_t) BgL_arg5244z00_1770);
															BgL_res5291z00_1900 =
																MAKE_PAIR(BgL_obj1z00_1898, BNIL);
														}
														BgL_newtail5107z00_1768 = BgL_res5291z00_1900;
													}
												}
												SET_CDR(BgL_tail5106z00_1765, BgL_newtail5107z00_1768);
												{
													obj_t BgL_tail5106z00_2249;
													obj_t BgL_l5103z00_2247;

													BgL_l5103z00_2247 = CDR(BgL_l5103z00_1764);
													BgL_tail5106z00_2249 = BgL_newtail5107z00_1768;
													BgL_tail5106z00_1765 = BgL_tail5106z00_2249;
													BgL_l5103z00_1764 = BgL_l5103z00_2247;
													goto BgL_zc3anonymousza35241ze3z83_1766;
												}
											}
									}
								}
							}
					}
					{	/* Cfa/app.scm 42 */
						BgL_valuez00_bglt BgL_arg5236z00_1755;
						BgL_varz00_bglt BgL_arg5237z00_1756;

						{	/* Cfa/app.scm 42 */
							BgL_variablez00_bglt BgL_arg5238z00_1757;

							{	/* Cfa/app.scm 42 */
								BgL_varz00_bglt BgL_obj2201z00_1905;

								BgL_obj2201z00_1905 =
									(((BgL_appz00_bglt) CREF(
											((obj_t) BgL_nodez00_1750)))->BgL_funz00);
								BgL_arg5238z00_1757 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_obj2201z00_1905)))->BgL_variablez00);
							}
							BgL_arg5236z00_1755 =
								(((BgL_variablez00_bglt) CREF(
										((obj_t) BgL_arg5238z00_1757)))->BgL_valuez00);
						}
						BgL_arg5237z00_1756 =
							(((BgL_appz00_bglt) CREF(
									((obj_t) BgL_nodez00_1750)))->BgL_funz00);
						return
							BGl_appz12z12zzcfa_appz00(
							((BgL_funz00_bglt) BgL_arg5236z00_1755), BgL_arg5237z00_1756,
							BgL_argszd2approxzd2_1754);
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 36800750),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string5310z00zzcfa_appz00));
		}
	}

#ifdef __cplusplus
}
#endif
