/*===========================================================================*/
/*   (Engine/engine.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/engine.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_za2heapzd2dumpzd2namesza2z00zzengine_paramz00;
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	extern obj_t BGl_za2helloza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzengine_enginez00 = BUNSPEC;
	extern obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	extern obj_t BGl_za2czd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_genericzd2initzd2zzengine_enginez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hellozd2worldzd2zzengine_enginez00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2startupzd2fileza2zd2zzengine_paramz00;
	static obj_t BGl_z62enginez62zzengine_enginez00(obj_t);
	extern obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_enginez00();
	extern obj_t BGl_linkz00zzengine_linkz00();
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62hellozd2worldzb0zzengine_enginez00(obj_t);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_interpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzwrite_versionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_za2bigloozd2argsza2zd2zzengine_paramz00;
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_enginez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_enginez00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_interpz00zzengine_interpz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2interpreterza2z00zzengine_paramz00;
	extern obj_t BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_enginez00zzengine_enginez00();
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1550z00zzengine_enginez00,
		BgL_bgl_string1550za700za7za7e1556za7, "engine", 6);
	      DEFINE_STRING(BGl_string1551z00zzengine_enginez00,
		BgL_bgl_string1551za700za7za7e1557za7, "Ignoring additional files", 25);
	      DEFINE_STRING(BGl_string1552z00zzengine_enginez00,
		BgL_bgl_string1552za700za7za7e1558za7, "/scheme-files", 13);
	      DEFINE_STRING(BGl_string1553z00zzengine_enginez00,
		BgL_bgl_string1553za700za7za7e1559za7, " ", 1);
	      DEFINE_STRING(BGl_string1554z00zzengine_enginez00,
		BgL_bgl_string1554za700za7za7e1560za7, "", 0);
	      DEFINE_STRING(BGl_string1555z00zzengine_enginez00,
		BgL_bgl_string1555za700za7za7e1561za7, "engine_engine", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hellozd2worldzd2envz00zzengine_enginez00,
		BgL_bgl_za762helloza7d2world1562z00,
		BGl_z62hellozd2worldzb0zzengine_enginez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_enginezd2envzd2zzengine_enginez00,
		BgL_bgl_za762engineza762za7za7en1563z00, BGl_z62enginez62zzengine_enginez00,
		0L, BUNSPEC, 0);
	extern obj_t BGl_versionzd2envzd2zzwrite_versionz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long
		BgL_checksumz00_165, char *BgL_fromz00_166)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_enginez00))
				{
					BGl_requirezd2initializa7ationz75zzengine_enginez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_enginez00();
					BGl_importedzd2moduleszd2initz00zzengine_enginez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_enginez00()
	{
		AN_OBJECT;
		{	/* Engine/engine.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_engine");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_engine");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_engine");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"engine_engine");
			return BUNSPEC;
		}
	}



/* engine */
	BGL_EXPORTED_DEF obj_t BGl_enginez00zzengine_enginez00()
	{
		AN_OBJECT;
		{	/* Engine/engine.scm 33 */
			if (PAIRP(BGl_za2heapzd2dumpzd2namesza2z00zzengine_paramz00))
				{	/* Engine/engine.scm 35 */
					return
						BGl_dumpzd2heapszd2zzengine_heapz00
						(BGl_za2heapzd2dumpzd2namesza2z00zzengine_paramz00);
				}
			else
				{	/* Engine/engine.scm 37 */
					bool_t BgL_testz00_179;

					if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
						{	/* Engine/engine.scm 37 */
							if (CBOOL(BGl_za2interpreterza2z00zzengine_paramz00))
								{	/* Engine/engine.scm 37 */
									BgL_testz00_179 = ((bool_t) 0);
								}
							else
								{	/* Engine/engine.scm 37 */
									BgL_testz00_179 = ((bool_t) 1);
								}
						}
					else
						{	/* Engine/engine.scm 37 */
							BgL_testz00_179 = ((bool_t) 0);
						}
					if (BgL_testz00_179)
						{	/* Engine/engine.scm 37 */
							return BGl_compilerz00zzengine_compilerz00();
						}
					else
						{	/* Engine/engine.scm 37 */
							if (PAIRP(BGl_za2czd2filesza2zd2zzengine_paramz00))
								{	/* Engine/engine.scm 39 */
									{	/* Engine/engine.scm 40 */
										bool_t BgL_testz00_187;

										{	/* Engine/engine.scm 40 */
											obj_t BgL_auxz00_188;

											BgL_auxz00_188 =
												CDR(BGl_za2czd2filesza2zd2zzengine_paramz00);
											BgL_testz00_187 = PAIRP(BgL_auxz00_188);
										}
										if (BgL_testz00_187)
											{	/* Engine/engine.scm 40 */
												BGl_userzd2warningzd2zztools_errorz00
													(BGl_string1550z00zzengine_enginez00,
													BGl_string1551z00zzengine_enginez00,
													CDR(BGl_za2czd2filesza2zd2zzengine_paramz00));
											}
										else
											{	/* Engine/engine.scm 40 */
												BFALSE;
											}
									}
									BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00 = BFALSE;
									{	/* Engine/engine.scm 43 */
										obj_t BgL_arg1517z00_102;
										obj_t BgL_arg1518z00_103;

										BgL_arg1517z00_102 =
											BGl_prefixz00zz__osz00(CAR
											(BGl_za2czd2filesza2zd2zzengine_paramz00));
										if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
											{	/* Engine/engine.scm 44 */
												BgL_arg1518z00_103 =
													BGl_prefixz00zz__osz00
													(BGl_za2destza2z00zzengine_paramz00);
											}
										else
											{	/* Engine/engine.scm 44 */
												BgL_arg1518z00_103 = BFALSE;
											}
										return
											BGl_cczd2compilerzd2zzbackend_cz00(BgL_arg1517z00_102,
											BgL_arg1518z00_103);
									}
								}
							else
								{	/* Engine/engine.scm 39 */
									if (NULLP(BGl_za2ozd2filesza2zd2zzengine_paramz00))
										{	/* Engine/engine.scm 52 */
											obj_t BgL_arg1522z00_107;

											BgL_arg1522z00_107 =
												string_append(CAR
												(BGl_za2libzd2dirza2zd2zzengine_paramz00),
												BGl_string1552z00zzengine_enginez00);
											return
												BGl_interpz00zzengine_interpz00
												(BGl_versionzd2envzd2zzwrite_versionz00,
												BGl_za2verboseza2z00zzengine_paramz00,
												BGl_za2srczd2filesza2zd2zzengine_paramz00,
												BGl_za2startupzd2fileza2zd2zzengine_paramz00,
												BgL_arg1522z00_107,
												BGl_za2bigloozd2argsza2zd2zzengine_paramz00);
										}
									else
										{	/* Engine/engine.scm 47 */
											return BGl_linkz00zzengine_linkz00();
										}
								}
						}
				}
		}
	}



/* &engine */
	obj_t BGl_z62enginez62zzengine_enginez00(obj_t BgL_envz00_162)
	{
		AN_OBJECT;
		{	/* Engine/engine.scm 33 */
			return BGl_enginez00zzengine_enginez00();
		}
	}



/* hello-world */
	BGL_EXPORTED_DEF obj_t BGl_hellozd2worldzd2zzengine_enginez00()
	{
		AN_OBJECT;
		{	/* Engine/engine.scm 60 */
			if (CBOOL(BGl_za2helloza2z00zzengine_paramz00))
				{	/* Engine/engine.scm 62 */
					obj_t BgL_g1507z00_110;

					BgL_g1507z00_110 =
						bgl_reverse_bang(BGl_za2srczd2filesza2zd2zzengine_paramz00);
					{
						obj_t BgL_srcz00_112;
						obj_t BgL_strz00_113;

						BgL_srcz00_112 = BgL_g1507z00_110;
						BgL_strz00_113 = BGl_string1554z00zzengine_enginez00;
					BgL_zc3anonymousza31525ze3z83_114:
						if (NULLP(BgL_srcz00_112))
							{	/* Engine/engine.scm 64 */
								{	/* Engine/engine.scm 66 */
									long BgL_auxz00_211;

									BgL_auxz00_211 = (STRING_LENGTH(BgL_strz00_113) - ((long) 1));
									STRING_SET(BgL_strz00_113, BgL_auxz00_211,
										((unsigned char) ':'));
								}
								{	/* Engine/engine.scm 67 */
									obj_t BgL_list1531z00_118;

									{	/* Engine/engine.scm 67 */
										obj_t BgL_arg1532z00_119;

										BgL_arg1532z00_119 =
											MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
										BgL_list1531z00_118 =
											MAKE_PAIR(BgL_strz00_113, BgL_arg1532z00_119);
									}
									return
										BGl_verbosez00zztools_speekz00(BINT(((long) 0)),
										BgL_list1531z00_118);
							}}
						else
							{	/* Engine/engine.scm 68 */
								obj_t BgL_arg1533z00_120;
								obj_t BgL_arg1534z00_121;

								BgL_arg1533z00_120 = CDR(BgL_srcz00_112);
								{	/* Engine/engine.scm 69 */
									obj_t BgL_arg1535z00_122;

									{	/* Engine/engine.scm 69 */
										bool_t BgL_testz00_221;

										{	/* Engine/engine.scm 69 */
											obj_t BgL_auxz00_222;

											BgL_auxz00_222 = CAR(BgL_srcz00_112);
											BgL_testz00_221 = STRINGP(BgL_auxz00_222);
										}
										if (BgL_testz00_221)
											{	/* Engine/engine.scm 69 */
												BgL_arg1535z00_122 = CAR(BgL_srcz00_112);
											}
										else
											{	/* Engine/engine.scm 71 */
												obj_t BgL_arg1537z00_124;

												BgL_arg1537z00_124 = CAR(BgL_srcz00_112);
												{	/* Engine/engine.scm 71 */
													obj_t BgL_res1549z00_161;

													{	/* Engine/engine.scm 71 */
														obj_t BgL_symbolz00_159;

														BgL_symbolz00_159 = BgL_arg1537z00_124;
														{	/* Engine/engine.scm 71 */
															obj_t BgL_arg2069z00_160;

															BgL_arg2069z00_160 =
																SYMBOL_TO_STRING(BgL_symbolz00_159);
															BgL_res1549z00_161 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg2069z00_160);
														}
													}
													BgL_arg1535z00_122 = BgL_res1549z00_161;
												}
											}
									}
									BgL_arg1534z00_121 =
										string_append_3(BgL_arg1535z00_122,
										BGl_string1553z00zzengine_enginez00, BgL_strz00_113);
								}
								{
									obj_t BgL_strz00_231;
									obj_t BgL_srcz00_230;

									BgL_srcz00_230 = BgL_arg1533z00_120;
									BgL_strz00_231 = BgL_arg1534z00_121;
									BgL_strz00_113 = BgL_strz00_231;
									BgL_srcz00_112 = BgL_srcz00_230;
									goto BgL_zc3anonymousza31525ze3z83_114;
								}
							}
					}
				}
			else
				{	/* Engine/engine.scm 61 */
					return BFALSE;
				}
		}
	}



/* &hello-world */
	obj_t BGl_z62hellozd2worldzb0zzengine_enginez00(obj_t BgL_envz00_164)
	{
		AN_OBJECT;
		{	/* Engine/engine.scm 60 */
			return BGl_hellozd2worldzd2zzengine_enginez00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_enginez00()
	{
		AN_OBJECT;
		{	/* Engine/engine.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_enginez00()
	{
		AN_OBJECT;
		{	/* Engine/engine.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_enginez00()
	{
		AN_OBJECT;
		{	/* Engine/engine.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			BGl_modulezd2initializa7ationz75zzwrite_versionz00(((long) 404503680),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 412406770),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			BGl_modulezd2initializa7ationz75zzengine_interpz00(((long) 328489572),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 74690554),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			BGl_modulezd2initializa7ationz75zzengine_heapz00(((long) 65890392),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cz00(((long) 190235040),
				BSTRING_TO_STRING(BGl_string1555z00zzengine_enginez00));
		}
	}

#ifdef __cplusplus
}
#endif
