/*===========================================================================*/
/*   (Globalize/new_body.scm)                                                */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/new_body.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


	extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2select3858za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_selectz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2appzd2ly3844z70zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_appzd2lyzd2_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2letzd2fun3860z70zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_letzd2funzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2extern3848za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_externz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2cast3850za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_castz00_bglt, obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2kwote3836za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_kwotez00_bglt, obj_t, obj_t);
	static obj_t BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75
		(BgL_globalz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2setq3852za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_setqz00_bglt, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_newzd2bodyz75();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2var3838za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_varz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2letzd2var3862z70zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_letzd2varzd2_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62remz12z70zzglobaliza7e_newzd2bodyz75(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2makezd2box3869z70zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_makezd2boxzd2_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2boxzd2setz123873z62zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_boxzd2setz12zc0_bglt, obj_t, obj_t);
	static bool_t BGl_iszd2inzf3z21zzglobaliza7e_newzd2bodyz75(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2atom3834za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_atomz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_setzd2globaliza7edzd2newzd2bodyz12z67zzglobaliza7e_newzd2bodyz75(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75 =
		BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_newzd2bodyz75();
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_newzd2bodyz75();
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2conditional3854za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_conditionalz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2fail3856za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_failz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_z62setzd2globaliza7edzd2newzd2bodiesz12z05zzglobaliza7e_newzd2bodyz75
		(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2funcall3846za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_funcallz00_bglt, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static long BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2setzd2exzd2it3864za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_setzd2exzd2itz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2boxzd2ref3871z70zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_boxzd2refzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2app3842za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_appz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62remz123831z70zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_nodez00_bglt, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_newzd2bodyz75();
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75();
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62remz12zd2jumpzd2exzd2it3866za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_jumpzd2exzd2itz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62remz12zd2sequence3840za2zzglobaliza7e_newzd2bodyz75(obj_t,
		BgL_sequencez00_bglt, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62zc3anonymousza33919ze3ze1zzglobaliza7e_newzd2bodyz75(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string4102z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string4102za700za7za7g4129za7, "rem!3831", 8);
	      DEFINE_STRING(BGl_string4103z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string4103za700za7za7g4130za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string4105z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string4105za700za7za7g4131za7, "rem!", 4);
	      DEFINE_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string4125za700za7za7g4132za7, "globalize_new-body", 18);
	      DEFINE_STRING(BGl_string4126z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_string4126za700za7za7g4133za7, "rem!3831 done ", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4101z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza7123831za7704134za7,
		BGl_z62remz123831z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4104z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2atom4135za7,
		BGl_z62remz12zd2atom3834za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4106z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2kwot4136za7,
		BGl_z62remz12zd2kwote3836za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4107z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2var34137za7,
		BGl_z62remz12zd2var3838za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4108z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2sequ4138za7,
		BGl_z62remz12zd2sequence3840za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4109z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2app34139za7,
		BGl_z62remz12zd2app3842za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4110z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2appza74140z00,
		BGl_z62remz12zd2appzd2ly3844z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4111z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2func4141za7,
		BGl_z62remz12zd2funcall3846za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4112z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2exte4142za7,
		BGl_z62remz12zd2extern3848za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4113z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2cast4143za7,
		BGl_z62remz12zd2cast3850za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4114z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2setq4144za7,
		BGl_z62remz12zd2setq3852za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4115z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2cond4145za7,
		BGl_z62remz12zd2conditional3854za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4116z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2fail4146za7,
		BGl_z62remz12zd2fail3856za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4117z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2sele4147za7,
		BGl_z62remz12zd2select3858za2zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4118z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2letza74148z00,
		BGl_z62remz12zd2letzd2fun3860z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4119z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2letza74149z00,
		BGl_z62remz12zd2letzd2var3862z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4120z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2setza74150z00,
		BGl_z62remz12zd2setzd2exzd2it3864za2zzglobaliza7e_newzd2bodyz75, 0L,
		BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za770za7za7gl4151za7,
		BGl_z62remz12z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4121z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2jump4152za7,
		BGl_z62remz12zd2jumpzd2exzd2it3866za2zzglobaliza7e_newzd2bodyz75, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4122z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2make4153za7,
		BGl_z62remz12zd2makezd2box3869z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4123z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2boxza74154z00,
		BGl_z62remz12zd2boxzd2ref3871z70zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4124z00zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762remza712za7d2boxza74155z00,
		BGl_z62remz12zd2boxzd2setz123873z62zzglobaliza7e_newzd2bodyz75, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2globaliza7edzd2newzd2bodiesz12zd2envzb5zzglobaliza7e_newzd2bodyz75,
		BgL_bgl_za762setza7d2globali4156z00,
		BGl_z62setzd2globaliza7edzd2newzd2bodiesz12z05zzglobaliza7e_newzd2bodyz75,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75(long
		BgL_checksumz00_2367, char *BgL_fromz00_2368)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75();
					BGl_cnstzd2initzd2zzglobaliza7e_newzd2bodyz75();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75();
					BGl_genericzd2initzd2zzglobaliza7e_newzd2bodyz75();
					BGl_methodzd2initzd2zzglobaliza7e_newzd2bodyz75();
					BGl_toplevelzd2initzd2zzglobaliza7e_newzd2bodyz75();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_new-body");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"globalize_new-body");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			{	/* Globalize/new_body.scm 15 */
				obj_t BgL_cportz00_2350;

				BgL_cportz00_2350 =
					bgl_open_input_string(BGl_string4126z00zzglobaliza7e_newzd2bodyz75,
					(int) (((long) 0)));
				{
					long BgL_iz00_2351;

					BgL_iz00_2351 = ((long) 1);
				BgL_loopz00_2352:
					if ((BgL_iz00_2351 == ((long) -1)))
						{	/* Globalize/new_body.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/new_body.scm 15 */
							{	/* Globalize/new_body.scm 15 */
								obj_t BgL_arg4128z00_2354;

								{	/* Globalize/new_body.scm 15 */

									{	/* Globalize/new_body.scm 15 */
										obj_t BgL_locationz00_2356;

										BgL_locationz00_2356 = BBOOL(((bool_t) 0));
										{	/* Globalize/new_body.scm 15 */

											BgL_arg4128z00_2354 =
												BGl_readz00zz__readerz00(BgL_cportz00_2350,
												BgL_locationz00_2356);
										}
									}
								}
								{	/* Globalize/new_body.scm 15 */
									int BgL_auxz00_2389;

									BgL_auxz00_2389 = (int) (BgL_iz00_2351);
									CNST_TABLE_SET(BgL_auxz00_2389, BgL_arg4128z00_2354);
							}}
							{	/* Globalize/new_body.scm 15 */
								int BgL_auxz00_2357;

								BgL_auxz00_2357 = (int) ((BgL_iz00_2351 - ((long) 1)));
								{
									long BgL_iz00_2394;

									BgL_iz00_2394 = (long) (BgL_auxz00_2357);
									BgL_iz00_2351 = BgL_iz00_2394;
									goto BgL_loopz00_2352;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 = ((long) 0);
			return BUNSPEC;
		}
	}



/* set-globalized-new-bodies! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75
		(BgL_globalz00_bglt BgL_globalz00_3, obj_t BgL_localsz00_4)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 31 */
			BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 =
				(BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 + ((long) 1));
			{	/* Globalize/new_body.scm 34 */
				BgL_valuez00_bglt BgL_funz00_1027;

				{	/* Globalize/new_body.scm 34 */
					BgL_variablez00_bglt BgL_obj1612z00_1814;

					BgL_obj1612z00_1814 = ((BgL_variablez00_bglt) BgL_globalz00_3);
					BgL_funz00_1027 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1814)))->BgL_valuez00);
				}
				{	/* Globalize/new_body.scm 35 */
					BgL_nodez00_bglt BgL_arg3877z00_1028;

					{	/* Globalize/new_body.scm 35 */
						obj_t BgL_arg3878z00_1029;

						{	/* Globalize/new_body.scm 35 */
							BgL_sfunz00_bglt BgL_obj1924z00_1815;

							BgL_obj1924z00_1815 = ((BgL_sfunz00_bglt) BgL_funz00_1027);
							BgL_arg3878z00_1029 =
								(((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_obj1924z00_1815)))->BgL_bodyz00);
						}
						BgL_arg3877z00_1028 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
							((BgL_nodez00_bglt) BgL_arg3878z00_1029),
							((obj_t) BgL_globalz00_3), ((obj_t) BgL_globalz00_3));
					}
					{	/* Globalize/new_body.scm 35 */
						BgL_sfunz00_bglt BgL_obj1926z00_1816;
						obj_t BgL_val1925z00_1817;

						BgL_obj1926z00_1816 = ((BgL_sfunz00_bglt) BgL_funz00_1027);
						BgL_val1925z00_1817 = ((obj_t) BgL_arg3877z00_1028);
						((((BgL_sfunz00_bglt) CREF(
										((obj_t) BgL_obj1926z00_1816)))->BgL_bodyz00) =
							((obj_t) BgL_val1925z00_1817), BUNSPEC);
			}}}
			{
				obj_t BgL_l3821z00_1031;

				{	/* Globalize/new_body.scm 37 */
					bool_t BgL_auxz00_2411;

					BgL_l3821z00_1031 = BgL_localsz00_4;
				BgL_zc3anonymousza33879ze3z83_1032:
					if (PAIRP(BgL_l3821z00_1031))
						{	/* Globalize/new_body.scm 37 */
							BGl_setzd2globaliza7edzd2newzd2bodyz12z67zzglobaliza7e_newzd2bodyz75
								(CAR(BgL_l3821z00_1031));
							{
								obj_t BgL_l3821z00_2416;

								BgL_l3821z00_2416 = CDR(BgL_l3821z00_1031);
								BgL_l3821z00_1031 = BgL_l3821z00_2416;
								goto BgL_zc3anonymousza33879ze3z83_1032;
							}
						}
					else
						{	/* Globalize/new_body.scm 37 */
							BgL_auxz00_2411 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_2411);
				}
			}
		}
	}



/* &set-globalized-new-bodies! */
	obj_t
		BGl_z62setzd2globaliza7edzd2newzd2bodiesz12z05zzglobaliza7e_newzd2bodyz75
		(obj_t BgL_envz00_2058, obj_t BgL_globalz00_2059, obj_t BgL_localsz00_2060)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 31 */
			return
				BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75(
				((BgL_globalz00_bglt) BgL_globalz00_2059), BgL_localsz00_2060);
		}
	}



/* set-globalized-new-body! */
	obj_t
		BGl_setzd2globaliza7edzd2newzd2bodyz12z67zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_localz00_5)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 42 */
			BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 =
				(BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75 + ((long) 1));
			{	/* Globalize/new_body.scm 50 */
				BgL_valuez00_bglt BgL_funz00_1037;

				{	/* Globalize/new_body.scm 50 */
					BgL_variablez00_bglt BgL_obj1612z00_1825;

					BgL_obj1612z00_1825 = ((BgL_variablez00_bglt) BgL_localz00_5);
					BgL_funz00_1037 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1825)))->BgL_valuez00);
				}
				{	/* Globalize/new_body.scm 51 */
					obj_t BgL_oldzd2bodyzd2_1039;

					{	/* Globalize/new_body.scm 52 */
						BgL_sfunz00_bglt BgL_obj1924z00_1827;

						BgL_obj1924z00_1827 = ((BgL_sfunz00_bglt) BgL_funz00_1037);
						BgL_oldzd2bodyzd2_1039 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_obj1924z00_1827)))->BgL_bodyz00);
					}
					{	/* Globalize/new_body.scm 52 */
						obj_t BgL_obindingsz00_1040;

						{	/* Globalize/new_body.scm 53 */
							obj_t BgL_arg3918z00_1100;

							{	/* Globalize/new_body.scm 56 */
								BgL_sfunzf2ginfozf2_bglt BgL_obj3479z00_1828;

								BgL_obj3479z00_1828 =
									((BgL_sfunzf2ginfozf2_bglt) BgL_funz00_1037);
								{
									obj_t BgL_auxz00_2429;

									{	/* Globalize/new_body.scm 56 */
										BgL_objectz00_bglt BgL_auxz00_2430;

										BgL_auxz00_2430 =
											((BgL_objectz00_bglt) BgL_obj3479z00_1828);
										BgL_auxz00_2429 = BGL_OBJECT_WIDENING(BgL_auxz00_2430);
									}
									BgL_arg3918z00_1100 =
										(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2429))->
										BgL_integratedz00);
							}}
							{	/* Globalize/new_body.scm 54 */
								obj_t BgL_zc3anonymousza33919ze3z83_2061;

								BgL_zc3anonymousza33919ze3z83_2061 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33919ze3ze1zzglobaliza7e_newzd2bodyz75,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza33919ze3z83_2061,
									(int) (((long) 0)), BgL_localz00_5);
								BgL_obindingsz00_1040 =
									BGl_filterz00zz__r4_control_features_6_9z00
									(BgL_zc3anonymousza33919ze3z83_2061, BgL_arg3918z00_1100);
						}}
						{	/* Globalize/new_body.scm 53 */
							BgL_nodez00_bglt BgL_newzd2bodyzd2_1041;

							BgL_newzd2bodyzd2_1041 =
								BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
								((BgL_nodez00_bglt) BgL_oldzd2bodyzd2_1039), BgL_localz00_5,
								BgL_localz00_5);
							{	/* Globalize/new_body.scm 57 */

								{
									obj_t BgL_l3823z00_1043;

									BgL_l3823z00_1043 = BgL_obindingsz00_1040;
								BgL_zc3anonymousza33883ze3z83_1044:
									if (PAIRP(BgL_l3823z00_1043))
										{	/* Globalize/new_body.scm 61 */
											{	/* Globalize/new_body.scm 62 */
												obj_t BgL_fz00_1046;

												BgL_fz00_1046 = CAR(BgL_l3823z00_1043);
												{	/* Globalize/new_body.scm 63 */
													bool_t BgL_testz00_2445;

													{	/* Globalize/new_body.scm 63 */
														long BgL_arg3887z00_1051;

														{	/* Globalize/new_body.scm 63 */
															BgL_sfunzf2ginfozf2_bglt BgL_obj3500z00_1835;

															{	/* Globalize/new_body.scm 63 */
																BgL_variablez00_bglt BgL_obj1612z00_1834;

																BgL_obj1612z00_1834 =
																	((BgL_variablez00_bglt) BgL_fz00_1046);
																BgL_obj3500z00_1835 =
																	((BgL_sfunzf2ginfozf2_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1612z00_1834)))->
																		BgL_valuez00));
															}
															{
																obj_t BgL_auxz00_2450;

																{	/* Globalize/new_body.scm 63 */
																	BgL_objectz00_bglt BgL_auxz00_2451;

																	BgL_auxz00_2451 =
																		((BgL_objectz00_bglt) BgL_obj3500z00_1835);
																	BgL_auxz00_2450 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2451);
																}
																BgL_arg3887z00_1051 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_2450))->BgL_bmarkz00);
														}}
														BgL_testz00_2445 =
															(BgL_arg3887z00_1051 ==
															BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75);
													}
													if (BgL_testz00_2445)
														{	/* Globalize/new_body.scm 63 */
															BFALSE;
														}
													else
														{	/* Globalize/new_body.scm 64 */
															BgL_valuez00_bglt BgL_funz00_1048;

															{	/* Globalize/new_body.scm 64 */
																BgL_variablez00_bglt BgL_obj1612z00_1839;

																BgL_obj1612z00_1839 =
																	((BgL_variablez00_bglt) BgL_fz00_1046);
																BgL_funz00_1048 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1612z00_1839)))->
																	BgL_valuez00);
															}
															{	/* Globalize/new_body.scm 64 */
																obj_t BgL_bodyz00_1049;

																{	/* Globalize/new_body.scm 65 */
																	BgL_sfunz00_bglt BgL_obj1924z00_1840;

																	BgL_obj1924z00_1840 =
																		((BgL_sfunz00_bglt) BgL_funz00_1048);
																	BgL_bodyz00_1049 =
																		(((BgL_sfunz00_bglt) CREF(
																				((obj_t) BgL_obj1924z00_1840)))->
																		BgL_bodyz00);
																}
																{	/* Globalize/new_body.scm 65 */

																	{	/* Globalize/new_body.scm 66 */
																		BgL_nodez00_bglt BgL_arg3886z00_1050;

																		BgL_arg3886z00_1050 =
																			BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
																			((BgL_nodez00_bglt) BgL_bodyz00_1049),
																			BgL_localz00_5, BgL_fz00_1046);
																		{	/* Globalize/new_body.scm 66 */
																			BgL_sfunz00_bglt BgL_obj1926z00_1841;
																			obj_t BgL_val1925z00_1842;

																			BgL_obj1926z00_1841 =
																				((BgL_sfunz00_bglt) BgL_funz00_1048);
																			BgL_val1925z00_1842 =
																				((obj_t) BgL_arg3886z00_1050);
																			((((BgL_sfunz00_bglt) CREF(
																							((obj_t) BgL_obj1926z00_1841)))->
																					BgL_bodyz00) =
																				((obj_t) BgL_val1925z00_1842), BUNSPEC);
																		}
																	}
																}
															}
														}
												}
											}
											{
												obj_t BgL_l3823z00_2468;

												BgL_l3823z00_2468 = CDR(BgL_l3823z00_1043);
												BgL_l3823z00_1043 = BgL_l3823z00_2468;
												goto BgL_zc3anonymousza33883ze3z83_1044;
											}
										}
									else
										{	/* Globalize/new_body.scm 61 */
											((bool_t) 1);
										}
								}
								{	/* Globalize/new_body.scm 69 */
									obj_t BgL_nbindingsz00_1055;

									{
										obj_t BgL_nbdingsz00_1086;
										obj_t BgL_obdingsz00_1087;

										BgL_nbdingsz00_1086 = BNIL;
										BgL_obdingsz00_1087 = BgL_obindingsz00_1040;
									BgL_zc3anonymousza33907ze3z83_1088:
										if (NULLP(BgL_obdingsz00_1087))
											{	/* Globalize/new_body.scm 72 */
												BgL_nbindingsz00_1055 = BgL_nbdingsz00_1086;
											}
										else
											{	/* Globalize/new_body.scm 74 */
												bool_t BgL_testz00_2472;

												{	/* Globalize/new_body.scm 75 */
													long BgL_arg3914z00_1095;

													{	/* Globalize/new_body.scm 74 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3500z00_1848;

														{
															BgL_valuez00_bglt BgL_auxz00_2473;

															{	/* Globalize/new_body.scm 74 */
																BgL_variablez00_bglt BgL_obj1612z00_1847;

																{	/* Globalize/new_body.scm 75 */
																	obj_t BgL_pairz00_1846;

																	BgL_pairz00_1846 = BgL_obdingsz00_1087;
																	BgL_obj1612z00_1847 =
																		((BgL_variablez00_bglt)
																		CAR(BgL_pairz00_1846));
																}
																BgL_auxz00_2473 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1612z00_1847)))->
																	BgL_valuez00);
															}
															BgL_obj3500z00_1848 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2473);
														}
														{
															obj_t BgL_auxz00_2479;

															{	/* Globalize/new_body.scm 74 */
																BgL_objectz00_bglt BgL_auxz00_2480;

																BgL_auxz00_2480 =
																	((BgL_objectz00_bglt) BgL_obj3500z00_1848);
																BgL_auxz00_2479 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2480);
															}
															BgL_arg3914z00_1095 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_2479))->BgL_bmarkz00);
													}}
													BgL_testz00_2472 =
														(BgL_arg3914z00_1095 ==
														BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75);
												}
												if (BgL_testz00_2472)
													{
														obj_t BgL_obdingsz00_2485;

														BgL_obdingsz00_2485 = CDR(BgL_obdingsz00_1087);
														BgL_obdingsz00_1087 = BgL_obdingsz00_2485;
														goto BgL_zc3anonymousza33907ze3z83_1088;
													}
												else
													{	/* Globalize/new_body.scm 80 */
														obj_t BgL_arg3911z00_1092;
														obj_t BgL_arg3912z00_1093;

														BgL_arg3911z00_1092 =
															MAKE_PAIR(CAR(BgL_obdingsz00_1087),
															BgL_nbdingsz00_1086);
														BgL_arg3912z00_1093 = CDR(BgL_obdingsz00_1087);
														{
															obj_t BgL_obdingsz00_2491;
															obj_t BgL_nbdingsz00_2490;

															BgL_nbdingsz00_2490 = BgL_arg3911z00_1092;
															BgL_obdingsz00_2491 = BgL_arg3912z00_1093;
															BgL_obdingsz00_1087 = BgL_obdingsz00_2491;
															BgL_nbdingsz00_1086 = BgL_nbdingsz00_2490;
															goto BgL_zc3anonymousza33907ze3z83_1088;
														}
													}
											}
									}
									{	/* Globalize/new_body.scm 82 */
										BgL_nodez00_bglt BgL_new2zd2bodyzd2_1056;

										if (NULLP(BgL_nbindingsz00_1055))
											{	/* Globalize/new_body.scm 82 */
												BgL_new2zd2bodyzd2_1056 = BgL_newzd2bodyzd2_1041;
											}
										else
											{	/* Globalize/new_body.scm 85 */
												obj_t BgL_arg3905z00_1082;
												BgL_typez00_bglt BgL_arg3906z00_1083;

												{	/* Globalize/new_body.scm 85 */
													BgL_nodez00_bglt BgL_obj2136z00_1857;

													BgL_obj2136z00_1857 =
														((BgL_nodez00_bglt) BgL_oldzd2bodyzd2_1039);
													BgL_arg3905z00_1082 =
														(((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_obj2136z00_1857)))->BgL_locz00);
												}
												{	/* Globalize/new_body.scm 86 */
													BgL_nodez00_bglt BgL_obj2137z00_1858;

													BgL_obj2137z00_1858 =
														((BgL_nodez00_bglt) BgL_oldzd2bodyzd2_1039);
													BgL_arg3906z00_1083 =
														(((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_obj2137z00_1858)))->BgL_typez00);
												}
												{	/* Globalize/new_body.scm 84 */
													BgL_letzd2funzd2_bglt BgL_xz00_2214;

													BgL_xz00_2214 =
														BGl_makezd2letzd2funz00zzast_nodez00
														(BgL_arg3905z00_1082, BgL_arg3906z00_1083, BUNSPEC,
														BINT(((long) -1)), BgL_nbindingsz00_1055,
														BgL_newzd2bodyzd2_1041);
													BgL_new2zd2bodyzd2_1056 =
														((BgL_nodez00_bglt) BgL_xz00_2214);
											}}
										{	/* Globalize/new_body.scm 92 */
											obj_t BgL_g3784z00_1057;

											{	/* Globalize/new_body.scm 92 */
												BgL_sfunzf2ginfozf2_bglt BgL_obj3459z00_1859;

												BgL_obj3459z00_1859 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_funz00_1037);
												{
													obj_t BgL_auxz00_2504;

													{	/* Globalize/new_body.scm 92 */
														BgL_objectz00_bglt BgL_auxz00_2505;

														BgL_auxz00_2505 =
															((BgL_objectz00_bglt) BgL_obj3459z00_1859);
														BgL_auxz00_2504 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2505);
													}
													BgL_g3784z00_1057 =
														(((BgL_sfunzf2ginfozf2_bglt)
															CREF(BgL_auxz00_2504))->BgL_ctoz00);
											}}
											{
												obj_t BgL_nctoz00_1059;
												obj_t BgL_nbindingsz00_1060;

												BgL_nctoz00_1059 = BgL_g3784z00_1057;
												BgL_nbindingsz00_1060 = BgL_nbindingsz00_1055;
											BgL_zc3anonymousza33890ze3z83_1061:
												if (NULLP(BgL_nbindingsz00_1060))
													{	/* Globalize/new_body.scm 95 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3461z00_1862;

														BgL_obj3461z00_1862 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_funz00_1037);
														{
															obj_t BgL_auxz00_2512;

															{	/* Globalize/new_body.scm 95 */
																BgL_objectz00_bglt BgL_auxz00_2513;

																BgL_auxz00_2513 =
																	((BgL_objectz00_bglt) BgL_obj3461z00_1862);
																BgL_auxz00_2512 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2513);
															}
															((((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_2512))->BgL_ctoz00) =
																((obj_t) BgL_nctoz00_1059), BUNSPEC);
														}
													}
												else
													{	/* Globalize/new_body.scm 96 */
														obj_t BgL_g3785z00_1063;

														{	/* Globalize/new_body.scm 97 */
															BgL_sfunzf2ginfozf2_bglt BgL_obj3459z00_1866;

															{
																BgL_valuez00_bglt BgL_auxz00_2517;

																{	/* Globalize/new_body.scm 97 */
																	BgL_variablez00_bglt BgL_obj1612z00_1865;

																	{	/* Globalize/new_body.scm 98 */
																		obj_t BgL_pairz00_1864;

																		BgL_pairz00_1864 = BgL_nbindingsz00_1060;
																		BgL_obj1612z00_1865 =
																			((BgL_variablez00_bglt)
																			CAR(BgL_pairz00_1864));
																	}
																	BgL_auxz00_2517 =
																		(((BgL_variablez00_bglt) CREF(
																				((obj_t) BgL_obj1612z00_1865)))->
																		BgL_valuez00);
																}
																BgL_obj3459z00_1866 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2517);
															}
															{
																obj_t BgL_auxz00_2523;

																{	/* Globalize/new_body.scm 97 */
																	BgL_objectz00_bglt BgL_auxz00_2524;

																	BgL_auxz00_2524 =
																		((BgL_objectz00_bglt) BgL_obj3459z00_1866);
																	BgL_auxz00_2523 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2524);
																}
																BgL_g3785z00_1063 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_2523))->BgL_ctoz00);
															}
														}
														{
															obj_t BgL_nctoz00_1065;
															obj_t BgL_lctoz00_1066;

															BgL_nctoz00_1065 = BgL_nctoz00_1059;
															BgL_lctoz00_1066 = BgL_g3785z00_1063;
														BgL_zc3anonymousza33892ze3z83_1067:
															if (NULLP(BgL_lctoz00_1066))
																{
																	obj_t BgL_nbindingsz00_2531;
																	obj_t BgL_nctoz00_2530;

																	BgL_nctoz00_2530 = BgL_nctoz00_1065;
																	BgL_nbindingsz00_2531 =
																		CDR(BgL_nbindingsz00_1060);
																	BgL_nbindingsz00_1060 = BgL_nbindingsz00_2531;
																	BgL_nctoz00_1059 = BgL_nctoz00_2530;
																	goto BgL_zc3anonymousza33890ze3z83_1061;
																}
															else
																{	/* Globalize/new_body.scm 100 */
																	if (CBOOL
																		(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																			(CAR(BgL_lctoz00_1066),
																				BgL_nctoz00_1065)))
																		{
																			obj_t BgL_lctoz00_2537;

																			BgL_lctoz00_2537 = CDR(BgL_lctoz00_1066);
																			BgL_lctoz00_1066 = BgL_lctoz00_2537;
																			goto BgL_zc3anonymousza33892ze3z83_1067;
																		}
																	else
																		{	/* Globalize/new_body.scm 105 */
																			obj_t BgL_arg3897z00_1072;
																			obj_t BgL_arg3898z00_1073;

																			BgL_arg3897z00_1072 =
																				MAKE_PAIR(CAR(BgL_lctoz00_1066),
																				BgL_nctoz00_1065);
																			BgL_arg3898z00_1073 =
																				CDR(BgL_lctoz00_1066);
																			{
																				obj_t BgL_lctoz00_2543;
																				obj_t BgL_nctoz00_2542;

																				BgL_nctoz00_2542 = BgL_arg3897z00_1072;
																				BgL_lctoz00_2543 = BgL_arg3898z00_1073;
																				BgL_lctoz00_1066 = BgL_lctoz00_2543;
																				BgL_nctoz00_1065 = BgL_nctoz00_2542;
																				goto BgL_zc3anonymousza33892ze3z83_1067;
																			}
																		}
																}
														}
													}
											}
										}
										{	/* Globalize/new_body.scm 116 */
											BgL_nodez00_bglt BgL_arg3903z00_1080;

											BgL_arg3903z00_1080 =
												BGl_remz12z12zzglobaliza7e_newzd2bodyz75
												(BgL_new2zd2bodyzd2_1056, BgL_localz00_5,
												BgL_localz00_5);
											{	/* Globalize/new_body.scm 116 */
												BgL_sfunzf2ginfozf2_bglt BgL_obj3499z00_1874;
												obj_t BgL_val3498z00_1875;

												BgL_obj3499z00_1874 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_funz00_1037);
												BgL_val3498z00_1875 = ((obj_t) BgL_arg3903z00_1080);
												{
													obj_t BgL_auxz00_2547;

													{	/* Globalize/new_body.scm 116 */
														BgL_objectz00_bglt BgL_auxz00_2548;

														BgL_auxz00_2548 =
															((BgL_objectz00_bglt) BgL_obj3499z00_1874);
														BgL_auxz00_2547 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2548);
													}
													return
														((((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_2547))->BgL_newzd2bodyzd2) =
														((obj_t) BgL_val3498z00_1875), BUNSPEC);
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3919> */
	obj_t BGl_z62zc3anonymousza33919ze3ze1zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2062, obj_t BgL_gz00_2064)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 53 */
			{	/* Globalize/new_body.scm 54 */
				obj_t BgL_localz00_2063;

				BgL_localz00_2063 = PROCEDURE_REF(BgL_envz00_2062, (int) (((long) 0)));
				{
					obj_t BgL_gz00_1101;

					{	/* Globalize/new_body.scm 54 */
						bool_t BgL_auxz00_2554;

						BgL_gz00_1101 = BgL_gz00_2064;
						{	/* Globalize/new_body.scm 54 */
							bool_t BgL_testz00_2555;

							{	/* Globalize/new_body.scm 54 */
								obj_t BgL_auxz00_2556;

								{	/* Globalize/new_body.scm 54 */
									BgL_sfunzf2ginfozf2_bglt BgL_obj3476z00_1830;

									{	/* Globalize/new_body.scm 54 */
										BgL_variablez00_bglt BgL_obj1612z00_1829;

										BgL_obj1612z00_1829 =
											((BgL_variablez00_bglt) BgL_gz00_1101);
										BgL_obj3476z00_1830 =
											((BgL_sfunzf2ginfozf2_bglt)
											(((BgL_variablez00_bglt) CREF(
														((obj_t) BgL_obj1612z00_1829)))->BgL_valuez00));
									}
									{
										obj_t BgL_auxz00_2561;

										{	/* Globalize/new_body.scm 54 */
											BgL_objectz00_bglt BgL_auxz00_2562;

											BgL_auxz00_2562 =
												((BgL_objectz00_bglt) BgL_obj3476z00_1830);
											BgL_auxz00_2561 = BGL_OBJECT_WIDENING(BgL_auxz00_2562);
										}
										BgL_auxz00_2556 =
											(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2561))->
											BgL_ownerz00);
								}}
								BgL_testz00_2555 = (BgL_auxz00_2556 == BgL_localz00_2063);
							}
							if (BgL_testz00_2555)
								{	/* Globalize/new_body.scm 54 */
									BgL_auxz00_2554 = ((bool_t) 0);
								}
							else
								{	/* Globalize/new_body.scm 54 */
									BgL_auxz00_2554 = ((bool_t) 1);
								}
						}
						return BBOOL(BgL_auxz00_2554);
					}
				}
			}
		}
	}



/* is-in? */
	bool_t BGl_iszd2inzf3z21zzglobaliza7e_newzd2bodyz75(obj_t BgL_f1z00_6,
		obj_t BgL_f2z00_7)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 123 */
			{	/* Globalize/new_body.scm 124 */
				BgL_valuez00_bglt BgL_infoz00_1107;

				{	/* Globalize/new_body.scm 124 */
					BgL_variablez00_bglt BgL_obj1612z00_1876;

					BgL_obj1612z00_1876 = ((BgL_variablez00_bglt) BgL_f1z00_6);
					BgL_infoz00_1107 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1876)))->BgL_valuez00);
				}
				{	/* Globalize/new_body.scm 126 */
					bool_t BgL_testz00_2571;

					{	/* Globalize/new_body.scm 126 */
						BgL_sfunzf2ginfozf2_bglt BgL_obj3448z00_1877;

						BgL_obj3448z00_1877 = ((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_1107);
						{
							obj_t BgL_auxz00_2573;

							{	/* Globalize/new_body.scm 126 */
								BgL_objectz00_bglt BgL_auxz00_2574;

								BgL_auxz00_2574 = ((BgL_objectz00_bglt) BgL_obj3448z00_1877);
								BgL_auxz00_2573 = BGL_OBJECT_WIDENING(BgL_auxz00_2574);
							}
							BgL_testz00_2571 =
								(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2573))->
								BgL_gzf3zf3);
						}
					}
					if (BgL_testz00_2571)
						{	/* Globalize/new_body.scm 126 */
							return ((bool_t) 0);
						}
					else
						{	/* Globalize/new_body.scm 128 */
							bool_t BgL_testz00_2578;

							{	/* Globalize/new_body.scm 128 */
								obj_t BgL_arg3929z00_1114;

								{	/* Globalize/new_body.scm 128 */
									BgL_sfunzf2ginfozf2_bglt BgL_obj3469z00_1878;

									BgL_obj3469z00_1878 =
										((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_1107);
									{
										obj_t BgL_auxz00_2580;

										{	/* Globalize/new_body.scm 128 */
											BgL_objectz00_bglt BgL_auxz00_2581;

											BgL_auxz00_2581 =
												((BgL_objectz00_bglt) BgL_obj3469z00_1878);
											BgL_auxz00_2580 = BGL_OBJECT_WIDENING(BgL_auxz00_2581);
										}
										BgL_arg3929z00_1114 =
											(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2580))->
											BgL_integratorz00);
									}
								}
								BgL_testz00_2578 =
									BGl_iszd2azf3z21zz__objectz00(BgL_arg3929z00_1114,
									BGl_localz00zzast_varz00);
							}
							if (BgL_testz00_2578)
								{	/* Globalize/new_body.scm 130 */
									bool_t BgL_testz00_2586;

									{	/* Globalize/new_body.scm 130 */
										obj_t BgL_auxz00_2587;

										{	/* Globalize/new_body.scm 130 */
											BgL_sfunzf2ginfozf2_bglt BgL_obj3469z00_1881;

											BgL_obj3469z00_1881 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_1107);
											{
												obj_t BgL_auxz00_2589;

												{	/* Globalize/new_body.scm 130 */
													BgL_objectz00_bglt BgL_auxz00_2590;

													BgL_auxz00_2590 =
														((BgL_objectz00_bglt) BgL_obj3469z00_1881);
													BgL_auxz00_2589 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2590);
												}
												BgL_auxz00_2587 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2589))->
													BgL_integratorz00);
											}
										}
										BgL_testz00_2586 = (BgL_auxz00_2587 == BgL_f2z00_7);
									}
									if (BgL_testz00_2586)
										{	/* Globalize/new_body.scm 130 */
											return ((bool_t) 1);
										}
									else
										{	/* Globalize/new_body.scm 132 */
											bool_t BgL_testz00_2595;

											{	/* Globalize/new_body.scm 132 */
												obj_t BgL_auxz00_2596;

												{	/* Globalize/new_body.scm 132 */
													BgL_sfunzf2ginfozf2_bglt BgL_obj3469z00_1882;

													BgL_obj3469z00_1882 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_infoz00_1107);
													{
														obj_t BgL_auxz00_2598;

														{	/* Globalize/new_body.scm 132 */
															BgL_objectz00_bglt BgL_auxz00_2599;

															BgL_auxz00_2599 =
																((BgL_objectz00_bglt) BgL_obj3469z00_1882);
															BgL_auxz00_2598 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2599);
														}
														BgL_auxz00_2596 =
															(((BgL_sfunzf2ginfozf2_bglt)
																CREF(BgL_auxz00_2598))->BgL_integratorz00);
													}
												}
												BgL_testz00_2595 =
													BGl_iszd2inzf3z21zzglobaliza7e_newzd2bodyz75
													(BgL_auxz00_2596, BgL_f2z00_7);
											}
											if (BgL_testz00_2595)
												{	/* Globalize/new_body.scm 132 */
													return ((bool_t) 1);
												}
											else
												{	/* Globalize/new_body.scm 132 */
													return ((bool_t) 0);
												}
										}
								}
							else
								{	/* Globalize/new_body.scm 128 */
									return ((bool_t) 1);
								}
						}
				}
			}
		}
	}



/* rem*! */
	obj_t BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(obj_t BgL_nodeza2za2_71,
		obj_t BgL_ownerz00_72, obj_t BgL_currentz00_73)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 364 */
			{
				obj_t BgL_nodeza2za2_1116;

				BgL_nodeza2za2_1116 = BgL_nodeza2za2_71;
			BgL_zc3anonymousza33930ze3z83_1117:
				if (NULLP(BgL_nodeza2za2_1116))
					{	/* Globalize/new_body.scm 366 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Globalize/new_body.scm 366 */
						{	/* Globalize/new_body.scm 369 */
							BgL_nodez00_bglt BgL_arg3932z00_1119;

							{	/* Globalize/new_body.scm 369 */
								obj_t BgL_arg3933z00_1120;

								BgL_arg3933z00_1120 = CAR(BgL_nodeza2za2_1116);
								BgL_arg3932z00_1119 =
									BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
									((BgL_nodez00_bglt) BgL_arg3933z00_1120), BgL_ownerz00_72,
									BgL_currentz00_73);
							}
							{	/* Globalize/new_body.scm 369 */
								obj_t BgL_pairz00_1886;
								obj_t BgL_objz00_1887;

								BgL_pairz00_1886 = BgL_nodeza2za2_1116;
								BgL_objz00_1887 = ((obj_t) BgL_arg3932z00_1119);
								SET_CAR(BgL_pairz00_1886, BgL_objz00_1887);
							}
						}
						{
							obj_t BgL_nodeza2za2_2612;

							BgL_nodeza2za2_2612 = CDR(BgL_nodeza2za2_1116);
							BgL_nodeza2za2_1116 = BgL_nodeza2za2_2612;
							goto BgL_zc3anonymousza33930ze3z83_1117;
						}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_proc4101z00zzglobaliza7e_newzd2bodyz75, BGl_nodez00zzast_nodez00,
				BGl_string4102z00zzglobaliza7e_newzd2bodyz75);
		}
	}



/* &rem!3831 */
	obj_t BGl_z62remz123831z70zzglobaliza7e_newzd2bodyz75(obj_t BgL_envz00_2066,
		BgL_nodez00_bglt BgL_nodez00_2067, obj_t BgL_ownerz00_2068,
		obj_t BgL_currentz00_2069)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 145 */
			{
				BgL_nodez00_bglt BgL_nodez00_1563;
				obj_t BgL_ownerz00_1564;
				obj_t BgL_currentz00_1565;

				BgL_nodez00_1563 = BgL_nodez00_2067;
				BgL_ownerz00_1564 = BgL_ownerz00_2068;
				BgL_currentz00_1565 = BgL_currentz00_2069;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string4103z00zzglobaliza7e_newzd2bodyz75,
					((obj_t) BgL_nodez00_1563));
		}}
	}



/* rem! */
	BgL_nodez00_bglt BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_nodez00_bglt
		BgL_nodez00_8, obj_t BgL_ownerz00_9, obj_t BgL_currentz00_10)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 145 */
			{	/* Globalize/new_body.scm 145 */
				obj_t BgL_method3832z00_1568;

				{	/* Globalize/new_body.scm 145 */
					obj_t BgL_res4096z00_1917;

					{	/* Globalize/new_body.scm 145 */
						BgL_objectz00_bglt BgL_objz00_1889;

						BgL_objz00_1889 = ((BgL_objectz00_bglt) BgL_nodez00_8);
						{	/* Globalize/new_body.scm 145 */
							long BgL_objzd2classzd2numz00_1890;

							{	/* Globalize/new_body.scm 145 */
								long BgL_res4090z00_1893;

								BgL_res4090z00_1893 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1889);
								BgL_objzd2classzd2numz00_1890 = BgL_res4090z00_1893;
							}
							{	/* Globalize/new_body.scm 145 */
								obj_t BgL_arg2545z00_1891;

								BgL_arg2545z00_1891 =
									PROCEDURE_REF(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
									(int) (((long) 1)));
								{	/* Globalize/new_body.scm 145 */
									obj_t BgL_arrayz00_1894;
									int BgL_offsetz00_1895;

									BgL_arrayz00_1894 = BgL_arg2545z00_1891;
									BgL_offsetz00_1895 = (int) (BgL_objzd2classzd2numz00_1890);
									{	/* Globalize/new_body.scm 145 */
										long BgL_offsetz00_1896;

										BgL_offsetz00_1896 =
											((long) (BgL_offsetz00_1895) - OBJECT_TYPE);
										{	/* Globalize/new_body.scm 145 */
											long BgL_modz00_1897;

											{	/* Globalize/new_body.scm 145 */
												int BgL_arg2547z00_1898;

												BgL_arg2547z00_1898 = (int) (((long) 16));
												{	/* Globalize/new_body.scm 145 */
													long BgL_res4093z00_1908;

													{	/* Globalize/new_body.scm 145 */
														long BgL_auxz00_2626;

														BgL_auxz00_2626 = (long) (BgL_arg2547z00_1898);
														BgL_res4093z00_1908 =
															(BgL_offsetz00_1896 / BgL_auxz00_2626);
													}
													BgL_modz00_1897 = BgL_res4093z00_1908;
											}}
											{	/* Globalize/new_body.scm 145 */
												long BgL_restz00_1899;

												{	/* Globalize/new_body.scm 145 */
													int BgL_arg2546z00_1900;

													BgL_arg2546z00_1900 = (int) (((long) 16));
													{	/* Globalize/new_body.scm 145 */
														long BgL_res4095z00_1912;

														{	/* Globalize/new_body.scm 145 */
															long BgL_auxz00_2630;

															BgL_auxz00_2630 = (long) (BgL_arg2546z00_1900);
															BgL_res4095z00_1912 =
																(BgL_offsetz00_1896 % BgL_auxz00_2630);
														}
														BgL_restz00_1899 = BgL_res4095z00_1912;
												}}
												{	/* Globalize/new_body.scm 145 */

													BgL_res4096z00_1917 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1894,
															(int) (BgL_modz00_1897)),
														(int) (BgL_restz00_1899));
					}}}}}}}}
					BgL_method3832z00_1568 = BgL_res4096z00_1917;
				}
				{	/* Globalize/new_body.scm 145 */
					obj_t BgL_xz00_2245;

					BgL_xz00_2245 =
						PROCEDURE_ENTRY(BgL_method3832z00_1568) (BgL_method3832z00_1568,
						((obj_t) BgL_nodez00_8), BgL_ownerz00_9, BgL_currentz00_10, BEOA);
					return ((BgL_nodez00_bglt) BgL_xz00_2245);
				}
			}
		}
	}



/* &rem! */
	BgL_nodez00_bglt BGl_z62remz12z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2070, obj_t BgL_nodez00_2071, obj_t BgL_ownerz00_2072,
		obj_t BgL_currentz00_2073)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 145 */
			return
				BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
				((BgL_nodez00_bglt) BgL_nodez00_2071), BgL_ownerz00_2072,
				BgL_currentz00_2073);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_atomz00zzast_nodez00, BGl_proc4104z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_kwotez00zzast_nodez00, BGl_proc4106z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_varz00zzast_nodez00, BGl_proc4107z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_sequencez00zzast_nodez00,
				BGl_proc4108z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_appz00zzast_nodez00, BGl_proc4109z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4110z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_funcallz00zzast_nodez00, BGl_proc4111z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_externz00zzast_nodez00, BGl_proc4112z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_castz00zzast_nodez00, BGl_proc4113z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_setqz00zzast_nodez00, BGl_proc4114z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc4115z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_failz00zzast_nodez00, BGl_proc4116z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_selectz00zzast_nodez00, BGl_proc4117z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4118z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4119z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4120z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4121z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4122z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4123z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_remz12zd2envzc0zzglobaliza7e_newzd2bodyz75,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4124z00zzglobaliza7e_newzd2bodyz75,
				BGl_string4105z00zzglobaliza7e_newzd2bodyz75);
		}
	}



/* &rem!-box-set!3873 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2boxzd2setz123873z62zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2094, BgL_boxzd2setz12zc0_bglt BgL_nodez00_2095,
		obj_t BgL_ownerz00_2096, obj_t BgL_currentz00_2097)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 355 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1800;
				obj_t BgL_ownerz00_1801;
				obj_t BgL_currentz00_1802;

				BgL_nodez00_1800 = BgL_nodez00_2095;
				BgL_ownerz00_1801 = BgL_ownerz00_2096;
				BgL_currentz00_1802 = BgL_currentz00_2097;
				{	/* Globalize/new_body.scm 357 */
					BgL_nodez00_bglt BgL_arg4074z00_1806;

					{	/* Globalize/new_body.scm 357 */
						BgL_varz00_bglt BgL_arg4075z00_1807;

						BgL_arg4075z00_1807 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1800)))->BgL_varz00);
						BgL_arg4074z00_1806 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
							((BgL_nodez00_bglt) BgL_arg4075z00_1807), BgL_ownerz00_1801,
							BgL_currentz00_1802);
					}
					{	/* Globalize/new_body.scm 357 */
						BgL_varz00_bglt BgL_val3345z00_2054;

						BgL_val3345z00_2054 = ((BgL_varz00_bglt) BgL_arg4074z00_1806);
						((((BgL_boxzd2setz12zc0_bglt) CREF(
										((obj_t) BgL_nodez00_1800)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3345z00_2054), BUNSPEC);
					}
				}
				{	/* Globalize/new_body.scm 358 */
					BgL_nodez00_bglt BgL_arg4076z00_1808;

					{	/* Globalize/new_body.scm 358 */
						BgL_nodez00_bglt BgL_arg4077z00_1809;

						BgL_arg4077z00_1809 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1800)))->BgL_valuez00);
						BgL_arg4076z00_1808 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4077z00_1809,
							BgL_ownerz00_1801, BgL_currentz00_1802);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1800)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg4076z00_1808), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1800);
			}
		}
	}



/* &rem!-box-ref3871 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2boxzd2ref3871z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2098, BgL_boxzd2refzd2_bglt BgL_nodez00_2099,
		obj_t BgL_ownerz00_2100, obj_t BgL_currentz00_2101)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 347 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1791;
				obj_t BgL_ownerz00_1792;
				obj_t BgL_currentz00_1793;

				BgL_nodez00_1791 = BgL_nodez00_2099;
				BgL_ownerz00_1792 = BgL_ownerz00_2100;
				BgL_currentz00_1793 = BgL_currentz00_2101;
				{	/* Globalize/new_body.scm 348 */
					BgL_nodez00_bglt BgL_arg4072z00_2047;

					{	/* Globalize/new_body.scm 348 */
						BgL_varz00_bglt BgL_arg4073z00_2048;

						BgL_arg4073z00_2048 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1791)))->BgL_varz00);
						BgL_arg4072z00_2047 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
							((BgL_nodez00_bglt) BgL_arg4073z00_2048), BgL_ownerz00_1792,
							BgL_currentz00_1793);
					}
					{	/* Globalize/new_body.scm 348 */
						BgL_varz00_bglt BgL_val3319z00_2051;

						BgL_val3319z00_2051 = ((BgL_varz00_bglt) BgL_arg4072z00_2047);
						((((BgL_boxzd2refzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1791)))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_val3319z00_2051), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1791);
			}
		}
	}



/* &rem!-make-box3869 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2makezd2box3869z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2102, BgL_makezd2boxzd2_bglt BgL_nodez00_2103,
		obj_t BgL_ownerz00_2104, obj_t BgL_currentz00_2105)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 339 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1782;
				obj_t BgL_ownerz00_1783;
				obj_t BgL_currentz00_1784;

				BgL_nodez00_1782 = BgL_nodez00_2103;
				BgL_ownerz00_1783 = BgL_ownerz00_2104;
				BgL_currentz00_1784 = BgL_currentz00_2105;
				{	/* Globalize/new_body.scm 340 */
					BgL_nodez00_bglt BgL_arg4070z00_2041;

					{	/* Globalize/new_body.scm 340 */
						BgL_nodez00_bglt BgL_arg4071z00_2042;

						BgL_arg4071z00_2042 =
							(((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1782)))->BgL_valuez00);
						BgL_arg4070z00_2041 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4071z00_2042,
							BgL_ownerz00_1783, BgL_currentz00_1784);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1782)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg4070z00_2041), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1782);
			}
		}
	}



/* &rem!-jump-ex-it3866 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2jumpzd2exzd2it3866za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2106, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2107,
		obj_t BgL_ownerz00_2108, obj_t BgL_currentz00_2109)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 330 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1771;
				obj_t BgL_ownerz00_1772;
				obj_t BgL_currentz00_1773;

				BgL_nodez00_1771 = BgL_nodez00_2107;
				BgL_ownerz00_1772 = BgL_ownerz00_2108;
				BgL_currentz00_1773 = BgL_currentz00_2109;
				{	/* Globalize/new_body.scm 332 */
					BgL_nodez00_bglt BgL_arg4066z00_1777;

					{	/* Globalize/new_body.scm 332 */
						BgL_nodez00_bglt BgL_arg4067z00_1778;

						BgL_arg4067z00_1778 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1771)))->BgL_exitz00);
						BgL_arg4066z00_1777 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4067z00_1778,
							BgL_ownerz00_1772, BgL_currentz00_1773);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1771)))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_arg4066z00_1777), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 333 */
					BgL_nodez00_bglt BgL_arg4068z00_1779;

					{	/* Globalize/new_body.scm 333 */
						BgL_nodez00_bglt BgL_arg4069z00_1780;

						BgL_arg4069z00_1780 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1771)))->BgL_valuez00);
						BgL_arg4068z00_1779 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4069z00_1780,
							BgL_ownerz00_1772, BgL_currentz00_1773);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1771)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg4068z00_1779), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1771);
			}
		}
	}



/* &rem!-set-ex-it3864 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2setzd2exzd2it3864za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2110, BgL_setzd2exzd2itz00_bglt BgL_nodez00_2111,
		obj_t BgL_ownerz00_2112, obj_t BgL_currentz00_2113)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 322 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1762;
				obj_t BgL_ownerz00_1763;
				obj_t BgL_currentz00_1764;

				BgL_nodez00_1762 = BgL_nodez00_2111;
				BgL_ownerz00_1763 = BgL_ownerz00_2112;
				BgL_currentz00_1764 = BgL_currentz00_2113;
				{	/* Globalize/new_body.scm 323 */
					BgL_nodez00_bglt BgL_arg4064z00_2029;

					{	/* Globalize/new_body.scm 323 */
						BgL_nodez00_bglt BgL_arg4065z00_2030;

						BgL_arg4065z00_2030 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1762)))->BgL_bodyz00);
						BgL_arg4064z00_2029 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4065z00_2030,
							BgL_ownerz00_1763, BgL_currentz00_1764);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1762)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg4064z00_2029), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1762);
			}
		}
	}



/* &rem!-let-var3862 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2letzd2var3862z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2114, BgL_letzd2varzd2_bglt BgL_nodez00_2115,
		obj_t BgL_ownerz00_2116, obj_t BgL_currentz00_2117)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 311 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1743;
				obj_t BgL_ownerz00_1744;
				obj_t BgL_currentz00_1745;

				BgL_nodez00_1743 = BgL_nodez00_2115;
				BgL_ownerz00_1744 = BgL_ownerz00_2116;
				BgL_currentz00_1745 = BgL_currentz00_2117;
				{	/* Globalize/new_body.scm 313 */
					BgL_nodez00_bglt BgL_arg4057z00_1749;

					{	/* Globalize/new_body.scm 313 */
						BgL_nodez00_bglt BgL_arg4058z00_1750;

						BgL_arg4058z00_1750 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1743)))->BgL_bodyz00);
						BgL_arg4057z00_1749 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4058z00_1750,
							BgL_ownerz00_1744, BgL_currentz00_1745);
					}
					((((BgL_letzd2varzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1743)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg4057z00_1749), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 314 */
					obj_t BgL_g3830z00_1751;

					BgL_g3830z00_1751 =
						(((BgL_letzd2varzd2_bglt) CREF(
								((obj_t) BgL_nodez00_1743)))->BgL_bindingsz00);
					{
						obj_t BgL_l3828z00_1753;

						BgL_l3828z00_1753 = BgL_g3830z00_1751;
					BgL_zc3anonymousza34059ze3z83_1754:
						if (PAIRP(BgL_l3828z00_1753))
							{	/* Globalize/new_body.scm 314 */
								{	/* Globalize/new_body.scm 315 */
									obj_t BgL_bindingz00_1756;

									BgL_bindingz00_1756 = CAR(BgL_l3828z00_1753);
									{	/* Globalize/new_body.scm 315 */
										BgL_nodez00_bglt BgL_arg4061z00_1757;

										{	/* Globalize/new_body.scm 315 */
											obj_t BgL_arg4062z00_1758;

											BgL_arg4062z00_1758 = CDR(BgL_bindingz00_1756);
											BgL_arg4061z00_1757 =
												BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
												((BgL_nodez00_bglt) BgL_arg4062z00_1758),
												BgL_ownerz00_1744, BgL_currentz00_1745);
										}
										{	/* Globalize/new_body.scm 315 */
											obj_t BgL_pairz00_2025;
											obj_t BgL_objz00_2026;

											BgL_pairz00_2025 = BgL_bindingz00_1756;
											BgL_objz00_2026 = ((obj_t) BgL_arg4061z00_1757);
											SET_CDR(BgL_pairz00_2025, BgL_objz00_2026);
										}
									}
								}
								{
									obj_t BgL_l3828z00_2726;

									BgL_l3828z00_2726 = CDR(BgL_l3828z00_1753);
									BgL_l3828z00_1753 = BgL_l3828z00_2726;
									goto BgL_zc3anonymousza34059ze3z83_1754;
								}
							}
						else
							{	/* Globalize/new_body.scm 314 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1743);
			}
		}
	}



/* &rem!-let-fun3860 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2letzd2fun3860z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2118, BgL_letzd2funzd2_bglt BgL_nodez00_2119,
		obj_t BgL_ownerz00_2120, obj_t BgL_currentz00_2121)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 257 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1694;
				obj_t BgL_ownerz00_1695;
				obj_t BgL_currentz00_1696;

				BgL_nodez00_1694 = BgL_nodez00_2119;
				BgL_ownerz00_1695 = BgL_ownerz00_2120;
				BgL_currentz00_1696 = BgL_currentz00_2121;
				{	/* Globalize/new_body.scm 259 */
					BgL_nodez00_bglt BgL_arg4021z00_1700;

					{	/* Globalize/new_body.scm 259 */
						BgL_nodez00_bglt BgL_arg4022z00_1701;

						BgL_arg4022z00_1701 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1694)))->BgL_bodyz00);
						BgL_arg4021z00_1700 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4022z00_1701,
							BgL_ownerz00_1695, BgL_currentz00_1696);
					}
					((((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1694)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_arg4021z00_1700), BUNSPEC);
				}
				{
					obj_t BgL_obindingsz00_1705;
					obj_t BgL_nbindingsz00_1706;

					{	/* Globalize/new_body.scm 260 */
						obj_t BgL_arg4023z00_1704;

						BgL_arg4023z00_1704 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1694)))->BgL_localsz00);
						{	/* Globalize/new_body.scm 260 */
							BgL_letzd2funzd2_bglt BgL_xz00_2306;

							BgL_obindingsz00_1705 = BgL_arg4023z00_1704;
							BgL_nbindingsz00_1706 = BNIL;
						BgL_zc3anonymousza34024ze3z83_1707:
							if (NULLP(BgL_obindingsz00_1705))
								{	/* Globalize/new_body.scm 263 */
									((((BgL_letzd2funzd2_bglt) CREF(
													((obj_t) BgL_nodez00_1694)))->BgL_localsz00) =
										((obj_t) BgL_nbindingsz00_1706), BUNSPEC);
									BgL_xz00_2306 = BgL_nodez00_1694;
								}
							else
								{	/* Globalize/new_body.scm 266 */
									bool_t BgL_testz00_2740;

									{	/* Globalize/new_body.scm 266 */
										long BgL_arg4054z00_1738;

										{	/* Globalize/new_body.scm 266 */
											BgL_sfunzf2ginfozf2_bglt BgL_obj3500z00_1984;

											{
												BgL_valuez00_bglt BgL_auxz00_2741;

												{	/* Globalize/new_body.scm 266 */
													BgL_variablez00_bglt BgL_obj1612z00_1983;

													{	/* Globalize/new_body.scm 266 */
														obj_t BgL_pairz00_1982;

														BgL_pairz00_1982 = BgL_obindingsz00_1705;
														BgL_obj1612z00_1983 =
															((BgL_variablez00_bglt) CAR(BgL_pairz00_1982));
													}
													BgL_auxz00_2741 =
														(((BgL_variablez00_bglt) CREF(
																((obj_t) BgL_obj1612z00_1983)))->BgL_valuez00);
												}
												BgL_obj3500z00_1984 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2741);
											}
											{
												obj_t BgL_auxz00_2747;

												{	/* Globalize/new_body.scm 266 */
													BgL_objectz00_bglt BgL_auxz00_2748;

													BgL_auxz00_2748 =
														((BgL_objectz00_bglt) BgL_obj3500z00_1984);
													BgL_auxz00_2747 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2748);
												}
												BgL_arg4054z00_1738 =
													(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2747))->
													BgL_bmarkz00);
										}}
										BgL_testz00_2740 =
											(BgL_arg4054z00_1738 ==
											BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75);
									}
									if (BgL_testz00_2740)
										{	/* Globalize/new_body.scm 266 */
											{	/* Globalize/new_body.scm 273 */
												bool_t BgL_testz00_2753;

												{	/* Globalize/new_body.scm 273 */
													obj_t BgL_auxz00_2754;

													{	/* Globalize/new_body.scm 274 */
														BgL_sfunzf2ginfozf2_bglt BgL_obj3482z00_1990;

														{
															BgL_valuez00_bglt BgL_auxz00_2755;

															{	/* Globalize/new_body.scm 274 */
																BgL_variablez00_bglt BgL_obj1612z00_1989;

																{	/* Globalize/new_body.scm 274 */
																	obj_t BgL_pairz00_1988;

																	BgL_pairz00_1988 = BgL_obindingsz00_1705;
																	BgL_obj1612z00_1989 =
																		((BgL_variablez00_bglt)
																		CAR(BgL_pairz00_1988));
																}
																BgL_auxz00_2755 =
																	(((BgL_variablez00_bglt) CREF(
																			((obj_t) BgL_obj1612z00_1989)))->
																	BgL_valuez00);
															}
															BgL_obj3482z00_1990 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2755);
														}
														{
															obj_t BgL_auxz00_2761;

															{	/* Globalize/new_body.scm 274 */
																BgL_objectz00_bglt BgL_auxz00_2762;

																BgL_auxz00_2762 =
																	((BgL_objectz00_bglt) BgL_obj3482z00_1990);
																BgL_auxz00_2761 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2762);
															}
															BgL_auxz00_2754 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_2761))->BgL_pluggedzd2inzd2);
														}
													}
													BgL_testz00_2753 =
														(BgL_currentz00_1696 == BgL_auxz00_2754);
												}
												if (BgL_testz00_2753)
													{	/* Globalize/new_body.scm 276 */
														obj_t BgL_arg4028z00_1711;
														obj_t BgL_arg4029z00_1712;

														BgL_arg4028z00_1711 = CDR(BgL_obindingsz00_1705);
														BgL_arg4029z00_1712 =
															MAKE_PAIR(CAR(BgL_obindingsz00_1705),
															BgL_nbindingsz00_1706);
														{
															obj_t BgL_nbindingsz00_2771;
															obj_t BgL_obindingsz00_2770;

															BgL_obindingsz00_2770 = BgL_arg4028z00_1711;
															BgL_nbindingsz00_2771 = BgL_arg4029z00_1712;
															BgL_nbindingsz00_1706 = BgL_nbindingsz00_2771;
															BgL_obindingsz00_1705 = BgL_obindingsz00_2770;
															goto BgL_zc3anonymousza34024ze3z83_1707;
														}
													}
												else
													{
														obj_t BgL_obindingsz00_2772;

														BgL_obindingsz00_2772 = CDR(BgL_obindingsz00_1705);
														BgL_obindingsz00_1705 = BgL_obindingsz00_2772;
														goto BgL_zc3anonymousza34024ze3z83_1707;
													}
											}
										}
									else
										{	/* Globalize/new_body.scm 266 */
											if (BGl_iszd2inzf3z21zzglobaliza7e_newzd2bodyz75(CAR
													(BgL_obindingsz00_1705), BgL_ownerz00_1695))
												{	/* Globalize/new_body.scm 280 */
													{	/* Globalize/new_body.scm 286 */
														BgL_valuez00_bglt BgL_arg4036z00_1719;

														{	/* Globalize/new_body.scm 286 */
															BgL_variablez00_bglt BgL_obj1612z00_1996;

															{	/* Globalize/new_body.scm 286 */
																obj_t BgL_pairz00_1995;

																BgL_pairz00_1995 = BgL_obindingsz00_1705;
																BgL_obj1612z00_1996 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1995));
															}
															BgL_arg4036z00_1719 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_1996)))->
																BgL_valuez00);
														}
														{	/* Globalize/new_body.scm 286 */
															BgL_sfunzf2ginfozf2_bglt BgL_obj3502z00_1997;
															long BgL_val3501z00_1998;

															BgL_obj3502z00_1997 =
																((BgL_sfunzf2ginfozf2_bglt)
																BgL_arg4036z00_1719);
															BgL_val3501z00_1998 =
																BGl_za2roundza2z00zzglobaliza7e_newzd2bodyz75;
															{
																obj_t BgL_auxz00_2782;

																{	/* Globalize/new_body.scm 286 */
																	BgL_objectz00_bglt BgL_auxz00_2783;

																	BgL_auxz00_2783 =
																		((BgL_objectz00_bglt) BgL_obj3502z00_1997);
																	BgL_auxz00_2782 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2783);
																}
																((((BgL_sfunzf2ginfozf2_bglt)
																			CREF(BgL_auxz00_2782))->BgL_bmarkz00) =
																	((long) BgL_val3501z00_1998), BUNSPEC);
													}}}
													{	/* Globalize/new_body.scm 288 */
														BgL_valuez00_bglt BgL_arg4038z00_1721;

														{	/* Globalize/new_body.scm 288 */
															BgL_variablez00_bglt BgL_obj1612z00_2000;

															{	/* Globalize/new_body.scm 288 */
																obj_t BgL_pairz00_1999;

																BgL_pairz00_1999 = BgL_obindingsz00_1705;
																BgL_obj1612z00_2000 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_1999));
															}
															BgL_arg4038z00_1721 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_2000)))->
																BgL_valuez00);
														}
														{	/* Globalize/new_body.scm 288 */
															BgL_sfunzf2ginfozf2_bglt BgL_obj3484z00_2001;

															BgL_obj3484z00_2001 =
																((BgL_sfunzf2ginfozf2_bglt)
																BgL_arg4038z00_1721);
															{
																obj_t BgL_auxz00_2792;

																{	/* Globalize/new_body.scm 288 */
																	BgL_objectz00_bglt BgL_auxz00_2793;

																	BgL_auxz00_2793 =
																		((BgL_objectz00_bglt) BgL_obj3484z00_2001);
																	BgL_auxz00_2792 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2793);
																}
																((((BgL_sfunzf2ginfozf2_bglt)
																			CREF(BgL_auxz00_2792))->
																		BgL_pluggedzd2inzd2) =
																	((obj_t) BgL_currentz00_1696), BUNSPEC);
													}}}
													{	/* Globalize/new_body.scm 290 */
														BgL_valuez00_bglt BgL_funz00_1723;

														{	/* Globalize/new_body.scm 290 */
															BgL_variablez00_bglt BgL_obj1612z00_2004;

															{	/* Globalize/new_body.scm 290 */
																obj_t BgL_pairz00_2003;

																BgL_pairz00_2003 = BgL_obindingsz00_1705;
																BgL_obj1612z00_2004 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_2003));
															}
															BgL_funz00_1723 =
																(((BgL_variablez00_bglt) CREF(
																		((obj_t) BgL_obj1612z00_2004)))->
																BgL_valuez00);
														}
														{	/* Globalize/new_body.scm 290 */
															obj_t BgL_bodz00_1724;

															{	/* Globalize/new_body.scm 291 */
																BgL_sfunz00_bglt BgL_obj1924z00_2005;

																BgL_obj1924z00_2005 =
																	((BgL_sfunz00_bglt) BgL_funz00_1723);
																BgL_bodz00_1724 =
																	(((BgL_sfunz00_bglt) CREF(
																			((obj_t) BgL_obj1924z00_2005)))->
																	BgL_bodyz00);
															}
															{	/* Globalize/new_body.scm 291 */

																{	/* Globalize/new_body.scm 292 */
																	BgL_nodez00_bglt BgL_arg4040z00_1725;

																	{	/* Globalize/new_body.scm 292 */
																		obj_t BgL_arg4042z00_1726;

																		BgL_arg4042z00_1726 =
																			CAR(BgL_obindingsz00_1705);
																		BgL_arg4040z00_1725 =
																			BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
																			((BgL_nodez00_bglt) BgL_bodz00_1724),
																			BgL_ownerz00_1695, BgL_arg4042z00_1726);
																	}
																	{	/* Globalize/new_body.scm 292 */
																		BgL_sfunz00_bglt BgL_obj1926z00_2007;
																		obj_t BgL_val1925z00_2008;

																		BgL_obj1926z00_2007 =
																			((BgL_sfunz00_bglt) BgL_funz00_1723);
																		BgL_val1925z00_2008 =
																			((obj_t) BgL_arg4040z00_1725);
																		((((BgL_sfunz00_bglt) CREF(
																						((obj_t) BgL_obj1926z00_2007)))->
																				BgL_bodyz00) =
																			((obj_t) BgL_val1925z00_2008), BUNSPEC);
																}}
																{	/* Globalize/new_body.scm 293 */
																	obj_t BgL_arg4043z00_1727;
																	obj_t BgL_arg4044z00_1728;

																	BgL_arg4043z00_1727 =
																		CDR(BgL_obindingsz00_1705);
																	BgL_arg4044z00_1728 =
																		MAKE_PAIR(CAR(BgL_obindingsz00_1705),
																		BgL_nbindingsz00_1706);
																	{
																		obj_t BgL_nbindingsz00_2815;
																		obj_t BgL_obindingsz00_2814;

																		BgL_obindingsz00_2814 = BgL_arg4043z00_1727;
																		BgL_nbindingsz00_2815 = BgL_arg4044z00_1728;
																		BgL_nbindingsz00_1706 =
																			BgL_nbindingsz00_2815;
																		BgL_obindingsz00_1705 =
																			BgL_obindingsz00_2814;
																		goto BgL_zc3anonymousza34024ze3z83_1707;
																	}
																}
															}
														}
													}
												}
											else
												{	/* Globalize/new_body.scm 295 */
													bool_t BgL_testz00_2816;

													{	/* Globalize/new_body.scm 295 */
														BgL_localzf2ginfozf2_bglt BgL_obj3650z00_2012;

														{	/* Globalize/new_body.scm 295 */
															obj_t BgL_pairz00_2011;

															BgL_pairz00_2011 = BgL_obindingsz00_1705;
															BgL_obj3650z00_2012 =
																((BgL_localzf2ginfozf2_bglt)
																CAR(BgL_pairz00_2011));
														}
														{
															obj_t BgL_auxz00_2819;

															{	/* Globalize/new_body.scm 295 */
																BgL_objectz00_bglt BgL_auxz00_2820;

																BgL_auxz00_2820 =
																	((BgL_objectz00_bglt) BgL_obj3650z00_2012);
																BgL_auxz00_2819 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2820);
															}
															BgL_testz00_2816 =
																(((BgL_localzf2ginfozf2_bglt)
																	CREF(BgL_auxz00_2819))->BgL_escapezf3zf3);
														}
													}
													if (BgL_testz00_2816)
														{	/* Globalize/new_body.scm 295 */
															{	/* Globalize/new_body.scm 299 */
																obj_t BgL_arg4048z00_1732;
																obj_t BgL_arg4049z00_1733;

																BgL_arg4048z00_1732 =
																	CDR(BgL_obindingsz00_1705);
																BgL_arg4049z00_1733 =
																	MAKE_PAIR(CAR(BgL_obindingsz00_1705),
																	BgL_nbindingsz00_1706);
																{
																	obj_t BgL_nbindingsz00_2828;
																	obj_t BgL_obindingsz00_2827;

																	BgL_obindingsz00_2827 = BgL_arg4048z00_1732;
																	BgL_nbindingsz00_2828 = BgL_arg4049z00_1733;
																	BgL_nbindingsz00_1706 = BgL_nbindingsz00_2828;
																	BgL_obindingsz00_1705 = BgL_obindingsz00_2827;
																	goto BgL_zc3anonymousza34024ze3z83_1707;
																}
															}
														}
													else
														{	/* Globalize/new_body.scm 295 */
															{
																obj_t BgL_obindingsz00_2829;

																BgL_obindingsz00_2829 =
																	CDR(BgL_obindingsz00_1705);
																BgL_obindingsz00_1705 = BgL_obindingsz00_2829;
																goto BgL_zc3anonymousza34024ze3z83_1707;
															}
														}
												}
										}
								}
							return ((BgL_nodez00_bglt) BgL_xz00_2306);
						}
					}
				}
			}
		}
	}



/* &rem!-select3858 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2select3858za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2122, BgL_selectz00_bglt BgL_nodez00_2123,
		obj_t BgL_ownerz00_2124, obj_t BgL_currentz00_2125)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 246 */
			{
				BgL_selectz00_bglt BgL_nodez00_1675;
				obj_t BgL_ownerz00_1676;
				obj_t BgL_currentz00_1677;

				BgL_nodez00_1675 = BgL_nodez00_2123;
				BgL_ownerz00_1676 = BgL_ownerz00_2124;
				BgL_currentz00_1677 = BgL_currentz00_2125;
				{	/* Globalize/new_body.scm 248 */
					BgL_nodez00_bglt BgL_arg4013z00_1681;

					{	/* Globalize/new_body.scm 248 */
						BgL_nodez00_bglt BgL_arg4014z00_1682;

						BgL_arg4014z00_1682 =
							(((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1675)))->BgL_testz00);
						BgL_arg4013z00_1681 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4014z00_1682,
							BgL_ownerz00_1676, BgL_currentz00_1677);
					}
					((((BgL_selectz00_bglt) CREF(
									((obj_t) BgL_nodez00_1675)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg4013z00_1681), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 249 */
					obj_t BgL_g3827z00_1683;

					BgL_g3827z00_1683 =
						(((BgL_selectz00_bglt) CREF(
								((obj_t) BgL_nodez00_1675)))->BgL_clausesz00);
					{
						obj_t BgL_l3825z00_1685;

						BgL_l3825z00_1685 = BgL_g3827z00_1683;
					BgL_zc3anonymousza34015ze3z83_1686:
						if (PAIRP(BgL_l3825z00_1685))
							{	/* Globalize/new_body.scm 249 */
								{	/* Globalize/new_body.scm 250 */
									obj_t BgL_clausez00_1688;

									BgL_clausez00_1688 = CAR(BgL_l3825z00_1685);
									{	/* Globalize/new_body.scm 250 */
										BgL_nodez00_bglt BgL_arg4018z00_1689;

										{	/* Globalize/new_body.scm 250 */
											obj_t BgL_arg4019z00_1690;

											BgL_arg4019z00_1690 = CDR(BgL_clausez00_1688);
											BgL_arg4018z00_1689 =
												BGl_remz12z12zzglobaliza7e_newzd2bodyz75(
												((BgL_nodez00_bglt) BgL_arg4019z00_1690),
												BgL_ownerz00_1676, BgL_currentz00_1677);
										}
										{	/* Globalize/new_body.scm 250 */
											obj_t BgL_pairz00_1972;
											obj_t BgL_objz00_1973;

											BgL_pairz00_1972 = BgL_clausez00_1688;
											BgL_objz00_1973 = ((obj_t) BgL_arg4018z00_1689);
											SET_CDR(BgL_pairz00_1972, BgL_objz00_1973);
										}
									}
								}
								{
									obj_t BgL_l3825z00_2847;

									BgL_l3825z00_2847 = CDR(BgL_l3825z00_1685);
									BgL_l3825z00_1685 = BgL_l3825z00_2847;
									goto BgL_zc3anonymousza34015ze3z83_1686;
								}
							}
						else
							{	/* Globalize/new_body.scm 249 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1675);
			}
		}
	}



/* &rem!-fail3856 */
	BgL_nodez00_bglt BGl_z62remz12zd2fail3856za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2126, BgL_failz00_bglt BgL_nodez00_2127, obj_t BgL_ownerz00_2128,
		obj_t BgL_currentz00_2129)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 236 */
			{
				BgL_failz00_bglt BgL_nodez00_1662;
				obj_t BgL_ownerz00_1663;
				obj_t BgL_currentz00_1664;

				BgL_nodez00_1662 = BgL_nodez00_2127;
				BgL_ownerz00_1663 = BgL_ownerz00_2128;
				BgL_currentz00_1664 = BgL_currentz00_2129;
				{	/* Globalize/new_body.scm 238 */
					BgL_nodez00_bglt BgL_arg4007z00_1668;

					{	/* Globalize/new_body.scm 238 */
						BgL_nodez00_bglt BgL_arg4008z00_1669;

						BgL_arg4008z00_1669 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1662)))->BgL_procz00);
						BgL_arg4007z00_1668 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4008z00_1669,
							BgL_ownerz00_1663, BgL_currentz00_1664);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1662)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_arg4007z00_1668), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 239 */
					BgL_nodez00_bglt BgL_arg4009z00_1670;

					{	/* Globalize/new_body.scm 239 */
						BgL_nodez00_bglt BgL_arg4010z00_1671;

						BgL_arg4010z00_1671 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1662)))->BgL_msgz00);
						BgL_arg4009z00_1670 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4010z00_1671,
							BgL_ownerz00_1663, BgL_currentz00_1664);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1662)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_arg4009z00_1670), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 240 */
					BgL_nodez00_bglt BgL_arg4011z00_1672;

					{	/* Globalize/new_body.scm 240 */
						BgL_nodez00_bglt BgL_arg4012z00_1673;

						BgL_arg4012z00_1673 =
							(((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1662)))->BgL_objz00);
						BgL_arg4011z00_1672 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4012z00_1673,
							BgL_ownerz00_1663, BgL_currentz00_1664);
					}
					((((BgL_failz00_bglt) CREF(
									((obj_t) BgL_nodez00_1662)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_arg4011z00_1672), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1662);
			}
		}
	}



/* &rem!-conditional3854 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2conditional3854za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2130, BgL_conditionalz00_bglt BgL_nodez00_2131,
		obj_t BgL_ownerz00_2132, obj_t BgL_currentz00_2133)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 226 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1649;
				obj_t BgL_ownerz00_1650;
				obj_t BgL_currentz00_1651;

				BgL_nodez00_1649 = BgL_nodez00_2131;
				BgL_ownerz00_1650 = BgL_ownerz00_2132;
				BgL_currentz00_1651 = BgL_currentz00_2133;
				{	/* Globalize/new_body.scm 228 */
					BgL_nodez00_bglt BgL_arg4001z00_1655;

					{	/* Globalize/new_body.scm 228 */
						BgL_nodez00_bglt BgL_arg4002z00_1656;

						BgL_arg4002z00_1656 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1649)))->BgL_testz00);
						BgL_arg4001z00_1655 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4002z00_1656,
							BgL_ownerz00_1650, BgL_currentz00_1651);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1649)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg4001z00_1655), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 229 */
					BgL_nodez00_bglt BgL_arg4003z00_1657;

					{	/* Globalize/new_body.scm 229 */
						BgL_nodez00_bglt BgL_arg4004z00_1658;

						BgL_arg4004z00_1658 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1649)))->BgL_truez00);
						BgL_arg4003z00_1657 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4004z00_1658,
							BgL_ownerz00_1650, BgL_currentz00_1651);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1649)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_arg4003z00_1657), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 230 */
					BgL_nodez00_bglt BgL_arg4005z00_1659;

					{	/* Globalize/new_body.scm 230 */
						BgL_nodez00_bglt BgL_arg4006z00_1660;

						BgL_arg4006z00_1660 =
							(((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1649)))->BgL_falsez00);
						BgL_arg4005z00_1659 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4006z00_1660,
							BgL_ownerz00_1650, BgL_currentz00_1651);
					}
					((((BgL_conditionalz00_bglt) CREF(
									((obj_t) BgL_nodez00_1649)))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_arg4005z00_1659), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1649);
			}
		}
	}



/* &rem!-setq3852 */
	BgL_nodez00_bglt BGl_z62remz12zd2setq3852za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2134, BgL_setqz00_bglt BgL_nodez00_2135, obj_t BgL_ownerz00_2136,
		obj_t BgL_currentz00_2137)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 218 */
			{
				BgL_setqz00_bglt BgL_nodez00_1640;
				obj_t BgL_ownerz00_1641;
				obj_t BgL_currentz00_1642;

				BgL_nodez00_1640 = BgL_nodez00_2135;
				BgL_ownerz00_1641 = BgL_ownerz00_2136;
				BgL_currentz00_1642 = BgL_currentz00_2137;
				{	/* Globalize/new_body.scm 219 */
					BgL_nodez00_bglt BgL_arg3999z00_1941;

					{	/* Globalize/new_body.scm 219 */
						BgL_nodez00_bglt BgL_arg4000z00_1942;

						BgL_arg4000z00_1942 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1640)))->BgL_valuez00);
						BgL_arg3999z00_1941 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg4000z00_1942,
							BgL_ownerz00_1641, BgL_currentz00_1642);
					}
					((((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1640)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3999z00_1941), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1640);
			}
		}
	}



/* &rem!-cast3850 */
	BgL_nodez00_bglt BGl_z62remz12zd2cast3850za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2138, BgL_castz00_bglt BgL_nodez00_2139, obj_t BgL_ownerz00_2140,
		obj_t BgL_currentz00_2141)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 210 */
			{
				BgL_castz00_bglt BgL_nodez00_1632;
				obj_t BgL_ownerz00_1633;
				obj_t BgL_currentz00_1634;

				BgL_nodez00_1632 = BgL_nodez00_2139;
				BgL_ownerz00_1633 = BgL_ownerz00_2140;
				BgL_currentz00_1634 = BgL_currentz00_2141;
				{	/* Globalize/new_body.scm 211 */
					BgL_nodez00_bglt BgL_arg3998z00_1938;

					BgL_arg3998z00_1938 =
						(((BgL_castz00_bglt) CREF(((obj_t) BgL_nodez00_1632)))->BgL_argz00);
					BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg3998z00_1938,
						BgL_ownerz00_1633, BgL_currentz00_1634);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1632);
			}
		}
	}



/* &rem!-extern3848 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2extern3848za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2142, BgL_externz00_bglt BgL_nodez00_2143,
		obj_t BgL_ownerz00_2144, obj_t BgL_currentz00_2145)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 202 */
			{
				BgL_externz00_bglt BgL_nodez00_1624;
				obj_t BgL_ownerz00_1625;
				obj_t BgL_currentz00_1626;

				BgL_nodez00_1624 = BgL_nodez00_2143;
				BgL_ownerz00_1625 = BgL_ownerz00_2144;
				BgL_currentz00_1626 = BgL_currentz00_2145;
				{	/* Globalize/new_body.scm 203 */
					obj_t BgL_arg3997z00_1935;

					BgL_arg3997z00_1935 =
						(((BgL_externz00_bglt) CREF(
								((obj_t) BgL_nodez00_1624)))->BgL_exprza2za2);
					BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(BgL_arg3997z00_1935,
						BgL_ownerz00_1625, BgL_currentz00_1626);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1624);
			}
		}
	}



/* &rem!-funcall3846 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2funcall3846za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2146, BgL_funcallz00_bglt BgL_nodez00_2147,
		obj_t BgL_ownerz00_2148, obj_t BgL_currentz00_2149)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 193 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1614;
				obj_t BgL_ownerz00_1615;
				obj_t BgL_currentz00_1616;

				BgL_nodez00_1614 = BgL_nodez00_2147;
				BgL_ownerz00_1615 = BgL_ownerz00_2148;
				BgL_currentz00_1616 = BgL_currentz00_2149;
				{	/* Globalize/new_body.scm 195 */
					BgL_nodez00_bglt BgL_arg3994z00_1620;

					{	/* Globalize/new_body.scm 195 */
						BgL_nodez00_bglt BgL_arg3995z00_1621;

						BgL_arg3995z00_1621 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1614)))->BgL_funz00);
						BgL_arg3994z00_1620 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg3995z00_1621,
							BgL_ownerz00_1615, BgL_currentz00_1616);
					}
					((((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1614)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3994z00_1620), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 196 */
					obj_t BgL_arg3996z00_1622;

					BgL_arg3996z00_1622 =
						(((BgL_funcallz00_bglt) CREF(
								((obj_t) BgL_nodez00_1614)))->BgL_argsz00);
					BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(BgL_arg3996z00_1622,
						BgL_ownerz00_1615, BgL_currentz00_1616);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1614);
			}
		}
	}



/* &rem!-app-ly3844 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2appzd2ly3844z70zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2150, BgL_appzd2lyzd2_bglt BgL_nodez00_2151,
		obj_t BgL_ownerz00_2152, obj_t BgL_currentz00_2153)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 184 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1603;
				obj_t BgL_ownerz00_1604;
				obj_t BgL_currentz00_1605;

				BgL_nodez00_1603 = BgL_nodez00_2151;
				BgL_ownerz00_1604 = BgL_ownerz00_2152;
				BgL_currentz00_1605 = BgL_currentz00_2153;
				{	/* Globalize/new_body.scm 186 */
					BgL_nodez00_bglt BgL_arg3990z00_1609;

					{	/* Globalize/new_body.scm 186 */
						BgL_nodez00_bglt BgL_arg3991z00_1610;

						BgL_arg3991z00_1610 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1603)))->BgL_funz00);
						BgL_arg3990z00_1609 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg3991z00_1610,
							BgL_ownerz00_1604, BgL_currentz00_1605);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1603)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_arg3990z00_1609), BUNSPEC);
				}
				{	/* Globalize/new_body.scm 187 */
					BgL_nodez00_bglt BgL_arg3992z00_1611;

					{	/* Globalize/new_body.scm 187 */
						BgL_nodez00_bglt BgL_arg3993z00_1612;

						BgL_arg3993z00_1612 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1603)))->BgL_argz00);
						BgL_arg3992z00_1611 =
							BGl_remz12z12zzglobaliza7e_newzd2bodyz75(BgL_arg3993z00_1612,
							BgL_ownerz00_1604, BgL_currentz00_1605);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1603)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg3992z00_1611), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1603);
			}
		}
	}



/* &rem!-app3842 */
	BgL_nodez00_bglt BGl_z62remz12zd2app3842za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2154, BgL_appz00_bglt BgL_nodez00_2155, obj_t BgL_ownerz00_2156,
		obj_t BgL_currentz00_2157)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 176 */
			{
				BgL_appz00_bglt BgL_nodez00_1595;
				obj_t BgL_ownerz00_1596;
				obj_t BgL_currentz00_1597;

				BgL_nodez00_1595 = BgL_nodez00_2155;
				BgL_ownerz00_1596 = BgL_ownerz00_2156;
				BgL_currentz00_1597 = BgL_currentz00_2157;
				{	/* Globalize/new_body.scm 177 */
					obj_t BgL_arg3989z00_1922;

					BgL_arg3989z00_1922 =
						(((BgL_appz00_bglt) CREF(((obj_t) BgL_nodez00_1595)))->BgL_argsz00);
					BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(BgL_arg3989z00_1922,
						BgL_ownerz00_1596, BgL_currentz00_1597);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1595);
			}
		}
	}



/* &rem!-sequence3840 */
	BgL_nodez00_bglt
		BGl_z62remz12zd2sequence3840za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2158, BgL_sequencez00_bglt BgL_nodez00_2159,
		obj_t BgL_ownerz00_2160, obj_t BgL_currentz00_2161)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 168 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1587;
				obj_t BgL_ownerz00_1588;
				obj_t BgL_currentz00_1589;

				BgL_nodez00_1587 = BgL_nodez00_2159;
				BgL_ownerz00_1588 = BgL_ownerz00_2160;
				BgL_currentz00_1589 = BgL_currentz00_2161;
				{	/* Globalize/new_body.scm 169 */
					obj_t BgL_arg3988z00_1919;

					BgL_arg3988z00_1919 =
						(((BgL_sequencez00_bglt) CREF(
								((obj_t) BgL_nodez00_1587)))->BgL_nodesz00);
					BGl_remza2z12zb0zzglobaliza7e_newzd2bodyz75(BgL_arg3988z00_1919,
						BgL_ownerz00_1588, BgL_currentz00_1589);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1587);
			}
		}
	}



/* &rem!-var3838 */
	BgL_nodez00_bglt BGl_z62remz12zd2var3838za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2162, BgL_varz00_bglt BgL_nodez00_2163, obj_t BgL_ownerz00_2164,
		obj_t BgL_currentz00_2165)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 162 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2163);
		}
	}



/* &rem!-kwote3836 */
	BgL_nodez00_bglt BGl_z62remz12zd2kwote3836za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2166, BgL_kwotez00_bglt BgL_nodez00_2167,
		obj_t BgL_ownerz00_2168, obj_t BgL_currentz00_2169)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 156 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2167);
		}
	}



/* &rem!-atom3834 */
	BgL_nodez00_bglt BGl_z62remz12zd2atom3834za2zzglobaliza7e_newzd2bodyz75(obj_t
		BgL_envz00_2170, BgL_atomz00_bglt BgL_nodez00_2171, obj_t BgL_ownerz00_2172,
		obj_t BgL_currentz00_2173)
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 150 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2171);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_newzd2bodyz75()
	{
		AN_OBJECT;
		{	/* Globalize/new_body.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 176245486),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long) 2706117),
				BSTRING_TO_STRING(BGl_string4125z00zzglobaliza7e_newzd2bodyz75));
		}
	}

#ifdef __cplusplus
}
#endif
