/*===========================================================================*/
/*   (Reduce/same.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/same.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	static bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2var3427z91zzreduce_samez00(obj_t,
		BgL_varz00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2kwote3425z91zzreduce_samez00(obj_t,
		BgL_kwotez00_bglt, BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_samez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2valloc3449z91zzreduce_samez00(obj_t,
		BgL_vallocz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2condition3453z91zzreduce_samez00(obj_t,
		BgL_conditionalz00_bglt, BgL_nodez00_bglt, obj_t);
	static bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2sequence3429z91zzreduce_samez00(obj_t,
		BgL_sequencez00_bglt, BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2letzd2var3458z43zzreduce_samez00(obj_t,
		BgL_letzd2varzd2_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2cast3451z91zzreduce_samez00(obj_t,
		BgL_castz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2appzd2ly3431z43zzreduce_samez00(obj_t,
		BgL_appzd2lyzd2_bglt, BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2extern3437z91zzreduce_samez00(obj_t,
		BgL_externz00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62samezd2nodezf33420z43zzreduce_samez00(obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2getfield3445z91zzreduce_samez00(obj_t,
		BgL_getfieldz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_samez00 = BUNSPEC;
	static obj_t BGl_z62samezd2nodezf3zd2atom3423z91zzreduce_samez00(obj_t,
		BgL_atomz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2pragma3443z91zzreduce_samez00(obj_t,
		BgL_pragmaz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2setfield3447z91zzreduce_samez00(obj_t,
		BgL_setfieldz00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_samez00();
	static obj_t BGl_genericzd2initzd2zzreduce_samez00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2app3435z91zzreduce_samez00(obj_t,
		BgL_appz00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2funcall3433z91zzreduce_samez00(obj_t,
		BgL_funcallz00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2fail3455z91zzreduce_samez00(obj_t,
		BgL_failz00_bglt, BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_samez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00();
	BGL_EXPORTED_DECL bool_t
		BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string3677z00zzreduce_samez00,
		BgL_bgl_string3677za700za7za7r3700za7, "same-node?3420", 14);
	      DEFINE_STRING(BGl_string3679z00zzreduce_samez00,
		BgL_bgl_string3679za700za7za7r3701za7, "same-node?", 10);
	      DEFINE_STRING(BGl_string3695z00zzreduce_samez00,
		BgL_bgl_string3695za700za7za7r3702za7, "reduce_same", 11);
	      DEFINE_STRING(BGl_string3696z00zzreduce_samez00,
		BgL_bgl_string3696za700za7za7r3703za7, "read ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3676z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3704za7,
		BGl_z62samezd2nodezf33420z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3678z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3705za7,
		BGl_z62samezd2nodezf3zd2atom3423z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3680z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3706za7,
		BGl_z62samezd2nodezf3zd2kwote3425z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3681z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3707za7,
		BGl_z62samezd2nodezf3zd2var3427z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3682z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3708za7,
		BGl_z62samezd2nodezf3zd2sequence3429z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3683z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3709za7,
		BGl_z62samezd2nodezf3zd2appzd2ly3431z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3684z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3710za7,
		BGl_z62samezd2nodezf3zd2funcall3433z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3685z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3711za7,
		BGl_z62samezd2nodezf3zd2app3435z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3686z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3712za7,
		BGl_z62samezd2nodezf3zd2extern3437z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3687z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3713za7,
		BGl_z62samezd2nodezf3zd2pragma3443z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3688z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3714za7,
		BGl_z62samezd2nodezf3zd2getfield3445z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3689z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3715za7,
		BGl_z62samezd2nodezf3zd2setfield3447z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3690z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3716za7,
		BGl_z62samezd2nodezf3zd2valloc3449z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3691z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3717za7,
		BGl_z62samezd2nodezf3zd2cast3451z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3692z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3718za7,
		BGl_z62samezd2nodezf3zd2condition3453z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3693z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3719za7,
		BGl_z62samezd2nodezf3zd2fail3455z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3694z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3720za7,
		BGl_z62samezd2nodezf3zd2letzd2var3458z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f3721za7,
		BGl_z62samezd2nodezf3z43zzreduce_samez00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long
		BgL_checksumz00_2071, char *BgL_fromz00_2072)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_samez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_samez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
					BGl_cnstzd2initzd2zzreduce_samez00();
					BGl_importedzd2moduleszd2initz00zzreduce_samez00();
					BGl_genericzd2initzd2zzreduce_samez00();
					BGl_methodzd2initzd2zzreduce_samez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_same");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			{	/* Reduce/same.scm 15 */
				obj_t BgL_cportz00_2054;

				BgL_cportz00_2054 =
					bgl_open_input_string(BGl_string3696z00zzreduce_samez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2055;

					BgL_iz00_2055 = ((long) 0);
				BgL_loopz00_2056:
					if ((BgL_iz00_2055 == ((long) -1)))
						{	/* Reduce/same.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/same.scm 15 */
							{	/* Reduce/same.scm 15 */
								obj_t BgL_arg3698z00_2058;

								{	/* Reduce/same.scm 15 */

									{	/* Reduce/same.scm 15 */
										obj_t BgL_locationz00_2060;

										BgL_locationz00_2060 = BBOOL(((bool_t) 0));
										{	/* Reduce/same.scm 15 */

											BgL_arg3698z00_2058 =
												BGl_readz00zz__readerz00(BgL_cportz00_2054,
												BgL_locationz00_2060);
										}
									}
								}
								{	/* Reduce/same.scm 15 */
									int BgL_auxz00_2091;

									BgL_auxz00_2091 = (int) (BgL_iz00_2055);
									CNST_TABLE_SET(BgL_auxz00_2091, BgL_arg3698z00_2058);
							}}
							{	/* Reduce/same.scm 15 */
								int BgL_auxz00_2061;

								BgL_auxz00_2061 = (int) ((BgL_iz00_2055 - ((long) 1)));
								{
									long BgL_iz00_2096;

									BgL_iz00_2096 = (long) (BgL_auxz00_2061);
									BgL_iz00_2055 = BgL_iz00_2096;
									goto BgL_loopz00_2056;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}
	}



/* same-node*? */
	bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t BgL_node1z00_54,
		obj_t BgL_node2z00_55, obj_t BgL_aliasz00_56)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 214 */
		BGl_samezd2nodeza2zf3z83zzreduce_samez00:
			if (NULLP(BgL_node1z00_54))
				{	/* Reduce/same.scm 216 */
					return NULLP(BgL_node2z00_55);
				}
			else
				{	/* Reduce/same.scm 216 */
					if (NULLP(BgL_node2z00_55))
						{	/* Reduce/same.scm 218 */
							return ((bool_t) 0);
						}
					else
						{	/* Reduce/same.scm 220 */
							bool_t BgL_testz00_2103;

							{	/* Reduce/same.scm 220 */
								obj_t BgL_arg3467z00_880;
								obj_t BgL_arg3468z00_881;

								BgL_arg3467z00_880 = CAR(BgL_node1z00_54);
								BgL_arg3468z00_881 = CAR(BgL_node2z00_55);
								BgL_testz00_2103 =
									BGl_samezd2nodezf3z21zzreduce_samez00(
									((BgL_nodez00_bglt) BgL_arg3467z00_880),
									((BgL_nodez00_bglt) BgL_arg3468z00_881), BgL_aliasz00_56);
							}
							if (BgL_testz00_2103)
								{
									obj_t BgL_node2z00_2111;
									obj_t BgL_node1z00_2109;

									BgL_node1z00_2109 = CDR(BgL_node1z00_54);
									BgL_node2z00_2111 = CDR(BgL_node2z00_55);
									BgL_node2z00_55 = BgL_node2z00_2111;
									BgL_node1z00_54 = BgL_node1z00_2109;
									goto BGl_samezd2nodeza2zf3z83zzreduce_samez00;
								}
							else
								{	/* Reduce/same.scm 220 */
									return ((bool_t) 0);
								}
						}
				}
		}
	}



/* aliased? */
	bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt BgL_var1z00_57,
		BgL_variablez00_bglt BgL_var2z00_58, obj_t BgL_aliasz00_59)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 228 */
			{
				obj_t BgL_aliasz00_883;

				BgL_aliasz00_883 = BgL_aliasz00_59;
			BgL_zc3anonymousza33469ze3z83_884:
				if (NULLP(BgL_aliasz00_883))
					{	/* Reduce/same.scm 231 */
						return ((bool_t) 0);
					}
				else
					{	/* Reduce/same.scm 231 */
						if ((CAR(CAR(BgL_aliasz00_883)) == ((obj_t) BgL_var1z00_57)))
							{	/* Reduce/same.scm 233 */
								if ((CDR(CAR(BgL_aliasz00_883)) == ((obj_t) BgL_var2z00_58)))
									{	/* Reduce/same.scm 234 */
										return ((bool_t) 1);
									}
								else
									{
										obj_t BgL_aliasz00_2125;

										BgL_aliasz00_2125 = CDR(BgL_aliasz00_883);
										BgL_aliasz00_883 = BgL_aliasz00_2125;
										goto BgL_zc3anonymousza33469ze3z83_884;
									}
							}
						else
							{	/* Reduce/same.scm 233 */
								if ((CAR(CAR(BgL_aliasz00_883)) == ((obj_t) BgL_var2z00_58)))
									{	/* Reduce/same.scm 237 */
										if (
											(CDR(CAR(BgL_aliasz00_883)) == ((obj_t) BgL_var1z00_57)))
											{	/* Reduce/same.scm 238 */
												return ((bool_t) 1);
											}
										else
											{
												obj_t BgL_aliasz00_2137;

												BgL_aliasz00_2137 = CDR(BgL_aliasz00_883);
												BgL_aliasz00_883 = BgL_aliasz00_2137;
												goto BgL_zc3anonymousza33469ze3z83_884;
											}
									}
								else
									{
										obj_t BgL_aliasz00_2139;

										BgL_aliasz00_2139 = CDR(BgL_aliasz00_883);
										BgL_aliasz00_883 = BgL_aliasz00_2139;
										goto BgL_zc3anonymousza33469ze3z83_884;
									}
							}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_proc3676z00zzreduce_samez00, BGl_nodez00zzast_nodez00,
				BGl_string3677z00zzreduce_samez00);
		}
	}



/* &same-node?3420 */
	obj_t BGl_z62samezd2nodezf33420z43zzreduce_samez00(obj_t BgL_envz00_1775,
		BgL_nodez00_bglt BgL_node1z00_1776, BgL_nodez00_bglt BgL_node2z00_1777,
		obj_t BgL_aliasz00_1778)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			return BBOOL(((bool_t) 0));
		}
	}



/* same-node? */
	BGL_EXPORTED_DEF bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt
		BgL_node1z00_3, BgL_nodez00_bglt BgL_node2z00_4, obj_t BgL_aliasz00_5)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			{	/* Reduce/same.scm 26 */
				obj_t BgL_method3421z00_1305;

				{	/* Reduce/same.scm 26 */
					obj_t BgL_res3652z00_1619;

					{	/* Reduce/same.scm 26 */
						BgL_objectz00_bglt BgL_objz00_1591;

						BgL_objz00_1591 = ((BgL_objectz00_bglt) BgL_node1z00_3);
						{	/* Reduce/same.scm 26 */
							long BgL_objzd2classzd2numz00_1592;

							{	/* Reduce/same.scm 26 */
								long BgL_res3646z00_1595;

								BgL_res3646z00_1595 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1591);
								BgL_objzd2classzd2numz00_1592 = BgL_res3646z00_1595;
							}
							{	/* Reduce/same.scm 26 */
								obj_t BgL_arg2545z00_1593;

								BgL_arg2545z00_1593 =
									PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
									(int) (((long) 1)));
								{	/* Reduce/same.scm 26 */
									obj_t BgL_arrayz00_1596;
									int BgL_offsetz00_1597;

									BgL_arrayz00_1596 = BgL_arg2545z00_1593;
									BgL_offsetz00_1597 = (int) (BgL_objzd2classzd2numz00_1592);
									{	/* Reduce/same.scm 26 */
										long BgL_offsetz00_1598;

										BgL_offsetz00_1598 =
											((long) (BgL_offsetz00_1597) - OBJECT_TYPE);
										{	/* Reduce/same.scm 26 */
											long BgL_modz00_1599;

											{	/* Reduce/same.scm 26 */
												int BgL_arg2547z00_1600;

												BgL_arg2547z00_1600 = (int) (((long) 16));
												{	/* Reduce/same.scm 26 */
													long BgL_res3649z00_1610;

													{	/* Reduce/same.scm 26 */
														long BgL_auxz00_2151;

														BgL_auxz00_2151 = (long) (BgL_arg2547z00_1600);
														BgL_res3649z00_1610 =
															(BgL_offsetz00_1598 / BgL_auxz00_2151);
													}
													BgL_modz00_1599 = BgL_res3649z00_1610;
											}}
											{	/* Reduce/same.scm 26 */
												long BgL_restz00_1601;

												{	/* Reduce/same.scm 26 */
													int BgL_arg2546z00_1602;

													BgL_arg2546z00_1602 = (int) (((long) 16));
													{	/* Reduce/same.scm 26 */
														long BgL_res3651z00_1614;

														{	/* Reduce/same.scm 26 */
															long BgL_auxz00_2155;

															BgL_auxz00_2155 = (long) (BgL_arg2546z00_1602);
															BgL_res3651z00_1614 =
																(BgL_offsetz00_1598 % BgL_auxz00_2155);
														}
														BgL_restz00_1601 = BgL_res3651z00_1614;
												}}
												{	/* Reduce/same.scm 26 */

													BgL_res3652z00_1619 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1596,
															(int) (BgL_modz00_1599)),
														(int) (BgL_restz00_1601));
					}}}}}}}}
					BgL_method3421z00_1305 = BgL_res3652z00_1619;
				}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method3421z00_1305) (BgL_method3421z00_1305,
						((obj_t) BgL_node1z00_3),
						((obj_t) BgL_node2z00_4), BgL_aliasz00_5, BEOA));
			}
		}
	}



/* &same-node? */
	obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t BgL_envz00_1779,
		obj_t BgL_node1z00_1780, obj_t BgL_node2z00_1781, obj_t BgL_aliasz00_1782)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			return
				BBOOL(BGl_samezd2nodezf3z21zzreduce_samez00(
					((BgL_nodez00_bglt) BgL_node1z00_1780),
					((BgL_nodez00_bglt) BgL_node2z00_1781), BgL_aliasz00_1782));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_atomz00zzast_nodez00,
				BGl_proc3678z00zzreduce_samez00, BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3680z00zzreduce_samez00, BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_varz00zzast_nodez00,
				BGl_proc3681z00zzreduce_samez00, BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3682z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3683z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3684z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_appz00zzast_nodez00,
				BGl_proc3685z00zzreduce_samez00, BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_externz00zzast_nodez00, BGl_proc3686z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_pragmaz00zzast_nodez00, BGl_proc3687z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc3688z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc3689z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_vallocz00zzast_nodez00, BGl_proc3690z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_castz00zzast_nodez00,
				BGl_proc3691z00zzreduce_samez00, BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3692z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_failz00zzast_nodez00,
				BGl_proc3693z00zzreduce_samez00, BGl_string3679z00zzreduce_samez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3694z00zzreduce_samez00,
				BGl_string3679z00zzreduce_samez00);
		}
	}



/* &same-node?-let-var3458 */
	obj_t BGl_z62samezd2nodezf3zd2letzd2var3458z43zzreduce_samez00(obj_t
		BgL_envz00_1799, BgL_letzd2varzd2_bglt BgL_nodez00_1800,
		BgL_nodez00_bglt BgL_node2z00_1801, obj_t BgL_aliasz00_1802)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 180 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1506;
				BgL_nodez00_bglt BgL_node2z00_1507;
				obj_t BgL_aliasz00_1508;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2191;

					BgL_nodez00_1506 = BgL_nodez00_1800;
					BgL_node2z00_1507 = BgL_node2z00_1801;
					BgL_aliasz00_1508 = BgL_aliasz00_1802;
					{	/* Reduce/same.scm 185 */
						bool_t BgL_testz00_2192;

						{	/* Reduce/same.scm 185 */
							bool_t BgL_res3670z00_1730;

							{	/* Reduce/same.scm 185 */
								obj_t BgL_obj3223z00_1729;

								BgL_obj3223z00_1729 = ((obj_t) BgL_node2z00_1507);
								BgL_res3670z00_1730 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3223z00_1729,
									BGl_letzd2varzd2zzast_nodez00);
							}
							BgL_testz00_2192 = BgL_res3670z00_1730;
						}
						if (BgL_testz00_2192)
							{	/* Reduce/same.scm 186 */
								bool_t BgL_testz00_2195;

								{	/* Reduce/same.scm 186 */
									obj_t BgL_auxz00_2196;

									{
										BgL_typez00_bglt BgL_auxz00_2197;

										{	/* Reduce/same.scm 186 */
											BgL_nodez00_bglt BgL_obj2137z00_1731;

											BgL_obj2137z00_1731 =
												((BgL_nodez00_bglt) BgL_nodez00_1506);
											BgL_auxz00_2197 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1731)))->BgL_typez00);
										}
										BgL_auxz00_2196 = ((obj_t) BgL_auxz00_2197);
									}
									BgL_testz00_2195 =
										(BgL_auxz00_2196 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1507)))->BgL_typez00)));
								}
								if (BgL_testz00_2195)
									{	/* Reduce/same.scm 187 */
										bool_t BgL_testz00_2206;

										{	/* Reduce/same.scm 187 */
											long BgL_auxz00_2207;

											{	/* Reduce/same.scm 188 */
												obj_t BgL_auxz00_2211;

												{	/* Reduce/same.scm 188 */
													BgL_letzd2varzd2_bglt BgL_obj3190z00_1734;

													BgL_obj3190z00_1734 =
														((BgL_letzd2varzd2_bglt) BgL_node2z00_1507);
													BgL_auxz00_2211 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((obj_t) BgL_obj3190z00_1734)))->
														BgL_bindingsz00);
												}
												BgL_auxz00_2207 = bgl_list_length(BgL_auxz00_2211);
											}
											BgL_testz00_2206 =
												(bgl_list_length(
													(((BgL_letzd2varzd2_bglt) CREF(
																((obj_t) BgL_nodez00_1506)))->
														BgL_bindingsz00)) == BgL_auxz00_2207);
										}
										if (BgL_testz00_2206)
											{	/* Reduce/same.scm 189 */
												obj_t BgL_newzd2aliaszd2_1514;

												{	/* Reduce/same.scm 189 */
													obj_t BgL_arg3627z00_1541;

													{	/* Reduce/same.scm 189 */
														obj_t BgL_ll3414z00_1542;
														obj_t BgL_ll3415z00_1543;

														BgL_ll3414z00_1542 =
															(((BgL_letzd2varzd2_bglt) CREF(
																	((obj_t) BgL_nodez00_1506)))->
															BgL_bindingsz00);
														{	/* Reduce/same.scm 192 */
															BgL_letzd2varzd2_bglt BgL_obj3190z00_1736;

															BgL_obj3190z00_1736 =
																((BgL_letzd2varzd2_bglt) BgL_node2z00_1507);
															BgL_ll3415z00_1543 =
																(((BgL_letzd2varzd2_bglt) CREF(
																		((obj_t) BgL_obj3190z00_1736)))->
																BgL_bindingsz00);
														}
														if (NULLP(BgL_ll3414z00_1542))
															{	/* Reduce/same.scm 189 */
																BgL_arg3627z00_1541 = BNIL;
															}
														else
															{	/* Reduce/same.scm 189 */
																obj_t BgL_head3416z00_1545;

																{	/* Reduce/same.scm 189 */
																	obj_t BgL_res3672z00_1741;

																	BgL_res3672z00_1741 = MAKE_PAIR(BNIL, BNIL);
																	BgL_head3416z00_1545 = BgL_res3672z00_1741;
																}
																{
																	obj_t BgL_ll3414z00_1547;
																	obj_t BgL_ll3415z00_1548;
																	obj_t BgL_tail3417z00_1549;

																	BgL_ll3414z00_1547 = BgL_ll3414z00_1542;
																	BgL_ll3415z00_1548 = BgL_ll3415z00_1543;
																	BgL_tail3417z00_1549 = BgL_head3416z00_1545;
																BgL_zc3anonymousza33629ze3z83_1550:
																	if (NULLP(BgL_ll3414z00_1547))
																		{	/* Reduce/same.scm 189 */
																			BgL_arg3627z00_1541 =
																				CDR(BgL_head3416z00_1545);
																		}
																	else
																		{	/* Reduce/same.scm 189 */
																			obj_t BgL_newtail3418z00_1552;

																			{	/* Reduce/same.scm 189 */
																				obj_t BgL_arg3633z00_1555;

																				{	/* Reduce/same.scm 189 */
																					obj_t BgL_b1z00_1556;
																					obj_t BgL_b2z00_1557;

																					BgL_b1z00_1556 =
																						CAR(BgL_ll3414z00_1547);
																					BgL_b2z00_1557 =
																						CAR(BgL_ll3415z00_1548);
																					BgL_arg3633z00_1555 =
																						MAKE_PAIR(CAR(BgL_b1z00_1556),
																						CAR(BgL_b2z00_1557));
																				}
																				{	/* Reduce/same.scm 189 */
																					obj_t BgL_res3674z00_1751;

																					BgL_res3674z00_1751 =
																						MAKE_PAIR(BgL_arg3633z00_1555,
																						BNIL);
																					BgL_newtail3418z00_1552 =
																						BgL_res3674z00_1751;
																				}
																			}
																			SET_CDR(BgL_tail3417z00_1549,
																				BgL_newtail3418z00_1552);
																			{
																				obj_t BgL_tail3417z00_2239;
																				obj_t BgL_ll3415z00_2237;
																				obj_t BgL_ll3414z00_2235;

																				BgL_ll3414z00_2235 =
																					CDR(BgL_ll3414z00_1547);
																				BgL_ll3415z00_2237 =
																					CDR(BgL_ll3415z00_1548);
																				BgL_tail3417z00_2239 =
																					BgL_newtail3418z00_1552;
																				BgL_tail3417z00_1549 =
																					BgL_tail3417z00_2239;
																				BgL_ll3415z00_1548 = BgL_ll3415z00_2237;
																				BgL_ll3414z00_1547 = BgL_ll3414z00_2235;
																				goto BgL_zc3anonymousza33629ze3z83_1550;
																			}
																		}
																}
															}
													}
													BgL_newzd2aliaszd2_1514 =
														BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3627z00_1541, BgL_aliasz00_1508);
												}
												{	/* Reduce/same.scm 194 */
													bool_t BgL_testz00_2241;

													{	/* Reduce/same.scm 194 */
														BgL_nodez00_bglt BgL_arg3625z00_1539;
														BgL_nodez00_bglt BgL_arg3626z00_1540;

														BgL_arg3625z00_1539 =
															(((BgL_letzd2varzd2_bglt) CREF(
																	((obj_t) BgL_nodez00_1506)))->BgL_bodyz00);
														{	/* Reduce/same.scm 194 */
															BgL_letzd2varzd2_bglt BgL_obj3193z00_1757;

															BgL_obj3193z00_1757 =
																((BgL_letzd2varzd2_bglt) BgL_node2z00_1507);
															BgL_arg3626z00_1540 =
																(((BgL_letzd2varzd2_bglt) CREF(
																		((obj_t) BgL_obj3193z00_1757)))->
																BgL_bodyz00);
														}
														BgL_testz00_2241 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg3625z00_1539, BgL_arg3626z00_1540,
															BgL_newzd2aliaszd2_1514);
													}
													if (BgL_testz00_2241)
														{	/* Reduce/same.scm 195 */
															obj_t BgL_g3412z00_1516;
															obj_t BgL_g3413z00_1517;

															BgL_g3412z00_1516 =
																(((BgL_letzd2varzd2_bglt) CREF(
																		((obj_t) BgL_nodez00_1506)))->
																BgL_bindingsz00);
															{	/* Reduce/same.scm 196 */
																BgL_letzd2varzd2_bglt BgL_obj3190z00_1759;

																BgL_obj3190z00_1759 =
																	((BgL_letzd2varzd2_bglt) BgL_node2z00_1507);
																BgL_g3413z00_1517 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((obj_t) BgL_obj3190z00_1759)))->
																	BgL_bindingsz00);
															}
															{
																obj_t BgL_bindings1z00_1519;
																obj_t BgL_bindings2z00_1520;

																BgL_bindings1z00_1519 = BgL_g3412z00_1516;
																BgL_bindings2z00_1520 = BgL_g3413z00_1517;
															BgL_zc3anonymousza33608ze3z83_1521:
																if (NULLP(BgL_bindings1z00_1519))
																	{	/* Reduce/same.scm 198 */
																		BgL_auxz00_2191 = ((bool_t) 1);
																	}
																else
																	{	/* Reduce/same.scm 200 */
																		bool_t BgL_testz00_2255;

																		{	/* Reduce/same.scm 201 */
																			bool_t BgL_testz00_2256;

																			{	/* Reduce/same.scm 201 */
																				obj_t BgL_auxz00_2257;

																				{	/* Reduce/same.scm 201 */
																					BgL_variablez00_bglt
																						BgL_obj1615z00_1764;
																					BgL_obj1615z00_1764 =
																						((BgL_variablez00_bglt)
																						CAR(CAR(BgL_bindings1z00_1519)));
																					BgL_auxz00_2257 =
																						(((BgL_variablez00_bglt)
																							CREF(((obj_t)
																									BgL_obj1615z00_1764)))->
																						BgL_accessz00);
																				}
																				BgL_testz00_2256 =
																					(BgL_auxz00_2257 ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																			if (BgL_testz00_2256)
																				{	/* Reduce/same.scm 202 */
																					obj_t BgL_auxz00_2265;

																					{	/* Reduce/same.scm 202 */
																						BgL_variablez00_bglt
																							BgL_obj1615z00_1767;
																						BgL_obj1615z00_1767 =
																							((BgL_variablez00_bglt)
																							CAR(CAR(BgL_bindings2z00_1520)));
																						BgL_auxz00_2265 =
																							(((BgL_variablez00_bglt)
																								CREF(((obj_t)
																										BgL_obj1615z00_1767)))->
																							BgL_accessz00);
																					}
																					BgL_testz00_2255 =
																						(BgL_auxz00_2265 ==
																						CNST_TABLE_REF(((long) 0)));
																				}
																			else
																				{	/* Reduce/same.scm 201 */
																					BgL_testz00_2255 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2255)
																			{	/* Reduce/same.scm 204 */
																				bool_t BgL_testz00_2273;

																				{	/* Reduce/same.scm 204 */
																					obj_t BgL_arg3614z00_1527;
																					obj_t BgL_arg3615z00_1528;

																					BgL_arg3614z00_1527 =
																						CDR(CAR(BgL_bindings1z00_1519));
																					BgL_arg3615z00_1528 =
																						CDR(CAR(BgL_bindings2z00_1520));
																					BgL_testz00_2273 =
																						BGl_samezd2nodezf3z21zzreduce_samez00
																						(((BgL_nodez00_bglt)
																							BgL_arg3614z00_1527),
																						((BgL_nodez00_bglt)
																							BgL_arg3615z00_1528),
																						BgL_aliasz00_1508);
																				}
																				if (BgL_testz00_2273)
																					{
																						obj_t BgL_bindings2z00_2283;
																						obj_t BgL_bindings1z00_2281;

																						BgL_bindings1z00_2281 =
																							CDR(BgL_bindings1z00_1519);
																						BgL_bindings2z00_2283 =
																							CDR(BgL_bindings2z00_1520);
																						BgL_bindings2z00_1520 =
																							BgL_bindings2z00_2283;
																						BgL_bindings1z00_1519 =
																							BgL_bindings1z00_2281;
																						goto
																							BgL_zc3anonymousza33608ze3z83_1521;
																					}
																				else
																					{	/* Reduce/same.scm 204 */
																						BgL_auxz00_2191 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Reduce/same.scm 200 */
																				BgL_auxz00_2191 = ((bool_t) 0);
																			}
																	}
															}
														}
													else
														{	/* Reduce/same.scm 194 */
															BgL_auxz00_2191 = ((bool_t) 0);
														}
												}
											}
										else
											{	/* Reduce/same.scm 187 */
												BgL_auxz00_2191 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 186 */
										BgL_auxz00_2191 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 185 */
								BgL_auxz00_2191 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2191);
				}
			}
		}
	}



/* &same-node?-fail3455 */
	obj_t BGl_z62samezd2nodezf3zd2fail3455z91zzreduce_samez00(obj_t
		BgL_envz00_1803, BgL_failz00_bglt BgL_nodez00_1804,
		BgL_nodez00_bglt BgL_node2z00_1805, obj_t BgL_aliasz00_1806)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 167 */
			{
				BgL_failz00_bglt BgL_nodez00_1488;
				BgL_nodez00_bglt BgL_node2z00_1489;
				obj_t BgL_aliasz00_1490;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2286;

					BgL_nodez00_1488 = BgL_nodez00_1804;
					BgL_node2z00_1489 = BgL_node2z00_1805;
					BgL_aliasz00_1490 = BgL_aliasz00_1806;
					{	/* Reduce/same.scm 171 */
						bool_t BgL_testz00_2287;

						{	/* Reduce/same.scm 171 */
							bool_t BgL_res3669z00_1720;

							{	/* Reduce/same.scm 171 */
								obj_t BgL_obj3101z00_1719;

								BgL_obj3101z00_1719 = ((obj_t) BgL_node2z00_1489);
								BgL_res3669z00_1720 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3101z00_1719,
									BGl_failz00zzast_nodez00);
							}
							BgL_testz00_2287 = BgL_res3669z00_1720;
						}
						if (BgL_testz00_2287)
							{	/* Reduce/same.scm 172 */
								bool_t BgL_testz00_2290;

								{	/* Reduce/same.scm 172 */
									obj_t BgL_auxz00_2291;

									{
										BgL_typez00_bglt BgL_auxz00_2292;

										{	/* Reduce/same.scm 172 */
											BgL_nodez00_bglt BgL_obj2137z00_1721;

											BgL_obj2137z00_1721 =
												((BgL_nodez00_bglt) BgL_nodez00_1488);
											BgL_auxz00_2292 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1721)))->BgL_typez00);
										}
										BgL_auxz00_2291 = ((obj_t) BgL_auxz00_2292);
									}
									BgL_testz00_2290 =
										(BgL_auxz00_2291 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1489)))->BgL_typez00)));
								}
								if (BgL_testz00_2290)
									{	/* Reduce/same.scm 173 */
										bool_t BgL_testz00_2301;

										{	/* Reduce/same.scm 173 */
											BgL_nodez00_bglt BgL_arg3604z00_1501;
											BgL_nodez00_bglt BgL_arg3605z00_1502;

											BgL_arg3604z00_1501 =
												(((BgL_failz00_bglt) CREF(
														((obj_t) BgL_nodez00_1488)))->BgL_msgz00);
											{	/* Reduce/same.scm 173 */
												BgL_failz00_bglt BgL_obj3077z00_1724;

												BgL_obj3077z00_1724 =
													((BgL_failz00_bglt) BgL_node2z00_1489);
												BgL_arg3605z00_1502 =
													(((BgL_failz00_bglt) CREF(
															((obj_t) BgL_obj3077z00_1724)))->BgL_msgz00);
											}
											BgL_testz00_2301 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg3604z00_1501, BgL_arg3605z00_1502,
												BgL_aliasz00_1490);
										}
										if (BgL_testz00_2301)
											{	/* Reduce/same.scm 174 */
												bool_t BgL_testz00_2308;

												{	/* Reduce/same.scm 174 */
													BgL_nodez00_bglt BgL_arg3602z00_1499;
													BgL_nodez00_bglt BgL_arg3603z00_1500;

													BgL_arg3602z00_1499 =
														(((BgL_failz00_bglt) CREF(
																((obj_t) BgL_nodez00_1488)))->BgL_procz00);
													{	/* Reduce/same.scm 174 */
														BgL_failz00_bglt BgL_obj3074z00_1726;

														BgL_obj3074z00_1726 =
															((BgL_failz00_bglt) BgL_node2z00_1489);
														BgL_arg3603z00_1500 =
															(((BgL_failz00_bglt) CREF(
																	((obj_t) BgL_obj3074z00_1726)))->BgL_procz00);
													}
													BgL_testz00_2308 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg3602z00_1499, BgL_arg3603z00_1500,
														BgL_aliasz00_1490);
												}
												if (BgL_testz00_2308)
													{	/* Reduce/same.scm 175 */
														BgL_nodez00_bglt BgL_arg3600z00_1497;
														BgL_nodez00_bglt BgL_arg3601z00_1498;

														BgL_arg3600z00_1497 =
															(((BgL_failz00_bglt) CREF(
																	((obj_t) BgL_nodez00_1488)))->BgL_objz00);
														{	/* Reduce/same.scm 175 */
															BgL_failz00_bglt BgL_obj3080z00_1728;

															BgL_obj3080z00_1728 =
																((BgL_failz00_bglt) BgL_node2z00_1489);
															BgL_arg3601z00_1498 =
																(((BgL_failz00_bglt) CREF(
																		((obj_t) BgL_obj3080z00_1728)))->
																BgL_objz00);
														}
														BgL_auxz00_2286 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg3600z00_1497, BgL_arg3601z00_1498,
															BgL_aliasz00_1490);
													}
												else
													{	/* Reduce/same.scm 174 */
														BgL_auxz00_2286 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/same.scm 173 */
												BgL_auxz00_2286 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 172 */
										BgL_auxz00_2286 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 171 */
								BgL_auxz00_2286 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2286);
				}
			}
		}
	}



/* &same-node?-condition3453 */
	obj_t BGl_z62samezd2nodezf3zd2condition3453z91zzreduce_samez00(obj_t
		BgL_envz00_1807, BgL_conditionalz00_bglt BgL_nodez00_1808,
		BgL_nodez00_bglt BgL_node2z00_1809, obj_t BgL_aliasz00_1810)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 154 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1470;
				BgL_nodez00_bglt BgL_node2z00_1471;
				obj_t BgL_aliasz00_1472;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2322;

					BgL_nodez00_1470 = BgL_nodez00_1808;
					BgL_node2z00_1471 = BgL_node2z00_1809;
					BgL_aliasz00_1472 = BgL_aliasz00_1810;
					{	/* Reduce/same.scm 158 */
						bool_t BgL_testz00_2323;

						{	/* Reduce/same.scm 158 */
							bool_t BgL_res3668z00_1710;

							{	/* Reduce/same.scm 158 */
								obj_t BgL_obj3069z00_1709;

								BgL_obj3069z00_1709 = ((obj_t) BgL_node2z00_1471);
								BgL_res3668z00_1710 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3069z00_1709,
									BGl_conditionalz00zzast_nodez00);
							}
							BgL_testz00_2323 = BgL_res3668z00_1710;
						}
						if (BgL_testz00_2323)
							{	/* Reduce/same.scm 159 */
								bool_t BgL_testz00_2326;

								{	/* Reduce/same.scm 159 */
									obj_t BgL_auxz00_2327;

									{
										BgL_typez00_bglt BgL_auxz00_2328;

										{	/* Reduce/same.scm 159 */
											BgL_nodez00_bglt BgL_obj2137z00_1711;

											BgL_obj2137z00_1711 =
												((BgL_nodez00_bglt) BgL_nodez00_1470);
											BgL_auxz00_2328 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1711)))->BgL_typez00);
										}
										BgL_auxz00_2327 = ((obj_t) BgL_auxz00_2328);
									}
									BgL_testz00_2326 =
										(BgL_auxz00_2327 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1471)))->BgL_typez00)));
								}
								if (BgL_testz00_2326)
									{	/* Reduce/same.scm 160 */
										bool_t BgL_testz00_2337;

										{	/* Reduce/same.scm 160 */
											BgL_nodez00_bglt BgL_arg3596z00_1483;
											BgL_nodez00_bglt BgL_arg3597z00_1484;

											BgL_arg3596z00_1483 =
												(((BgL_conditionalz00_bglt) CREF(
														((obj_t) BgL_nodez00_1470)))->BgL_falsez00);
											{	/* Reduce/same.scm 160 */
												BgL_conditionalz00_bglt BgL_obj3042z00_1714;

												BgL_obj3042z00_1714 =
													((BgL_conditionalz00_bglt) BgL_node2z00_1471);
												BgL_arg3597z00_1484 =
													(((BgL_conditionalz00_bglt) CREF(
															((obj_t) BgL_obj3042z00_1714)))->BgL_falsez00);
											}
											BgL_testz00_2337 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg3596z00_1483, BgL_arg3597z00_1484,
												BgL_aliasz00_1472);
										}
										if (BgL_testz00_2337)
											{	/* Reduce/same.scm 161 */
												bool_t BgL_testz00_2344;

												{	/* Reduce/same.scm 161 */
													BgL_nodez00_bglt BgL_arg3594z00_1481;
													BgL_nodez00_bglt BgL_arg3595z00_1482;

													BgL_arg3594z00_1481 =
														(((BgL_conditionalz00_bglt) CREF(
																((obj_t) BgL_nodez00_1470)))->BgL_truez00);
													{	/* Reduce/same.scm 161 */
														BgL_conditionalz00_bglt BgL_obj3039z00_1716;

														BgL_obj3039z00_1716 =
															((BgL_conditionalz00_bglt) BgL_node2z00_1471);
														BgL_arg3595z00_1482 =
															(((BgL_conditionalz00_bglt) CREF(
																	((obj_t) BgL_obj3039z00_1716)))->BgL_truez00);
													}
													BgL_testz00_2344 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg3594z00_1481, BgL_arg3595z00_1482,
														BgL_aliasz00_1472);
												}
												if (BgL_testz00_2344)
													{	/* Reduce/same.scm 162 */
														BgL_nodez00_bglt BgL_arg3592z00_1479;
														BgL_nodez00_bglt BgL_arg3593z00_1480;

														BgL_arg3592z00_1479 =
															(((BgL_conditionalz00_bglt) CREF(
																	((obj_t) BgL_nodez00_1470)))->BgL_testz00);
														{	/* Reduce/same.scm 162 */
															BgL_conditionalz00_bglt BgL_obj3036z00_1718;

															BgL_obj3036z00_1718 =
																((BgL_conditionalz00_bglt) BgL_node2z00_1471);
															BgL_arg3593z00_1480 =
																(((BgL_conditionalz00_bglt) CREF(
																		((obj_t) BgL_obj3036z00_1718)))->
																BgL_testz00);
														}
														BgL_auxz00_2322 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg3592z00_1479, BgL_arg3593z00_1480,
															BgL_aliasz00_1472);
													}
												else
													{	/* Reduce/same.scm 161 */
														BgL_auxz00_2322 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/same.scm 160 */
												BgL_auxz00_2322 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 159 */
										BgL_auxz00_2322 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 158 */
								BgL_auxz00_2322 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2322);
				}
			}
		}
	}



/* &same-node?-cast3451 */
	obj_t BGl_z62samezd2nodezf3zd2cast3451z91zzreduce_samez00(obj_t
		BgL_envz00_1811, BgL_castz00_bglt BgL_nodez00_1812,
		BgL_nodez00_bglt BgL_node2z00_1813, obj_t BgL_aliasz00_1814)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 146 */
			{
				BgL_castz00_bglt BgL_nodez00_1458;
				BgL_nodez00_bglt BgL_node2z00_1459;
				obj_t BgL_aliasz00_1460;

				{	/* Reduce/same.scm 147 */
					bool_t BgL_auxz00_2358;

					BgL_nodez00_1458 = BgL_nodez00_1812;
					BgL_node2z00_1459 = BgL_node2z00_1813;
					BgL_aliasz00_1460 = BgL_aliasz00_1814;
					{	/* Reduce/same.scm 147 */
						bool_t BgL_testz00_2359;

						{	/* Reduce/same.scm 147 */
							bool_t BgL_res3667z00_1704;

							{	/* Reduce/same.scm 147 */
								obj_t BgL_obj2999z00_1703;

								BgL_obj2999z00_1703 = ((obj_t) BgL_node2z00_1459);
								BgL_res3667z00_1704 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2999z00_1703,
									BGl_castz00zzast_nodez00);
							}
							BgL_testz00_2359 = BgL_res3667z00_1704;
						}
						if (BgL_testz00_2359)
							{	/* Reduce/same.scm 148 */
								bool_t BgL_testz00_2362;

								{	/* Reduce/same.scm 148 */
									obj_t BgL_auxz00_2363;

									{
										BgL_typez00_bglt BgL_auxz00_2364;

										{	/* Reduce/same.scm 148 */
											BgL_nodez00_bglt BgL_obj2137z00_1705;

											BgL_obj2137z00_1705 =
												((BgL_nodez00_bglt) BgL_nodez00_1458);
											BgL_auxz00_2364 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1705)))->BgL_typez00);
										}
										BgL_auxz00_2363 = ((obj_t) BgL_auxz00_2364);
									}
									BgL_testz00_2362 =
										(BgL_auxz00_2363 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1459)))->BgL_typez00)));
								}
								if (BgL_testz00_2362)
									{	/* Reduce/same.scm 149 */
										BgL_nodez00_bglt BgL_arg3588z00_1465;
										BgL_nodez00_bglt BgL_arg3589z00_1466;

										BgL_arg3588z00_1465 =
											(((BgL_castz00_bglt) CREF(
													((obj_t) BgL_nodez00_1458)))->BgL_argz00);
										{	/* Reduce/same.scm 149 */
											BgL_castz00_bglt BgL_obj2984z00_1708;

											BgL_obj2984z00_1708 =
												((BgL_castz00_bglt) BgL_node2z00_1459);
											BgL_arg3589z00_1466 =
												(((BgL_castz00_bglt) CREF(
														((obj_t) BgL_obj2984z00_1708)))->BgL_argz00);
										}
										BgL_auxz00_2358 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg3588z00_1465,
											BgL_arg3589z00_1466, BgL_aliasz00_1460);
									}
								else
									{	/* Reduce/same.scm 148 */
										BgL_auxz00_2358 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 147 */
								BgL_auxz00_2358 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2358);
				}
			}
		}
	}



/* &same-node?-valloc3449 */
	obj_t BGl_z62samezd2nodezf3zd2valloc3449z91zzreduce_samez00(obj_t
		BgL_envz00_1815, BgL_vallocz00_bglt BgL_nodez00_1816,
		BgL_nodez00_bglt BgL_node2z00_1817, obj_t BgL_aliasz00_1818)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 140 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &same-node?-setfield3447 */
	obj_t BGl_z62samezd2nodezf3zd2setfield3447z91zzreduce_samez00(obj_t
		BgL_envz00_1819, BgL_setfieldz00_bglt BgL_nodez00_1820,
		BgL_nodez00_bglt BgL_node2z00_1821, obj_t BgL_aliasz00_1822)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 132 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1442;
				BgL_nodez00_bglt BgL_node2z00_1443;
				obj_t BgL_aliasz00_1444;

				BgL_nodez00_1442 = BgL_nodez00_1820;
				BgL_node2z00_1443 = BgL_node2z00_1821;
				BgL_aliasz00_1444 = BgL_aliasz00_1822;
				{

					{	/* Reduce/same.scm 133 */
						bool_t BgL_testz00_2381;

						{	/* Reduce/same.scm 133 */
							bool_t BgL_res3665z00_1697;

							{	/* Reduce/same.scm 133 */
								obj_t BgL_obj2625z00_1696;

								BgL_obj2625z00_1696 = ((obj_t) BgL_node2z00_1443);
								BgL_res3665z00_1697 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2625z00_1696,
									BGl_setfieldz00zzast_nodez00);
							}
							BgL_testz00_2381 = BgL_res3665z00_1697;
						}
						if (BgL_testz00_2381)
							{	/* Reduce/same.scm 134 */
								bool_t BgL_testz00_2384;

								{	/* Reduce/same.scm 134 */
									obj_t BgL_arg3586z00_1449;
									obj_t BgL_arg3587z00_1450;

									BgL_arg3586z00_1449 =
										(((BgL_setfieldz00_bglt) CREF(
												((obj_t) BgL_nodez00_1442)))->BgL_fnamez00);
									{	/* Reduce/same.scm 134 */
										BgL_setfieldz00_bglt BgL_obj2589z00_1699;

										BgL_obj2589z00_1699 =
											((BgL_setfieldz00_bglt) BgL_node2z00_1443);
										BgL_arg3587z00_1450 =
											(((BgL_setfieldz00_bglt) CREF(
													((obj_t) BgL_obj2589z00_1699)))->BgL_fnamez00);
									}
									BgL_testz00_2384 =
										bigloo_strcmp(BgL_arg3586z00_1449, BgL_arg3587z00_1450);
								}
								if (BgL_testz00_2384)
									{	/* Reduce/same.scm 134 */
										{	/* Reduce/same.scm 132 */
											obj_t BgL_nextzd2method3446zd2_1451;

											BgL_nextzd2method3446zd2_1451 =
												BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
												((BgL_objectz00_bglt) BgL_nodez00_1442),
												BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
												BGl_setfieldz00zzast_nodez00);
											return
												PROCEDURE_ENTRY(BgL_nextzd2method3446zd2_1451)
												(BgL_nextzd2method3446zd2_1451,
												((obj_t) BgL_nodez00_1442), ((obj_t) BgL_node2z00_1443),
												BgL_aliasz00_1444, BEOA);
										}
									}
								else
									{	/* Reduce/same.scm 134 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/same.scm 133 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &same-node?-getfield3445 */
	obj_t BGl_z62samezd2nodezf3zd2getfield3445z91zzreduce_samez00(obj_t
		BgL_envz00_1823, BgL_getfieldz00_bglt BgL_nodez00_1824,
		BgL_nodez00_bglt BgL_node2z00_1825, obj_t BgL_aliasz00_1826)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 124 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1432;
				BgL_nodez00_bglt BgL_node2z00_1433;
				obj_t BgL_aliasz00_1434;

				BgL_nodez00_1432 = BgL_nodez00_1824;
				BgL_node2z00_1433 = BgL_node2z00_1825;
				BgL_aliasz00_1434 = BgL_aliasz00_1826;
				{

					{	/* Reduce/same.scm 125 */
						bool_t BgL_testz00_2401;

						{	/* Reduce/same.scm 125 */
							bool_t BgL_res3663z00_1690;

							{	/* Reduce/same.scm 125 */
								obj_t BgL_obj2571z00_1689;

								BgL_obj2571z00_1689 = ((obj_t) BgL_node2z00_1433);
								BgL_res3663z00_1690 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2571z00_1689,
									BGl_getfieldz00zzast_nodez00);
							}
							BgL_testz00_2401 = BgL_res3663z00_1690;
						}
						if (BgL_testz00_2401)
							{	/* Reduce/same.scm 126 */
								bool_t BgL_testz00_2404;

								{	/* Reduce/same.scm 126 */
									obj_t BgL_arg3584z00_1439;
									obj_t BgL_arg3585z00_1440;

									BgL_arg3584z00_1439 =
										(((BgL_getfieldz00_bglt) CREF(
												((obj_t) BgL_nodez00_1432)))->BgL_fnamez00);
									{	/* Reduce/same.scm 126 */
										BgL_getfieldz00_bglt BgL_obj2535z00_1692;

										BgL_obj2535z00_1692 =
											((BgL_getfieldz00_bglt) BgL_node2z00_1433);
										BgL_arg3585z00_1440 =
											(((BgL_getfieldz00_bglt) CREF(
													((obj_t) BgL_obj2535z00_1692)))->BgL_fnamez00);
									}
									BgL_testz00_2404 =
										bigloo_strcmp(BgL_arg3584z00_1439, BgL_arg3585z00_1440);
								}
								if (BgL_testz00_2404)
									{	/* Reduce/same.scm 126 */
										{	/* Reduce/same.scm 124 */
											obj_t BgL_nextzd2method3444zd2_1441;

											BgL_nextzd2method3444zd2_1441 =
												BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
												((BgL_objectz00_bglt) BgL_nodez00_1432),
												BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
												BGl_getfieldz00zzast_nodez00);
											return
												PROCEDURE_ENTRY(BgL_nextzd2method3444zd2_1441)
												(BgL_nextzd2method3444zd2_1441,
												((obj_t) BgL_nodez00_1432), ((obj_t) BgL_node2z00_1433),
												BgL_aliasz00_1434, BEOA);
										}
									}
								else
									{	/* Reduce/same.scm 126 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/same.scm 125 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &same-node?-pragma3443 */
	obj_t BGl_z62samezd2nodezf3zd2pragma3443z91zzreduce_samez00(obj_t
		BgL_envz00_1827, BgL_pragmaz00_bglt BgL_nodez00_1828,
		BgL_nodez00_bglt BgL_node2z00_1829, obj_t BgL_aliasz00_1830)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 115 */
			{
				BgL_pragmaz00_bglt BgL_nodez00_1417;
				BgL_nodez00_bglt BgL_node2z00_1418;
				obj_t BgL_aliasz00_1419;

				{	/* Reduce/same.scm 116 */
					bool_t BgL_auxz00_2421;

					BgL_nodez00_1417 = BgL_nodez00_1828;
					BgL_node2z00_1418 = BgL_node2z00_1829;
					BgL_aliasz00_1419 = BgL_aliasz00_1830;
					{	/* Reduce/same.scm 116 */
						bool_t BgL_testz00_2422;

						{	/* Reduce/same.scm 116 */
							bool_t BgL_res3661z00_1679;

							{	/* Reduce/same.scm 116 */
								obj_t BgL_obj2475z00_1678;

								BgL_obj2475z00_1678 = ((obj_t) BgL_node2z00_1418);
								BgL_res3661z00_1679 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2475z00_1678,
									BGl_pragmaz00zzast_nodez00);
							}
							BgL_testz00_2422 = BgL_res3661z00_1679;
						}
						if (BgL_testz00_2422)
							{	/* Reduce/same.scm 117 */
								bool_t BgL_testz00_2425;

								{	/* Reduce/same.scm 117 */
									obj_t BgL_auxz00_2426;

									{
										BgL_typez00_bglt BgL_auxz00_2427;

										{	/* Reduce/same.scm 117 */
											BgL_nodez00_bglt BgL_obj2137z00_1680;

											BgL_obj2137z00_1680 =
												((BgL_nodez00_bglt) BgL_nodez00_1417);
											BgL_auxz00_2427 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1680)))->BgL_typez00);
										}
										BgL_auxz00_2426 = ((obj_t) BgL_auxz00_2427);
									}
									BgL_testz00_2425 =
										(BgL_auxz00_2426 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1418)))->BgL_typez00)));
								}
								if (BgL_testz00_2425)
									{	/* Reduce/same.scm 118 */
										bool_t BgL_testz00_2436;

										{	/* Reduce/same.scm 118 */
											obj_t BgL_arg3580z00_1427;
											obj_t BgL_arg3581z00_1428;

											BgL_arg3580z00_1427 =
												(((BgL_pragmaz00_bglt) CREF(
														((obj_t) BgL_nodez00_1417)))->BgL_formatz00);
											{	/* Reduce/same.scm 118 */
												BgL_pragmaz00_bglt BgL_obj2450z00_1683;

												BgL_obj2450z00_1683 =
													((BgL_pragmaz00_bglt) BgL_node2z00_1418);
												BgL_arg3581z00_1428 =
													(((BgL_pragmaz00_bglt) CREF(
															((obj_t) BgL_obj2450z00_1683)))->BgL_formatz00);
											}
											BgL_testz00_2436 =
												bigloo_strcmp(BgL_arg3580z00_1427, BgL_arg3581z00_1428);
										}
										if (BgL_testz00_2436)
											{	/* Reduce/same.scm 119 */
												obj_t BgL_arg3578z00_1425;
												obj_t BgL_arg3579z00_1426;

												{	/* Reduce/same.scm 119 */
													BgL_externz00_bglt BgL_obj2405z00_1687;

													BgL_obj2405z00_1687 =
														((BgL_externz00_bglt) BgL_nodez00_1417);
													BgL_arg3578z00_1425 =
														(((BgL_externz00_bglt) CREF(
																((obj_t) BgL_obj2405z00_1687)))->
														BgL_exprza2za2);
												}
												{	/* Reduce/same.scm 119 */
													BgL_externz00_bglt BgL_obj2405z00_1688;

													BgL_obj2405z00_1688 =
														((BgL_externz00_bglt) BgL_node2z00_1418);
													BgL_arg3579z00_1426 =
														(((BgL_externz00_bglt) CREF(
																((obj_t) BgL_obj2405z00_1688)))->
														BgL_exprza2za2);
												}
												BgL_auxz00_2421 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg3578z00_1425, BgL_arg3579z00_1426,
													BgL_aliasz00_1419);
											}
										else
											{	/* Reduce/same.scm 118 */
												BgL_auxz00_2421 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 117 */
										BgL_auxz00_2421 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 116 */
								BgL_auxz00_2421 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2421);
				}
			}
		}
	}



/* &same-node?-extern3437 */
	obj_t BGl_z62samezd2nodezf3zd2extern3437z91zzreduce_samez00(obj_t
		BgL_envz00_1831, BgL_externz00_bglt BgL_nodez00_1832,
		BgL_nodez00_bglt BgL_node2z00_1833, obj_t BgL_aliasz00_1834)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 104 */
			{
				BgL_externz00_bglt BgL_nodez00_1405;
				BgL_nodez00_bglt BgL_node2z00_1406;
				obj_t BgL_aliasz00_1407;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2451;

					BgL_nodez00_1405 = BgL_nodez00_1832;
					BgL_node2z00_1406 = BgL_node2z00_1833;
					BgL_aliasz00_1407 = BgL_aliasz00_1834;
					{	/* Reduce/same.scm 108 */
						bool_t BgL_testz00_2452;

						{	/* Reduce/same.scm 108 */
							bool_t BgL_res3660z00_1673;

							{	/* Reduce/same.scm 108 */
								obj_t BgL_obj2432z00_1672;

								BgL_obj2432z00_1672 = ((obj_t) BgL_node2z00_1406);
								BgL_res3660z00_1673 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2432z00_1672,
									BGl_externz00zzast_nodez00);
							}
							BgL_testz00_2452 = BgL_res3660z00_1673;
						}
						if (BgL_testz00_2452)
							{	/* Reduce/same.scm 109 */
								bool_t BgL_testz00_2455;

								{	/* Reduce/same.scm 109 */
									obj_t BgL_auxz00_2456;

									{
										BgL_typez00_bglt BgL_auxz00_2457;

										{	/* Reduce/same.scm 109 */
											BgL_nodez00_bglt BgL_obj2137z00_1674;

											BgL_obj2137z00_1674 =
												((BgL_nodez00_bglt) BgL_nodez00_1405);
											BgL_auxz00_2457 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1674)))->BgL_typez00);
										}
										BgL_auxz00_2456 = ((obj_t) BgL_auxz00_2457);
									}
									BgL_testz00_2455 =
										(BgL_auxz00_2456 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1406)))->BgL_typez00)));
								}
								if (BgL_testz00_2455)
									{	/* Reduce/same.scm 110 */
										obj_t BgL_arg3574z00_1412;
										obj_t BgL_arg3575z00_1413;

										BgL_arg3574z00_1412 =
											(((BgL_externz00_bglt) CREF(
													((obj_t) BgL_nodez00_1405)))->BgL_exprza2za2);
										{	/* Reduce/same.scm 110 */
											BgL_externz00_bglt BgL_obj2405z00_1677;

											BgL_obj2405z00_1677 =
												((BgL_externz00_bglt) BgL_node2z00_1406);
											BgL_arg3575z00_1413 =
												(((BgL_externz00_bglt) CREF(
														((obj_t) BgL_obj2405z00_1677)))->BgL_exprza2za2);
										}
										BgL_auxz00_2451 =
											BGl_samezd2nodeza2zf3z83zzreduce_samez00
											(BgL_arg3574z00_1412, BgL_arg3575z00_1413,
											BgL_aliasz00_1407);
									}
								else
									{	/* Reduce/same.scm 109 */
										BgL_auxz00_2451 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 108 */
								BgL_auxz00_2451 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2451);
				}
			}
		}
	}



/* &same-node?-app3435 */
	obj_t BGl_z62samezd2nodezf3zd2app3435z91zzreduce_samez00(obj_t
		BgL_envz00_1835, BgL_appz00_bglt BgL_nodez00_1836,
		BgL_nodez00_bglt BgL_node2z00_1837, obj_t BgL_aliasz00_1838)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 95 */
			{
				BgL_appz00_bglt BgL_nodez00_1390;
				BgL_nodez00_bglt BgL_node2z00_1391;
				obj_t BgL_aliasz00_1392;

				{	/* Reduce/same.scm 96 */
					bool_t BgL_auxz00_2473;

					BgL_nodez00_1390 = BgL_nodez00_1836;
					BgL_node2z00_1391 = BgL_node2z00_1837;
					BgL_aliasz00_1392 = BgL_aliasz00_1838;
					{	/* Reduce/same.scm 96 */
						bool_t BgL_testz00_2474;

						{	/* Reduce/same.scm 96 */
							bool_t BgL_res3659z00_1665;

							{	/* Reduce/same.scm 96 */
								obj_t BgL_obj2326z00_1664;

								BgL_obj2326z00_1664 = ((obj_t) BgL_node2z00_1391);
								BgL_res3659z00_1665 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2326z00_1664,
									BGl_appz00zzast_nodez00);
							}
							BgL_testz00_2474 = BgL_res3659z00_1665;
						}
						if (BgL_testz00_2474)
							{	/* Reduce/same.scm 97 */
								bool_t BgL_testz00_2477;

								{	/* Reduce/same.scm 97 */
									obj_t BgL_auxz00_2478;

									{
										BgL_typez00_bglt BgL_auxz00_2479;

										{	/* Reduce/same.scm 97 */
											BgL_nodez00_bglt BgL_obj2137z00_1666;

											BgL_obj2137z00_1666 =
												((BgL_nodez00_bglt) BgL_nodez00_1390);
											BgL_auxz00_2479 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1666)))->BgL_typez00);
										}
										BgL_auxz00_2478 = ((obj_t) BgL_auxz00_2479);
									}
									BgL_testz00_2477 =
										(BgL_auxz00_2478 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1391)))->BgL_typez00)));
								}
								if (BgL_testz00_2477)
									{	/* Reduce/same.scm 98 */
										bool_t BgL_testz00_2488;

										{	/* Reduce/same.scm 98 */
											BgL_varz00_bglt BgL_arg3570z00_1400;
											BgL_varz00_bglt BgL_arg3571z00_1401;

											BgL_arg3570z00_1400 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_nodez00_1390)))->BgL_funz00);
											{	/* Reduce/same.scm 98 */
												BgL_appz00_bglt BgL_obj2299z00_1669;

												BgL_obj2299z00_1669 =
													((BgL_appz00_bglt) BgL_node2z00_1391);
												BgL_arg3571z00_1401 =
													(((BgL_appz00_bglt) CREF(
															((obj_t) BgL_obj2299z00_1669)))->BgL_funz00);
											}
											BgL_testz00_2488 =
												BGl_samezd2nodezf3z21zzreduce_samez00(
												((BgL_nodez00_bglt) BgL_arg3570z00_1400),
												((BgL_nodez00_bglt) BgL_arg3571z00_1401),
												BgL_aliasz00_1392);
										}
										if (BgL_testz00_2488)
											{	/* Reduce/same.scm 99 */
												obj_t BgL_arg3568z00_1398;
												obj_t BgL_arg3569z00_1399;

												BgL_arg3568z00_1398 =
													(((BgL_appz00_bglt) CREF(
															((obj_t) BgL_nodez00_1390)))->BgL_argsz00);
												{	/* Reduce/same.scm 99 */
													BgL_appz00_bglt BgL_obj2302z00_1671;

													BgL_obj2302z00_1671 =
														((BgL_appz00_bglt) BgL_node2z00_1391);
													BgL_arg3569z00_1399 =
														(((BgL_appz00_bglt) CREF(
																((obj_t) BgL_obj2302z00_1671)))->BgL_argsz00);
												}
												BgL_auxz00_2473 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg3568z00_1398, BgL_arg3569z00_1399,
													BgL_aliasz00_1392);
											}
										else
											{	/* Reduce/same.scm 98 */
												BgL_auxz00_2473 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 97 */
										BgL_auxz00_2473 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 96 */
								BgL_auxz00_2473 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2473);
				}
			}
		}
	}



/* &same-node?-funcall3433 */
	obj_t BGl_z62samezd2nodezf3zd2funcall3433z91zzreduce_samez00(obj_t
		BgL_envz00_1839, BgL_funcallz00_bglt BgL_nodez00_1840,
		BgL_nodez00_bglt BgL_node2z00_1841, obj_t BgL_aliasz00_1842)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 86 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1375;
				BgL_nodez00_bglt BgL_node2z00_1376;
				obj_t BgL_aliasz00_1377;

				{	/* Reduce/same.scm 87 */
					bool_t BgL_auxz00_2504;

					BgL_nodez00_1375 = BgL_nodez00_1840;
					BgL_node2z00_1376 = BgL_node2z00_1841;
					BgL_aliasz00_1377 = BgL_aliasz00_1842;
					{	/* Reduce/same.scm 87 */
						bool_t BgL_testz00_2505;

						{	/* Reduce/same.scm 87 */
							bool_t BgL_res3658z00_1657;

							{	/* Reduce/same.scm 87 */
								obj_t BgL_obj2394z00_1656;

								BgL_obj2394z00_1656 = ((obj_t) BgL_node2z00_1376);
								BgL_res3658z00_1657 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2394z00_1656,
									BGl_funcallz00zzast_nodez00);
							}
							BgL_testz00_2505 = BgL_res3658z00_1657;
						}
						if (BgL_testz00_2505)
							{	/* Reduce/same.scm 88 */
								bool_t BgL_testz00_2508;

								{	/* Reduce/same.scm 88 */
									obj_t BgL_auxz00_2509;

									{
										BgL_typez00_bglt BgL_auxz00_2510;

										{	/* Reduce/same.scm 88 */
											BgL_nodez00_bglt BgL_obj2137z00_1658;

											BgL_obj2137z00_1658 =
												((BgL_nodez00_bglt) BgL_nodez00_1375);
											BgL_auxz00_2510 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1658)))->BgL_typez00);
										}
										BgL_auxz00_2509 = ((obj_t) BgL_auxz00_2510);
									}
									BgL_testz00_2508 =
										(BgL_auxz00_2509 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1376)))->BgL_typez00)));
								}
								if (BgL_testz00_2508)
									{	/* Reduce/same.scm 89 */
										bool_t BgL_testz00_2519;

										{	/* Reduce/same.scm 89 */
											BgL_nodez00_bglt BgL_arg3563z00_1385;
											BgL_nodez00_bglt BgL_arg3565z00_1386;

											BgL_arg3563z00_1385 =
												(((BgL_funcallz00_bglt) CREF(
														((obj_t) BgL_nodez00_1375)))->BgL_funz00);
											{	/* Reduce/same.scm 89 */
												BgL_funcallz00_bglt BgL_obj2360z00_1661;

												BgL_obj2360z00_1661 =
													((BgL_funcallz00_bglt) BgL_node2z00_1376);
												BgL_arg3565z00_1386 =
													(((BgL_funcallz00_bglt) CREF(
															((obj_t) BgL_obj2360z00_1661)))->BgL_funz00);
											}
											BgL_testz00_2519 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg3563z00_1385, BgL_arg3565z00_1386,
												BgL_aliasz00_1377);
										}
										if (BgL_testz00_2519)
											{	/* Reduce/same.scm 90 */
												obj_t BgL_arg3561z00_1383;
												obj_t BgL_arg3562z00_1384;

												BgL_arg3561z00_1383 =
													(((BgL_funcallz00_bglt) CREF(
															((obj_t) BgL_nodez00_1375)))->BgL_argsz00);
												{	/* Reduce/same.scm 90 */
													BgL_funcallz00_bglt BgL_obj2363z00_1663;

													BgL_obj2363z00_1663 =
														((BgL_funcallz00_bglt) BgL_node2z00_1376);
													BgL_arg3562z00_1384 =
														(((BgL_funcallz00_bglt) CREF(
																((obj_t) BgL_obj2363z00_1663)))->BgL_argsz00);
												}
												BgL_auxz00_2504 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg3561z00_1383, BgL_arg3562z00_1384,
													BgL_aliasz00_1377);
											}
										else
											{	/* Reduce/same.scm 89 */
												BgL_auxz00_2504 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 88 */
										BgL_auxz00_2504 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 87 */
								BgL_auxz00_2504 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2504);
				}
			}
		}
	}



/* &same-node?-app-ly3431 */
	obj_t BGl_z62samezd2nodezf3zd2appzd2ly3431z43zzreduce_samez00(obj_t
		BgL_envz00_1843, BgL_appzd2lyzd2_bglt BgL_nodez00_1844,
		BgL_nodez00_bglt BgL_node2z00_1845, obj_t BgL_aliasz00_1846)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 77 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1360;
				BgL_nodez00_bglt BgL_node2z00_1361;
				obj_t BgL_aliasz00_1362;

				{	/* Reduce/same.scm 78 */
					bool_t BgL_auxz00_2533;

					BgL_nodez00_1360 = BgL_nodez00_1844;
					BgL_node2z00_1361 = BgL_node2z00_1845;
					BgL_aliasz00_1362 = BgL_aliasz00_1846;
					{	/* Reduce/same.scm 78 */
						bool_t BgL_testz00_2534;

						{	/* Reduce/same.scm 78 */
							bool_t BgL_res3657z00_1649;

							{	/* Reduce/same.scm 78 */
								obj_t BgL_obj2355z00_1648;

								BgL_obj2355z00_1648 = ((obj_t) BgL_node2z00_1361);
								BgL_res3657z00_1649 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2355z00_1648,
									BGl_appzd2lyzd2zzast_nodez00);
							}
							BgL_testz00_2534 = BgL_res3657z00_1649;
						}
						if (BgL_testz00_2534)
							{	/* Reduce/same.scm 79 */
								bool_t BgL_testz00_2537;

								{	/* Reduce/same.scm 79 */
									obj_t BgL_auxz00_2538;

									{
										BgL_typez00_bglt BgL_auxz00_2539;

										{	/* Reduce/same.scm 79 */
											BgL_nodez00_bglt BgL_obj2137z00_1650;

											BgL_obj2137z00_1650 =
												((BgL_nodez00_bglt) BgL_nodez00_1360);
											BgL_auxz00_2539 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1650)))->BgL_typez00);
										}
										BgL_auxz00_2538 = ((obj_t) BgL_auxz00_2539);
									}
									BgL_testz00_2537 =
										(BgL_auxz00_2538 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1361)))->BgL_typez00)));
								}
								if (BgL_testz00_2537)
									{	/* Reduce/same.scm 80 */
										bool_t BgL_testz00_2548;

										{	/* Reduce/same.scm 80 */
											BgL_nodez00_bglt BgL_arg3557z00_1370;
											BgL_nodez00_bglt BgL_arg3558z00_1371;

											BgL_arg3557z00_1370 =
												(((BgL_appzd2lyzd2_bglt) CREF(
														((obj_t) BgL_nodez00_1360)))->BgL_funz00);
											{	/* Reduce/same.scm 80 */
												BgL_appzd2lyzd2_bglt BgL_obj2331z00_1653;

												BgL_obj2331z00_1653 =
													((BgL_appzd2lyzd2_bglt) BgL_node2z00_1361);
												BgL_arg3558z00_1371 =
													(((BgL_appzd2lyzd2_bglt) CREF(
															((obj_t) BgL_obj2331z00_1653)))->BgL_funz00);
											}
											BgL_testz00_2548 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg3557z00_1370, BgL_arg3558z00_1371,
												BgL_aliasz00_1362);
										}
										if (BgL_testz00_2548)
											{	/* Reduce/same.scm 81 */
												BgL_nodez00_bglt BgL_arg3555z00_1368;
												BgL_nodez00_bglt BgL_arg3556z00_1369;

												BgL_arg3555z00_1368 =
													(((BgL_appzd2lyzd2_bglt) CREF(
															((obj_t) BgL_nodez00_1360)))->BgL_argz00);
												{	/* Reduce/same.scm 81 */
													BgL_appzd2lyzd2_bglt BgL_obj2334z00_1655;

													BgL_obj2334z00_1655 =
														((BgL_appzd2lyzd2_bglt) BgL_node2z00_1361);
													BgL_arg3556z00_1369 =
														(((BgL_appzd2lyzd2_bglt) CREF(
																((obj_t) BgL_obj2334z00_1655)))->BgL_argz00);
												}
												BgL_auxz00_2533 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg3555z00_1368, BgL_arg3556z00_1369,
													BgL_aliasz00_1362);
											}
										else
											{	/* Reduce/same.scm 80 */
												BgL_auxz00_2533 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 79 */
										BgL_auxz00_2533 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 78 */
								BgL_auxz00_2533 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2533);
				}
			}
		}
	}



/* &same-node?-sequence3429 */
	obj_t BGl_z62samezd2nodezf3zd2sequence3429z91zzreduce_samez00(obj_t
		BgL_envz00_1847, BgL_sequencez00_bglt BgL_nodez00_1848,
		BgL_nodez00_bglt BgL_node2z00_1849, obj_t BgL_aliasz00_1850)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 67 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1348;
				BgL_nodez00_bglt BgL_node2z00_1349;
				obj_t BgL_aliasz00_1350;

				{	/* Reduce/same.scm 68 */
					bool_t BgL_auxz00_2562;

					BgL_nodez00_1348 = BgL_nodez00_1848;
					BgL_node2z00_1349 = BgL_node2z00_1849;
					BgL_aliasz00_1350 = BgL_aliasz00_1850;
					{	/* Reduce/same.scm 68 */
						bool_t BgL_testz00_2563;

						{	/* Reduce/same.scm 68 */
							bool_t BgL_res3656z00_1643;

							{	/* Reduce/same.scm 68 */
								obj_t BgL_obj2288z00_1642;

								BgL_obj2288z00_1642 = ((obj_t) BgL_node2z00_1349);
								BgL_res3656z00_1643 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2288z00_1642,
									BGl_sequencez00zzast_nodez00);
							}
							BgL_testz00_2563 = BgL_res3656z00_1643;
						}
						if (BgL_testz00_2563)
							{	/* Reduce/same.scm 69 */
								bool_t BgL_testz00_2566;

								{	/* Reduce/same.scm 69 */
									obj_t BgL_auxz00_2567;

									{
										BgL_typez00_bglt BgL_auxz00_2568;

										{	/* Reduce/same.scm 69 */
											BgL_nodez00_bglt BgL_obj2137z00_1644;

											BgL_obj2137z00_1644 =
												((BgL_nodez00_bglt) BgL_nodez00_1348);
											BgL_auxz00_2568 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1644)))->BgL_typez00);
										}
										BgL_auxz00_2567 = ((obj_t) BgL_auxz00_2568);
									}
									BgL_testz00_2566 =
										(BgL_auxz00_2567 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1349)))->BgL_typez00)));
								}
								if (BgL_testz00_2566)
									{	/* Reduce/same.scm 70 */
										obj_t BgL_arg3551z00_1355;
										obj_t BgL_arg3552z00_1356;

										BgL_arg3551z00_1355 =
											(((BgL_sequencez00_bglt) CREF(
													((obj_t) BgL_nodez00_1348)))->BgL_nodesz00);
										{	/* Reduce/same.scm 71 */
											BgL_sequencez00_bglt BgL_obj2265z00_1647;

											BgL_obj2265z00_1647 =
												((BgL_sequencez00_bglt) BgL_node2z00_1349);
											BgL_arg3552z00_1356 =
												(((BgL_sequencez00_bglt) CREF(
														((obj_t) BgL_obj2265z00_1647)))->BgL_nodesz00);
										}
										BgL_auxz00_2562 =
											BGl_samezd2nodeza2zf3z83zzreduce_samez00
											(BgL_arg3551z00_1355, BgL_arg3552z00_1356,
											BgL_aliasz00_1350);
									}
								else
									{	/* Reduce/same.scm 69 */
										BgL_auxz00_2562 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 68 */
								BgL_auxz00_2562 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2562);
				}
			}
		}
	}



/* &same-node?-var3427 */
	obj_t BGl_z62samezd2nodezf3zd2var3427z91zzreduce_samez00(obj_t
		BgL_envz00_1851, BgL_varz00_bglt BgL_nodez00_1852,
		BgL_nodez00_bglt BgL_node2z00_1853, obj_t BgL_aliasz00_1854)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 54 */
			{
				BgL_varz00_bglt BgL_nodez00_1330;
				BgL_nodez00_bglt BgL_node2z00_1331;
				obj_t BgL_aliasz00_1332;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2584;

					BgL_nodez00_1330 = BgL_nodez00_1852;
					BgL_node2z00_1331 = BgL_node2z00_1853;
					BgL_aliasz00_1332 = BgL_aliasz00_1854;
					{	/* Reduce/same.scm 58 */
						bool_t BgL_testz00_2585;

						{	/* Reduce/same.scm 58 */
							bool_t BgL_res3655z00_1633;

							{	/* Reduce/same.scm 58 */
								obj_t BgL_obj2216z00_1632;

								BgL_obj2216z00_1632 = ((obj_t) BgL_node2z00_1331);
								BgL_res3655z00_1633 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2216z00_1632,
									BGl_varz00zzast_nodez00);
							}
							BgL_testz00_2585 = BgL_res3655z00_1633;
						}
						if (BgL_testz00_2585)
							{	/* Reduce/same.scm 59 */
								bool_t BgL_testz00_2588;

								{	/* Reduce/same.scm 59 */
									obj_t BgL_auxz00_2589;

									{	/* Reduce/same.scm 59 */
										BgL_variablez00_bglt BgL_obj1615z00_1635;

										BgL_obj1615z00_1635 =
											(((BgL_varz00_bglt) CREF(
													((obj_t) BgL_nodez00_1330)))->BgL_variablez00);
										BgL_auxz00_2589 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_obj1615z00_1635)))->BgL_accessz00);
									}
									BgL_testz00_2588 =
										(BgL_auxz00_2589 == CNST_TABLE_REF(((long) 0)));
								}
								if (BgL_testz00_2588)
									{	/* Reduce/same.scm 60 */
										bool_t BgL_testz00_2596;

										{	/* Reduce/same.scm 60 */
											obj_t BgL_auxz00_2597;

											{
												BgL_typez00_bglt BgL_auxz00_2598;

												{	/* Reduce/same.scm 60 */
													BgL_nodez00_bglt BgL_obj2137z00_1636;

													BgL_obj2137z00_1636 =
														((BgL_nodez00_bglt) BgL_nodez00_1330);
													BgL_auxz00_2598 =
														(((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_obj2137z00_1636)))->BgL_typez00);
												}
												BgL_auxz00_2597 = ((obj_t) BgL_auxz00_2598);
											}
											BgL_testz00_2596 =
												(BgL_auxz00_2597 ==
												((obj_t)
													(((BgL_nodez00_bglt) CREF(
																((obj_t) BgL_node2z00_1331)))->BgL_typez00)));
										}
										if (BgL_testz00_2596)
											{	/* Reduce/same.scm 61 */
												bool_t BgL__ortest_3377z00_1338;

												{	/* Reduce/same.scm 61 */
													obj_t BgL_auxz00_2607;

													{
														BgL_variablez00_bglt BgL_auxz00_2611;

														{	/* Reduce/same.scm 61 */
															BgL_varz00_bglt BgL_obj2201z00_1639;

															BgL_obj2201z00_1639 =
																((BgL_varz00_bglt) BgL_node2z00_1331);
															BgL_auxz00_2611 =
																(((BgL_varz00_bglt) CREF(
																		((obj_t) BgL_obj2201z00_1639)))->
																BgL_variablez00);
														}
														BgL_auxz00_2607 = ((obj_t) BgL_auxz00_2611);
													}
													BgL__ortest_3377z00_1338 =
														(
														((obj_t)
															(((BgL_varz00_bglt) CREF(
																		((obj_t) BgL_nodez00_1330)))->
																BgL_variablez00)) == BgL_auxz00_2607);
												}
												if (BgL__ortest_3377z00_1338)
													{	/* Reduce/same.scm 61 */
														BgL_auxz00_2584 = BgL__ortest_3377z00_1338;
													}
												else
													{	/* Reduce/same.scm 62 */
														BgL_variablez00_bglt BgL_auxz00_2618;

														{	/* Reduce/same.scm 62 */
															BgL_varz00_bglt BgL_obj2201z00_1641;

															BgL_obj2201z00_1641 =
																((BgL_varz00_bglt) BgL_node2z00_1331);
															BgL_auxz00_2618 =
																(((BgL_varz00_bglt) CREF(
																		((obj_t) BgL_obj2201z00_1641)))->
																BgL_variablez00);
														}
														BgL_auxz00_2584 =
															BGl_aliasedzf3zf3zzreduce_samez00(
															(((BgL_varz00_bglt) CREF(
																		((obj_t) BgL_nodez00_1330)))->
																BgL_variablez00), BgL_auxz00_2618,
															BgL_aliasz00_1332);
													}
											}
										else
											{	/* Reduce/same.scm 60 */
												BgL_auxz00_2584 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 59 */
										BgL_auxz00_2584 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 58 */
								BgL_auxz00_2584 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2584);
				}
			}
		}
	}



/* &same-node?-kwote3425 */
	obj_t BGl_z62samezd2nodezf3zd2kwote3425z91zzreduce_samez00(obj_t
		BgL_envz00_1855, BgL_kwotez00_bglt BgL_nodez00_1856,
		BgL_nodez00_bglt BgL_node2z00_1857, obj_t BgL_aliasz00_1858)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 43 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1318;
				BgL_nodez00_bglt BgL_node2z00_1319;
				obj_t BgL_aliasz00_1320;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2626;

					BgL_nodez00_1318 = BgL_nodez00_1856;
					BgL_node2z00_1319 = BgL_node2z00_1857;
					BgL_aliasz00_1320 = BgL_aliasz00_1858;
					{	/* Reduce/same.scm 47 */
						bool_t BgL_testz00_2627;

						{	/* Reduce/same.scm 47 */
							bool_t BgL_res3654z00_1627;

							{	/* Reduce/same.scm 47 */
								obj_t BgL_obj2254z00_1626;

								BgL_obj2254z00_1626 = ((obj_t) BgL_node2z00_1319);
								BgL_res3654z00_1627 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2254z00_1626,
									BGl_kwotez00zzast_nodez00);
							}
							BgL_testz00_2627 = BgL_res3654z00_1627;
						}
						if (BgL_testz00_2627)
							{	/* Reduce/same.scm 48 */
								bool_t BgL_testz00_2630;

								{	/* Reduce/same.scm 48 */
									obj_t BgL_auxz00_2631;

									{
										BgL_typez00_bglt BgL_auxz00_2632;

										{	/* Reduce/same.scm 48 */
											BgL_nodez00_bglt BgL_obj2137z00_1628;

											BgL_obj2137z00_1628 =
												((BgL_nodez00_bglt) BgL_nodez00_1318);
											BgL_auxz00_2632 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1628)))->BgL_typez00);
										}
										BgL_auxz00_2631 = ((obj_t) BgL_auxz00_2632);
									}
									BgL_testz00_2630 =
										(BgL_auxz00_2631 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1319)))->BgL_typez00)));
								}
								if (BgL_testz00_2630)
									{	/* Reduce/same.scm 49 */
										obj_t BgL_auxz00_2641;

										{	/* Reduce/same.scm 49 */
											BgL_kwotez00_bglt BgL_obj2241z00_1631;

											BgL_obj2241z00_1631 =
												((BgL_kwotez00_bglt) BgL_node2z00_1319);
											BgL_auxz00_2641 =
												(((BgL_kwotez00_bglt) CREF(
														((obj_t) BgL_obj2241z00_1631)))->BgL_valuez00);
										}
										BgL_auxz00_2626 =
											BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
											(((BgL_kwotez00_bglt) CREF(
														((obj_t) BgL_nodez00_1318)))->BgL_valuez00),
											BgL_auxz00_2641);
									}
								else
									{	/* Reduce/same.scm 48 */
										BgL_auxz00_2626 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 47 */
								BgL_auxz00_2626 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2626);
				}
			}
		}
	}



/* &same-node?-atom3423 */
	obj_t BGl_z62samezd2nodezf3zd2atom3423z91zzreduce_samez00(obj_t
		BgL_envz00_1859, BgL_atomz00_bglt BgL_nodez00_1860,
		BgL_nodez00_bglt BgL_node2z00_1861, obj_t BgL_aliasz00_1862)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 32 */
			{
				BgL_atomz00_bglt BgL_nodez00_1306;
				BgL_nodez00_bglt BgL_node2z00_1307;
				obj_t BgL_aliasz00_1308;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2649;

					BgL_nodez00_1306 = BgL_nodez00_1860;
					BgL_node2z00_1307 = BgL_node2z00_1861;
					BgL_aliasz00_1308 = BgL_aliasz00_1862;
					{	/* Reduce/same.scm 36 */
						bool_t BgL_testz00_2650;

						{	/* Reduce/same.scm 36 */
							bool_t BgL_res3653z00_1621;

							{	/* Reduce/same.scm 36 */
								obj_t BgL_obj2196z00_1620;

								BgL_obj2196z00_1620 = ((obj_t) BgL_node2z00_1307);
								BgL_res3653z00_1621 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2196z00_1620,
									BGl_atomz00zzast_nodez00);
							}
							BgL_testz00_2650 = BgL_res3653z00_1621;
						}
						if (BgL_testz00_2650)
							{	/* Reduce/same.scm 37 */
								bool_t BgL_testz00_2653;

								{	/* Reduce/same.scm 37 */
									obj_t BgL_auxz00_2654;

									{
										BgL_typez00_bglt BgL_auxz00_2655;

										{	/* Reduce/same.scm 37 */
											BgL_nodez00_bglt BgL_obj2137z00_1622;

											BgL_obj2137z00_1622 =
												((BgL_nodez00_bglt) BgL_nodez00_1306);
											BgL_auxz00_2655 =
												(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_obj2137z00_1622)))->BgL_typez00);
										}
										BgL_auxz00_2654 = ((obj_t) BgL_auxz00_2655);
									}
									BgL_testz00_2653 =
										(BgL_auxz00_2654 ==
										((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((obj_t) BgL_node2z00_1307)))->BgL_typez00)));
								}
								if (BgL_testz00_2653)
									{	/* Reduce/same.scm 38 */
										obj_t BgL_auxz00_2664;

										{	/* Reduce/same.scm 38 */
											BgL_atomz00_bglt BgL_obj2181z00_1625;

											BgL_obj2181z00_1625 =
												((BgL_atomz00_bglt) BgL_node2z00_1307);
											BgL_auxz00_2664 =
												(((BgL_atomz00_bglt) CREF(
														((obj_t) BgL_obj2181z00_1625)))->BgL_valuez00);
										}
										BgL_auxz00_2649 =
											BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
											(((BgL_atomz00_bglt) CREF(
														((obj_t) BgL_nodez00_1306)))->BgL_valuez00),
											BgL_auxz00_2664);
									}
								else
									{	/* Reduce/same.scm 37 */
										BgL_auxz00_2649 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 36 */
								BgL_auxz00_2649 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2649);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3695z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3695z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3695z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3695z00zzreduce_samez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3695z00zzreduce_samez00));
		}
	}

#ifdef __cplusplus
}
#endif
