/*===========================================================================*/
/*   (Tools/error.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/error.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
	}                      *BgL_z62exceptionz62_bglt;


	static obj_t BGl_z62internalzd2errorzb0zztools_errorz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62leavezd2functionzb0zztools_errorz00(obj_t);
	extern obj_t BGl_za2compilerzd2stackzd2debugzf3za2zf3zzengine_paramz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_za2sfunzd2stackza2zd2zztools_errorz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33412ze3ze1zztools_errorz00(obj_t);
	static obj_t BGl_methodzd2initzd2zztools_errorz00();
	static obj_t BGl_z62zc3anonymousza33430ze3ze1zztools_errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_nozd2warningzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62nozd2warningzb0zztools_errorz00(obj_t, obj_t);
	BGL_IMPORT BgL_z62errorz62_bglt BGl_makezd2z62errorzb0zz__objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33435ze3ze1zztools_errorz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorzd2notifyzd2zz__errorz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33439ze3ze1zztools_errorz00(obj_t);
	static obj_t BGl_z62userzd2warningzb0zztools_errorz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2bigloozd2authorza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62userzd2errorzf2locationz42zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t
		BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	static obj_t BGl_z62userzd2warningzf2locationz42zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	extern obj_t BGl_za2tracezd2portza2zd2zztools_tracez00;
	static obj_t BGl_sharpzd2symbolzd2zztools_errorz00 = BUNSPEC;
	static obj_t BGl_z62userzd2errorzd2notifyz62zztools_errorz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_zc3exitza33393ze3z83zztools_errorz00(obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_errorz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2emailza2zd2zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_z62errorzf3z91zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_z62enterzd2functionzb0zztools_errorz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_userzd2errorzd2notifyz00zztools_errorz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zztools_errorz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_errorz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztools_errorz00();
	static obj_t BGl_zc3exitza33432ze3z83zztools_errorz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_withzd2dumpzd2stackz00zztools_errorz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33396ze3ze1zztools_errorz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	BGL_EXPORTED_DECL obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	static obj_t BGl_z62currentzd2functionzb0zztools_errorz00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	static obj_t BGl_z62userzd2errorzb0zztools_errorz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_userzd2errorzd2notifyzd2envzd2zztools_errorz00,
		BgL_bgl_za762userza7d2errorza73540za7,
		BGl_z62userzd2errorzd2notifyz62zztools_errorz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_leavezd2functionzd2envz00zztools_errorz00,
		BgL_bgl_za762leaveza7d2funct3541z00,
		BGl_z62leavezd2functionzb0zztools_errorz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_currentzd2functionzd2envz00zztools_errorz00,
		BgL_bgl_za762currentza7d2fun3542z00,
		BGl_z62currentzd2functionzb0zztools_errorz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_internalzd2errorzd2envz00zztools_errorz00,
		BgL_bgl_za762internalza7d2er3543z00,
		BGl_z62internalzd2errorzb0zztools_errorz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_userzd2warningzf2locationzd2envzf2zztools_errorz00,
		BgL_bgl_za762userza7d2warnin3544z00,
		BGl_z62userzd2warningzf2locationz42zztools_errorz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nozd2warningzd2envz00zztools_errorz00,
		BgL_bgl_za762noza7d2warningza73545za7,
		BGl_z62nozd2warningzb0zztools_errorz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3526z00zztools_errorz00,
		BgL_bgl_string3526za700za7za7t3546za7, "#", 1);
	      DEFINE_STRING(BGl_string3527z00zztools_errorz00,
		BgL_bgl_string3527za700za7za7t3547za7, "*** ERROR: ", 11);
	      DEFINE_STRING(BGl_string3528z00zztools_errorz00,
		BgL_bgl_string3528za700za7za7t3548za7, ":", 1);
	      DEFINE_STRING(BGl_string3529z00zztools_errorz00,
		BgL_bgl_string3529za700za7za7t3549za7, "*** INTERNAL-ERROR in pass: ", 28);
	      DEFINE_STRING(BGl_string3530z00zztools_errorz00,
		BgL_bgl_string3530za700za7za7t3550za7,
		"(Would you, please, send this error report and the source file to", 65);
	      DEFINE_STRING(BGl_string3531z00zztools_errorz00,
		BgL_bgl_string3531za700za7za7t3551za7, " [", 2);
	      DEFINE_STRING(BGl_string3532z00zztools_errorz00,
		BgL_bgl_string3532za700za7za7t3552za7, "], thank you.)", 14);
	      DEFINE_STRING(BGl_string3533z00zztools_errorz00,
		BgL_bgl_string3533za700za7za7t3553za7, " -- ", 4);
	      DEFINE_STRING(BGl_string3534z00zztools_errorz00,
		BgL_bgl_string3534za700za7za7t3554za7, "*** ERROR:", 10);
	      DEFINE_STRING(BGl_string3535z00zztools_errorz00,
		BgL_bgl_string3535za700za7za7t3555za7, " ...", 4);
	      DEFINE_STRING(BGl_string3536z00zztools_errorz00,
		BgL_bgl_string3536za700za7za7t3556za7, "tools_error", 11);
	      DEFINE_STRING(BGl_string3537z00zztools_errorz00,
		BgL_bgl_string3537za700za7za7t3557za7, "location (top-level) ", 21);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_userzd2warningzd2envz00zztools_errorz00,
		BgL_bgl_za762userza7d2warnin3558z00,
		BGl_z62userzd2warningzb0zztools_errorz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_userzd2errorzd2envz00zztools_errorz00,
		BgL_bgl_za762userza7d2errorza73559za7, va_generic_entry,
		BGl_z62userzd2errorzb0zztools_errorz00, BUNSPEC, -4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_enterzd2functionzd2envz00zztools_errorz00,
		BgL_bgl_za762enterza7d2funct3560z00,
		BGl_z62enterzd2functionzb0zztools_errorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_userzd2errorzf2locationzd2envzf2zztools_errorz00,
		BgL_bgl_za762userza7d2errorza73561za7, va_generic_entry,
		BGl_z62userzd2errorzf2locationz42zztools_errorz00, BUNSPEC, -5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long
		BgL_checksumz00_1568, char *BgL_fromz00_1569)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_errorz00))
				{
					BGl_requirezd2initializa7ationz75zztools_errorz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_errorz00();
					BGl_cnstzd2initzd2zztools_errorz00();
					BGl_importedzd2moduleszd2initz00zztools_errorz00();
					BGl_toplevelzd2initzd2zztools_errorz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_errorz00()
	{
		AN_OBJECT;
		{	/* Tools/error.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"tools_error");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "tools_error");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "tools_error");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "tools_error");
			BGl_modulezd2initializa7ationz75zz__pp_circlez00(((long) 0),
				"tools_error");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "tools_error");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tools_error");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_error");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"tools_error");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_errorz00()
	{
		AN_OBJECT;
		{	/* Tools/error.scm 15 */
			{	/* Tools/error.scm 15 */
				obj_t BgL_cportz00_1560;

				BgL_cportz00_1560 =
					bgl_open_input_string(BGl_string3537z00zztools_errorz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1561;

					BgL_iz00_1561 = ((long) 1);
				BgL_loopz00_1562:
					if ((BgL_iz00_1561 == ((long) -1)))
						{	/* Tools/error.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tools/error.scm 15 */
							{	/* Tools/error.scm 15 */
								obj_t BgL_arg3539z00_1564;

								{	/* Tools/error.scm 15 */

									{	/* Tools/error.scm 15 */
										obj_t BgL_locationz00_1566;

										BgL_locationz00_1566 = BBOOL(((bool_t) 0));
										{	/* Tools/error.scm 15 */

											BgL_arg3539z00_1564 =
												BGl_readz00zz__readerz00(BgL_cportz00_1560,
												BgL_locationz00_1566);
										}
									}
								}
								{	/* Tools/error.scm 15 */
									int BgL_auxz00_1592;

									BgL_auxz00_1592 = (int) (BgL_iz00_1561);
									CNST_TABLE_SET(BgL_auxz00_1592, BgL_arg3539z00_1564);
							}}
							{	/* Tools/error.scm 15 */
								int BgL_auxz00_1567;

								BgL_auxz00_1567 = (int) ((BgL_iz00_1561 - ((long) 1)));
								{
									long BgL_iz00_1597;

									BgL_iz00_1597 = (long) (BgL_auxz00_1567);
									BgL_iz00_1561 = BgL_iz00_1597;
									goto BgL_loopz00_1562;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_errorz00()
	{
		AN_OBJECT;
		{	/* Tools/error.scm 15 */
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2sfunzd2stackza2zd2zztools_errorz00 = CNST_TABLE_REF(((long) 0));
			return (BGl_sharpzd2symbolzd2zztools_errorz00 =
				string_to_symbol(BSTRING_TO_STRING(BGl_string3526z00zztools_errorz00)),
				BUNSPEC);
		}
	}



/* internal-error */
	BGL_EXPORTED_DEF obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t
		BgL_procz00_17, obj_t BgL_mesz00_18, obj_t BgL_objz00_19)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 45 */
			if (OUTPUT_PORTP(BGl_za2tracezd2portza2zd2zztools_tracez00))
				{	/* Tools/error.scm 47 */
					obj_t BgL_port3376z00_864;

					BgL_port3376z00_864 = BGl_za2tracezd2portza2zd2zztools_tracez00;
					BGL_DISPLAY_STRING(BGl_string3527z00zztools_errorz00,
						BgL_port3376z00_864);
					bgl_display_obj(BgL_procz00_17, BgL_port3376z00_864);
					BGL_DISPLAY_STRING(BGl_string3528z00zztools_errorz00,
						BgL_port3376z00_864);
					bgl_display_obj(BgL_mesz00_18, BgL_port3376z00_864);
					BGL_DISPLAY_STRING(BGl_string3528z00zztools_errorz00,
						BgL_port3376z00_864);
					bgl_display_obj(BgL_objz00_19, BgL_port3376z00_864);
					bgl_display_char(((unsigned char) '\n'), BgL_port3376z00_864);
				}
			else
				{	/* Tools/error.scm 46 */
					BFALSE;
				}
			{	/* Tools/error.scm 48 */
				obj_t BgL_port3377z00_865;

				{	/* Tools/error.scm 48 */
					obj_t BgL_res3504z00_1377;

					{	/* Tools/error.scm 48 */
						obj_t BgL_auxz00_1612;

						BgL_auxz00_1612 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res3504z00_1377 = BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1612);
					}
					BgL_port3377z00_865 = BgL_res3504z00_1377;
				}
				BGL_DISPLAY_STRING(BGl_string3529z00zztools_errorz00,
					BgL_port3377z00_865);
				bgl_display_obj(BGl_za2currentzd2passza2zd2zzengine_passz00,
					BgL_port3377z00_865);
				bgl_display_char(((unsigned char) '\n'), BgL_port3377z00_865);
			}
			{	/* Tools/error.scm 50 */
				obj_t BgL_port3378z00_866;

				{	/* Tools/error.scm 50 */
					obj_t BgL_res3505z00_1382;

					{	/* Tools/error.scm 50 */
						obj_t BgL_auxz00_1618;

						BgL_auxz00_1618 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res3505z00_1382 = BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1618);
					}
					BgL_port3378z00_866 = BgL_res3505z00_1382;
				}
				BGL_DISPLAY_STRING(BGl_string3530z00zztools_errorz00,
					BgL_port3378z00_866);
				bgl_display_char(((unsigned char) '\n'), BgL_port3378z00_866);
				bgl_display_obj(BGl_za2bigloozd2authorza2zd2zzengine_paramz00,
					BgL_port3378z00_866);
				BGL_DISPLAY_STRING(BGl_string3531z00zztools_errorz00,
					BgL_port3378z00_866);
				bgl_display_obj(BGl_za2bigloozd2emailza2zd2zzengine_paramz00,
					BgL_port3378z00_866);
				BGL_DISPLAY_STRING(BGl_string3532z00zztools_errorz00,
					BgL_port3378z00_866);
				bgl_display_char(((unsigned char) '\n'), BgL_port3378z00_866);
			}
			BGl_errorz00zz__errorz00(BgL_procz00_17, BgL_mesz00_18, BgL_objz00_19);
			return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 1)));
		}
	}



/* &internal-error */
	obj_t BGl_z62internalzd2errorzb0zztools_errorz00(obj_t BgL_envz00_1482,
		obj_t BgL_procz00_1483, obj_t BgL_mesz00_1484, obj_t BgL_objz00_1485)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 45 */
			return
				BGl_internalzd2errorzd2zztools_errorz00(BgL_procz00_1483,
				BgL_mesz00_1484, BgL_objz00_1485);
		}
	}



/* with-dump-stack */
	obj_t BGl_withzd2dumpzd2stackz00zztools_errorz00(obj_t BgL_thunkz00_20)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 60 */
			if (CBOOL(BGl_za2compilerzd2stackzd2debugzf3za2zf3zzengine_paramz00))
				{	/* Tools/error.scm 61 */
					return (PROCEDURE_L_ENTRY(BgL_thunkz00_20)) (BgL_thunkz00_20);
				}
			else
				{	/* Tools/error.scm 63 */
					int BgL_stz00_867;

					BgL_stz00_867 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					{	/* Tools/error.scm 65 */
						obj_t BgL_val3366z00_868;

						BgL_val3366z00_868 =
							BGl_zc3exitza33393ze3z83zztools_errorz00(BgL_thunkz00_20);
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
							(BgL_stz00_867);
						if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
								(BgL_val3366z00_868)))
							{	/* Tools/error.scm 67 */
								return
									BGl_unwindzd2untilz12zc0zz__bexitz00(CAR(BgL_val3366z00_868),
									CDR(BgL_val3366z00_868));
							}
						else
							{	/* Tools/error.scm 67 */
								return BgL_val3366z00_868;
							}
					}
				}
		}
	}



/* <exit:3393> */
	obj_t BGl_zc3exitza33393ze3z83zztools_errorz00(obj_t BgL_thunkz00_1548)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 67 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit3367z00_873;

			if (SET_EXIT(BgL_an_exit3367z00_873))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit3367z00_873 = (void *) jmpbuf;
					{	/* Tools/error.scm 67 */

						PUSH_EXIT(BgL_an_exit3367z00_873, ((long) 0));
						{	/* Tools/error.scm 66 */
							obj_t BgL_val3368z00_874;

							BgL_val3368z00_874 =
								(PROCEDURE_L_ENTRY(BgL_thunkz00_1548)) (BgL_thunkz00_1548);
							POP_EXIT();
							return BgL_val3368z00_874;
						}
					}
				}
		}
	}



/* user-warning/location */
	BGL_EXPORTED_DEF obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t
		BgL_locz00_21, obj_t BgL_procz00_22, obj_t BgL_mesz00_23,
		obj_t BgL_objz00_24)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 72 */
			{	/* Tools/error.scm 73 */
				bool_t BgL_testz00_1655;

				{	/* Tools/error.scm 73 */
					int BgL_arg3408z00_890;

					BgL_arg3408z00_890 = BGl_bigloozd2warningzd2zz__paramz00();
					BgL_testz00_1655 = ((long) (BgL_arg3408z00_890) > ((long) 0));
				}
				if (BgL_testz00_1655)
					{	/* Tools/error.scm 76 */
						obj_t BgL_zc3anonymousza33396ze3z83_1486;

						{
							int BgL_auxz00_1659;

							BgL_auxz00_1659 = (int) (((long) 4));
							BgL_zc3anonymousza33396ze3z83_1486 =
								MAKE_L_PROCEDURE
								(BGl_z62zc3anonymousza33396ze3ze1zztools_errorz00,
								BgL_auxz00_1659);
						}
						PROCEDURE_L_SET(BgL_zc3anonymousza33396ze3z83_1486,
							(int) (((long) 0)), BgL_objz00_24);
						PROCEDURE_L_SET(BgL_zc3anonymousza33396ze3z83_1486,
							(int) (((long) 1)), BgL_mesz00_23);
						PROCEDURE_L_SET(BgL_zc3anonymousza33396ze3z83_1486,
							(int) (((long) 2)), BgL_procz00_22);
						PROCEDURE_L_SET(BgL_zc3anonymousza33396ze3z83_1486,
							(int) (((long) 3)), BgL_locz00_21);
						return
							BGl_withzd2dumpzd2stackz00zztools_errorz00
							(BgL_zc3anonymousza33396ze3z83_1486);
					}
				else
					{	/* Tools/error.scm 73 */
						return BFALSE;
					}
			}
		}
	}



/* &user-warning/location */
	obj_t BGl_z62userzd2warningzf2locationz42zztools_errorz00(obj_t
		BgL_envz00_1487, obj_t BgL_locz00_1488, obj_t BgL_procz00_1489,
		obj_t BgL_mesz00_1490, obj_t BgL_objz00_1491)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 72 */
			return
				BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1488,
				BgL_procz00_1489, BgL_mesz00_1490, BgL_objz00_1491);
		}
	}



/* &<anonymous:3396> */
	obj_t BGl_z62zc3anonymousza33396ze3ze1zztools_errorz00(obj_t BgL_envz00_1492)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 75 */
			{	/* Tools/error.scm 76 */
				obj_t BgL_objz00_1493;
				obj_t BgL_mesz00_1494;
				obj_t BgL_procz00_1495;
				obj_t BgL_locz00_1496;

				BgL_objz00_1493 = PROCEDURE_L_REF(BgL_envz00_1492, (int) (((long) 0)));
				BgL_mesz00_1494 = PROCEDURE_L_REF(BgL_envz00_1492, (int) (((long) 1)));
				BgL_procz00_1495 = PROCEDURE_L_REF(BgL_envz00_1492, (int) (((long) 2)));
				BgL_locz00_1496 = PROCEDURE_L_REF(BgL_envz00_1492, (int) (((long) 3)));
				{

					{	/* Tools/error.scm 76 */
						bool_t BgL_testz00_1680;

						if (STRUCTP(BgL_locz00_1496))
							{	/* Tools/error.scm 76 */
								BgL_testz00_1680 =
									(STRUCT_KEY(BgL_locz00_1496) == CNST_TABLE_REF(((long) 1)));
							}
						else
							{	/* Tools/error.scm 76 */
								BgL_testz00_1680 = ((bool_t) 0);
							}
						if (BgL_testz00_1680)
							{	/* Tools/error.scm 78 */
								obj_t BgL_arg3398z00_879;
								obj_t BgL_arg3399z00_880;

								BgL_arg3398z00_879 =
									BGl_locationzd2fullzd2fnamez00zztools_locationz00
									(BgL_locz00_1496);
								BgL_arg3399z00_880 =
									STRUCT_REF(BgL_locz00_1496, (int) (((long) 1)));
								{	/* Tools/error.scm 78 */
									obj_t BgL_list3400z00_881;

									{	/* Tools/error.scm 78 */
										obj_t BgL_arg3401z00_882;

										{	/* Tools/error.scm 78 */
											obj_t BgL_arg3402z00_883;

											{	/* Tools/error.scm 78 */
												obj_t BgL_arg3403z00_884;

												BgL_arg3403z00_884 = MAKE_PAIR(BgL_objz00_1493, BNIL);
												BgL_arg3402z00_883 =
													MAKE_PAIR(BGl_string3533z00zztools_errorz00,
													BgL_arg3403z00_884);
											}
											BgL_arg3401z00_882 =
												MAKE_PAIR(BgL_mesz00_1494, BgL_arg3402z00_883);
										}
										BgL_list3400z00_881 =
											MAKE_PAIR(BgL_procz00_1495, BgL_arg3401z00_882);
									}
									return
										BGl_warningzf2locationzf2zz__errorz00(BgL_arg3398z00_879,
										BgL_arg3399z00_880, BgL_list3400z00_881);
								}
							}
						else
							{	/* Tools/error.scm 77 */
								obj_t BgL_list3404z00_885;

								{	/* Tools/error.scm 77 */
									obj_t BgL_arg3405z00_886;

									{	/* Tools/error.scm 77 */
										obj_t BgL_arg3406z00_887;

										{	/* Tools/error.scm 77 */
											obj_t BgL_arg3407z00_888;

											BgL_arg3407z00_888 = MAKE_PAIR(BgL_objz00_1493, BNIL);
											BgL_arg3406z00_887 =
												MAKE_PAIR(BGl_string3533z00zztools_errorz00,
												BgL_arg3407z00_888);
										}
										BgL_arg3405z00_886 =
											MAKE_PAIR(BgL_mesz00_1494, BgL_arg3406z00_887);
									}
									BgL_list3404z00_885 =
										MAKE_PAIR(BgL_procz00_1495, BgL_arg3405z00_886);
								}
								return BGl_warningz00zz__errorz00(BgL_list3404z00_885);
							}
					}
				}
			}
		}
	}



/* user-warning */
	BGL_EXPORTED_DEF obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t
		BgL_procz00_25, obj_t BgL_mesz00_26, obj_t BgL_objz00_27)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 85 */
			return
				BGl_userzd2warningzf2locationz20zztools_errorz00
				(BGl_findzd2locationzd2zztools_locationz00(BgL_objz00_27),
				BgL_procz00_25, BgL_mesz00_26, BgL_objz00_27);
		}
	}



/* &user-warning */
	obj_t BGl_z62userzd2warningzb0zztools_errorz00(obj_t BgL_envz00_1497,
		obj_t BgL_procz00_1498, obj_t BgL_mesz00_1499, obj_t BgL_objz00_1500)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 85 */
			return
				BGl_userzd2warningzd2zztools_errorz00(BgL_procz00_1498, BgL_mesz00_1499,
				BgL_objz00_1500);
		}
	}



/* no-warning */
	BGL_EXPORTED_DEF obj_t BGl_nozd2warningzd2zztools_errorz00(obj_t
		BgL_thunkz00_28)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 91 */
			{	/* Tools/error.scm 92 */
				int BgL_warningz00_892;

				BgL_warningz00_892 = BGl_bigloozd2warningzd2zz__paramz00();
				BGl_bigloozd2warningzd2setz12z12zz__paramz00((int) (((long) 0)));
				{	/* Tools/error.scm 94 */
					obj_t BgL_valz00_893;

					BgL_valz00_893 =
						PROCEDURE_ENTRY(BgL_thunkz00_28) (BgL_thunkz00_28, BEOA);
					BGl_bigloozd2warningzd2setz12z12zz__paramz00(BgL_warningz00_892);
					return BgL_valz00_893;
				}
			}
		}
	}



/* &no-warning */
	obj_t BGl_z62nozd2warningzb0zztools_errorz00(obj_t BgL_envz00_1501,
		obj_t BgL_thunkz00_1502)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 91 */
			return BGl_nozd2warningzd2zztools_errorz00(BgL_thunkz00_1502);
		}
	}



/* user-error-notify */
	BGL_EXPORTED_DEF obj_t BGl_userzd2errorzd2notifyz00zztools_errorz00(obj_t
		BgL_ez00_29, obj_t BgL_procz00_30)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 101 */
			if (BGl_z62errorzf3z91zz__objectz00(BgL_ez00_29))
				{	/* Tools/error.scm 105 */
					obj_t BgL_zc3anonymousza33412ze3z83_1503;

					{
						int BgL_auxz00_1712;

						BgL_auxz00_1712 = (int) (((long) 2));
						BgL_zc3anonymousza33412ze3z83_1503 =
							MAKE_L_PROCEDURE(BGl_z62zc3anonymousza33412ze3ze1zztools_errorz00,
							BgL_auxz00_1712);
					}
					PROCEDURE_L_SET(BgL_zc3anonymousza33412ze3z83_1503,
						(int) (((long) 0)), BgL_ez00_29);
					PROCEDURE_L_SET(BgL_zc3anonymousza33412ze3z83_1503,
						(int) (((long) 1)), BgL_procz00_30);
					return
						BGl_withzd2dumpzd2stackz00zztools_errorz00
						(BgL_zc3anonymousza33412ze3z83_1503);
				}
			else
				{	/* Tools/error.scm 102 */
					return BFALSE;
				}
		}
	}



/* &user-error-notify */
	obj_t BGl_z62userzd2errorzd2notifyz62zztools_errorz00(obj_t BgL_envz00_1504,
		obj_t BgL_ez00_1505, obj_t BgL_procz00_1506)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 101 */
			return
				BGl_userzd2errorzd2notifyz00zztools_errorz00(BgL_ez00_1505,
				BgL_procz00_1506);
		}
	}



/* &<anonymous:3412> */
	obj_t BGl_z62zc3anonymousza33412ze3ze1zztools_errorz00(obj_t BgL_envz00_1507)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 104 */
			{	/* Tools/error.scm 105 */
				obj_t BgL_ez00_1508;
				obj_t BgL_procz00_1509;

				BgL_ez00_1508 = PROCEDURE_L_REF(BgL_envz00_1507, (int) (((long) 0)));
				BgL_procz00_1509 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_1507, (int) (((long) 1))));
				{

					{	/* Tools/error.scm 105 */
						obj_t BgL_objz00_897;

						{	/* Tools/error.scm 105 */
							BgL_z62errorz62_bglt BgL_obj1173z00_1408;

							BgL_obj1173z00_1408 = ((BgL_z62errorz62_bglt) BgL_ez00_1508);
							BgL_objz00_897 =
								(((BgL_z62errorz62_bglt) CREF(
										((obj_t) BgL_obj1173z00_1408)))->BgL_objz00);
						}
						{	/* Tools/error.scm 105 */
							obj_t BgL_locz00_898;

							BgL_locz00_898 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_objz00_897);
							{	/* Tools/error.scm 106 */
								obj_t BgL_pz00_899;

								{	/* Tools/error.scm 107 */
									BgL_z62errorz62_bglt BgL_obj1171z00_1409;

									BgL_obj1171z00_1409 = ((BgL_z62errorz62_bglt) BgL_ez00_1508);
									BgL_pz00_899 =
										(((BgL_z62errorz62_bglt) CREF(
												((obj_t) BgL_obj1171z00_1409)))->BgL_procz00);
								}
								{	/* Tools/error.scm 107 */

									{	/* Tools/error.scm 108 */
										long BgL_za71za7_1410;

										BgL_za71za7_1410 =
											(long)
											CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00);
										BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
											BINT((BgL_za71za7_1410 + ((long) 1)));
									}
									{	/* Tools/error.scm 109 */
										bool_t BgL_testz00_1736;

										if (STRUCTP(BgL_locz00_898))
											{	/* Tools/error.scm 109 */
												BgL_testz00_1736 =
													(STRUCT_KEY(BgL_locz00_898) ==
													CNST_TABLE_REF(((long) 1)));
											}
										else
											{	/* Tools/error.scm 109 */
												BgL_testz00_1736 = ((bool_t) 0);
											}
										if (BgL_testz00_1736)
											{	/* Tools/error.scm 110 */
												BgL_z62errorz62_bglt BgL_arg3414z00_901;

												{	/* Tools/error.scm 110 */
													BgL_z62errorz62_bglt BgL_duplicated3369z00_902;

													BgL_duplicated3369z00_902 =
														((BgL_z62errorz62_bglt) BgL_ez00_1508);
													{	/* Tools/error.scm 112 */
														BgL_z62errorz62_bglt BgL_new3370z00_903;

														{	/* Tools/error.scm 112 */
															obj_t BgL_arg3415z00_904;
															obj_t BgL_arg3416z00_905;
															obj_t BgL_arg3417z00_906;
															obj_t BgL_arg3418z00_907;
															obj_t BgL_arg3419z00_908;
															obj_t BgL_arg3420z00_909;

															BgL_arg3415z00_904 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_898);
															BgL_arg3416z00_905 =
																STRUCT_REF(BgL_locz00_898, (int) (((long) 1)));
															{	/* Tools/error.scm 110 */
																BgL_z62exceptionz62_bglt BgL_obj1102z00_1423;

																BgL_obj1102z00_1423 =
																	((BgL_z62exceptionz62_bglt)
																	BgL_duplicated3369z00_902);
																BgL_arg3417z00_906 =
																	(((BgL_z62exceptionz62_bglt) CREF(((obj_t)
																				BgL_obj1102z00_1423)))->BgL_stackz00);
															}
															if (CBOOL(BgL_pz00_899))
																{	/* Tools/error.scm 111 */
																	BgL_arg3418z00_907 = BgL_pz00_899;
																}
															else
																{	/* Tools/error.scm 111 */
																	BgL_arg3418z00_907 = BgL_procz00_1509;
																}
															BgL_arg3419z00_908 =
																(((BgL_z62errorz62_bglt) CREF(
																		((obj_t) BgL_duplicated3369z00_902)))->
																BgL_msgz00);
															BgL_arg3420z00_909 =
																(((BgL_z62errorz62_bglt) CREF(((obj_t)
																			BgL_duplicated3369z00_902)))->BgL_objz00);
															BgL_new3370z00_903 =
																BGl_makezd2z62errorzb0zz__objectz00
																(BgL_arg3415z00_904, BgL_arg3416z00_905,
																BgL_arg3417z00_906, BgL_arg3418z00_907,
																BgL_arg3419z00_908, BgL_arg3420z00_909);
														}
														{	/* Tools/error.scm 110 */

															BgL_arg3414z00_901 = BgL_new3370z00_903;
														}
													}
												}
												return
													BGl_errorzd2notifyzd2zz__errorz00(
													((obj_t) BgL_arg3414z00_901));
											}
										else
											{	/* Tools/error.scm 109 */
												return BGl_errorzd2notifyzd2zz__errorz00(BgL_ez00_1508);
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* user-error */
	BGL_EXPORTED_DEF obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t
		BgL_procz00_31, obj_t BgL_mesz00_32, obj_t BgL_objz00_33,
		obj_t BgL_continuez00_34)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 119 */
			if (PAIRP(BgL_continuez00_34))
				{	/* Tools/error.scm 121 */
					obj_t BgL_arg3422z00_913;
					obj_t BgL_arg3423z00_914;
					obj_t BgL_arg3424z00_915;

					BgL_arg3422z00_913 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_objz00_33);
					BgL_arg3423z00_914 = BGl_shapez00zztools_shapez00(BgL_objz00_33);
					BgL_arg3424z00_915 = CAR(BgL_continuez00_34);
					{	/* Tools/error.scm 121 */
						obj_t BgL_list3425z00_916;

						BgL_list3425z00_916 = MAKE_PAIR(BgL_arg3424z00_915, BNIL);
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg3422z00_913,
							BgL_procz00_31, BgL_mesz00_32, BgL_arg3423z00_914,
							BgL_list3425z00_916);
					}
				}
			else
				{	/* Tools/error.scm 120 */
					return
						BGl_userzd2errorzf2locationz20zztools_errorz00
						(BGl_findzd2locationzd2zztools_locationz00(BgL_objz00_33),
						BgL_procz00_31, BgL_mesz00_32,
						BGl_shapez00zztools_shapez00(BgL_objz00_33), BNIL);
				}
		}
	}



/* &user-error */
	obj_t BGl_z62userzd2errorzb0zztools_errorz00(obj_t BgL_envz00_1510,
		obj_t BgL_procz00_1511, obj_t BgL_mesz00_1512, obj_t BgL_objz00_1513,
		obj_t BgL_continuez00_1514)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 119 */
			return
				BGl_userzd2errorzd2zztools_errorz00(BgL_procz00_1511, BgL_mesz00_1512,
				BgL_objz00_1513, BgL_continuez00_1514);
		}
	}



/* user-error/location */
	BGL_EXPORTED_DEF obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t
		BgL_locz00_35, obj_t BgL_procz00_36, obj_t BgL_msgz00_37,
		obj_t BgL_objz00_38, obj_t BgL_continuez00_39)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 128 */
			{	/* Tools/error.scm 131 */
				obj_t BgL_zc3anonymousza33430ze3z83_1517;

				{
					int BgL_auxz00_1770;

					BgL_auxz00_1770 = (int) (((long) 5));
					BgL_zc3anonymousza33430ze3z83_1517 =
						MAKE_L_PROCEDURE(BGl_z62zc3anonymousza33430ze3ze1zztools_errorz00,
						BgL_auxz00_1770);
				}
				PROCEDURE_L_SET(BgL_zc3anonymousza33430ze3z83_1517,
					(int) (((long) 0)), BgL_procz00_36);
				PROCEDURE_L_SET(BgL_zc3anonymousza33430ze3z83_1517,
					(int) (((long) 1)), BgL_msgz00_37);
				PROCEDURE_L_SET(BgL_zc3anonymousza33430ze3z83_1517,
					(int) (((long) 2)), BgL_objz00_38);
				PROCEDURE_L_SET(BgL_zc3anonymousza33430ze3z83_1517,
					(int) (((long) 3)), BgL_locz00_35);
				PROCEDURE_L_SET(BgL_zc3anonymousza33430ze3z83_1517,
					(int) (((long) 4)), BgL_continuez00_39);
				return
					BGl_withzd2dumpzd2stackz00zztools_errorz00
					(BgL_zc3anonymousza33430ze3z83_1517);
			}
		}
	}



/* &user-error/location */
	obj_t BGl_z62userzd2errorzf2locationz42zztools_errorz00(obj_t BgL_envz00_1518,
		obj_t BgL_locz00_1519, obj_t BgL_procz00_1520, obj_t BgL_msgz00_1521,
		obj_t BgL_objz00_1522, obj_t BgL_continuez00_1523)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 128 */
			return
				BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1519,
				BgL_procz00_1520, BgL_msgz00_1521, BgL_objz00_1522,
				BgL_continuez00_1523);
		}
	}



/* &<anonymous:3430> */
	obj_t BGl_z62zc3anonymousza33430ze3ze1zztools_errorz00(obj_t BgL_envz00_1524)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 130 */
			{	/* Tools/error.scm 131 */
				obj_t BgL_procz00_1525;
				obj_t BgL_msgz00_1526;
				obj_t BgL_objz00_1527;
				obj_t BgL_locz00_1528;
				obj_t BgL_continuez00_1529;

				BgL_procz00_1525 = PROCEDURE_L_REF(BgL_envz00_1524, (int) (((long) 0)));
				BgL_msgz00_1526 = PROCEDURE_L_REF(BgL_envz00_1524, (int) (((long) 1)));
				BgL_objz00_1527 = PROCEDURE_L_REF(BgL_envz00_1524, (int) (((long) 2)));
				BgL_locz00_1528 = PROCEDURE_L_REF(BgL_envz00_1524, (int) (((long) 3)));
				BgL_continuez00_1529 =
					PROCEDURE_L_REF(BgL_envz00_1524, (int) (((long) 4)));
				{

					if (OUTPUT_PORTP(BGl_za2tracezd2portza2zd2zztools_tracez00))
						{	/* Tools/error.scm 132 */
							obj_t BgL_port3379z00_923;

							BgL_port3379z00_923 = BGl_za2tracezd2portza2zd2zztools_tracez00;
							BGL_DISPLAY_STRING(BGl_string3534z00zztools_errorz00,
								BgL_port3379z00_923);
							bgl_display_obj(BgL_procz00_1525, BgL_port3379z00_923);
							BGL_DISPLAY_STRING(BGl_string3528z00zztools_errorz00,
								BgL_port3379z00_923);
							bgl_display_obj(BgL_msgz00_1526, BgL_port3379z00_923);
							BGL_DISPLAY_STRING(BGl_string3528z00zztools_errorz00,
								BgL_port3379z00_923);
							bgl_display_obj(BgL_objz00_1527, BgL_port3379z00_923);
							bgl_display_char(((unsigned char) '\n'), BgL_port3379z00_923);
						}
					else
						{	/* Tools/error.scm 131 */
							BFALSE;
						}
					{	/* Tools/error.scm 133 */
						long BgL_za71za7_1437;

						BgL_za71za7_1437 =
							(long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00);
						BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
							BINT((BgL_za71za7_1437 + ((long) 1)));
					}
					{	/* Tools/error.scm 134 */
						obj_t BgL_proczd2stringzd2_924;

						if (STRINGP(BgL_procz00_1525))
							{	/* Tools/error.scm 135 */
								BgL_proczd2stringzd2_924 = BgL_procz00_1525;
							}
						else
							{	/* Tools/error.scm 135 */
								if (SYMBOLP(BgL_procz00_1525))
									{	/* Tools/error.scm 138 */
										obj_t BgL_res3516z00_1446;

										{	/* Tools/error.scm 138 */
											obj_t BgL_symbolz00_1444;

											BgL_symbolz00_1444 = BgL_procz00_1525;
											{	/* Tools/error.scm 138 */
												obj_t BgL_arg2069z00_1445;

												BgL_arg2069z00_1445 =
													SYMBOL_TO_STRING(BgL_symbolz00_1444);
												BgL_res3516z00_1446 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg2069z00_1445);
											}
										}
										BgL_proczd2stringzd2_924 = BgL_res3516z00_1446;
									}
								else
									{	/* Tools/error.scm 137 */
										BgL_proczd2stringzd2_924 = BFALSE;
									}
							}
						{	/* Tools/error.scm 134 */
							obj_t BgL_funzd2stringzd2_925;

							{	/* Tools/error.scm 141 */
								obj_t BgL_arg3449z00_956;

								BgL_arg3449z00_956 =
									CAR(BGl_za2sfunzd2stackza2zd2zztools_errorz00);
								{	/* Tools/error.scm 141 */
									obj_t BgL_res3517z00_1450;

									{	/* Tools/error.scm 141 */
										obj_t BgL_symbolz00_1448;

										BgL_symbolz00_1448 = BgL_arg3449z00_956;
										{	/* Tools/error.scm 141 */
											obj_t BgL_arg2069z00_1449;

											BgL_arg2069z00_1449 =
												SYMBOL_TO_STRING(BgL_symbolz00_1448);
											BgL_res3517z00_1450 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg2069z00_1449);
										}
									}
									BgL_funzd2stringzd2_925 = BgL_res3517z00_1450;
								}
							}
							{	/* Tools/error.scm 141 */
								obj_t BgL_procz00_926;

								{	/* Tools/error.scm 142 */
									bool_t BgL_testz00_1816;

									if (STRINGP(BgL_proczd2stringzd2_924))
										{	/* Tools/error.scm 142 */
											if (bigloo_strcmp(BgL_proczd2stringzd2_924,
													BgL_funzd2stringzd2_925))
												{	/* Tools/error.scm 143 */
													BgL_testz00_1816 = ((bool_t) 0);
												}
											else
												{	/* Tools/error.scm 143 */
													BgL_testz00_1816 = ((bool_t) 1);
												}
										}
									else
										{	/* Tools/error.scm 142 */
											BgL_testz00_1816 = ((bool_t) 0);
										}
									if (BgL_testz00_1816)
										{	/* Tools/error.scm 142 */
											BgL_procz00_926 =
												string_append_3(BgL_funzd2stringzd2_925,
												BGl_string3528z00zztools_errorz00,
												BgL_proczd2stringzd2_924);
										}
									else
										{	/* Tools/error.scm 142 */
											BgL_procz00_926 = BgL_funzd2stringzd2_925;
										}
								}
								{	/* Tools/error.scm 142 */
									obj_t BgL_objprnz00_927;

									{	/* Tools/error.scm 146 */
										obj_t BgL_portz00_947;

										{	/* Tools/error.scm 146 */

											{	/* Tools/error.scm 146 */

												BgL_portz00_947 =
													BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00
													(BTRUE);
											}
										}
										BGl_displayzd2circlezd2zz__pp_circlez00(BgL_objz00_1527,
											BgL_portz00_947);
										{	/* Tools/error.scm 148 */
											obj_t BgL_stringz00_948;

											BgL_stringz00_948 =
												bgl_close_output_port(BgL_portz00_947);
											if ((STRING_LENGTH(BgL_stringz00_948) > ((long) 45)))
												{	/* Tools/error.scm 149 */
													BgL_objprnz00_927 =
														string_append(c_substring(BgL_stringz00_948,
															((long) 0), ((long) 44)),
														BGl_string3535z00zztools_errorz00);
												}
											else
												{	/* Tools/error.scm 149 */
													BgL_objprnz00_927 = BgL_stringz00_948;
												}
										}
									}
									{	/* Tools/error.scm 146 */

										return
											BGl_zc3exitza33432ze3z83zztools_errorz00
											(BgL_continuez00_1529, BgL_locz00_1528, BgL_objprnz00_927,
											BgL_msgz00_1526, BgL_procz00_926);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3432> */
	obj_t BGl_zc3exitza33432ze3z83zztools_errorz00(obj_t BgL_continuez00_1547,
		obj_t BgL_locz00_1546, obj_t BgL_objprnz00_1545, obj_t BgL_msgz00_1544,
		obj_t BgL_procz00_1543)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 152 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit3372z00_929;

			if (SET_EXIT(BgL_an_exit3372z00_929))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit3372z00_929 = (void *) jmpbuf;
					{	/* Tools/error.scm 152 */

						PUSH_EXIT(BgL_an_exit3372z00_929, ((long) 1));
						{	/* Tools/error.scm 152 */
							obj_t BgL_an_exitd3373z00_930;

							BgL_an_exitd3373z00_930 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Tools/error.scm 155 */
								obj_t BgL_res3375z00_933;

								{	/* Tools/error.scm 155 */
									obj_t BgL_zc3anonymousza33439ze3z83_1516;
									obj_t BgL_zc3anonymousza33435ze3z83_1515;

									BgL_zc3anonymousza33439ze3z83_1516 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33439ze3ze1zztools_errorz00,
										(int) (((long) 0)), (int) (((long) 4)));
									BgL_zc3anonymousza33435ze3z83_1515 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33435ze3ze1zztools_errorz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_1516,
										(int) (((long) 0)), BgL_procz00_1543);
									PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_1516,
										(int) (((long) 1)), BgL_msgz00_1544);
									PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_1516,
										(int) (((long) 2)), BgL_objprnz00_1545);
									PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_1516,
										(int) (((long) 3)), BgL_locz00_1546);
									PROCEDURE_SET(BgL_zc3anonymousza33435ze3z83_1515,
										(int) (((long) 0)), BgL_continuez00_1547);
									PROCEDURE_SET(BgL_zc3anonymousza33435ze3z83_1515,
										(int) (((long) 1)), BgL_an_exitd3373z00_930);
									BgL_res3375z00_933 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3anonymousza33435ze3z83_1515,
										BgL_zc3anonymousza33439ze3z83_1516);
								}
								POP_EXIT();
								return BgL_res3375z00_933;
							}
						}
					}
				}
		}
	}



/* &<anonymous:3439> */
	obj_t BGl_z62zc3anonymousza33439ze3ze1zztools_errorz00(obj_t BgL_envz00_1530)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 159 */
			{	/* Tools/error.scm 160 */
				obj_t BgL_procz00_1531;
				obj_t BgL_msgz00_1532;
				obj_t BgL_objprnz00_1533;
				obj_t BgL_locz00_1534;

				BgL_procz00_1531 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1530, (int) (((long) 0))));
				BgL_msgz00_1532 = PROCEDURE_REF(BgL_envz00_1530, (int) (((long) 1)));
				BgL_objprnz00_1533 = PROCEDURE_REF(BgL_envz00_1530, (int) (((long) 2)));
				BgL_locz00_1534 = PROCEDURE_REF(BgL_envz00_1530, (int) (((long) 3)));
				{

					{	/* Tools/error.scm 160 */
						bool_t BgL_testz00_1864;

						if (STRUCTP(BgL_locz00_1534))
							{	/* Tools/error.scm 160 */
								BgL_testz00_1864 =
									(STRUCT_KEY(BgL_locz00_1534) == CNST_TABLE_REF(((long) 1)));
							}
						else
							{	/* Tools/error.scm 160 */
								BgL_testz00_1864 = ((bool_t) 0);
							}
						if (BgL_testz00_1864)
							{	/* Tools/error.scm 160 */
								return
									BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_1531,
									BgL_msgz00_1532, BgL_objprnz00_1533,
									BGl_locationzd2fullzd2fnamez00zztools_locationz00
									(BgL_locz00_1534), STRUCT_REF(BgL_locz00_1534,
										(int) (((long) 1))));
							}
						else
							{	/* Tools/error.scm 160 */
								return
									BGl_errorz00zz__errorz00(BgL_procz00_1531, BgL_msgz00_1532,
									BgL_objprnz00_1533);
							}
					}
				}
			}
		}
	}



/* &<anonymous:3435> */
	obj_t BGl_z62zc3anonymousza33435ze3ze1zztools_errorz00(obj_t BgL_envz00_1535,
		obj_t BgL_ez00_1538)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 154 */
			{	/* Tools/error.scm 155 */
				obj_t BgL_continuez00_1536;
				obj_t BgL_an_exitd3373z00_1537;

				BgL_continuez00_1536 =
					PROCEDURE_REF(BgL_envz00_1535, (int) (((long) 0)));
				BgL_an_exitd3373z00_1537 =
					PROCEDURE_REF(BgL_envz00_1535, (int) (((long) 1)));
				{
					obj_t BgL_ez00_936;

					BgL_ez00_936 = BgL_ez00_1538;
					BGl_errorzd2notifyzd2zz__errorz00(BgL_ez00_936);
					if (PAIRP(BgL_continuez00_1536))
						{	/* Tools/error.scm 156 */
							return
								BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd3373z00_1537,
								CAR(BgL_continuez00_1536));
						}
					else
						{	/* Tools/error.scm 158 */
							obj_t BgL_list3438z00_940;

							BgL_list3438z00_940 = MAKE_PAIR(BINT(((long) 1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list3438z00_940);
						}
				}
			}
		}
	}



/* enter-function */
	BGL_EXPORTED_DEF obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t
		BgL_varz00_40)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 174 */
			return (BGl_za2sfunzd2stackza2zd2zztools_errorz00 =
				MAKE_PAIR(BgL_varz00_40, BGl_za2sfunzd2stackza2zd2zztools_errorz00),
				BUNSPEC);
		}
	}



/* &enter-function */
	obj_t BGl_z62enterzd2functionzb0zztools_errorz00(obj_t BgL_envz00_1539,
		obj_t BgL_varz00_1540)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 174 */
			return BGl_enterzd2functionzd2zztools_errorz00(BgL_varz00_1540);
		}
	}



/* leave-function */
	BGL_EXPORTED_DEF obj_t BGl_leavezd2functionzd2zztools_errorz00()
	{
		AN_OBJECT;
		{	/* Tools/error.scm 180 */
			return (BGl_za2sfunzd2stackza2zd2zztools_errorz00 =
				CDR(BGl_za2sfunzd2stackza2zd2zztools_errorz00), BUNSPEC);
		}
	}



/* &leave-function */
	obj_t BGl_z62leavezd2functionzb0zztools_errorz00(obj_t BgL_envz00_1541)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 180 */
			return BGl_leavezd2functionzd2zztools_errorz00();
		}
	}



/* current-function */
	BGL_EXPORTED_DEF obj_t BGl_currentzd2functionzd2zztools_errorz00()
	{
		AN_OBJECT;
		{	/* Tools/error.scm 186 */
			return CAR(BGl_za2sfunzd2stackza2zd2zztools_errorz00);
		}
	}



/* &current-function */
	obj_t BGl_z62currentzd2functionzb0zztools_errorz00(obj_t BgL_envz00_1542)
	{
		AN_OBJECT;
		{	/* Tools/error.scm 186 */
			return BGl_currentzd2functionzd2zztools_errorz00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztools_errorz00()
	{
		AN_OBJECT;
		{	/* Tools/error.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_errorz00()
	{
		AN_OBJECT;
		{	/* Tools/error.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_errorz00()
	{
		AN_OBJECT;
		{	/* Tools/error.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
			return
				BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string3536z00zztools_errorz00));
		}
	}

#ifdef __cplusplus
}
#endif
