/*===========================================================================*/
/*   (Eval/expand.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/expand.scm -indent -o objs/obj_u/Eval/expand.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62initialzd2expanderzb0zz__expandz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expandz00 = BUNSPEC;
	static obj_t BGl_z62expandzd2oncezb0zz__expandz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__expandz00();
	static obj_t BGl_applicationzd2evalzd2expanderz12z12zz__expandz00(obj_t,
		obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_z62applicationzd2evalzd2expanderz12z70zz__expandz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62expandz12z70zz__expandz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2formalzd2identz00zz__evutilsz00(obj_t, obj_t);
	static obj_t BGl_z62z52withzd2lexicalze2zz__expandz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza31968ze3z83zz__expandz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__expandz00();
	static obj_t BGl_initialzd2expanderz12zc0zz__expandz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62applicationzd2evalzd2expanderz62zz__expandz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62z52lexicalzd2stackze2zz__expandz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31914ze3ze1zz__expandz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_appendzd221095zd2zz__expandz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_z52withzd2lexicalz80zz__expandz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_z52lexicalzd2stackz80zz__expandz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__expandz00();
	static obj_t BGl_z62zc3anonymousza31935ze3ze1zz__expandz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t);
	static obj_t BGl_z62identifierzd2evalzd2expanderz62zz__expandz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandz12z12zz__expandz00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	static obj_t BGl_initialzd2expanderzd2zz__expandz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2oncezd2zz__expandz00(obj_t);
	static obj_t BGl_z62initialzd2expanderz12za2zz__expandz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__expandz00(obj_t, obj_t);
	static obj_t BGl_z62expandz62zz__expandz00(obj_t, obj_t);
	static obj_t BGl_initialzd2expanderzf2applicationz20zz__expandz00(obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2oncezd2envz00zz__expandz00,
		BgL_bgl_za762expandza7d2once2285z00, BGl_z62expandzd2oncezb0zz__expandz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_applicationzd2evalzd2expanderzd2envzd2zz__expandz00,
		BgL_bgl_za762applicationza7d2286z00,
		BGl_z62applicationzd2evalzd2expanderz62zz__expandz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2275z00zz__expandz00,
		BgL_bgl_string2275za700za7za7_2287za7, "expand", 6);
	      DEFINE_STRING(BGl_string2276z00zz__expandz00,
		BgL_bgl_string2276za700za7za7_2288za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2278z00zz__expandz00,
		BgL_bgl_string2278za700za7za7_2289za7, "application", 11);
	      DEFINE_STRING(BGl_string2279z00zz__expandz00,
		BgL_bgl_string2279za700za7za7_2290za7,
		"/tmp/bigloo/runtime/Eval/expand.scm", 35);
	      DEFINE_STRING(BGl_string2280z00zz__expandz00,
		BgL_bgl_string2280za700za7za7_2291za7, "&%with-lexical", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zz__expandz00,
		BgL_bgl_za762za7c3anonymousza72292za7,
		BGl_z62zc3anonymousza31914ze3ze1zz__expandz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2281z00zz__expandz00,
		BgL_bgl_string2281za700za7za7_2293za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string2282z00zz__expandz00,
		BgL_bgl_string2282za700za7za7_2294za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2283z00zz__expandz00,
		BgL_bgl_string2283za700za7za7_2295za7, "__expand", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zz__expandz00,
		BgL_bgl_za762za7c3anonymousza72296za7,
		BGl_z62zc3anonymousza31935ze3ze1zz__expandz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initialzd2expanderz12zd2envz12zz__expandz00,
		BgL_bgl_za762initialza7d2exp2297z00,
		BGl_z62initialzd2expanderz12za2zz__expandz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_identifierzd2evalzd2expanderzd2envzd2zz__expandz00,
		BgL_bgl_za762identifierza7d22298z00,
		BGl_z62identifierzd2evalzd2expanderz62zz__expandz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initialzd2expanderzd2envz00zz__expandz00,
		BgL_bgl_za762initialza7d2exp2299z00,
		BGl_z62initialzd2expanderzb0zz__expandz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2envzd2zz__expandz00,
		BgL_bgl_za762expandza762za7za7__2300z00, BGl_z62expandz62zz__expandz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z52withzd2lexicalzd2envz52zz__expandz00,
		BgL_bgl_za762za752withza7d2lex2301za7,
		BGl_z62z52withzd2lexicalze2zz__expandz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandz12zd2envzc0zz__expandz00,
		BgL_bgl_za762expandza712za770za72302z00, BGl_z62expandz12z70zz__expandz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_z52lexicalzd2stackzd2envz52zz__expandz00,
		BgL_bgl_za762za752lexicalza7d22303za7,
		BGl_z62z52lexicalzd2stackze2zz__expandz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_applicationzd2evalzd2expanderz12zd2envzc0zz__expandz00,
		BgL_bgl_za762applicationza7d2304z00,
		BGl_z62applicationzd2evalzd2expanderz12z70zz__expandz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long
		BgL_checksumz00_1759, char *BgL_fromz00_1760)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expandz00))
				{
					BGl_requirezd2initializa7ationz75zz__expandz00 = BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__expandz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zz__expandz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_800;

				BgL_headz00_800 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1349;
					obj_t BgL_tailz00_1350;

					BgL_prevz00_1349 = BgL_headz00_800;
					BgL_tailz00_1350 = BgL_l1z00_1;
				BgL_loopz00_1348:
					if (PAIRP(BgL_tailz00_1350))
						{
							obj_t BgL_newzd2prevzd2_1356;

							BgL_newzd2prevzd2_1356 =
								MAKE_PAIR(CAR(BgL_tailz00_1350), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1349, BgL_newzd2prevzd2_1356);
							{
								obj_t BgL_tailz00_1772;
								obj_t BgL_prevz00_1771;

								BgL_prevz00_1771 = BgL_newzd2prevzd2_1356;
								BgL_tailz00_1772 = CDR(BgL_tailz00_1350);
								BgL_tailz00_1350 = BgL_tailz00_1772;
								BgL_prevz00_1349 = BgL_prevz00_1771;
								goto BgL_loopz00_1348;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_800);
			}
		}
	}



/* expand */
	BGL_EXPORTED_DEF obj_t BGl_expandz00zz__expandz00(obj_t BgL_xz00_3)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 70 */
			return
				BGl_initialzd2expanderzf2applicationz20zz__expandz00(BgL_xz00_3,
				BGl_initialzd2expanderzd2envz00zz__expandz00,
				BGl_applicationzd2evalzd2expanderzd2envzd2zz__expandz00);
		}
	}



/* &expand */
	obj_t BGl_z62expandz62zz__expandz00(obj_t BgL_envz00_1702,
		obj_t BgL_xz00_1703)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 70 */
			return BGl_expandz00zz__expandz00(BgL_xz00_1703);
		}
	}



/* expand! */
	BGL_EXPORTED_DEF obj_t BGl_expandz12z12zz__expandz00(obj_t BgL_xz00_4)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 76 */
			return
				BGl_initialzd2expanderzf2applicationz20zz__expandz00(BgL_xz00_4,
				BGl_initialzd2expanderz12zd2envz12zz__expandz00,
				BGl_applicationzd2evalzd2expanderz12zd2envzc0zz__expandz00);
		}
	}



/* &expand! */
	obj_t BGl_z62expandz12z70zz__expandz00(obj_t BgL_envz00_1710,
		obj_t BgL_xz00_1711)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 76 */
			return BGl_expandz12z12zz__expandz00(BgL_xz00_1711);
		}
	}



/* expand-once */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2oncezd2zz__expandz00(obj_t BgL_xz00_5)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 82 */
			return
				BGl_initialzd2expanderzf2applicationz20zz__expandz00(BgL_xz00_5,
				BGl_proc2274z00zz__expandz00,
				BGl_applicationzd2evalzd2expanderzd2envzd2zz__expandz00);
		}
	}



/* &expand-once */
	obj_t BGl_z62expandzd2oncezb0zz__expandz00(obj_t BgL_envz00_1719,
		obj_t BgL_xz00_1720)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 82 */
			return BGl_expandzd2oncezd2zz__expandz00(BgL_xz00_1720);
		}
	}



/* &<anonymous:1914> */
	obj_t BGl_z62zc3anonymousza31914ze3ze1zz__expandz00(obj_t BgL_envz00_1721,
		obj_t BgL_xz00_1722, obj_t BgL_ez00_1723)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 83 */
			return BgL_xz00_1722;
		}
	}



/* initial-expander */
	obj_t BGl_initialzd2expanderzd2zz__expandz00(obj_t BgL_xz00_6,
		obj_t BgL_ez00_7)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 88 */
			return
				BGl_initialzd2expanderzf2applicationz20zz__expandz00(BgL_xz00_6,
				BgL_ez00_7, BGl_applicationzd2evalzd2expanderzd2envzd2zz__expandz00);
		}
	}



/* &initial-expander */
	obj_t BGl_z62initialzd2expanderzb0zz__expandz00(obj_t BgL_envz00_1704,
		obj_t BgL_xz00_1705, obj_t BgL_ez00_1706)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 88 */
			return
				BGl_initialzd2expanderzd2zz__expandz00(BgL_xz00_1705, BgL_ez00_1706);
		}
	}



/* initial-expander! */
	obj_t BGl_initialzd2expanderz12zc0zz__expandz00(obj_t BgL_xz00_8,
		obj_t BgL_ez00_9)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 94 */
			return
				BGl_initialzd2expanderzf2applicationz20zz__expandz00(BgL_xz00_8,
				BgL_ez00_9, BGl_applicationzd2evalzd2expanderz12zd2envzc0zz__expandz00);
		}
	}



/* &initial-expander! */
	obj_t BGl_z62initialzd2expanderz12za2zz__expandz00(obj_t BgL_envz00_1712,
		obj_t BgL_xz00_1713, obj_t BgL_ez00_1714)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 94 */
			return
				BGl_initialzd2expanderz12zc0zz__expandz00(BgL_xz00_1713, BgL_ez00_1714);
		}
	}



/* initial-expander/application */
	obj_t BGl_initialzd2expanderzf2applicationz20zz__expandz00(obj_t BgL_xz00_10,
		obj_t BgL_ez00_11, obj_t BgL_aez00_12)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 100 */
			{	/* Eval/expand.scm 101 */
				obj_t BgL_e1z00_813;

				if (SYMBOLP(BgL_xz00_10))
					{	/* Eval/expand.scm 102 */
						BgL_e1z00_813 =
							BGl_identifierzd2evalzd2expanderzd2envzd2zz__expandz00;
					}
				else
					{	/* Eval/expand.scm 102 */
						if (NULLP(BgL_xz00_10))
							{	/* Eval/expand.scm 104 */
								BgL_e1z00_813 =
									BGl_errorz00zz__errorz00(BGl_string2275z00zz__expandz00,
									BGl_string2276z00zz__expandz00, BNIL);
							}
						else
							{	/* Eval/expand.scm 104 */
								if (PAIRP(BgL_xz00_10))
									{	/* Eval/expand.scm 108 */
										bool_t BgL_testz00_1792;

										{	/* Eval/expand.scm 108 */
											obj_t BgL_auxz00_1793;

											BgL_auxz00_1793 = CAR(BgL_xz00_10);
											BgL_testz00_1792 = SYMBOLP(BgL_auxz00_1793);
										}
										if (BgL_testz00_1792)
											{	/* Eval/expand.scm 110 */
												obj_t BgL_g1826z00_825;

												BgL_g1826z00_825 =
													BGl_getzd2evalzd2expanderz00zz__macroz00(CAR
													(BgL_xz00_10));
												if (CBOOL(BgL_g1826z00_825))
													{	/* Eval/expand.scm 110 */
														BgL_e1z00_813 = BgL_g1826z00_825;
													}
												else
													{	/* Eval/expand.scm 114 */
														obj_t BgL_locz00_828;

														BgL_locz00_828 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_xz00_10);
														{	/* Eval/expand.scm 114 */
															obj_t BgL_idz00_829;

															BgL_idz00_829 =
																CAR(BGl_parsezd2formalzd2identz00zz__evutilsz00
																(CAR(BgL_xz00_10), BgL_locz00_828));
															{	/* Eval/expand.scm 115 */

																{	/* Eval/expand.scm 117 */
																	bool_t BgL_testz00_1804;

																	{	/* Eval/expand.scm 117 */
																		obj_t BgL_arg1928z00_834;

																		{	/* Eval/expand.scm 117 */
																			obj_t BgL_arg1929z00_835;

																			{	/* Eval/expand.scm 117 */
																				obj_t BgL_res2214z00_1384;

																				BgL_res2214z00_1384 =
																					BGL_LEXICAL_STACK();
																				BgL_arg1929z00_835 =
																					BgL_res2214z00_1384;
																			}
																			BgL_arg1928z00_834 =
																				BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_idz00_829, BgL_arg1929z00_835);
																		}
																		BgL_testz00_1804 =
																			PAIRP(BgL_arg1928z00_834);
																	}
																	if (BgL_testz00_1804)
																		{	/* Eval/expand.scm 117 */
																			BgL_e1z00_813 = BgL_aez00_12;
																		}
																	else
																		{	/* Eval/expand.scm 119 */
																			obj_t BgL_g1828z00_831;

																			BgL_g1828z00_831 =
																				BGl_getzd2evalzd2expanderz00zz__macroz00
																				(BgL_idz00_829);
																			if (CBOOL(BgL_g1828z00_831))
																				{	/* Eval/expand.scm 119 */
																					BgL_e1z00_813 = BgL_g1828z00_831;
																				}
																			else
																				{	/* Eval/expand.scm 119 */
																					BgL_e1z00_813 = BgL_aez00_12;
																				}
																		}
																}
															}
														}
													}
											}
										else
											{	/* Eval/expand.scm 108 */
												BgL_e1z00_813 = BgL_aez00_12;
											}
									}
								else
									{	/* Eval/expand.scm 106 */
										BgL_e1z00_813 = BGl_proc2277z00zz__expandz00;
									}
							}
					}
				{	/* Eval/expand.scm 126 */
					obj_t BgL_newz00_814;

					BgL_newz00_814 =
						PROCEDURE_ENTRY(BgL_e1z00_813) (BgL_e1z00_813, BgL_xz00_10,
						BgL_ez00_11, BEOA);
					{	/* Eval/expand.scm 127 */
						bool_t BgL_testz00_1816;

						if (PAIRP(BgL_newz00_814))
							{	/* Eval/expand.scm 127 */
								bool_t BgL_testz00_1819;

								{	/* Eval/expand.scm 127 */
									bool_t BgL_res2217z00_1390;

									BgL_res2217z00_1390 = EXTENDED_PAIRP(BgL_newz00_814);
									BgL_testz00_1819 = BgL_res2217z00_1390;
								}
								if (BgL_testz00_1819)
									{	/* Eval/expand.scm 127 */
										BgL_testz00_1816 = ((bool_t) 0);
									}
								else
									{	/* Eval/expand.scm 127 */
										bool_t BgL_res2218z00_1392;

										BgL_res2218z00_1392 = EXTENDED_PAIRP(BgL_xz00_10);
										BgL_testz00_1816 = BgL_res2218z00_1392;
									}
							}
						else
							{	/* Eval/expand.scm 127 */
								BgL_testz00_1816 = ((bool_t) 0);
							}
						if (BgL_testz00_1816)
							{	/* Eval/expand.scm 128 */
								obj_t BgL_arg1917z00_816;
								obj_t BgL_arg1918z00_817;
								obj_t BgL_arg1919z00_818;

								BgL_arg1917z00_816 = CAR(BgL_newz00_814);
								BgL_arg1918z00_817 = CDR(BgL_newz00_814);
								BgL_arg1919z00_818 = CER(BgL_xz00_10);
								{	/* Eval/expand.scm 128 */
									obj_t BgL_res2219z00_1399;

									BgL_res2219z00_1399 =
										MAKE_EXTENDED_PAIR(BgL_arg1917z00_816, BgL_arg1918z00_817,
										BgL_arg1919z00_818);
									return BgL_res2219z00_1399;
								}
							}
						else
							{	/* Eval/expand.scm 127 */
								return BgL_newz00_814;
							}
					}
				}
			}
		}
	}



/* &<anonymous:1935> */
	obj_t BGl_z62zc3anonymousza31935ze3ze1zz__expandz00(obj_t BgL_envz00_1725,
		obj_t BgL_xz00_1726, obj_t BgL_ez00_1727)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 107 */
			return BgL_xz00_1726;
		}
	}



/* &identifier-eval-expander */
	obj_t BGl_z62identifierzd2evalzd2expanderz62zz__expandz00(obj_t
		BgL_envz00_1728, obj_t BgL_xz00_1729, obj_t BgL_ez00_1730)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 134 */
			return BgL_xz00_1729;
		}
	}



/* loop */
	obj_t BGl_loopz00zz__expandz00(obj_t BgL_ez00_1739, obj_t BgL_xz00_844)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 141 */
			if (NULLP(BgL_xz00_844))
				{	/* Eval/expand.scm 143 */
					return BNIL;
				}
			else
				{	/* Eval/expand.scm 143 */
					if (PAIRP(BgL_xz00_844))
						{	/* Eval/expand.scm 147 */
							bool_t BgL_testz00_1830;

							{	/* Eval/expand.scm 147 */
								bool_t BgL_res2222z00_1405;

								BgL_res2222z00_1405 = EXTENDED_PAIRP(BgL_xz00_844);
								BgL_testz00_1830 = BgL_res2222z00_1405;
							}
							if (BgL_testz00_1830)
								{	/* Eval/expand.scm 148 */
									obj_t BgL_arg1940z00_849;
									obj_t BgL_arg1941z00_850;
									obj_t BgL_arg1942z00_851;

									{	/* Eval/expand.scm 148 */
										obj_t BgL_arg1944z00_852;

										BgL_arg1944z00_852 = CAR(BgL_xz00_844);
										BgL_arg1940z00_849 =
											PROCEDURE_ENTRY(BgL_ez00_1739) (BgL_ez00_1739,
											BgL_arg1944z00_852, BgL_ez00_1739, BEOA);
									}
									BgL_arg1941z00_850 =
										BGl_loopz00zz__expandz00(BgL_ez00_1739, CDR(BgL_xz00_844));
									BgL_arg1942z00_851 = CER(BgL_xz00_844);
									{	/* Eval/expand.scm 148 */
										obj_t BgL_res2223z00_1412;

										BgL_res2223z00_1412 =
											MAKE_EXTENDED_PAIR(BgL_arg1940z00_849, BgL_arg1941z00_850,
											BgL_arg1942z00_851);
										return BgL_res2223z00_1412;
									}
								}
							else
								{	/* Eval/expand.scm 150 */
									obj_t BgL_arg1946z00_854;
									obj_t BgL_arg1947z00_855;

									{	/* Eval/expand.scm 150 */
										obj_t BgL_arg1948z00_856;

										BgL_arg1948z00_856 = CAR(BgL_xz00_844);
										BgL_arg1946z00_854 =
											PROCEDURE_ENTRY(BgL_ez00_1739) (BgL_ez00_1739,
											BgL_arg1948z00_856, BgL_ez00_1739, BEOA);
									}
									BgL_arg1947z00_855 =
										BGl_loopz00zz__expandz00(BgL_ez00_1739, CDR(BgL_xz00_844));
									return MAKE_PAIR(BgL_arg1946z00_854, BgL_arg1947z00_855);
								}
						}
					else
						{	/* Eval/expand.scm 145 */
							return
								BGl_errorz00zz__errorz00(BGl_string2278z00zz__expandz00,
								BGl_string2276z00zz__expandz00, BgL_xz00_844);
						}
				}
		}
	}



/* &application-eval-expander */
	obj_t BGl_z62applicationzd2evalzd2expanderz62zz__expandz00(obj_t
		BgL_envz00_1707, obj_t BgL_xz00_1708, obj_t BgL_ez00_1709)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 140 */
			return BGl_loopz00zz__expandz00(BgL_ez00_1709, BgL_xz00_1708);
		}
	}



/* application-eval-expander! */
	obj_t BGl_applicationzd2evalzd2expanderz12z12zz__expandz00(obj_t BgL_xz00_17,
		obj_t BgL_ez00_18)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 155 */
			{
				obj_t BgL_yz00_860;

				BgL_yz00_860 = BgL_xz00_17;
			BgL_zc3anonymousza31950ze3z83_861:
				if (NULLP(BgL_yz00_860))
					{	/* Eval/expand.scm 158 */
						return BgL_xz00_17;
					}
				else
					{	/* Eval/expand.scm 158 */
						if (PAIRP(BgL_yz00_860))
							{	/* Eval/expand.scm 160 */
								{	/* Eval/expand.scm 163 */
									obj_t BgL_arg1953z00_864;

									{	/* Eval/expand.scm 163 */
										obj_t BgL_arg1954z00_865;

										BgL_arg1954z00_865 = CAR(BgL_yz00_860);
										BgL_arg1953z00_864 =
											PROCEDURE_ENTRY(BgL_ez00_18) (BgL_ez00_18,
											BgL_arg1954z00_865, BgL_ez00_18, BEOA);
									}
									SET_CAR(BgL_yz00_860, BgL_arg1953z00_864);
								}
								{
									obj_t BgL_yz00_1864;

									BgL_yz00_1864 = CDR(BgL_yz00_860);
									BgL_yz00_860 = BgL_yz00_1864;
									goto BgL_zc3anonymousza31950ze3z83_861;
								}
							}
						else
							{	/* Eval/expand.scm 160 */
								return
									BGl_errorz00zz__errorz00(BGl_string2278z00zz__expandz00,
									BGl_string2276z00zz__expandz00, BgL_yz00_860);
							}
					}
			}
		}
	}



/* &application-eval-expander! */
	obj_t BGl_z62applicationzd2evalzd2expanderz12z70zz__expandz00(obj_t
		BgL_envz00_1715, obj_t BgL_xz00_1716, obj_t BgL_ez00_1717)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 155 */
			return
				BGl_applicationzd2evalzd2expanderz12z12zz__expandz00(BgL_xz00_1716,
				BgL_ez00_1717);
		}
	}



/* %lexical-stack */
	BGL_EXPORTED_DEF obj_t BGl_z52lexicalzd2stackz80zz__expandz00()
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 169 */
			return BGL_LEXICAL_STACK();
		}
	}



/* &%lexical-stack */
	obj_t BGl_z62z52lexicalzd2stackze2zz__expandz00(obj_t BgL_envz00_1731)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 169 */
			return BGL_LEXICAL_STACK();
		}
	}



/* %with-lexical */
	BGL_EXPORTED_DEF obj_t BGl_z52withzd2lexicalz80zz__expandz00(obj_t
		BgL_newz00_19, obj_t BgL_formz00_20, obj_t BgL_ez00_21, obj_t BgL_keyz00_22)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 175 */
			{	/* Eval/expand.scm 176 */
				obj_t BgL_oldzd2lexicalzd2stackz00_868;

				{	/* Eval/expand.scm 176 */
					obj_t BgL_res2226z00_1423;

					BgL_res2226z00_1423 = BGL_LEXICAL_STACK();
					BgL_oldzd2lexicalzd2stackz00_868 = BgL_res2226z00_1423;
				}
				{	/* Eval/expand.scm 177 */
					obj_t BgL_arg1956z00_869;

					{	/* Eval/expand.scm 177 */
						obj_t BgL_arg1957z00_870;

						if (NULLP(BgL_newz00_19))
							{	/* Eval/expand.scm 177 */
								BgL_arg1957z00_870 = BNIL;
							}
						else
							{	/* Eval/expand.scm 177 */
								obj_t BgL_head1861z00_873;

								{	/* Eval/expand.scm 177 */
									obj_t BgL_res2228z00_1428;

									BgL_res2228z00_1428 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1861z00_873 = BgL_res2228z00_1428;
								}
								{
									obj_t BgL_l1859z00_1462;
									obj_t BgL_tail1862z00_1463;

									BgL_l1859z00_1462 = BgL_newz00_19;
									BgL_tail1862z00_1463 = BgL_head1861z00_873;
								BgL_zc3anonymousza31959ze3z83_1461:
									if (NULLP(BgL_l1859z00_1462))
										{	/* Eval/expand.scm 177 */
											BgL_arg1957z00_870 = CDR(BgL_head1861z00_873);
										}
									else
										{	/* Eval/expand.scm 177 */
											obj_t BgL_newtail1863z00_1470;

											{	/* Eval/expand.scm 177 */
												obj_t BgL_arg1963z00_1471;

												BgL_arg1963z00_1471 =
													MAKE_PAIR(CAR(BgL_l1859z00_1462), BgL_keyz00_22);
												{	/* Eval/expand.scm 177 */
													obj_t BgL_res2234z00_1480;

													BgL_res2234z00_1480 =
														MAKE_PAIR(BgL_arg1963z00_1471, BNIL);
													BgL_newtail1863z00_1470 = BgL_res2234z00_1480;
												}
											}
											SET_CDR(BgL_tail1862z00_1463, BgL_newtail1863z00_1470);
											{
												obj_t BgL_tail1862z00_1883;
												obj_t BgL_l1859z00_1881;

												BgL_l1859z00_1881 = CDR(BgL_l1859z00_1462);
												BgL_tail1862z00_1883 = BgL_newtail1863z00_1470;
												BgL_tail1862z00_1463 = BgL_tail1862z00_1883;
												BgL_l1859z00_1462 = BgL_l1859z00_1881;
												goto BgL_zc3anonymousza31959ze3z83_1461;
											}
										}
								}
							}
						BgL_arg1956z00_869 =
							BGl_appendzd221095zd2zz__expandz00(BgL_arg1957z00_870,
							BgL_oldzd2lexicalzd2stackz00_868);
					}
					BGL_LEXICAL_STACK_SET(BgL_arg1956z00_869);
					BUNSPEC;
				}
				{	/* Eval/expand.scm 179 */
					obj_t BgL_val1830z00_884;

					BgL_val1830z00_884 =
						BGl_zc3exitza31968ze3z83zz__expandz00(BgL_formz00_20, BgL_ez00_21);
					BGL_LEXICAL_STACK_SET(BgL_oldzd2lexicalzd2stackz00_868);
					BUNSPEC;
					if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
							(BgL_val1830z00_884)))
						{	/* Eval/expand.scm 181 */
							return
								BGl_unwindzd2untilz12zc0zz__bexitz00(CAR(BgL_val1830z00_884),
								CDR(BgL_val1830z00_884));
						}
					else
						{	/* Eval/expand.scm 181 */
							return BgL_val1830z00_884;
						}
				}
			}
		}
	}



/* <exit:1968> */
	obj_t BGl_zc3exitza31968ze3z83zz__expandz00(obj_t BgL_formz00_1738,
		obj_t BgL_ez00_1737)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 181 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1831z00_889;

			if (SET_EXIT(BgL_an_exit1831z00_889))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1831z00_889 = (void *) jmpbuf;
					{	/* Eval/expand.scm 181 */

						PUSH_EXIT(BgL_an_exit1831z00_889, ((long) 0));
						{	/* Eval/expand.scm 180 */
							obj_t BgL_val1832z00_890;

							BgL_val1832z00_890 =
								PROCEDURE_ENTRY(BgL_ez00_1737) (BgL_ez00_1737, BgL_formz00_1738,
								BgL_ez00_1737, BEOA);
							POP_EXIT();
							return BgL_val1832z00_890;
						}
					}
				}
		}
	}



/* &%with-lexical */
	obj_t BGl_z62z52withzd2lexicalze2zz__expandz00(obj_t BgL_envz00_1732,
		obj_t BgL_newz00_1733, obj_t BgL_formz00_1734, obj_t BgL_ez00_1735,
		obj_t BgL_keyz00_1736)
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 175 */
			{	/* Eval/expand.scm 176 */
				obj_t BgL_auxz00_1912;
				obj_t BgL_auxz00_1903;

				if (PROCEDUREP(BgL_ez00_1735))
					{	/* Eval/expand.scm 176 */
						BgL_auxz00_1912 = BgL_ez00_1735;
					}
				else
					{
						obj_t BgL_auxz00_1915;

						BgL_auxz00_1915 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2279z00zz__expandz00,
							BINT(((long) 6246)), BGl_string2280z00zz__expandz00,
							BGl_string2282z00zz__expandz00, BgL_ez00_1735);
						FAILURE(BgL_auxz00_1915, BFALSE, BFALSE);
					}
				{	/* Eval/expand.scm 176 */
					bool_t BgL_testz00_1904;

					if (PAIRP(BgL_newz00_1733))
						{	/* Eval/expand.scm 176 */
							BgL_testz00_1904 = ((bool_t) 1);
						}
					else
						{	/* Eval/expand.scm 176 */
							BgL_testz00_1904 = NULLP(BgL_newz00_1733);
						}
					if (BgL_testz00_1904)
						{	/* Eval/expand.scm 176 */
							BgL_auxz00_1903 = BgL_newz00_1733;
						}
					else
						{
							obj_t BgL_auxz00_1908;

							BgL_auxz00_1908 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2279z00zz__expandz00,
								BINT(((long) 6246)), BGl_string2280z00zz__expandz00,
								BGl_string2281z00zz__expandz00, BgL_newz00_1733);
							FAILURE(BgL_auxz00_1908, BFALSE, BFALSE);
				}}
				return
					BGl_z52withzd2lexicalz80zz__expandz00(BgL_auxz00_1903,
					BgL_formz00_1734, BgL_auxz00_1912, BgL_keyz00_1736);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expandz00()
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expandz00()
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expandz00()
	{
		AN_OBJECT;
		{	/* Eval/expand.scm 14 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 49437920),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 471073147),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 415828492),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 38905591),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					173005534), BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			BGl_modulezd2initializa7ationz75zz__evutilsz00(((long) 470356213),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
			return BGl_modulezd2initializa7ationz75zz__macroz00(((long) 261397491),
				BSTRING_TO_STRING(BGl_string2283z00zz__expandz00));
		}
	}

#ifdef __cplusplus
}
#endif
