/*===========================================================================*/
/*   (Unsafe/kmp.scm)                                                        */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Unsafe/kmp.scm -indent -o objs/obj_u/Unsafe/kmp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__kmpz00();
	static obj_t BGl_genericzd2initzd2zz__kmpz00();
	static obj_t BGl_symbol2306z00zz__kmpz00 = BUNSPEC;
	static obj_t BGl_symbol2309z00zz__kmpz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00();
	static obj_t BGl_symbol2311z00zz__kmpz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__kmpz00();
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2303z00zz__kmpz00,
		BgL_bgl_string2303za700za7za7_2320za7, "/tmp/bigloo/runtime/Unsafe/kmp.scm",
		34);
	      DEFINE_STRING(BGl_string2304z00zz__kmpz00,
		BgL_bgl_string2304za700za7za7_2321za7, "&kmp-table", 10);
	      DEFINE_STRING(BGl_string2305z00zz__kmpz00,
		BgL_bgl_string2305za700za7za7_2322za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2307z00zz__kmpz00,
		BgL_bgl_string2307za700za7za7_2323za7, "kmp-mmap", 8);
	      DEFINE_STRING(BGl_string2308z00zz__kmpz00,
		BgL_bgl_string2308za700za7za7_2324za7, "Illegal kmp-table", 17);
	      DEFINE_STRING(BGl_string2310z00zz__kmpz00,
		BgL_bgl_string2310za700za7za7_2325za7, "string", 6);
	      DEFINE_STRING(BGl_string2312z00zz__kmpz00,
		BgL_bgl_string2312za700za7za7_2326za7, "vector", 6);
	      DEFINE_STRING(BGl_string2313z00zz__kmpz00,
		BgL_bgl_string2313za700za7za7_2327za7, "&kmp-mmap", 9);
	      DEFINE_STRING(BGl_string2314z00zz__kmpz00,
		BgL_bgl_string2314za700za7za7_2328za7, "pair", 4);
	      DEFINE_STRING(BGl_string2315z00zz__kmpz00,
		BgL_bgl_string2315za700za7za7_2329za7, "mmap", 4);
	      DEFINE_STRING(BGl_string2316z00zz__kmpz00,
		BgL_bgl_string2316za700za7za7_2330za7, "belong", 6);
	      DEFINE_STRING(BGl_string2317z00zz__kmpz00,
		BgL_bgl_string2317za700za7za7_2331za7, "&kmp-string", 11);
	      DEFINE_STRING(BGl_string2318z00zz__kmpz00,
		BgL_bgl_string2318za700za7za7_2332za7, "bint", 4);
	      DEFINE_STRING(BGl_string2319z00zz__kmpz00,
		BgL_bgl_string2319za700za7za7_2333za7, "__kmp", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2stringzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2stringza72334za7, BGl_z62kmpzd2stringzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2mmapzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2mmapza7b02335za7, BGl_z62kmpzd2mmapzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2tablezd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2tableza7b2336za7, BGl_z62kmpzd2tablezb0zz__kmpz00, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long
		BgL_checksumz00_1720, char *BgL_fromz00_1721)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
				{
					BGl_requirezd2initializa7ationz75zz__kmpz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__kmpz00();
					BGl_importedzd2moduleszd2initz00zz__kmpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			BGl_symbol2306z00zz__kmpz00 =
				bstring_to_symbol(BGl_string2307z00zz__kmpz00);
			BGl_symbol2309z00zz__kmpz00 =
				bstring_to_symbol(BGl_string2310z00zz__kmpz00);
			return (BGl_symbol2311z00zz__kmpz00 =
				bstring_to_symbol(BGl_string2312z00zz__kmpz00), BUNSPEC);
		}
	}



/* kmp-table */
	BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 50 */
			{	/* Unsafe/kmp.scm 51 */
				long BgL_lpz00_788;

				BgL_lpz00_788 = STRING_LENGTH(BgL_pz00_3);
				{	/* Unsafe/kmp.scm 51 */
					obj_t BgL_tz00_789;

					{	/* Unsafe/kmp.scm 52 */
						long BgL_arg1900z00_803;

						BgL_arg1900z00_803 = (BgL_lpz00_788 + ((long) 2));
						BgL_tz00_789 =
							make_vector((int) (BgL_arg1900z00_803), BINT(((long) 0)));
					}
					{	/* Unsafe/kmp.scm 52 */
						long BgL_iz00_790;

						BgL_iz00_790 = ((long) 0);
						{	/* Unsafe/kmp.scm 53 */
							obj_t BgL_jz00_791;

							BgL_jz00_791 = BINT(((long) -1));
							{	/* Unsafe/kmp.scm 54 */
								unsigned char BgL_cz00_792;

								BgL_cz00_792 = ((unsigned char) '\000');
								{	/* Unsafe/kmp.scm 55 */

									VECTOR_SET(BgL_tz00_789, (int) (((long) 0)), BgL_jz00_791);
									{

									BgL_zc3anonymousza31891ze3z83_794:
										if ((BgL_iz00_790 < BgL_lpz00_788))
											{	/* Unsafe/kmp.scm 58 */
												{	/* Unsafe/kmp.scm 60 */
													bool_t BgL_testz00_1740;

													{	/* Unsafe/kmp.scm 60 */
														unsigned char BgL_char2z00_1325;

														BgL_char2z00_1325 = BgL_cz00_792;
														BgL_testz00_1740 =
															(STRING_REF(BgL_pz00_3,
																BgL_iz00_790) == BgL_char2z00_1325);
													}
													if (BgL_testz00_1740)
														{	/* Unsafe/kmp.scm 60 */
															{	/* Unsafe/kmp.scm 61 */
																long BgL_arg1894z00_797;
																long BgL_arg1895z00_798;

																BgL_arg1894z00_797 =
																	(BgL_iz00_790 + ((long) 1));
																BgL_arg1895z00_798 =
																	((long) CINT(BgL_jz00_791) + ((long) 1));
																VECTOR_SET(BgL_tz00_789,
																	(int) (BgL_arg1894z00_797),
																	BINT(BgL_arg1895z00_798));
															}
															{	/* Unsafe/kmp.scm 62 */
																long BgL_za71za7_1336;

																BgL_za71za7_1336 = (long) CINT(BgL_jz00_791);
																BgL_jz00_791 =
																	BINT((BgL_za71za7_1336 + ((long) 1)));
															}
															BgL_iz00_790 = (BgL_iz00_790 + ((long) 1));
														}
													else
														{	/* Unsafe/kmp.scm 60 */
															if (((long) CINT(BgL_jz00_791) > ((long) 0)))
																{	/* Unsafe/kmp.scm 64 */
																	BgL_jz00_791 =
																		VECTOR_REF(BgL_tz00_789,
																		CINT(BgL_jz00_791));
																}
															else
																{	/* Unsafe/kmp.scm 64 */
																	{	/* Unsafe/kmp.scm 67 */
																		long BgL_arg1897z00_800;

																		BgL_arg1897z00_800 =
																			(BgL_iz00_790 + ((long) 1));
																		VECTOR_SET(BgL_tz00_789,
																			(int) (BgL_arg1897z00_800),
																			BINT(((long) 0)));
																	}
																	BgL_iz00_790 = (BgL_iz00_790 + ((long) 1));
																	BgL_jz00_791 = BINT(((long) 0));
												}}}
												BgL_cz00_792 =
													STRING_REF(BgL_pz00_3, (long) CINT(BgL_jz00_791));
												goto BgL_zc3anonymousza31891ze3z83_794;
											}
										else
											{	/* Unsafe/kmp.scm 58 */
												((bool_t) 0);
											}
									}
									return MAKE_PAIR(BgL_tz00_789, BgL_pz00_3);
								}
							}
						}
					}
				}
			}
		}
	}



/* &kmp-table */
	obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t BgL_envz00_1696,
		obj_t BgL_pz00_1697)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 50 */
			{	/* Unsafe/kmp.scm 51 */
				obj_t BgL_auxz00_1767;

				if (STRINGP(BgL_pz00_1697))
					{	/* Unsafe/kmp.scm 51 */
						BgL_auxz00_1767 = BgL_pz00_1697;
					}
				else
					{
						obj_t BgL_auxz00_1770;

						BgL_auxz00_1770 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2303z00zz__kmpz00,
							BINT(((long) 1822)), BGl_string2304z00zz__kmpz00,
							BGl_string2305z00zz__kmpz00, BgL_pz00_1697);
						FAILURE(BgL_auxz00_1770, BFALSE, BFALSE);
					}
				return BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_1767);
			}
		}
	}



/* kmp-mmap */
	BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_4,
		obj_t BgL_mmz00_5, long BgL_mz00_6)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 77 */
			{	/* Unsafe/kmp.scm 79 */
				bool_t BgL_testz00_1775;

				{	/* Unsafe/kmp.scm 79 */
					obj_t BgL_auxz00_1776;

					BgL_auxz00_1776 = CAR(BgL_tpz00_4);
					BgL_testz00_1775 = VECTORP(BgL_auxz00_1776);
				}
				if (BgL_testz00_1775)
					{	/* Unsafe/kmp.scm 81 */
						bool_t BgL_testz00_1779;

						{	/* Unsafe/kmp.scm 81 */
							obj_t BgL_auxz00_1780;

							BgL_auxz00_1780 = CDR(BgL_tpz00_4);
							BgL_testz00_1779 = STRINGP(BgL_auxz00_1780);
						}
						if (BgL_testz00_1779)
							{	/* Unsafe/kmp.scm 83 */
								bool_t BgL_testz00_1783;

								{	/* Unsafe/kmp.scm 83 */
									int BgL_arg1920z00_829;
									long BgL_arg1922z00_830;

									BgL_arg1920z00_829 = VECTOR_LENGTH(CAR(BgL_tpz00_4));
									BgL_arg1922z00_830 =
										(((long) 2) + STRING_LENGTH(CDR(BgL_tpz00_4)));
									BgL_testz00_1783 =
										((long) (BgL_arg1920z00_829) == BgL_arg1922z00_830);
								}
								if (BgL_testz00_1783)
									{	/* Unsafe/kmp.scm 86 */
										obj_t BgL_tz00_807;

										BgL_tz00_807 = CAR(BgL_tpz00_4);
										{	/* Unsafe/kmp.scm 86 */
											obj_t BgL_pz00_808;

											BgL_pz00_808 = CDR(BgL_tpz00_4);
											{	/* Unsafe/kmp.scm 87 */
												long BgL_lsz00_809;

												{	/* Unsafe/kmp.scm 88 */
													long BgL_res2221z00_1379;

													BgL_res2221z00_1379 = BGL_MMAP_LENGTH(BgL_mmz00_5);
													BgL_lsz00_809 = BgL_res2221z00_1379;
												}
												{	/* Unsafe/kmp.scm 88 */
													long BgL_lpz00_810;

													{	/* Unsafe/kmp.scm 89 */
														long BgL_arg1919z00_828;

														BgL_arg1919z00_828 = STRING_LENGTH(BgL_pz00_808);
														{	/* Unsafe/kmp.scm 89 */
															long BgL_res2223z00_1383;

															BgL_res2223z00_1383 =
																LONG_TO_ELONG(BgL_arg1919z00_828);
															BgL_lpz00_810 = BgL_res2223z00_1383;
													}}
													{	/* Unsafe/kmp.scm 89 */

														{
															long BgL_iz00_812;

															BgL_iz00_812 = ((long) 0);
														BgL_zc3anonymousza31904ze3z83_813:
															if ((BgL_iz00_812 == BgL_lpz00_810))
																{	/* Unsafe/kmp.scm 92 */
																	return BgL_mz00_6;
																}
															else
																{	/* Unsafe/kmp.scm 92 */
																	if (
																		((BgL_iz00_812 + BgL_mz00_6) >=
																			BgL_lsz00_809))
																		{	/* Unsafe/kmp.scm 94 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 97 */
																			long BgL_fiz00_816;

																			{	/* Unsafe/kmp.scm 97 */
																				long BgL_res2227z00_1394;

																				{	/* Unsafe/kmp.scm 97 */
																					long BgL_auxz00_1801;

																					{	/* Unsafe/kmp.scm 97 */
																						long BgL_auxz00_1802;

																						BgL_auxz00_1802 =
																							ELONG_TO_LONG(BgL_iz00_812);
																						BgL_auxz00_1801 =
																							ELONG_TO_LONG(BgL_auxz00_1802);
																					}
																					BgL_res2227z00_1394 =
																						ELONG_TO_LONG(BgL_auxz00_1801);
																				}
																				BgL_fiz00_816 = BgL_res2227z00_1394;
																			}
																			{	/* Unsafe/kmp.scm 98 */
																				bool_t BgL_testz00_1806;

																				{	/* Unsafe/kmp.scm 98 */
																					unsigned char BgL_arg1914z00_823;
																					unsigned char BgL_arg1915z00_824;

																					{	/* Unsafe/kmp.scm 98 */
																						long BgL_arg1917z00_825;

																						BgL_arg1917z00_825 =
																							(BgL_iz00_812 + BgL_mz00_6);
																						{	/* Unsafe/kmp.scm 98 */
																							unsigned char BgL_res2231z00_1408;

																							{	/* Unsafe/kmp.scm 98 */
																								unsigned char BgL_cz00_1400;

																								BgL_cz00_1400 =
																									BGL_MMAP_REF(BgL_mmz00_5,
																									BgL_arg1917z00_825);
																								{	/* Unsafe/kmp.scm 98 */
																									long BgL_arg2202z00_1401;

																									BgL_arg2202z00_1401 =
																										(BgL_arg1917z00_825 +
																										((long) 1));
																									{	/* Unsafe/kmp.scm 98 */
																										long BgL_res2230z00_1407;

																										BGL_MMAP_RP_SET(BgL_mmz00_5,
																											BgL_arg2202z00_1401);
																										BUNSPEC;
																										BgL_res2230z00_1407 =
																											BgL_arg2202z00_1401;
																										BgL_res2230z00_1407;
																								}}
																								BgL_res2231z00_1408 =
																									BgL_cz00_1400;
																							}
																							BgL_arg1914z00_823 =
																								BgL_res2231z00_1408;
																					}}
																					BgL_arg1915z00_824 =
																						STRING_REF(BgL_pz00_808,
																						BgL_fiz00_816);
																					BgL_testz00_1806 =
																						(BgL_arg1914z00_823 ==
																						BgL_arg1915z00_824);
																				}
																				if (BgL_testz00_1806)
																					{
																						long BgL_iz00_1813;

																						BgL_iz00_1813 =
																							(BgL_iz00_812 + ((long) 1));
																						BgL_iz00_812 = BgL_iz00_1813;
																						goto
																							BgL_zc3anonymousza31904ze3z83_813;
																					}
																				else
																					{	/* Unsafe/kmp.scm 100 */
																						long BgL_tiz00_819;

																						{	/* Unsafe/kmp.scm 100 */
																							obj_t BgL_arg1913z00_822;

																							BgL_arg1913z00_822 =
																								VECTOR_REF(BgL_tz00_807,
																								(int) (BgL_fiz00_816));
																							{	/* Unsafe/kmp.scm 100 */
																								long BgL_res2235z00_1421;

																								{	/* Unsafe/kmp.scm 100 */
																									long BgL_auxz00_1817;

																									BgL_auxz00_1817 =
																										(long)
																										CINT(BgL_arg1913z00_822);
																									BgL_res2235z00_1421 =
																										LONG_TO_ELONG
																										(BgL_auxz00_1817);
																								}
																								BgL_tiz00_819 =
																									BgL_res2235z00_1421;
																						}}
																						{	/* Unsafe/kmp.scm 101 */
																							long BgL_za71za7_1425;

																							BgL_za71za7_1425 = BgL_mz00_6;
																							{	/* Unsafe/kmp.scm 101 */
																								long BgL_auxz00_1820;

																								{	/* Unsafe/kmp.scm 101 */
																									long BgL_res2236z00_1424;

																									{	/* Unsafe/kmp.scm 101 */
																										long BgL_auxz00_1821;

																										BgL_auxz00_1821 =
																											(BgL_iz00_812 -
																											BgL_tiz00_819);
																										BgL_res2236z00_1424 =
																											LONG_TO_ELONG
																											(BgL_auxz00_1821);
																									}
																									BgL_auxz00_1820 =
																										BgL_res2236z00_1424;
																								}
																								BgL_mz00_6 =
																									(BgL_za71za7_1425 +
																									BgL_auxz00_1820);
																						}}
																						if ((BgL_iz00_812 > ((long) 0)))
																							{
																								long BgL_iz00_1827;

																								BgL_iz00_1827 = BgL_tiz00_819;
																								BgL_iz00_812 = BgL_iz00_1827;
																								goto
																									BgL_zc3anonymousza31904ze3z83_813;
																							}
																						else
																							{

																								goto
																									BgL_zc3anonymousza31904ze3z83_813;
																							}
																					}
																			}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 84 */
										obj_t BgL_auxz00_1828;

										BgL_auxz00_1828 =
											BGl_errorz00zz__errorz00(BGl_symbol2306z00zz__kmpz00,
											BGl_string2308z00zz__kmpz00, BgL_tpz00_4);
										return BELONG_TO_LONG(BgL_auxz00_1828);
									}
							}
						else
							{	/* Unsafe/kmp.scm 82 */
								obj_t BgL_arg1928z00_834;

								BgL_arg1928z00_834 = CDR(BgL_tpz00_4);
								{	/* Unsafe/kmp.scm 82 */
									obj_t BgL_auxz00_1832;

									BgL_auxz00_1832 =
										BGl_bigloozd2typezd2errorz00zz__errorz00
										(BGl_symbol2306z00zz__kmpz00, BGl_symbol2309z00zz__kmpz00,
										BgL_arg1928z00_834);
									return BELONG_TO_LONG(BgL_auxz00_1832);
								}
							}
					}
				else
					{	/* Unsafe/kmp.scm 80 */
						obj_t BgL_arg1930z00_836;

						BgL_arg1930z00_836 = CAR(BgL_tpz00_4);
						{	/* Unsafe/kmp.scm 80 */
							obj_t BgL_auxz00_1836;

							BgL_auxz00_1836 =
								BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2306z00zz__kmpz00, BGl_symbol2311z00zz__kmpz00,
								BgL_arg1930z00_836);
							return BELONG_TO_LONG(BgL_auxz00_1836);
						}
					}
			}
		}
	}



/* &kmp-mmap */
	obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t BgL_envz00_1698,
		obj_t BgL_tpz00_1699, obj_t BgL_mmz00_1700, obj_t BgL_mz00_1701)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 77 */
			{	/* Unsafe/kmp.scm 79 */
				long BgL_auxz00_1839;

				{	/* Unsafe/kmp.scm 79 */
					long BgL_auxz00_1854;
					obj_t BgL_auxz00_1847;
					obj_t BgL_auxz00_1840;

					{	/* Unsafe/kmp.scm 79 */
						obj_t BgL_auxz00_1855;

						if (ELONGP(BgL_mz00_1701))
							{	/* Unsafe/kmp.scm 79 */
								BgL_auxz00_1855 = BgL_mz00_1701;
							}
						else
							{
								obj_t BgL_auxz00_1858;

								BgL_auxz00_1858 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string2303z00zz__kmpz00,
									BINT(((long) 2572)), BGl_string2313z00zz__kmpz00,
									BGl_string2316z00zz__kmpz00, BgL_mz00_1701);
								FAILURE(BgL_auxz00_1858, BFALSE, BFALSE);
							}
						BgL_auxz00_1854 = BELONG_TO_LONG(BgL_auxz00_1855);
					}
					if (BGL_MMAPP(BgL_mmz00_1700))
						{	/* Unsafe/kmp.scm 79 */
							BgL_auxz00_1847 = BgL_mmz00_1700;
						}
					else
						{
							obj_t BgL_auxz00_1850;

							BgL_auxz00_1850 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2303z00zz__kmpz00,
								BINT(((long) 2572)), BGl_string2313z00zz__kmpz00,
								BGl_string2315z00zz__kmpz00, BgL_mmz00_1700);
							FAILURE(BgL_auxz00_1850, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1699))
						{	/* Unsafe/kmp.scm 79 */
							BgL_auxz00_1840 = BgL_tpz00_1699;
						}
					else
						{
							obj_t BgL_auxz00_1843;

							BgL_auxz00_1843 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2303z00zz__kmpz00,
								BINT(((long) 2572)), BGl_string2313z00zz__kmpz00,
								BGl_string2314z00zz__kmpz00, BgL_tpz00_1699);
							FAILURE(BgL_auxz00_1843, BFALSE, BFALSE);
						}
					BgL_auxz00_1839 =
						BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_1840, BgL_auxz00_1847,
						BgL_auxz00_1854);
				}
				return make_belong(BgL_auxz00_1839);
			}
		}
	}



/* kmp-string */
	BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_7,
		obj_t BgL_strz00_8, long BgL_mz00_9)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 109 */
			{	/* Unsafe/kmp.scm 111 */
				bool_t BgL_testz00_1865;

				{	/* Unsafe/kmp.scm 111 */
					obj_t BgL_auxz00_1866;

					BgL_auxz00_1866 = CAR(BgL_tpz00_7);
					BgL_testz00_1865 = VECTORP(BgL_auxz00_1866);
				}
				if (BgL_testz00_1865)
					{	/* Unsafe/kmp.scm 113 */
						bool_t BgL_testz00_1869;

						{	/* Unsafe/kmp.scm 113 */
							obj_t BgL_auxz00_1870;

							BgL_auxz00_1870 = CDR(BgL_tpz00_7);
							BgL_testz00_1869 = STRINGP(BgL_auxz00_1870);
						}
						if (BgL_testz00_1869)
							{	/* Unsafe/kmp.scm 115 */
								bool_t BgL_testz00_1873;

								{	/* Unsafe/kmp.scm 115 */
									int BgL_arg1948z00_860;
									long BgL_arg1949z00_861;

									BgL_arg1948z00_860 = VECTOR_LENGTH(CAR(BgL_tpz00_7));
									BgL_arg1949z00_861 =
										(((long) 2) + STRING_LENGTH(CDR(BgL_tpz00_7)));
									BgL_testz00_1873 =
										((long) (BgL_arg1948z00_860) == BgL_arg1949z00_861);
								}
								if (BgL_testz00_1873)
									{	/* Unsafe/kmp.scm 118 */
										obj_t BgL_tz00_841;

										BgL_tz00_841 = CAR(BgL_tpz00_7);
										{	/* Unsafe/kmp.scm 118 */
											obj_t BgL_pz00_842;

											BgL_pz00_842 = CDR(BgL_tpz00_7);
											{	/* Unsafe/kmp.scm 119 */
												long BgL_lsz00_843;

												BgL_lsz00_843 = STRING_LENGTH(BgL_strz00_8);
												{	/* Unsafe/kmp.scm 120 */
													long BgL_lpz00_844;

													BgL_lpz00_844 = STRING_LENGTH(BgL_pz00_842);
													{	/* Unsafe/kmp.scm 121 */

														{
															obj_t BgL_iz00_846;

															BgL_iz00_846 = BINT(((long) 0));
														BgL_zc3anonymousza31936ze3z83_847:
															if (((long) CINT(BgL_iz00_846) == BgL_lpz00_844))
																{	/* Unsafe/kmp.scm 124 */
																	return BgL_mz00_9;
																}
															else
																{	/* Unsafe/kmp.scm 124 */
																	if (
																		(((long) CINT(BgL_iz00_846) + BgL_mz00_9) >=
																			BgL_lsz00_843))
																		{	/* Unsafe/kmp.scm 126 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 126 */
																			if (
																				(STRING_REF(BgL_strz00_8,
																						((long) CINT(BgL_iz00_846) +
																							BgL_mz00_9)) ==
																					STRING_REF(BgL_pz00_842,
																						(long) CINT(BgL_iz00_846))))
																				{	/* Unsafe/kmp.scm 130 */
																					long BgL_arg1940z00_851;

																					BgL_arg1940z00_851 =
																						(
																						(long) CINT(BgL_iz00_846) +
																						((long) 1));
																					{
																						obj_t BgL_iz00_1901;

																						BgL_iz00_1901 =
																							BINT(BgL_arg1940z00_851);
																						BgL_iz00_846 = BgL_iz00_1901;
																						goto
																							BgL_zc3anonymousza31936ze3z83_847;
																					}
																				}
																			else
																				{	/* Unsafe/kmp.scm 131 */
																					obj_t BgL_tiz00_852;

																					BgL_tiz00_852 =
																						VECTOR_REF(BgL_tz00_841,
																						CINT(BgL_iz00_846));
																					BgL_mz00_9 =
																						(BgL_mz00_9 +
																						((long) CINT(BgL_iz00_846) -
																							(long) CINT(BgL_tiz00_852)));
																					if (
																						((long) CINT(BgL_iz00_846) >
																							((long) 0)))
																						{
																							obj_t BgL_iz00_1912;

																							BgL_iz00_1912 = BgL_tiz00_852;
																							BgL_iz00_846 = BgL_iz00_1912;
																							goto
																								BgL_zc3anonymousza31936ze3z83_847;
																						}
																					else
																						{

																							goto
																								BgL_zc3anonymousza31936ze3z83_847;
																						}
																				}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 115 */
										return
											(long)
											CINT(BGl_errorz00zz__errorz00(BGl_symbol2306z00zz__kmpz00,
												BGl_string2308z00zz__kmpz00, BgL_tpz00_7));
							}}
						else
							{	/* Unsafe/kmp.scm 114 */
								obj_t BgL_arg1953z00_865;

								BgL_arg1953z00_865 = CDR(BgL_tpz00_7);
								return
									(long)
									CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol2306z00zz__kmpz00, BGl_symbol2309z00zz__kmpz00,
										BgL_arg1953z00_865));
					}}
				else
					{	/* Unsafe/kmp.scm 112 */
						obj_t BgL_arg1955z00_867;

						BgL_arg1955z00_867 = CAR(BgL_tpz00_7);
						return
							(long)
							CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2306z00zz__kmpz00, BGl_symbol2311z00zz__kmpz00,
								BgL_arg1955z00_867));
		}}}
	}



/* &kmp-string */
	obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t BgL_envz00_1702,
		obj_t BgL_tpz00_1703, obj_t BgL_strz00_1704, obj_t BgL_mz00_1705)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 109 */
			{	/* Unsafe/kmp.scm 111 */
				long BgL_auxz00_1922;

				{	/* Unsafe/kmp.scm 111 */
					long BgL_auxz00_1937;
					obj_t BgL_auxz00_1930;
					obj_t BgL_auxz00_1923;

					{	/* Unsafe/kmp.scm 111 */
						obj_t BgL_auxz00_1938;

						if (INTEGERP(BgL_mz00_1705))
							{	/* Unsafe/kmp.scm 111 */
								BgL_auxz00_1938 = BgL_mz00_1705;
							}
						else
							{
								obj_t BgL_auxz00_1941;

								BgL_auxz00_1941 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string2303z00zz__kmpz00,
									BINT(((long) 3663)), BGl_string2317z00zz__kmpz00,
									BGl_string2318z00zz__kmpz00, BgL_mz00_1705);
								FAILURE(BgL_auxz00_1941, BFALSE, BFALSE);
							}
						BgL_auxz00_1937 = (long) CINT(BgL_auxz00_1938);
					}
					if (STRINGP(BgL_strz00_1704))
						{	/* Unsafe/kmp.scm 111 */
							BgL_auxz00_1930 = BgL_strz00_1704;
						}
					else
						{
							obj_t BgL_auxz00_1933;

							BgL_auxz00_1933 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2303z00zz__kmpz00,
								BINT(((long) 3663)), BGl_string2317z00zz__kmpz00,
								BGl_string2305z00zz__kmpz00, BgL_strz00_1704);
							FAILURE(BgL_auxz00_1933, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1703))
						{	/* Unsafe/kmp.scm 111 */
							BgL_auxz00_1923 = BgL_tpz00_1703;
						}
					else
						{
							obj_t BgL_auxz00_1926;

							BgL_auxz00_1926 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2303z00zz__kmpz00,
								BINT(((long) 3663)), BGl_string2317z00zz__kmpz00,
								BGl_string2314z00zz__kmpz00, BgL_tpz00_1703);
							FAILURE(BgL_auxz00_1926, BFALSE, BFALSE);
						}
					BgL_auxz00_1922 =
						BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_1923, BgL_auxz00_1930,
						BgL_auxz00_1937);
				}
				return BINT(BgL_auxz00_1922);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string2319z00zz__kmpz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2319z00zz__kmpz00));
		}
	}

#ifdef __cplusplus
}
#endif
