/*===========================================================================*/
/*   (Cfa/walk.scm)                                                          */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_walkz00();
	extern obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	extern obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t);
	static obj_t BGl_appendzd221095zd2zzcfa_walkz00(obj_t, obj_t);
	extern obj_t BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_showzd2cfazd2nbzd2iterationszd2zzcfa_showz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_walkz00();
	extern obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	extern obj_t BGl_showzd2cfazd2resultsz00zzcfa_showz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_showz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62cfazd2walkz12za2zzcfa_walkz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t __cnst[3];


	extern obj_t BGl_unpatchzd2pairzd2setz12zd2envzc0zzcfa_pairz00;
	extern obj_t BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2walkz12zd2envz12zzcfa_walkz00,
		BgL_bgl_za762cfaza7d2walkza7125764za7, BGl_z62cfazd2walkz12za2zzcfa_walkz00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00;
	   
		 
		DEFINE_STRING(BGl_string5752z00zzcfa_walkz00,
		BgL_bgl_string5752za700za7za7c5765za7, "Cfa", 3);
	      DEFINE_STRING(BGl_string5753z00zzcfa_walkz00,
		BgL_bgl_string5753za700za7za7c5766za7, "   . ", 5);
	      DEFINE_STRING(BGl_string5754z00zzcfa_walkz00,
		BgL_bgl_string5754za700za7za7c5767za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string5755z00zzcfa_walkz00,
		BgL_bgl_string5755za700za7za7c5768za7, " error", 6);
	      DEFINE_STRING(BGl_string5756z00zzcfa_walkz00,
		BgL_bgl_string5756za700za7za7c5769za7, "s", 1);
	      DEFINE_STRING(BGl_string5757z00zzcfa_walkz00,
		BgL_bgl_string5757za700za7za7c5770za7, "", 0);
	      DEFINE_STRING(BGl_string5758z00zzcfa_walkz00,
		BgL_bgl_string5758za700za7za7c5771za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string5759z00zzcfa_walkz00,
		BgL_bgl_string5759za700za7za7c5772za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string5760z00zzcfa_walkz00,
		BgL_bgl_string5760za700za7za7c5773za7, "cfa_walk", 8);
	      DEFINE_STRING(BGl_string5761z00zzcfa_walkz00,
		BgL_bgl_string5761za700za7za7c5774za7,
		"(stop-closure-cache unpatch-vector-set! unpatch-pair-set!) (cfa inline) pass-started ",
		85);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long
		BgL_checksumz00_1956, char *BgL_fromz00_1957)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_walkz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_walkz00();
					BGl_cnstzd2initzd2zzcfa_walkz00();
					BGl_importedzd2moduleszd2initz00zzcfa_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cfa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"cfa_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			{	/* Cfa/walk.scm 24 */
				obj_t BgL_cportz00_1948;

				BgL_cportz00_1948 =
					bgl_open_input_string(BGl_string5761z00zzcfa_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1949;

					BgL_iz00_1949 = ((long) 2);
				BgL_loopz00_1950:
					if ((BgL_iz00_1949 == ((long) -1)))
						{	/* Cfa/walk.scm 24 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/walk.scm 24 */
							{	/* Cfa/walk.scm 24 */
								obj_t BgL_arg5763z00_1952;

								{	/* Cfa/walk.scm 24 */

									{	/* Cfa/walk.scm 24 */
										obj_t BgL_locationz00_1954;

										BgL_locationz00_1954 = BBOOL(((bool_t) 0));
										{	/* Cfa/walk.scm 24 */

											BgL_arg5763z00_1952 =
												BGl_readz00zz__readerz00(BgL_cportz00_1948,
												BgL_locationz00_1954);
										}
									}
								}
								{	/* Cfa/walk.scm 24 */
									int BgL_auxz00_1975;

									BgL_auxz00_1975 = (int) (BgL_iz00_1949);
									CNST_TABLE_SET(BgL_auxz00_1975, BgL_arg5763z00_1952);
							}}
							{	/* Cfa/walk.scm 24 */
								int BgL_auxz00_1955;

								BgL_auxz00_1955 = (int) ((BgL_iz00_1949 - ((long) 1)));
								{
									long BgL_iz00_1980;

									BgL_iz00_1980 = (long) (BgL_auxz00_1955);
									BgL_iz00_1949 = BgL_iz00_1980;
									goto BgL_loopz00_1950;
								}
							}
						}
				}
			}
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzcfa_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1222;

				BgL_headz00_1222 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1223;
					obj_t BgL_tailz00_1224;

					BgL_prevz00_1223 = BgL_headz00_1222;
					BgL_tailz00_1224 = BgL_l1z00_1;
				BgL_loopz00_1225:
					if (PAIRP(BgL_tailz00_1224))
						{
							obj_t BgL_newzd2prevzd2_1227;

							BgL_newzd2prevzd2_1227 =
								MAKE_PAIR(CAR(BgL_tailz00_1224), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1223, BgL_newzd2prevzd2_1227);
							{
								obj_t BgL_tailz00_1989;
								obj_t BgL_prevz00_1988;

								BgL_prevz00_1988 = BgL_newzd2prevzd2_1227;
								BgL_tailz00_1989 = CDR(BgL_tailz00_1224);
								BgL_tailz00_1224 = BgL_tailz00_1989;
								BgL_prevz00_1223 = BgL_prevz00_1988;
								goto BgL_loopz00_1225;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1222);
				}
			}
		}
	}



/* cfa-walk! */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 61 */
			{	/* Cfa/walk.scm 62 */
				obj_t BgL_list5603z00_1230;

				{	/* Cfa/walk.scm 62 */
					obj_t BgL_arg5604z00_1231;

					{	/* Cfa/walk.scm 62 */
						obj_t BgL_arg5605z00_1232;

						BgL_arg5605z00_1232 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg5604z00_1231 =
							MAKE_PAIR(BGl_string5752z00zzcfa_walkz00, BgL_arg5605z00_1232);
					}
					BgL_list5603z00_1230 =
						MAKE_PAIR(BGl_string5753z00zzcfa_walkz00, BgL_arg5604z00_1231);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list5603z00_1230);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string5752z00zzcfa_walkz00;
			{
				obj_t BgL_hooksz00_1236;
				obj_t BgL_hnamesz00_1237;

				BgL_hooksz00_1236 = BNIL;
				BgL_hnamesz00_1237 = BNIL;
			BgL_zc3anonymousza35606ze3z83_1238:
				if (NULLP(BgL_hooksz00_1236))
					{	/* Cfa/walk.scm 62 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Cfa/walk.scm 62 */
						bool_t BgL_testz00_2002;

						{	/* Cfa/walk.scm 62 */
							obj_t BgL_fun5612z00_1244;

							BgL_fun5612z00_1244 = CAR(BgL_hooksz00_1236);
							BgL_testz00_2002 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun5612z00_1244) (BgL_fun5612z00_1244,
									BEOA));
						}
						if (BgL_testz00_2002)
							{
								obj_t BgL_hnamesz00_2010;
								obj_t BgL_hooksz00_2008;

								BgL_hooksz00_2008 = CDR(BgL_hooksz00_1236);
								BgL_hnamesz00_2010 = CDR(BgL_hnamesz00_1237);
								BgL_hnamesz00_1237 = BgL_hnamesz00_2010;
								BgL_hooksz00_1236 = BgL_hooksz00_2008;
								goto BgL_zc3anonymousza35606ze3z83_1238;
							}
						else
							{	/* Cfa/walk.scm 62 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string5752z00zzcfa_walkz00,
									BGl_string5754z00zzcfa_walkz00, CAR(BgL_hnamesz00_1237));
							}
					}
			}
			BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_3);
			BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
			BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(BgL_globalsz00_3);
			{	/* Cfa/walk.scm 73 */
				obj_t BgL_iterationzd2rootszd2_1247;

				BgL_iterationzd2rootszd2_1247 =
					BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00
					(BgL_globalsz00_3);
				BGl_showzd2cfazd2nbzd2iterationszd2zzcfa_showz00();
				{	/* Cfa/walk.scm 77 */
					obj_t BgL_globalsz00_1248;

					BgL_globalsz00_1248 =
						BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
						BgL_globalsz00_3);
					BGl_showzd2cfazd2resultsz00zzcfa_showz00(BgL_globalsz00_1248);
					{	/* Cfa/walk.scm 81 */
						obj_t BgL_additionalz00_1249;

						BgL_additionalz00_1249 =
							BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00
							(BgL_globalsz00_1248);
						if (((long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) >
								((long) 0)))
							{	/* Cfa/walk.scm 83 */
								BFALSE;
							}
						else
							{	/* Cfa/walk.scm 83 */
								BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00
									(BgL_globalsz00_1248);
							}
						BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_1248);
						if (CBOOL(BGl_za2strictzd2nodezd2typeza2z00zzast_nodez00))
							{	/* Cfa/walk.scm 88 */
								BFALSE;
							}
						else
							{	/* Cfa/walk.scm 88 */
								BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
									(BgL_globalsz00_1248);
							}
						BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_1248);
						{	/* Cfa/walk.scm 94 */
							obj_t BgL_valuez00_1251;

							BgL_valuez00_1251 =
								BGl_shrinkifyz12z12zzast_shrinkifyz00
								(BGl_appendzd221095zd2zzcfa_walkz00(BgL_additionalz00_1249,
									BgL_globalsz00_1248));
							if (((long)
									CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
									((long) 0)))
								{	/* Cfa/walk.scm 94 */
									{	/* Cfa/walk.scm 94 */
										obj_t BgL_port5599z00_1253;

										{	/* Cfa/walk.scm 94 */
											obj_t BgL_res5747z00_1924;

											{	/* Cfa/walk.scm 94 */
												obj_t BgL_auxz00_2037;

												BgL_auxz00_2037 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res5747z00_1924 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2037);
											}
											BgL_port5599z00_1253 = BgL_res5747z00_1924;
										}
										bgl_display_obj
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BgL_port5599z00_1253);
										BGL_DISPLAY_STRING(BGl_string5755z00zzcfa_walkz00,
											BgL_port5599z00_1253);
										{	/* Cfa/walk.scm 94 */
											obj_t BgL_arg5616z00_1254;

											{	/* Cfa/walk.scm 94 */
												bool_t BgL_testz00_2042;

												if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Cfa/walk.scm 94 */
														if (INTEGERP
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Cfa/walk.scm 94 */
																BgL_testz00_2042 =
																	(
																	(long)
																	CINT
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																	> ((long) 1));
															}
														else
															{	/* Cfa/walk.scm 94 */
																BgL_testz00_2042 =
																	BGl_2ze3ze3zz__r4_numbers_6_5z00
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																	BINT(((long) 1)));
													}}
												else
													{	/* Cfa/walk.scm 94 */
														BgL_testz00_2042 = ((bool_t) 0);
													}
												if (BgL_testz00_2042)
													{	/* Cfa/walk.scm 94 */
														BgL_arg5616z00_1254 =
															BGl_string5756z00zzcfa_walkz00;
													}
												else
													{	/* Cfa/walk.scm 94 */
														BgL_arg5616z00_1254 =
															BGl_string5757z00zzcfa_walkz00;
													}
											}
											bgl_display_obj(BgL_arg5616z00_1254,
												BgL_port5599z00_1253);
										}
										BGL_DISPLAY_STRING(BGl_string5758z00zzcfa_walkz00,
											BgL_port5599z00_1253);
										bgl_display_char(((unsigned char) '\n'),
											BgL_port5599z00_1253);
									}
									{	/* Cfa/walk.scm 94 */
										obj_t BgL_list5620z00_1258;

										BgL_list5620z00_1258 = MAKE_PAIR(BINT(((long) -1)), BNIL);
										return BGl_exitz00zz__errorz00(BgL_list5620z00_1258);
									}
								}
							else
								{	/* Cfa/walk.scm 94 */
									obj_t BgL_g5597z00_1259;
									obj_t BgL_g5598z00_1260;

									{	/* Cfa/walk.scm 94 */
										obj_t BgL_list5628z00_1272;

										{	/* Cfa/walk.scm 94 */
											obj_t BgL_arg5629z00_1273;

											{	/* Cfa/walk.scm 94 */
												obj_t BgL_arg5630z00_1274;

												BgL_arg5630z00_1274 =
													MAKE_PAIR
													(BGl_unpatchzd2pairzd2setz12zd2envzc0zzcfa_pairz00,
													BNIL);
												BgL_arg5629z00_1273 =
													MAKE_PAIR
													(BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00,
													BgL_arg5630z00_1274);
											}
											BgL_list5628z00_1272 =
												MAKE_PAIR
												(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
												BgL_arg5629z00_1273);
										}
										BgL_g5597z00_1259 = BgL_list5628z00_1272;
									}
									BgL_g5598z00_1260 = CNST_TABLE_REF(((long) 2));
									{
										obj_t BgL_hooksz00_1262;
										obj_t BgL_hnamesz00_1263;

										BgL_hooksz00_1262 = BgL_g5597z00_1259;
										BgL_hnamesz00_1263 = BgL_g5598z00_1260;
									BgL_zc3anonymousza35621ze3z83_1264:
										if (NULLP(BgL_hooksz00_1262))
											{	/* Cfa/walk.scm 94 */
												return BgL_valuez00_1251;
											}
										else
											{	/* Cfa/walk.scm 94 */
												bool_t BgL_testz00_2063;

												{	/* Cfa/walk.scm 94 */
													obj_t BgL_fun5627z00_1270;

													BgL_fun5627z00_1270 = CAR(BgL_hooksz00_1262);
													BgL_testz00_2063 =
														CBOOL(PROCEDURE_ENTRY(BgL_fun5627z00_1270)
														(BgL_fun5627z00_1270, BEOA));
												}
												if (BgL_testz00_2063)
													{
														obj_t BgL_hnamesz00_2071;
														obj_t BgL_hooksz00_2069;

														BgL_hooksz00_2069 = CDR(BgL_hooksz00_1262);
														BgL_hnamesz00_2071 = CDR(BgL_hnamesz00_1263);
														BgL_hnamesz00_1263 = BgL_hnamesz00_2071;
														BgL_hooksz00_1262 = BgL_hooksz00_2069;
														goto BgL_zc3anonymousza35621ze3z83_1264;
													}
												else
													{	/* Cfa/walk.scm 94 */
														obj_t BgL_arg5626z00_1269;

														BgL_arg5626z00_1269 = CAR(BgL_hnamesz00_1263);
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_za2currentzd2passza2zd2zzengine_passz00,
															BGl_string5759z00zzcfa_walkz00,
															BgL_arg5626z00_1269);
													}
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* &cfa-walk! */
	obj_t BGl_z62cfazd2walkz12za2zzcfa_walkz00(obj_t BgL_envz00_1943,
		obj_t BgL_globalsz00_1944)
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 61 */
			return BGl_cfazd2walkz12zc0zzcfa_walkz00(BgL_globalsz00_1944);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_walkz00()
	{
		AN_OBJECT;
		{	/* Cfa/walk.scm 24 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(((long) 393828111),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long) 220306886),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_showz00(((long) 391833753),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 36800750),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 235802177),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 533335138),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(((long) 98448491),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			BGl_modulezd2initializa7ationz75zzcfa_pairz00(((long) 37668556),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(((long) 185547682),
				BSTRING_TO_STRING(BGl_string5760z00zzcfa_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
