/*===========================================================================*/
/*   (Effect/spread.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/spread.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz123410z70zzeffect_spreadz00(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_methodzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t,
		obj_t);
	static bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_spreadz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00();
	static obj_t BGl_genericzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_spreadz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23413za2zzeffect_spreadz00(obj_t,
		BgL_varz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23416za2zzeffect_spreadz00(obj_t,
		BgL_sequencez00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23418za2zzeffect_spreadz00(obj_t,
		BgL_appz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23420za2zzeffect_spreadz00(obj_t,
		BgL_appzd2lyzd2_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23422za2zzeffect_spreadz00(obj_t,
		BgL_funcallz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23424za2zzeffect_spreadz00(obj_t,
		BgL_externz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23426za2zzeffect_spreadz00(obj_t,
		BgL_castz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23428za2zzeffect_spreadz00(obj_t,
		BgL_setqz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23430za2zzeffect_spreadz00(obj_t,
		BgL_conditionalz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23432za2zzeffect_spreadz00(obj_t,
		BgL_failz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23434za2zzeffect_spreadz00(obj_t,
		BgL_selectz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23436za2zzeffect_spreadz00(obj_t,
		BgL_letzd2funzd2_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23438za2zzeffect_spreadz00(obj_t,
		BgL_letzd2varzd2_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23443za2zzeffect_spreadz00(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23445za2zzeffect_spreadz00(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23447za2zzeffect_spreadz00(obj_t,
		BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23449za2zzeffect_spreadz00(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd23451za2zzeffect_spreadz00(obj_t,
		BgL_boxzd2refzd2_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3569z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3594z00,
		BGl_z62spreadzd2sidezd2effectz123410z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3571z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3595z00,
		BGl_z62spreadzd2sidezd2effectz12zd23413za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3573z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3596z00,
		BGl_z62spreadzd2sidezd2effectz12zd23416za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3574z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3597z00,
		BGl_z62spreadzd2sidezd2effectz12zd23418za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3575z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3598z00,
		BGl_z62spreadzd2sidezd2effectz12zd23420za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3576z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3599z00,
		BGl_z62spreadzd2sidezd2effectz12zd23422za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3577z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3600z00,
		BGl_z62spreadzd2sidezd2effectz12zd23424za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3578z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3601z00,
		BGl_z62spreadzd2sidezd2effectz12zd23426za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3579z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3602z00,
		BGl_z62spreadzd2sidezd2effectz12zd23428za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3580z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3603z00,
		BGl_z62spreadzd2sidezd2effectz12zd23430za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3581z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3604z00,
		BGl_z62spreadzd2sidezd2effectz12zd23432za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3582z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3605z00,
		BGl_z62spreadzd2sidezd2effectz12zd23434za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3583z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3606z00,
		BGl_z62spreadzd2sidezd2effectz12zd23436za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3584z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3607z00,
		BGl_z62spreadzd2sidezd2effectz12zd23438za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3585z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3608z00,
		BGl_z62spreadzd2sidezd2effectz12zd23443za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3586z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3609z00,
		BGl_z62spreadzd2sidezd2effectz12zd23445za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3587z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3610z00,
		BGl_z62spreadzd2sidezd2effectz12zd23447za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3588z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3611z00,
		BGl_z62spreadzd2sidezd2effectz12zd23449za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3589z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3612z00,
		BGl_z62spreadzd2sidezd2effectz12zd23451za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side3613z00,
		BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3570z00zzeffect_spreadz00,
		BgL_bgl_string3570za700za7za7e3614za7, "spread-side-effect!3410", 23);
	      DEFINE_STRING(BGl_string3572z00zzeffect_spreadz00,
		BgL_bgl_string3572za700za7za7e3615za7, "spread-side-effect!", 19);
	      DEFINE_STRING(BGl_string3590z00zzeffect_spreadz00,
		BgL_bgl_string3590za700za7za7e3616za7, "effect_spread", 13);
	      DEFINE_STRING(BGl_string3591z00zzeffect_spreadz00,
		BgL_bgl_string3591za700za7za7e3617za7, "read ", 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long
		BgL_checksumz00_1661, char *BgL_fromz00_1662)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_spreadz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_spreadz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_cnstzd2initzd2zzeffect_spreadz00();
					BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_genericzd2initzd2zzeffect_spreadz00();
					BGl_methodzd2initzd2zzeffect_spreadz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_spread");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			{	/* Effect/spread.scm 15 */
				obj_t BgL_cportz00_1652;

				BgL_cportz00_1652 =
					bgl_open_input_string(BGl_string3591z00zzeffect_spreadz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1653;

					BgL_iz00_1653 = ((long) 0);
				BgL_loopz00_1654:
					if ((BgL_iz00_1653 == ((long) -1)))
						{	/* Effect/spread.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/spread.scm 15 */
							{	/* Effect/spread.scm 15 */
								obj_t BgL_arg3593z00_1656;

								{	/* Effect/spread.scm 15 */

									{	/* Effect/spread.scm 15 */
										obj_t BgL_locationz00_1658;

										BgL_locationz00_1658 = BBOOL(((bool_t) 0));
										{	/* Effect/spread.scm 15 */

											BgL_arg3593z00_1656 =
												BGl_readz00zz__readerz00(BgL_cportz00_1652,
												BgL_locationz00_1658);
										}
									}
								}
								{	/* Effect/spread.scm 15 */
									int BgL_auxz00_1679;

									BgL_auxz00_1679 = (int) (BgL_iz00_1653);
									CNST_TABLE_SET(BgL_auxz00_1679, BgL_arg3593z00_1656);
							}}
							{	/* Effect/spread.scm 15 */
								int BgL_auxz00_1659;

								BgL_auxz00_1659 = (int) ((BgL_iz00_1653 - ((long) 1)));
								{
									long BgL_iz00_1684;

									BgL_iz00_1684 = (long) (BgL_auxz00_1659);
									BgL_iz00_1653 = BgL_iz00_1684;
									goto BgL_loopz00_1654;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}
	}



/* spread-side-effect*! */
	bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t
		BgL_nodeza2za2_22)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 201 */
			{
				obj_t BgL_nodeza2za2_839;
				bool_t BgL_resz00_840;

				BgL_nodeza2za2_839 = BgL_nodeza2za2_22;
				BgL_resz00_840 = ((bool_t) 0);
			BgL_zc3anonymousza33455ze3z83_841:
				if (NULLP(BgL_nodeza2za2_839))
					{	/* Effect/spread.scm 204 */
						return BgL_resz00_840;
					}
				else
					{	/* Effect/spread.scm 206 */
						obj_t BgL_arg3457z00_843;
						bool_t BgL_arg3458z00_844;

						BgL_arg3457z00_843 = CDR(BgL_nodeza2za2_839);
						{	/* Effect/spread.scm 206 */
							bool_t BgL__ortest_3406z00_845;

							{	/* Effect/spread.scm 206 */
								obj_t BgL_arg3459z00_846;

								BgL_arg3459z00_846 = CAR(BgL_nodeza2za2_839);
								BgL__ortest_3406z00_845 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									((BgL_nodez00_bglt) BgL_arg3459z00_846));
							}
							if (BgL__ortest_3406z00_845)
								{	/* Effect/spread.scm 206 */
									BgL_arg3458z00_844 = BgL__ortest_3406z00_845;
								}
							else
								{	/* Effect/spread.scm 206 */
									BgL_arg3458z00_844 = BgL_resz00_840;
								}
						}
						{
							bool_t BgL_resz00_1694;
							obj_t BgL_nodeza2za2_1693;

							BgL_nodeza2za2_1693 = BgL_arg3457z00_843;
							BgL_resz00_1694 = BgL_arg3458z00_844;
							BgL_resz00_840 = BgL_resz00_1694;
							BgL_nodeza2za2_839 = BgL_nodeza2za2_1693;
							goto BgL_zc3anonymousza33455ze3z83_841;
						}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_proc3569z00zzeffect_spreadz00, BGl_nodez00zzast_nodez00,
				BGl_string3570z00zzeffect_spreadz00);
		}
	}



/* &spread-side-effect!3410 */
	obj_t BGl_z62spreadzd2sidezd2effectz123410z70zzeffect_spreadz00(obj_t
		BgL_envz00_1530, BgL_nodez00_bglt BgL_nodez00_1531)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return BBOOL(((bool_t) 0));
		}
	}



/* spread-side-effect! */
	BGL_EXPORTED_DEF bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			{	/* Effect/spread.scm 23 */
				obj_t BgL_method3411z00_1249;

				{	/* Effect/spread.scm 23 */
					obj_t BgL_res3565z00_1452;

					{	/* Effect/spread.scm 23 */
						BgL_objectz00_bglt BgL_objz00_1424;

						BgL_objz00_1424 = ((BgL_objectz00_bglt) BgL_nodez00_3);
						{	/* Effect/spread.scm 23 */
							long BgL_objzd2classzd2numz00_1425;

							{	/* Effect/spread.scm 23 */
								long BgL_res3559z00_1428;

								BgL_res3559z00_1428 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1424);
								BgL_objzd2classzd2numz00_1425 = BgL_res3559z00_1428;
							}
							{	/* Effect/spread.scm 23 */
								obj_t BgL_arg2545z00_1426;

								BgL_arg2545z00_1426 =
									PROCEDURE_REF
									(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
									(int) (((long) 1)));
								{	/* Effect/spread.scm 23 */
									obj_t BgL_arrayz00_1429;
									int BgL_offsetz00_1430;

									BgL_arrayz00_1429 = BgL_arg2545z00_1426;
									BgL_offsetz00_1430 = (int) (BgL_objzd2classzd2numz00_1425);
									{	/* Effect/spread.scm 23 */
										long BgL_offsetz00_1431;

										BgL_offsetz00_1431 =
											((long) (BgL_offsetz00_1430) - OBJECT_TYPE);
										{	/* Effect/spread.scm 23 */
											long BgL_modz00_1432;

											{	/* Effect/spread.scm 23 */
												int BgL_arg2547z00_1433;

												BgL_arg2547z00_1433 = (int) (((long) 16));
												{	/* Effect/spread.scm 23 */
													long BgL_res3562z00_1443;

													{	/* Effect/spread.scm 23 */
														long BgL_auxz00_1705;

														BgL_auxz00_1705 = (long) (BgL_arg2547z00_1433);
														BgL_res3562z00_1443 =
															(BgL_offsetz00_1431 / BgL_auxz00_1705);
													}
													BgL_modz00_1432 = BgL_res3562z00_1443;
											}}
											{	/* Effect/spread.scm 23 */
												long BgL_restz00_1434;

												{	/* Effect/spread.scm 23 */
													int BgL_arg2546z00_1435;

													BgL_arg2546z00_1435 = (int) (((long) 16));
													{	/* Effect/spread.scm 23 */
														long BgL_res3564z00_1447;

														{	/* Effect/spread.scm 23 */
															long BgL_auxz00_1709;

															BgL_auxz00_1709 = (long) (BgL_arg2546z00_1435);
															BgL_res3564z00_1447 =
																(BgL_offsetz00_1431 % BgL_auxz00_1709);
														}
														BgL_restz00_1434 = BgL_res3564z00_1447;
												}}
												{	/* Effect/spread.scm 23 */

													BgL_res3565z00_1452 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1429,
															(int) (BgL_modz00_1432)),
														(int) (BgL_restz00_1434));
					}}}}}}}}
					BgL_method3411z00_1249 = BgL_res3565z00_1452;
				}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method3411z00_1249) (BgL_method3411z00_1249,
						((obj_t) BgL_nodez00_3), BEOA));
			}
		}
	}



/* &spread-side-effect! */
	obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t
		BgL_envz00_1532, obj_t BgL_nodez00_1533)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					((BgL_nodez00_bglt) BgL_nodez00_1533)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_varz00zzast_nodez00, BGl_proc3571z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3573z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appz00zzast_nodez00, BGl_proc3574z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3575z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3576z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_externz00zzast_nodez00, BGl_proc3577z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_castz00zzast_nodez00, BGl_proc3578z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setqz00zzast_nodez00, BGl_proc3579z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3580z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_failz00zzast_nodez00, BGl_proc3581z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_selectz00zzast_nodez00, BGl_proc3582z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3583z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3584z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3585z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3586z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3587z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3588z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3589z00zzeffect_spreadz00,
				BGl_string3572z00zzeffect_spreadz00);
		}
	}



/* &spread-side-effect!-3451 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23451za2zzeffect_spreadz00(obj_t
		BgL_envz00_1552, BgL_boxzd2refzd2_bglt BgL_nodez00_1553)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 194 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1414;

				{	/* Effect/spread.scm 195 */
					bool_t BgL_auxz00_1743;

					BgL_nodez00_1414 = BgL_nodez00_1553;
					{	/* Effect/spread.scm 195 */
						BgL_varz00_bglt BgL_arg3557z00_1527;

						BgL_arg3557z00_1527 =
							(((BgL_boxzd2refzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1414)))->BgL_varz00);
						BgL_auxz00_1743 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							((BgL_nodez00_bglt) BgL_arg3557z00_1527));
					}
					return BBOOL(BgL_auxz00_1743);
				}
			}
		}
	}



/* &spread-side-effect!-3449 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23449za2zzeffect_spreadz00(obj_t
		BgL_envz00_1554, BgL_boxzd2setz12zc0_bglt BgL_nodez00_1555)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 182 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1408;

				{	/* Effect/spread.scm 183 */
					bool_t BgL_auxz00_1749;

					BgL_nodez00_1408 = BgL_nodez00_1555;
					{	/* Effect/spread.scm 183 */
						BgL_nodez00_bglt BgL_arg3556z00_1524;

						BgL_arg3556z00_1524 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(
									((obj_t) BgL_nodez00_1408)))->BgL_valuez00);
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3556z00_1524);
					}
					BgL_auxz00_1749 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_1749);
				}
			}
		}
	}



/* &spread-side-effect!-3447 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23447za2zzeffect_spreadz00(obj_t
		BgL_envz00_1556, BgL_makezd2boxzd2_bglt BgL_nodez00_1557)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 173 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1401;

				{	/* Effect/spread.scm 174 */
					bool_t BgL_auxz00_1754;

					BgL_nodez00_1401 = BgL_nodez00_1557;
					{	/* Effect/spread.scm 175 */
						bool_t BgL_resz00_1405;

						{	/* Effect/spread.scm 175 */
							BgL_nodez00_bglt BgL_arg3555z00_1406;

							BgL_arg3555z00_1406 =
								(((BgL_makezd2boxzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1401)))->BgL_valuez00);
							BgL_resz00_1405 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_arg3555z00_1406);
						}
						{	/* Effect/spread.scm 176 */
							BgL_nodezf2effectzf2_bglt BgL_obj2156z00_1521;
							obj_t BgL_val2155z00_1522;

							BgL_obj2156z00_1521 =
								((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1401);
							BgL_val2155z00_1522 = BBOOL(BgL_resz00_1405);
							((((BgL_nodezf2effectzf2_bglt) CREF(
											((obj_t) BgL_obj2156z00_1521)))->BgL_sidezd2effectzd2) =
								((obj_t) BgL_val2155z00_1522), BUNSPEC);
						}
						BgL_auxz00_1754 = BgL_resz00_1405;
					}
					return BBOOL(BgL_auxz00_1754);
				}
			}
		}
	}



/* &spread-side-effect!-3445 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23445za2zzeffect_spreadz00(obj_t
		BgL_envz00_1558, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1559)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 164 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1394;

				{	/* Effect/spread.scm 165 */
					bool_t BgL_auxz00_1763;

					BgL_nodez00_1394 = BgL_nodez00_1559;
					{	/* Effect/spread.scm 166 */
						BgL_nodez00_bglt BgL_arg3553z00_1398;

						BgL_arg3553z00_1398 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1394)))->BgL_exitz00);
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3553z00_1398);
					}
					{	/* Effect/spread.scm 167 */
						BgL_nodez00_bglt BgL_arg3554z00_1399;

						BgL_arg3554z00_1399 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1394)))->BgL_valuez00);
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3554z00_1399);
					}
					BgL_auxz00_1763 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_1763);
				}
			}
		}
	}



/* &spread-side-effect!-3443 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23443za2zzeffect_spreadz00(obj_t
		BgL_envz00_1560, BgL_setzd2exzd2itz00_bglt BgL_nodez00_1561)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 157 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1388;

				{	/* Effect/spread.scm 158 */
					bool_t BgL_auxz00_1771;

					BgL_nodez00_1388 = BgL_nodez00_1561;
					{	/* Effect/spread.scm 158 */
						BgL_nodez00_bglt BgL_arg3552z00_1516;

						BgL_arg3552z00_1516 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(
									((obj_t) BgL_nodez00_1388)))->BgL_bodyz00);
						BgL_auxz00_1771 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3552z00_1516);
					}
					return BBOOL(BgL_auxz00_1771);
				}
			}
		}
	}



/* &spread-side-effect!-3438 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23438za2zzeffect_spreadz00(obj_t
		BgL_envz00_1562, BgL_letzd2varzd2_bglt BgL_nodez00_1563)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 143 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1369;

				{	/* Effect/spread.scm 144 */
					bool_t BgL_auxz00_1776;

					BgL_nodez00_1369 = BgL_nodez00_1563;
					{	/* Effect/spread.scm 145 */
						bool_t BgL_g3394z00_1373;

						{	/* Effect/spread.scm 146 */
							BgL_nodez00_bglt BgL_arg3551z00_1386;

							BgL_arg3551z00_1386 =
								(((BgL_letzd2varzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1369)))->BgL_bodyz00);
							BgL_g3394z00_1373 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_arg3551z00_1386);
						}
						{
							obj_t BgL_bdgsz00_1376;
							bool_t BgL_resz00_1377;

							{	/* Effect/spread.scm 145 */
								obj_t BgL_arg3544z00_1375;

								BgL_arg3544z00_1375 =
									(((BgL_letzd2varzd2_bglt) CREF(
											((obj_t) BgL_nodez00_1369)))->BgL_bindingsz00);
								BgL_bdgsz00_1376 = BgL_arg3544z00_1375;
								BgL_resz00_1377 = BgL_g3394z00_1373;
							BgL_zc3anonymousza33545ze3z83_1378:
								if (NULLP(BgL_bdgsz00_1376))
									{	/* Effect/spread.scm 147 */
										{	/* Effect/spread.scm 149 */
											BgL_nodezf2effectzf2_bglt BgL_obj2156z00_1509;
											obj_t BgL_val2155z00_1510;

											BgL_obj2156z00_1509 =
												((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1369);
											BgL_val2155z00_1510 = BBOOL(BgL_resz00_1377);
											((((BgL_nodezf2effectzf2_bglt) CREF(
															((obj_t) BgL_obj2156z00_1509)))->
													BgL_sidezd2effectzd2) =
												((obj_t) BgL_val2155z00_1510), BUNSPEC);
										}
										BgL_auxz00_1776 = BgL_resz00_1377;
									}
								else
									{	/* Effect/spread.scm 151 */
										obj_t BgL_arg3547z00_1380;
										bool_t BgL_arg3548z00_1381;

										BgL_arg3547z00_1380 = CDR(BgL_bdgsz00_1376);
										{	/* Effect/spread.scm 152 */
											bool_t BgL__ortest_3395z00_1382;

											{	/* Effect/spread.scm 152 */
												obj_t BgL_arg3549z00_1383;

												BgL_arg3549z00_1383 = CDR(CAR(BgL_bdgsz00_1376));
												BgL__ortest_3395z00_1382 =
													BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
													((BgL_nodez00_bglt) BgL_arg3549z00_1383));
											}
											if (BgL__ortest_3395z00_1382)
												{	/* Effect/spread.scm 152 */
													BgL_arg3548z00_1381 = BgL__ortest_3395z00_1382;
												}
											else
												{	/* Effect/spread.scm 152 */
													BgL_arg3548z00_1381 = BgL_resz00_1377;
												}
										}
										{
											bool_t BgL_resz00_1795;
											obj_t BgL_bdgsz00_1794;

											BgL_bdgsz00_1794 = BgL_arg3547z00_1380;
											BgL_resz00_1795 = BgL_arg3548z00_1381;
											BgL_resz00_1377 = BgL_resz00_1795;
											BgL_bdgsz00_1376 = BgL_bdgsz00_1794;
											goto BgL_zc3anonymousza33545ze3z83_1378;
										}
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1776);
				}
			}
		}
	}



/* &spread-side-effect!-3436 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23436za2zzeffect_spreadz00(obj_t
		BgL_envz00_1564, BgL_letzd2funzd2_bglt BgL_nodez00_1565)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 131 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1352;

				{	/* Effect/spread.scm 132 */
					bool_t BgL_auxz00_1797;

					BgL_nodez00_1352 = BgL_nodez00_1565;
					{	/* Effect/spread.scm 133 */
						obj_t BgL_g3409z00_1356;

						BgL_g3409z00_1356 =
							(((BgL_letzd2funzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1352)))->BgL_localsz00);
						{
							obj_t BgL_l3407z00_1358;

							BgL_l3407z00_1358 = BgL_g3409z00_1356;
						BgL_zc3anonymousza33538ze3z83_1359:
							if (PAIRP(BgL_l3407z00_1358))
								{	/* Effect/spread.scm 133 */
									{	/* Effect/spread.scm 134 */
										obj_t BgL_localz00_1361;

										BgL_localz00_1361 = CAR(BgL_l3407z00_1358);
										{	/* Effect/spread.scm 134 */
											obj_t BgL_arg3540z00_1362;

											{	/* Effect/spread.scm 134 */
												BgL_sfunz00_bglt BgL_obj1924z00_1501;

												{	/* Effect/spread.scm 134 */
													BgL_variablez00_bglt BgL_obj1612z00_1500;

													BgL_obj1612z00_1500 =
														((BgL_variablez00_bglt) BgL_localz00_1361);
													BgL_obj1924z00_1501 =
														((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1612z00_1500)))->
															BgL_valuez00));
												}
												BgL_arg3540z00_1362 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1924z00_1501)))->BgL_bodyz00);
											}
											BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
												((BgL_nodez00_bglt) BgL_arg3540z00_1362));
										}
									}
									{
										obj_t BgL_l3407z00_1811;

										BgL_l3407z00_1811 = CDR(BgL_l3407z00_1358);
										BgL_l3407z00_1358 = BgL_l3407z00_1811;
										goto BgL_zc3anonymousza33538ze3z83_1359;
									}
								}
							else
								{	/* Effect/spread.scm 133 */
									((bool_t) 1);
								}
						}
					}
					{	/* Effect/spread.scm 136 */
						bool_t BgL_resz00_1366;

						{	/* Effect/spread.scm 136 */
							BgL_nodez00_bglt BgL_arg3543z00_1367;

							BgL_arg3543z00_1367 =
								(((BgL_letzd2funzd2_bglt) CREF(
										((obj_t) BgL_nodez00_1352)))->BgL_bodyz00);
							BgL_resz00_1366 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_arg3543z00_1367);
						}
						{	/* Effect/spread.scm 137 */
							BgL_nodezf2effectzf2_bglt BgL_obj2156z00_1504;
							obj_t BgL_val2155z00_1505;

							BgL_obj2156z00_1504 =
								((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1352);
							BgL_val2155z00_1505 = BBOOL(BgL_resz00_1366);
							((((BgL_nodezf2effectzf2_bglt) CREF(
											((obj_t) BgL_obj2156z00_1504)))->BgL_sidezd2effectzd2) =
								((obj_t) BgL_val2155z00_1505), BUNSPEC);
						}
						BgL_auxz00_1797 = BgL_resz00_1366;
					}
					return BBOOL(BgL_auxz00_1797);
				}
			}
		}
	}



/* &spread-side-effect!-3434 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23434za2zzeffect_spreadz00(obj_t
		BgL_envz00_1566, BgL_selectz00_bglt BgL_nodez00_1567)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 117 */
			{
				BgL_selectz00_bglt BgL_nodez00_1333;

				{	/* Effect/spread.scm 118 */
					bool_t BgL_auxz00_1821;

					BgL_nodez00_1333 = BgL_nodez00_1567;
					{	/* Effect/spread.scm 119 */
						bool_t BgL_g3388z00_1337;

						{	/* Effect/spread.scm 120 */
							BgL_nodez00_bglt BgL_arg3537z00_1350;

							BgL_arg3537z00_1350 =
								(((BgL_selectz00_bglt) CREF(
										((obj_t) BgL_nodez00_1333)))->BgL_testz00);
							BgL_g3388z00_1337 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_arg3537z00_1350);
						}
						{
							obj_t BgL_clausesz00_1340;
							bool_t BgL_resz00_1341;

							{	/* Effect/spread.scm 119 */
								obj_t BgL_arg3530z00_1339;

								BgL_arg3530z00_1339 =
									(((BgL_selectz00_bglt) CREF(
											((obj_t) BgL_nodez00_1333)))->BgL_clausesz00);
								BgL_clausesz00_1340 = BgL_arg3530z00_1339;
								BgL_resz00_1341 = BgL_g3388z00_1337;
							BgL_zc3anonymousza33531ze3z83_1342:
								if (NULLP(BgL_clausesz00_1340))
									{	/* Effect/spread.scm 121 */
										{	/* Effect/spread.scm 123 */
											BgL_nodezf2effectzf2_bglt BgL_obj2156z00_1490;
											obj_t BgL_val2155z00_1491;

											BgL_obj2156z00_1490 =
												((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1333);
											BgL_val2155z00_1491 = BBOOL(BgL_resz00_1341);
											((((BgL_nodezf2effectzf2_bglt) CREF(
															((obj_t) BgL_obj2156z00_1490)))->
													BgL_sidezd2effectzd2) =
												((obj_t) BgL_val2155z00_1491), BUNSPEC);
										}
										BgL_auxz00_1821 = BgL_resz00_1341;
									}
								else
									{	/* Effect/spread.scm 125 */
										obj_t BgL_arg3533z00_1344;
										bool_t BgL_arg3534z00_1345;

										BgL_arg3533z00_1344 = CDR(BgL_clausesz00_1340);
										{	/* Effect/spread.scm 126 */
											bool_t BgL__ortest_3389z00_1346;

											{	/* Effect/spread.scm 126 */
												obj_t BgL_arg3535z00_1347;

												BgL_arg3535z00_1347 = CDR(CAR(BgL_clausesz00_1340));
												BgL__ortest_3389z00_1346 =
													BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
													((BgL_nodez00_bglt) BgL_arg3535z00_1347));
											}
											if (BgL__ortest_3389z00_1346)
												{	/* Effect/spread.scm 126 */
													BgL_arg3534z00_1345 = BgL__ortest_3389z00_1346;
												}
											else
												{	/* Effect/spread.scm 126 */
													BgL_arg3534z00_1345 = BgL_resz00_1341;
												}
										}
										{
											bool_t BgL_resz00_1840;
											obj_t BgL_clausesz00_1839;

											BgL_clausesz00_1839 = BgL_arg3533z00_1344;
											BgL_resz00_1840 = BgL_arg3534z00_1345;
											BgL_resz00_1341 = BgL_resz00_1840;
											BgL_clausesz00_1340 = BgL_clausesz00_1839;
											goto BgL_zc3anonymousza33531ze3z83_1342;
										}
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1821);
				}
			}
		}
	}



/* &spread-side-effect!-3432 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23432za2zzeffect_spreadz00(obj_t
		BgL_envz00_1568, BgL_failz00_bglt BgL_nodez00_1569)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 107 */
			{
				BgL_failz00_bglt BgL_nodez00_1322;

				{	/* Effect/spread.scm 108 */
					bool_t BgL_auxz00_1842;

					BgL_nodez00_1322 = BgL_nodez00_1569;
					{	/* Effect/spread.scm 109 */
						bool_t BgL_reszd2proczd2_1326;

						{	/* Effect/spread.scm 109 */
							BgL_nodez00_bglt BgL_arg3529z00_1331;

							BgL_arg3529z00_1331 =
								(((BgL_failz00_bglt) CREF(
										((obj_t) BgL_nodez00_1322)))->BgL_procz00);
							BgL_reszd2proczd2_1326 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_arg3529z00_1331);
						}
						{	/* Effect/spread.scm 109 */
							bool_t BgL_reszd2msgzd2_1327;

							{	/* Effect/spread.scm 110 */
								BgL_nodez00_bglt BgL_arg3528z00_1330;

								BgL_arg3528z00_1330 =
									(((BgL_failz00_bglt) CREF(
											((obj_t) BgL_nodez00_1322)))->BgL_msgz00);
								BgL_reszd2msgzd2_1327 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
									(BgL_arg3528z00_1330);
							}
							{	/* Effect/spread.scm 110 */
								bool_t BgL_reszd2objzd2_1328;

								{	/* Effect/spread.scm 111 */
									BgL_nodez00_bglt BgL_arg3527z00_1329;

									BgL_arg3527z00_1329 =
										(((BgL_failz00_bglt) CREF(
												((obj_t) BgL_nodez00_1322)))->BgL_objz00);
									BgL_reszd2objzd2_1328 =
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
										(BgL_arg3527z00_1329);
								}
								{	/* Effect/spread.scm 111 */

									BgL_auxz00_1842 = ((bool_t) 1);
								}
							}
						}
					}
					return BBOOL(BgL_auxz00_1842);
				}
			}
		}
	}



/* &spread-side-effect!-3430 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23430za2zzeffect_spreadz00(obj_t
		BgL_envz00_1570, BgL_conditionalz00_bglt BgL_nodez00_1571)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 95 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1308;

				{	/* Effect/spread.scm 96 */
					bool_t BgL_auxz00_1853;

					BgL_nodez00_1308 = BgL_nodez00_1571;
					{	/* Effect/spread.scm 97 */
						bool_t BgL_reszd2testzd2_1312;

						{	/* Effect/spread.scm 97 */
							BgL_nodez00_bglt BgL_arg3526z00_1320;

							BgL_arg3526z00_1320 =
								(((BgL_conditionalz00_bglt) CREF(
										((obj_t) BgL_nodez00_1308)))->BgL_testz00);
							BgL_reszd2testzd2_1312 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_arg3526z00_1320);
						}
						{	/* Effect/spread.scm 97 */
							bool_t BgL_reszd2truezd2_1313;

							{	/* Effect/spread.scm 98 */
								BgL_nodez00_bglt BgL_arg3525z00_1319;

								BgL_arg3525z00_1319 =
									(((BgL_conditionalz00_bglt) CREF(
											((obj_t) BgL_nodez00_1308)))->BgL_truez00);
								BgL_reszd2truezd2_1313 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
									(BgL_arg3525z00_1319);
							}
							{	/* Effect/spread.scm 98 */
								bool_t BgL_reszd2falsezd2_1314;

								{	/* Effect/spread.scm 99 */
									BgL_nodez00_bglt BgL_arg3524z00_1318;

									BgL_arg3524z00_1318 =
										(((BgL_conditionalz00_bglt) CREF(
												((obj_t) BgL_nodez00_1308)))->BgL_falsez00);
									BgL_reszd2falsezd2_1314 =
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
										(BgL_arg3524z00_1318);
								}
								{	/* Effect/spread.scm 99 */
									bool_t BgL_resz00_1315;

									if (BgL_reszd2testzd2_1312)
										{	/* Effect/spread.scm 100 */
											BgL_resz00_1315 = BgL_reszd2testzd2_1312;
										}
									else
										{	/* Effect/spread.scm 100 */
											if (BgL_reszd2truezd2_1313)
												{	/* Effect/spread.scm 100 */
													BgL_resz00_1315 = BgL_reszd2truezd2_1313;
												}
											else
												{	/* Effect/spread.scm 100 */
													BgL_resz00_1315 = BgL_reszd2falsezd2_1314;
												}
										}
									{	/* Effect/spread.scm 100 */

										{	/* Effect/spread.scm 101 */
											BgL_nodezf2effectzf2_bglt BgL_obj2156z00_1482;
											obj_t BgL_val2155z00_1483;

											BgL_obj2156z00_1482 =
												((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1308);
											BgL_val2155z00_1483 = BBOOL(BgL_resz00_1315);
											((((BgL_nodezf2effectzf2_bglt) CREF(
															((obj_t) BgL_obj2156z00_1482)))->
													BgL_sidezd2effectzd2) =
												((obj_t) BgL_val2155z00_1483), BUNSPEC);
										}
										BgL_auxz00_1853 = BgL_resz00_1315;
									}
								}
							}
						}
					}
					return BBOOL(BgL_auxz00_1853);
				}
			}
		}
	}



/* &spread-side-effect!-3428 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23428za2zzeffect_spreadz00(obj_t
		BgL_envz00_1572, BgL_setqz00_bglt BgL_nodez00_1573)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 87 */
			{
				BgL_setqz00_bglt BgL_nodez00_1302;

				{	/* Effect/spread.scm 88 */
					bool_t BgL_auxz00_1870;

					BgL_nodez00_1302 = BgL_nodez00_1573;
					{	/* Effect/spread.scm 88 */
						BgL_nodez00_bglt BgL_arg3523z00_1477;

						BgL_arg3523z00_1477 =
							(((BgL_setqz00_bglt) CREF(
									((obj_t) BgL_nodez00_1302)))->BgL_valuez00);
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3523z00_1477);
					}
					BgL_auxz00_1870 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_1870);
				}
			}
		}
	}



/* &spread-side-effect!-3426 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23426za2zzeffect_spreadz00(obj_t
		BgL_envz00_1574, BgL_castz00_bglt BgL_nodez00_1575)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 80 */
			{
				BgL_castz00_bglt BgL_nodez00_1296;

				{	/* Effect/spread.scm 81 */
					bool_t BgL_auxz00_1875;

					BgL_nodez00_1296 = BgL_nodez00_1575;
					{	/* Effect/spread.scm 81 */
						BgL_nodez00_bglt BgL_arg3522z00_1474;

						BgL_arg3522z00_1474 =
							(((BgL_castz00_bglt) CREF(
									((obj_t) BgL_nodez00_1296)))->BgL_argz00);
						BgL_auxz00_1875 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3522z00_1474);
					}
					return BBOOL(BgL_auxz00_1875);
				}
			}
		}
	}



/* &spread-side-effect!-3424 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23424za2zzeffect_spreadz00(obj_t
		BgL_envz00_1576, BgL_externz00_bglt BgL_nodez00_1577)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 71 */
			{
				BgL_externz00_bglt BgL_nodez00_1288;

				BgL_nodez00_1288 = BgL_nodez00_1577;
				{	/* Effect/spread.scm 73 */
					obj_t BgL_resz00_1292;

					{	/* Effect/spread.scm 73 */
						bool_t BgL__ortest_3375z00_1293;

						{	/* Effect/spread.scm 73 */
							obj_t BgL_arg3521z00_1294;

							BgL_arg3521z00_1294 =
								(((BgL_externz00_bglt) CREF(
										((obj_t) BgL_nodez00_1288)))->BgL_exprza2za2);
							BgL__ortest_3375z00_1293 =
								BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00
								(BgL_arg3521z00_1294);
						}
						if (BgL__ortest_3375z00_1293)
							{	/* Effect/spread.scm 73 */
								BgL_resz00_1292 = BBOOL(BgL__ortest_3375z00_1293);
							}
						else
							{	/* Effect/spread.scm 73 */
								BgL_nodezf2effectzf2_bglt BgL_obj2154z00_1470;

								BgL_obj2154z00_1470 =
									((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1288);
								BgL_resz00_1292 =
									(((BgL_nodezf2effectzf2_bglt) CREF(
											((obj_t) BgL_obj2154z00_1470)))->BgL_sidezd2effectzd2);
							}
					}
					{	/* Effect/spread.scm 74 */
						BgL_nodezf2effectzf2_bglt BgL_obj2156z00_1471;

						BgL_obj2156z00_1471 =
							((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1288);
						((((BgL_nodezf2effectzf2_bglt) CREF(
										((obj_t) BgL_obj2156z00_1471)))->BgL_sidezd2effectzd2) =
							((obj_t) BgL_resz00_1292), BUNSPEC);
					}
					return BgL_resz00_1292;
				}
			}
		}
	}



/* &spread-side-effect!-3422 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23422za2zzeffect_spreadz00(obj_t
		BgL_envz00_1578, BgL_funcallz00_bglt BgL_nodez00_1579)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 62 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1281;

				{	/* Effect/spread.scm 63 */
					bool_t BgL_auxz00_1891;

					BgL_nodez00_1281 = BgL_nodez00_1579;
					{	/* Effect/spread.scm 64 */
						BgL_nodez00_bglt BgL_arg3519z00_1285;

						BgL_arg3519z00_1285 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1281)))->BgL_funz00);
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3519z00_1285);
					}
					{	/* Effect/spread.scm 65 */
						obj_t BgL_arg3520z00_1286;

						BgL_arg3520z00_1286 =
							(((BgL_funcallz00_bglt) CREF(
									((obj_t) BgL_nodez00_1281)))->BgL_argsz00);
						BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00
							(BgL_arg3520z00_1286);
					}
					BgL_auxz00_1891 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_1891);
				}
			}
		}
	}



/* &spread-side-effect!-3420 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23420za2zzeffect_spreadz00(obj_t
		BgL_envz00_1580, BgL_appzd2lyzd2_bglt BgL_nodez00_1581)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 53 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1274;

				{	/* Effect/spread.scm 54 */
					bool_t BgL_auxz00_1899;

					BgL_nodez00_1274 = BgL_nodez00_1581;
					{	/* Effect/spread.scm 55 */
						BgL_nodez00_bglt BgL_arg3517z00_1278;

						BgL_arg3517z00_1278 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1274)))->BgL_funz00);
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3517z00_1278);
					}
					{	/* Effect/spread.scm 56 */
						BgL_nodez00_bglt BgL_arg3518z00_1279;

						BgL_arg3518z00_1279 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((obj_t) BgL_nodez00_1274)))->BgL_argz00);
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_arg3518z00_1279);
					}
					BgL_auxz00_1899 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_1899);
				}
			}
		}
	}



/* &spread-side-effect!-3418 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23418za2zzeffect_spreadz00(obj_t
		BgL_envz00_1582, BgL_appz00_bglt BgL_nodez00_1583)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 43 */
			{
				BgL_appz00_bglt BgL_nodez00_1263;

				BgL_nodez00_1263 = BgL_nodez00_1583;
				{	/* Effect/spread.scm 45 */
					obj_t BgL_resz00_1267;

					{	/* Effect/spread.scm 45 */
						bool_t BgL__ortest_3368z00_1268;

						{	/* Effect/spread.scm 45 */
							obj_t BgL_arg3516z00_1272;

							BgL_arg3516z00_1272 =
								(((BgL_appz00_bglt) CREF(
										((obj_t) BgL_nodez00_1263)))->BgL_argsz00);
							BgL__ortest_3368z00_1268 =
								BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00
								(BgL_arg3516z00_1272);
						}
						if (BgL__ortest_3368z00_1268)
							{	/* Effect/spread.scm 45 */
								BgL_resz00_1267 = BBOOL(BgL__ortest_3368z00_1268);
							}
						else
							{	/* Effect/spread.scm 46 */
								BgL_funz00_bglt BgL_obj1855z00_1462;

								{
									BgL_valuez00_bglt BgL_auxz00_1912;

									{	/* Effect/spread.scm 46 */
										BgL_variablez00_bglt BgL_arg3514z00_1270;

										{	/* Effect/spread.scm 46 */
											BgL_varz00_bglt BgL_obj2201z00_1460;

											BgL_obj2201z00_1460 =
												(((BgL_appz00_bglt) CREF(
														((obj_t) BgL_nodez00_1263)))->BgL_funz00);
											BgL_arg3514z00_1270 =
												(((BgL_varz00_bglt) CREF(
														((obj_t) BgL_obj2201z00_1460)))->BgL_variablez00);
										}
										BgL_auxz00_1912 =
											(((BgL_variablez00_bglt) CREF(
													((obj_t) BgL_arg3514z00_1270)))->BgL_valuez00);
									}
									BgL_obj1855z00_1462 = ((BgL_funz00_bglt) BgL_auxz00_1912);
								}
								BgL_resz00_1267 =
									(((BgL_funz00_bglt) CREF(
											((obj_t) BgL_obj1855z00_1462)))->BgL_sidezd2effectzd2);
							}
					}
					{	/* Effect/spread.scm 47 */
						BgL_nodezf2effectzf2_bglt BgL_obj2156z00_1463;

						BgL_obj2156z00_1463 =
							((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1263);
						((((BgL_nodezf2effectzf2_bglt) CREF(
										((obj_t) BgL_obj2156z00_1463)))->BgL_sidezd2effectzd2) =
							((obj_t) BgL_resz00_1267), BUNSPEC);
					}
					return BgL_resz00_1267;
				}
			}
		}
	}



/* &spread-side-effect!-3416 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23416za2zzeffect_spreadz00(obj_t
		BgL_envz00_1584, BgL_sequencez00_bglt BgL_nodez00_1585)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 35 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1257;

				{	/* Effect/spread.scm 36 */
					bool_t BgL_auxz00_1925;

					BgL_nodez00_1257 = BgL_nodez00_1585;
					{	/* Effect/spread.scm 36 */
						bool_t BgL_resz00_1260;

						{	/* Effect/spread.scm 36 */
							obj_t BgL_arg3512z00_1261;

							BgL_arg3512z00_1261 =
								(((BgL_sequencez00_bglt) CREF(
										((obj_t) BgL_nodez00_1257)))->BgL_nodesz00);
							BgL_resz00_1260 =
								BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00
								(BgL_arg3512z00_1261);
						}
						{	/* Effect/spread.scm 37 */
							BgL_nodezf2effectzf2_bglt BgL_obj2156z00_1456;
							obj_t BgL_val2155z00_1457;

							BgL_obj2156z00_1456 =
								((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1257);
							BgL_val2155z00_1457 = BBOOL(BgL_resz00_1260);
							((((BgL_nodezf2effectzf2_bglt) CREF(
											((obj_t) BgL_obj2156z00_1456)))->BgL_sidezd2effectzd2) =
								((obj_t) BgL_val2155z00_1457), BUNSPEC);
						}
						BgL_auxz00_1925 = BgL_resz00_1260;
					}
					return BBOOL(BgL_auxz00_1925);
				}
			}
		}
	}



/* &spread-side-effect!-3413 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd23413za2zzeffect_spreadz00(obj_t
		BgL_envz00_1586, BgL_varz00_bglt BgL_nodez00_1587)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 29 */
			{
				BgL_varz00_bglt BgL_nodez00_1250;

				{	/* Effect/spread.scm 30 */
					bool_t BgL_auxz00_1934;

					BgL_nodez00_1250 = BgL_nodez00_1587;
					{	/* Effect/spread.scm 30 */
						bool_t BgL_testz00_1935;

						{	/* Effect/spread.scm 30 */
							obj_t BgL_auxz00_1936;

							{	/* Effect/spread.scm 30 */
								BgL_variablez00_bglt BgL_obj1615z00_1454;

								BgL_obj1615z00_1454 =
									(((BgL_varz00_bglt) CREF(
											((obj_t) BgL_nodez00_1250)))->BgL_variablez00);
								BgL_auxz00_1936 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1615z00_1454)))->BgL_accessz00);
							}
							BgL_testz00_1935 =
								(BgL_auxz00_1936 == CNST_TABLE_REF(((long) 0)));
						}
						if (BgL_testz00_1935)
							{	/* Effect/spread.scm 30 */
								BgL_auxz00_1934 = ((bool_t) 0);
							}
						else
							{	/* Effect/spread.scm 30 */
								BgL_auxz00_1934 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_1934);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3590z00zzeffect_spreadz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3590z00zzeffect_spreadz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3590z00zzeffect_spreadz00));
		}
	}

#ifdef __cplusplus
}
#endif
