/*===========================================================================*/
/*   (Foreign/access.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Foreign/access.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzforeign_accessz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzforeign_accessz00();
	static obj_t BGl_genericzd2initzd2zzforeign_accessz00();
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_methodzd2initzd2zzforeign_accessz00();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzforeign_accessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_cstructz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_cpointerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_cfunctionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_copaquez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_cenumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_caliasz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_accessz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzforeign_accessz00();
	static obj_t BGl_z62makezd2ctypezd2accessesz12z70zzforeign_accessz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62makezd2ctypezd2accessesz121601z70zzforeign_accessz00(obj_t,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1616z00zzforeign_accessz00,
		BgL_bgl_string1616za700za7za7f1618za7, "make-ctype-accesses!1601", 24);
	      DEFINE_STRING(BGl_string1617z00zzforeign_accessz00,
		BgL_bgl_string1617za700za7za7f1619za7, "foreign_access", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1615z00zzforeign_accessz00,
		BgL_bgl_za762makeza7d2ctypeza71620za7,
		BGl_z62makezd2ctypezd2accessesz121601z70zzforeign_accessz00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
		BgL_bgl_za762makeza7d2ctypeza71621za7,
		BGl_z62makezd2ctypezd2accessesz12z70zzforeign_accessz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzforeign_accessz00(long
		BgL_checksumz00_229, char *BgL_fromz00_230)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzforeign_accessz00))
				{
					BGl_requirezd2initializa7ationz75zzforeign_accessz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzforeign_accessz00();
					BGl_importedzd2moduleszd2initz00zzforeign_accessz00();
					BGl_genericzd2initzd2zzforeign_accessz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzforeign_accessz00()
	{
		AN_OBJECT;
		{	/* Foreign/access.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"foreign_access");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"foreign_access");
			return BUNSPEC;
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzforeign_accessz00()
	{
		AN_OBJECT;
		{	/* Foreign/access.scm 19 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzforeign_accessz00()
	{
		AN_OBJECT;
		{	/* Foreign/access.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
				BGl_proc1615z00zzforeign_accessz00, BGl_typez00zztype_typez00,
				BGl_string1616z00zzforeign_accessz00);
		}
	}



/* &make-ctype-accesses!1601 */
	obj_t BGl_z62makezd2ctypezd2accessesz121601z70zzforeign_accessz00(obj_t
		BgL_envz00_213, BgL_typez00_bglt BgL_whatz00_214,
		BgL_typez00_bglt BgL_whoz00_215, obj_t BgL_locz00_216)
	{
		AN_OBJECT;
		{	/* Foreign/access.scm 34 */
			return BNIL;
		}
	}



/* make-ctype-accesses! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt
		BgL_whatz00_3, BgL_typez00_bglt BgL_whoz00_4, obj_t BgL_locz00_5)
	{
		AN_OBJECT;
		{	/* Foreign/access.scm 34 */
			{	/* Foreign/access.scm 34 */
				obj_t BgL_method1602z00_182;

				{	/* Foreign/access.scm 34 */
					obj_t BgL_res1614z00_211;

					{	/* Foreign/access.scm 34 */
						BgL_objectz00_bglt BgL_objz00_183;

						BgL_objz00_183 = ((BgL_objectz00_bglt) BgL_whatz00_3);
						{	/* Foreign/access.scm 34 */
							long BgL_objzd2classzd2numz00_184;

							{	/* Foreign/access.scm 34 */
								long BgL_res1608z00_187;

								BgL_res1608z00_187 = BGL_OBJECT_CLASS_NUM(BgL_objz00_183);
								BgL_objzd2classzd2numz00_184 = BgL_res1608z00_187;
							}
							{	/* Foreign/access.scm 34 */
								obj_t BgL_arg2545z00_185;

								BgL_arg2545z00_185 =
									PROCEDURE_REF
									(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
									(int) (((long) 1)));
								{	/* Foreign/access.scm 34 */
									obj_t BgL_arrayz00_188;
									int BgL_offsetz00_189;

									BgL_arrayz00_188 = BgL_arg2545z00_185;
									BgL_offsetz00_189 = (int) (BgL_objzd2classzd2numz00_184);
									{	/* Foreign/access.scm 34 */
										long BgL_offsetz00_190;

										BgL_offsetz00_190 =
											((long) (BgL_offsetz00_189) - OBJECT_TYPE);
										{	/* Foreign/access.scm 34 */
											long BgL_modz00_191;

											{	/* Foreign/access.scm 34 */
												int BgL_arg2547z00_192;

												BgL_arg2547z00_192 = (int) (((long) 16));
												{	/* Foreign/access.scm 34 */
													long BgL_res1611z00_202;

													{	/* Foreign/access.scm 34 */
														long BgL_auxz00_248;

														BgL_auxz00_248 = (long) (BgL_arg2547z00_192);
														BgL_res1611z00_202 =
															(BgL_offsetz00_190 / BgL_auxz00_248);
													}
													BgL_modz00_191 = BgL_res1611z00_202;
											}}
											{	/* Foreign/access.scm 34 */
												long BgL_restz00_193;

												{	/* Foreign/access.scm 34 */
													int BgL_arg2546z00_194;

													BgL_arg2546z00_194 = (int) (((long) 16));
													{	/* Foreign/access.scm 34 */
														long BgL_res1613z00_206;

														{	/* Foreign/access.scm 34 */
															long BgL_auxz00_252;

															BgL_auxz00_252 = (long) (BgL_arg2546z00_194);
															BgL_res1613z00_206 =
																(BgL_offsetz00_190 % BgL_auxz00_252);
														}
														BgL_restz00_193 = BgL_res1613z00_206;
												}}
												{	/* Foreign/access.scm 34 */

													BgL_res1614z00_211 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_188,
															(int) (BgL_modz00_191)), (int) (BgL_restz00_193));
					}}}}}}}}
					BgL_method1602z00_182 = BgL_res1614z00_211;
				}
				return
					PROCEDURE_ENTRY(BgL_method1602z00_182) (BgL_method1602z00_182,
					((obj_t) BgL_whatz00_3), ((obj_t) BgL_whoz00_4), BgL_locz00_5, BEOA);
			}
		}
	}



/* &make-ctype-accesses! */
	obj_t BGl_z62makezd2ctypezd2accessesz12z70zzforeign_accessz00(obj_t
		BgL_envz00_217, obj_t BgL_whatz00_218, obj_t BgL_whoz00_219,
		obj_t BgL_locz00_220)
	{
		AN_OBJECT;
		{	/* Foreign/access.scm 34 */
			return
				BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(
				((BgL_typez00_bglt) BgL_whatz00_218),
				((BgL_typez00_bglt) BgL_whoz00_219), BgL_locz00_220);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzforeign_accessz00()
	{
		AN_OBJECT;
		{	/* Foreign/access.scm 19 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzforeign_accessz00()
	{
		AN_OBJECT;
		{	/* Foreign/access.scm 19 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1617z00zzforeign_accessz00));
			BGl_modulezd2initializa7ationz75zzforeign_caliasz00(((long) 237925119),
				BSTRING_TO_STRING(BGl_string1617z00zzforeign_accessz00));
			BGl_modulezd2initializa7ationz75zzforeign_cenumz00(((long) 263357126),
				BSTRING_TO_STRING(BGl_string1617z00zzforeign_accessz00));
			BGl_modulezd2initializa7ationz75zzforeign_copaquez00(((long) 499858556),
				BSTRING_TO_STRING(BGl_string1617z00zzforeign_accessz00));
			BGl_modulezd2initializa7ationz75zzforeign_cfunctionz00(((long) 225725399),
				BSTRING_TO_STRING(BGl_string1617z00zzforeign_accessz00));
			BGl_modulezd2initializa7ationz75zzforeign_cpointerz00(((long) 166831446),
				BSTRING_TO_STRING(BGl_string1617z00zzforeign_accessz00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_cstructz00(((long) 216464466),
				BSTRING_TO_STRING(BGl_string1617z00zzforeign_accessz00));
		}
	}

#ifdef __cplusplus
}
#endif
