/*===========================================================================*/
/*   (Llib/custom.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/custom.scm -indent -o objs/obj_s/Llib/custom.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL bool_t BGl_customzf3zf3zz__customz00(obj_t);
static obj_t BGl_z62customzf3z91zz__customz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__customz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_customzd2identifierzd2setz12z12zz__customz00(obj_t, char *);
extern obj_t string_to_bstring(char *);
BGL_EXPORTED_DECL obj_t BGl_customzd2nilzd2zz__customz00();
static obj_t BGl_z62customzd2hashzb0zz__customz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__customz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__customz00();
extern obj_t bgl_custom_nil();
static obj_t BGl_z62customzd2identifierzb0zz__customz00(obj_t, obj_t);
static obj_t BGl_z62customzd2nilzb0zz__customz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_customzd2equalzf3z21zz__customz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__customz00();
BGL_EXPORTED_DECL char * BGl_customzd2identifierzd2zz__customz00(obj_t);
static obj_t BGl_z62customzd2identifierzd2setz12z70zz__customz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_customzd2hashzd2zz__customz00(obj_t, int);
static obj_t BGl_z62customzd2equalzf3z43zz__customz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_customzd2nilzd2envz00zz__customz00, BgL_bgl_za762customza7d2nilza72186za7, BGl_z62customzd2nilzb0zz__customz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_customzd2equalzf3zd2envzf3zz__customz00, BgL_bgl_za762customza7d2equa2187z00, BGl_z62customzd2equalzf3z43zz__customz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2177z00zz__customz00, BgL_bgl_string2177za700za7za7_2188za7, "/tmp/bigloo/runtime/Llib/custom.scm", 35 );
DEFINE_STRING( BGl_string2178z00zz__customz00, BgL_bgl_string2178za700za7za7_2189za7, "&custom-equal?", 14 );
DEFINE_STRING( BGl_string2179z00zz__customz00, BgL_bgl_string2179za700za7za7_2190za7, "custom", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_customzd2identifierzd2setz12zd2envzc0zz__customz00, BgL_bgl_za762customza7d2iden2191z00, BGl_z62customzd2identifierzd2setz12z70zz__customz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_customzd2identifierzd2envz00zz__customz00, BgL_bgl_za762customza7d2iden2192z00, BGl_z62customzd2identifierzb0zz__customz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2180z00zz__customz00, BgL_bgl_string2180za700za7za7_2193za7, "&custom-identifier", 18 );
DEFINE_STRING( BGl_string2181z00zz__customz00, BgL_bgl_string2181za700za7za7_2194za7, "&custom-identifier-set!", 23 );
DEFINE_STRING( BGl_string2182z00zz__customz00, BgL_bgl_string2182za700za7za7_2195za7, "bstring", 7 );
DEFINE_STRING( BGl_string2183z00zz__customz00, BgL_bgl_string2183za700za7za7_2196za7, "&custom-hash", 12 );
DEFINE_STRING( BGl_string2184z00zz__customz00, BgL_bgl_string2184za700za7za7_2197za7, "bint", 4 );
DEFINE_STRING( BGl_string2185z00zz__customz00, BgL_bgl_string2185za700za7za7_2198za7, "__custom", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_customzf3zd2envz21zz__customz00, BgL_bgl_za762customza7f3za791za72199z00, BGl_z62customzf3z91zz__customz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_customzd2hashzd2envz00zz__customz00, BgL_bgl_za762customza7d2hash2200z00, BGl_z62customzd2hashzb0zz__customz00, 0L, BUNSPEC, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__customz00(long BgL_checksumz00_1436, char * BgL_fromz00_1437)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__customz00))
{ 
BGl_requirezd2initializa7ationz75zz__customz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__customz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* custom? */
BGL_EXPORTED_DEF bool_t BGl_customzf3zf3zz__customz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* Llib/custom.scm 83 */
return 
CUSTOMP(BgL_objz00_3);} 
}



/* &custom? */
obj_t BGl_z62customzf3z91zz__customz00(obj_t BgL_envz00_1402, obj_t BgL_objz00_1403)
{ AN_OBJECT;
{ /* Llib/custom.scm 83 */
return 
BBOOL(
CUSTOMP(BgL_objz00_1403));} 
}



/* custom-nil */
BGL_EXPORTED_DEF obj_t BGl_customzd2nilzd2zz__customz00()
{ AN_OBJECT;
{ /* Llib/custom.scm 89 */
return 
bgl_custom_nil();} 
}



/* &custom-nil */
obj_t BGl_z62customzd2nilzb0zz__customz00(obj_t BgL_envz00_1404)
{ AN_OBJECT;
{ /* Llib/custom.scm 89 */
return 
bgl_custom_nil();} 
}



/* custom-equal? */
BGL_EXPORTED_DEF bool_t BGl_customzd2equalzf3z21zz__customz00(obj_t BgL_obj1z00_4, obj_t BgL_obj2z00_5)
{ AN_OBJECT;
{ /* Llib/custom.scm 95 */
return 
CUSTOM_CMP(BgL_obj1z00_4, BgL_obj2z00_5);} 
}



/* &custom-equal? */
obj_t BGl_z62customzd2equalzf3z43zz__customz00(obj_t BgL_envz00_1405, obj_t BgL_obj1z00_1406, obj_t BgL_obj2z00_1407)
{ AN_OBJECT;
{ /* Llib/custom.scm 95 */
{ /* Llib/custom.scm 96 */
bool_t BgL_auxz00_1448;
{ /* Llib/custom.scm 96 */
obj_t BgL_obj1z00_1431;obj_t BgL_obj2z00_1432;
if(
CUSTOMP(BgL_obj1z00_1406))
{ /* Llib/custom.scm 96 */
BgL_obj1z00_1431 = BgL_obj1z00_1406; }  else 
{ 
obj_t BgL_auxz00_1451;
BgL_auxz00_1451 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2177z00zz__customz00, 
BINT(((long)3582)), BGl_string2178z00zz__customz00, BGl_string2179z00zz__customz00, BgL_obj1z00_1406); 
FAILURE(BgL_auxz00_1451,BFALSE,BFALSE);} 
if(
CUSTOMP(BgL_obj2z00_1407))
{ /* Llib/custom.scm 96 */
BgL_obj2z00_1432 = BgL_obj2z00_1407; }  else 
{ 
obj_t BgL_auxz00_1457;
BgL_auxz00_1457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2177z00zz__customz00, 
BINT(((long)3582)), BGl_string2178z00zz__customz00, BGl_string2179z00zz__customz00, BgL_obj2z00_1407); 
FAILURE(BgL_auxz00_1457,BFALSE,BFALSE);} 
BgL_auxz00_1448 = 
CUSTOM_CMP(BgL_obj1z00_1431, BgL_obj2z00_1432); } 
return 
BBOOL(BgL_auxz00_1448);} } 
}



/* custom-identifier */
BGL_EXPORTED_DEF char * BGl_customzd2identifierzd2zz__customz00(obj_t BgL_customz00_6)
{ AN_OBJECT;
{ /* Llib/custom.scm 101 */
return 
CUSTOM_IDENTIFIER(BgL_customz00_6);} 
}



/* &custom-identifier */
obj_t BGl_z62customzd2identifierzb0zz__customz00(obj_t BgL_envz00_1408, obj_t BgL_customz00_1409)
{ AN_OBJECT;
{ /* Llib/custom.scm 101 */
{ /* Llib/custom.scm 102 */
char * BgL_auxz00_1464;
{ /* Llib/custom.scm 102 */
obj_t BgL_customz00_1433;
if(
CUSTOMP(BgL_customz00_1409))
{ /* Llib/custom.scm 102 */
BgL_customz00_1433 = BgL_customz00_1409; }  else 
{ 
obj_t BgL_auxz00_1467;
BgL_auxz00_1467 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2177z00zz__customz00, 
BINT(((long)3895)), BGl_string2180z00zz__customz00, BGl_string2179z00zz__customz00, BgL_customz00_1409); 
FAILURE(BgL_auxz00_1467,BFALSE,BFALSE);} 
BgL_auxz00_1464 = 
CUSTOM_IDENTIFIER(BgL_customz00_1433); } 
return 
string_to_bstring(BgL_auxz00_1464);} } 
}



/* custom-identifier-set! */
BGL_EXPORTED_DEF obj_t BGl_customzd2identifierzd2setz12z12zz__customz00(obj_t BgL_customz00_7, char * BgL_strz00_8)
{ AN_OBJECT;
{ /* Llib/custom.scm 107 */
return 
CUSTOM_IDENTIFIER_SET(BgL_customz00_7, BgL_strz00_8);} 
}



/* &custom-identifier-set! */
obj_t BGl_z62customzd2identifierzd2setz12z70zz__customz00(obj_t BgL_envz00_1410, obj_t BgL_customz00_1411, obj_t BgL_strz00_1412)
{ AN_OBJECT;
{ /* Llib/custom.scm 107 */
{ /* Llib/custom.scm 108 */
obj_t BgL_customz00_1434;char * BgL_strz00_1435;
if(
CUSTOMP(BgL_customz00_1411))
{ /* Llib/custom.scm 108 */
BgL_customz00_1434 = BgL_customz00_1411; }  else 
{ 
obj_t BgL_auxz00_1476;
BgL_auxz00_1476 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2177z00zz__customz00, 
BINT(((long)4218)), BGl_string2181z00zz__customz00, BGl_string2179z00zz__customz00, BgL_customz00_1411); 
FAILURE(BgL_auxz00_1476,BFALSE,BFALSE);} 
{ /* Llib/custom.scm 108 */
obj_t BgL_auxz00_1480;
if(
STRINGP(BgL_strz00_1412))
{ /* Llib/custom.scm 108 */
BgL_auxz00_1480 = BgL_strz00_1412
; }  else 
{ 
obj_t BgL_auxz00_1483;
BgL_auxz00_1483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2177z00zz__customz00, 
BINT(((long)4218)), BGl_string2181z00zz__customz00, BGl_string2182z00zz__customz00, BgL_strz00_1412); 
FAILURE(BgL_auxz00_1483,BFALSE,BFALSE);} 
BgL_strz00_1435 = 
BSTRING_TO_STRING(BgL_auxz00_1480); } 
return 
CUSTOM_IDENTIFIER_SET(BgL_customz00_1434, BgL_strz00_1435);} } 
}



/* custom-hash */
BGL_EXPORTED_DEF obj_t BGl_customzd2hashzd2zz__customz00(obj_t BgL_customz00_9, int BgL_modz00_10)
{ AN_OBJECT;
{ /* Llib/custom.scm 113 */
{ /* Llib/custom.scm 114 */
int BgL_numz00_1194;
BgL_numz00_1194 = 
CUSTOM_HASH_NUMBER(BgL_customz00_9); 
{ /* Llib/custom.scm 114 */
long BgL_res2132z00_1197;
{ /* Llib/custom.scm 114 */
long BgL_auxz00_1492;long BgL_auxz00_1490;
BgL_auxz00_1492 = 
(long)(BgL_modz00_10); 
BgL_auxz00_1490 = 
(long)(BgL_numz00_1194); 
BgL_res2132z00_1197 = 
(BgL_auxz00_1490%BgL_auxz00_1492); } 
return 
BINT(BgL_res2132z00_1197);} } } 
}



/* &custom-hash */
obj_t BGl_z62customzd2hashzb0zz__customz00(obj_t BgL_envz00_1413, obj_t BgL_customz00_1414, obj_t BgL_modz00_1415)
{ AN_OBJECT;
{ /* Llib/custom.scm 113 */
{ /* Llib/custom.scm 114 */
int BgL_auxz00_1503;obj_t BgL_auxz00_1496;
{ /* Llib/custom.scm 114 */
obj_t BgL_auxz00_1504;
if(
INTEGERP(BgL_modz00_1415))
{ /* Llib/custom.scm 114 */
BgL_auxz00_1504 = BgL_modz00_1415
; }  else 
{ 
obj_t BgL_auxz00_1507;
BgL_auxz00_1507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2177z00zz__customz00, 
BINT(((long)4529)), BGl_string2183z00zz__customz00, BGl_string2184z00zz__customz00, BgL_modz00_1415); 
FAILURE(BgL_auxz00_1507,BFALSE,BFALSE);} 
BgL_auxz00_1503 = 
CINT(BgL_auxz00_1504); } 
if(
CUSTOMP(BgL_customz00_1414))
{ /* Llib/custom.scm 114 */
BgL_auxz00_1496 = BgL_customz00_1414
; }  else 
{ 
obj_t BgL_auxz00_1499;
BgL_auxz00_1499 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2177z00zz__customz00, 
BINT(((long)4529)), BGl_string2183z00zz__customz00, BGl_string2179z00zz__customz00, BgL_customz00_1414); 
FAILURE(BgL_auxz00_1499,BFALSE,BFALSE);} 
return 
BGl_customzd2hashzd2zz__customz00(BgL_auxz00_1496, BgL_auxz00_1503);} } 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__customz00()
{ AN_OBJECT;
{ /* Llib/custom.scm 14 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__customz00()
{ AN_OBJECT;
{ /* Llib/custom.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__customz00()
{ AN_OBJECT;
{ /* Llib/custom.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)173154212), 
BSTRING_TO_STRING(BGl_string2185z00zz__customz00));} 
}

#ifdef __cplusplus
}
#endif
